Bienvenue dans EMS SQL Manager for MySQL !

SQL Manager 2007 for MySQL – est un outil puissant d’administration et de développement de bases de données MySQL. SQL Manager for MySQL fonctionne avec toutes les versions de MySQL de 3.23 à 6.0 et supporte toutes les dernières fonctionnalités de MySQL, y compris les vues, les procédures et les fonctions stockées, les clés étrangères pour les tables InnoDB, etc. SQL Manager for MySQL offre une multitude d’outils puissants capables de répondre aux besoins des utilisateurs expérimentés. SQL Manager for MySQL dispose d'une nouvelle interface graphique impressionnante et d'un système d'assistants avec une description détaillée, dont l’usage est simple même pour un utilisateur novice !

Caractéristiques du produit

Support complet de toutes les versions de MySQL entre la 3.23 et la 6.0

  • Support de tous les objets MySQL (tables, vues, UDF, procédures et fonctions stockées, triggers et événements)
  • Support de toutes les fonctionnalités MySQL et des extensions
  • Support de l'encodage UTF8

Gestion des bases de données et navigation rapide

  • Connexion à plusieurs hôtes/bases de données
  • Connexion au serveur MySQL au travers du tunnel HTTP
  • Connexion au serveur MySQL au travers du tunnel SSH
  • Enregistrement des bases de données sélectionnées pour travailler avec celles-ci
  • Création de projets pour travailler avec seulement certains objets sélectionnés
  • Onglets créés par l’utilisateur pour accéder rapidement à n’importe quel nœud de l'arbre
  • Possibilité de travailler simultanément avec multiples objets sélectionnés
  • Groupage/dégroupage par nom de l’hôte des bases de données enregistrées

Gestion facile de tous les objets MySQL

  • Possibilité de créer/supprimer les bases de données
  • Gestion des tables et de leurs sous-objets : champs, index, clés étrangères et triggers
  • Gestion des vues, des fonctions et des procédures stockées. Gestion des fonctions définies par l'utilisateur (FDU)
  • Possibilité de dupliquer tous les objets de bases de données

Outils avancés de gestion des données

  • Possibilité de visualiser, de modifier, de rechercher, de grouper, de trier et de filtrer toutes les données stockées dans une base de données
  • Visualisateur/éditeur BLOB puissant avec plusieurs types de visualisation des données BLOB
  • Vue maître-détail pour travailler simultanément avec deux tables liées
  • Différentes possibilités d'afficher les données : table ou vue carte
  • Support des requêtes renvoyant plusieurs ensembles de données
  • Possibilité de copier et de coller des enregistrements sélectionnés
  • Export des données vers un script SQL en tant qu’instruction INSERT

Gestion de la sécurité

  • Gestionnaire des utilisateurs pour gérer les utilisateurs et leurs droits
  • Gestionnaire des droits les affichant pour les objets de bases de données sous forme de grille

Outils visuels excellents et outils de texte pour la construction des requêtes

  • Constructeur graphique de requêtes permettant de construire des requêtes compliquées sans aucune connaissance de la syntaxe SQL
  • Éditeurs SQL comprenant la complétion de code et la coloration syntaxique
  • Exécution de grands scripts (éditeur de script SQL)
  • SQL Formatter (disponible dans le menu contextuel SQL Editor)
  • Requêtes favorites (possibilité de sauvegarder et d’utiliser vos requêtes fréquemment utilisées)

Possibilités impressionnantes d’import et d’export des données

  • Export vers les formats les plus populaires : MS Excel, MS Word, MS Access, HTML, PDF, TXT, CSV, DBF, XML, ODF, etc.
  • Import des données à partir de MS Excel, MS Access, DBF, XML, ODF, TXT et CSV
  • Possibilité de copier partiellement ou complètement les métadonnées et les données depuis une base de données vers une autre

Concepteur de rapports comprenant l’assistant de construction de rapports facile à utiliser

  • Assistant de construction de rapports qui vous permet de créer des rapports simples en quelques clics
  • La gestion des rapports s’effectue de la même façon que la gestion des objets des bases de données : l’accès aux rapports s’effectue directement via l’arbre de l’explorateur de bases

Autres outils pour rendre votre travail avec le serveur MySQL plus facile que possible

  • Extraction de métadonnées et de données vers les fichiers texte ou vers l’éditeur de scripts SQL
  • Module puissant ‘Imprimer les méta-données’ qui permet de créer des rapports personnalisés sur les métadonnées
  • Générateur de rapports HTML qui permet de créer rapidement les rapports HTML détaillés sur votre base de données
  • SQL Monitor
  • L'outil ‘Propriétés de serveur’ permet de visualiser et de modifier les variables système, d’afficher l’information sur l’état du serveur.

Puissant concepteur graphique de bases de données

  • Deux types de notations des diagrammes (IDEF1x et IE)
  • Outil de navigation dans un diagramme
  • Ingénierie inverse
  • Division du diagramme en plusieurs aires thématiques qui se situent sur les différentes pages
  • Possibilité de créer/modifier/supprimer les objets de bases de données, configurer visuellement les liens entre les tables
  • Objets virtuels tels que les commentaires et les relations virtuelles
  • Sauvegarde de diagramme en tant qu’image ou impression du diagramme
  • Multitude d'options de personnalisation graphique

Assistants faciles à utiliser pour exécuter les services MySQL

  • Sauvegarde de bases de données
  • Restauration de bases de données
  • Analyse des tables
  • Vérification des tables
  • Réparation des tables
  • Optimisation des tables

Nouvelle interface utilisateur graphique de pointe

  • Support des styles Office 11 et Windows XP
  • Système des assistants facile à utiliser
  • Explorateur de bases amélioré permettant de gérer facilement tous les objets de MySQL
  • Barre d’outils Windows pour basculer entre les fenêtres, comme dans la barre des tâches Windows
  • Barre de navigation avec les touches de raccourci dans la plupart des fenêtres
  • Possibilité de sauvegarder tous les paramétrages du programme
  • Barres d'outils personnalisables pour toutes les fenêtres du programme
  • Interface personnalisable du programme
  • Module puissant des options graphiques
  • L’interface du programme est localisable

Autres fonctionnalités

  • Modèles clavier
  • Liste des tâches
  • Gestionnaire des outils externes


Quoi de neuf?

19.06.2009 SQL Manager 2007 for MySQL version 4.5 est sorti

Quoi de neuf dans SQL Manager for MySQL 4.5?

  1. La possibilité de rechercher les métadonnées a été ajoutée (Search in Metadata).
  2. Le support de Windows 7 a été ajouté.
  3. Editeur de procédures. Editeur de fonctions. Lors de la compilation de la procédure, ses droits sont maintenant recréés automatiquement.
  4. Editeur de données. L’opération Fonction Set to Now n’envoie pas de données pour les enregistrements nouvellement créés et modifiés.
  5. Editeur de procédures.
  • Les valeurs des paramètres de procédures n’étaient pas mémorisées lors de l’exécution de la procédure, si au moins un paramètre était de type BIGINT. L’erreur est corrigée.
  • L'exécution de la procédure avec le paramètre BIGINT s’échouait, si la valeur de paramètre dépassait 2147483648. L’erreur est corrigée.
  6. Assistant d’exportation vers un script SQL. Le programme ignorait la génération de la table lors de l’exportation du script SQL vers SQL Server. L’erreur est corrigée.
  7. Assistant d’exportation de données. L’erreur “Cannot create basic structure” surgissait lors de l’exportation de données vers le format ODF Spreadsheets, si le programme était exécuté sous Windows Vista x64. L’erreur est corrigée.
  8. La modification d’un champ de type SET réinitialisait parfois la valeur par défaut. L’erreur est corrigée.
  9. Les valeurs par défaut de type BIT(1) DEFAULT '\0' étaient identifiées incorrectement. L’erreur est corrigée.
  10. Editeur de champs. La valeur par défaut du champs de type TIMESTAMP ne se sauvegardait pas avec l’option activée “on update current_timestamp”. L’erreur est corrigée.
  11. D’autres améliorations et corrections d’erreurs mineures ont été réalisées.


Exigences système

  • Processeur compatible Pentium II 300MHz ou supérieur ; processeur 600 MHz ou supérieur recommandé
  • Microsoft Windows NT4 avec SP4 ou ultérieure, Microsoft Windows 2000, Microsoft Windows 2000 Server, Microsoft Windows XP, Microsoft Windows 2003 Server, Microsoft Windows Vista
  • 64 Mo RAM ou plus ; 128 Mo ou plus recommandés
  • 50 Mo d'espace disque sont nécessaires pour une installation
  • Super VGA (résolution 800x600) ou adaptateur vidéo et moniteur haute résolution ; Super VGA (résolution 1024x768) ou adaptateur vidéo et moniteur haute résolution recommandés
  • Souris compatible Windows ou périphérique de pointage compatible
  • Possibilité de se connecter à un serveur MySQL local ou distant


Table des fonctions

 | Version complète | Version Lite
Support complet de toutes les versions de MySQL entre la 3.23 et la 6.0
Support de tous les objets MySQL (tables, vues, UDF, procédures stockées et fonctions, triggers et événements) | + | +
Support de toutes les fonctionnalités MySQL et des extensions | + | +
Support de l'encodage UTF8 | + | +
Gestion des bases de données et navigation rapide
Connexion à plusieurs hôtes/bases de données | + | +
Connexion au serveur MySQL au travers du tunnel HTTP | + | +
Connexion au serveur MySQL au travers du tunnel SSH | + | -
Enregistrement des bases de données sélectionnées pour travailler avec celles-ci | + | +
Création de projets pour travailler avec seulement les objets sélectionnés | + | +
Onglets créés par l’utilisateur pour accéder rapidement à n’importe quel nœud de l'arbre | + | +
Possibilité de travailler simultanément avec plusieurs objets sélectionnés | + | +
Groupage/dégroupage par nom de l’hôte des bases de données enregistrées | + | +
Gestion facile de tous les objets MySQL
Possibilité de créer/supprimer les bases de données | + | +
Gestion des tables et de leurs sous-objets : champs, index, clés étrangères et triggers | + | +
Gestion des vues, des fonctions et des procédures stockées. Gestion des fonctions définies par l'utilisateur (FDU) | + | +
Possibilité de dupliquer tous les objets de bases de données | + | +
Outils avancés de gestion des données
Possibilité de visualiser, de modifier, de rechercher, de grouper, de trier et de filtrer toutes les données stockées dans une base de données | + | +
Visualisateur/éditeur BLOB puissant avec plusieurs types de visualisation des données BLOB | + | -
Vue maître-détail pour travailler simultanément avec deux tables liées | + | -
Possibilités différentes d'afficher les données : table ou vue carte | + | -
Support des requêtes renvoyant plusieurs ensembles de données | + | +
Possibilité de copier et de coller des enregistrements sélectionnés | + | -
Export des données vers un script SQL en tant qu’instruction INSERT | + | -
Gestion de la sécurité
Gestionnaire des utilisateurs pour gérer les utilisateurs et leurs droits | + | +
Gestionnaire des droits les affichant pour les objets de bases de données sous forme de grille | + | +
Outils graphiques et outils de texte excellents pour la construction des requêtes
Constructeur graphique de requêtes permettant de construire des requêtes compliquées sans aucune connaissance de la syntaxe SQL | + | -
Éditeurs SQL comprenant la fonction de complétion de code et la coloration syntaxique | + | +
Exécution de grands scripts (éditeur de script SQL) | + | +
SQL Formatter (disponible dans le menu contextuel SQL Editor) | + | -
Requêtes favorites (possibilité de sauvegarder et d’utiliser vos requêtes fréquemment utilisées) | + | +
Possibilités impressionnantes d’import et d’export des données
Export vers les formats les plus populaires : MS Excel, MS Word, MS Access, HTML, PDF, TXT, CSV, DBF, XML, ODF, etc. | + | -
Import des données à partir de MS Excel, MS Access, DBF, XML, ODF, TXT et CSV | + | -
Possibilité de copier partiellement ou complètement les métadonnées et les données depuis une base de données vers une autre | + | -
Concepteur de rapports comprenant l’assistant de construction de rapports facile à utiliser
Assistant de construction de rapports qui vous permet de créer des rapports simples en quelques clics | + | -
La gestion des rapports s’effectue de la même façon que la gestion des objets de bases de données : l’accès aux rapports s’effectue directement via l’arbre de l’explorateur de bases | + | -
Autres outils pour rendre votre travail avec le serveur MySQL aussi facile que possible
Extraction de métadonnées et de données vers les fichiers texte ou vers l’éditeur de scripts SQL | + | -
Module puissant ‘Imprimer les métadonnées’ qui permet de créer des rapports personnalisés sur les méta-données | + | -
Générateur de rapports HTML qui permet de créer rapidement les rapports HTML détaillés sur votre base de données | + | -
SQL Monitor | + | +
L'outil ‘Propriétés de serveur’ permet de visualiser et de modifier les variables système, d’afficher l’information sur l’état du serveur. | + | -
Puissant concepteur graphique de bases de données
Deux types de notations des diagrammes (IDEF1x et IE) | + | -
Outil de navigation dans un diagramme | + | -
Ingénierie inverse | + | -
Division du diagramme en plusieurs aires thématiques, qui se situent sur des pages différentes | + | -
Possibilité de créer/modifier/supprimer les objets de bases de données, de configurer visuellement les liens entre les tables | + | -
Objets virtuels tels que les commentaires et les relations virtuelles | + | -
Sauvegarde de diagramme en tant qu’image ou l’impression du diagramme | + | -
Multitude d'options de personnalisation visuelle | + | -
Assistants faciles à utiliser pour exécuter les services MySQL
Sauvegarde de bases de données | + | -
Restauration de bases de données | + | -
Analyse des tables | + | -
Vérification des tables | + | -
Réparation des tables | + | -
Optimisation des tables | + | -
Nouvelle interface utilisateur graphique de pointe
Support des styles Office 11 et Windows XP | + | +
Système des assistants facile à utiliser | + | +
Explorateur de bases amélioré permettant de gérer facilement tous les objets de MySQL | + | +
Barre d’outils Windows pour basculer entre les fenêtres, comme dans la barre des tâches Windows | + | +
Barre de navigation avec les touches de raccourci dans la plupart des fenêtres | + | +
Possibilité de sauvegarder tous les paramétrages du programme | + | +
Barres d'outils personnalisables pour toutes les fenêtres du programme | + | +
Interface personnalisable du programme | + | +
Module puissant des options graphiques | + | +
L’interface du programme est localisable | + | +
Autres fonctionnalités
Modèles clavier | + | +
Liste des tâches | + | +
Gestionnaire des outils externes | + | +


Installation de MySQL Manager

Installation du programme SQL Manager 2007 for MySQL

  • Veuillez télécharger le fichier d'installation du programme depuis la page de chargement
  • Décompressez le fichier téléchargé dans un dossier (par exemple c:\unzipped)
  • Exécutez setup.exe depuis le dossier et suivez les instructions de l'assistant d'installation
  • Une fois l'installation terminée, vous trouverez les raccourcis du programme dans le menu Démarrer->Programmes->EMS.

FAQ Installation

Mise à jour

  • Veuillez télécharger le fichier exécutable depuis la page de téléchargement sur le site EMS
  • Décompressez le fichier téléchargé dans un dossier (par exemple c:\unzipped)
  • Quittez SQL Manager 2007 for MySQL s'il est lancé
  • Remplacez la version précédente de SQL Manager 2007 for MySQL en copiant les fichiers décompressés.

Vous pouvez mettre à jour le programme et installer la nouvelle version au-dessus de la version actuelle.


Commande et enregistrement

Nous avons passé un contrat avec le fournisseur de commerce électronique Share-it! pour faciliter les processus d'achat de nos produits. L'achat en ligne via Share-it ! est totalement protégé, c'est pourquoi le processus de paiement est très rapide et absolument sécurisé.

Si vous avez commandé notre logiciel en ligne et voulez revoir l'information de votre commande, ou si vous avez des questions à propos de la commande, du paiement ou de la livraison, visitez notre Customer Care Center, sur le site de Share-it!

Notez s'il-vous-plaît que nous distribuons tous nos produits via le système ESD (Electronic Software Delivery) uniquement. Après l'achat, vous pouvez télécharger les clés d’enregistrement ou les mots de passe et les liens de téléchargement des archives des versions complètes. Vous recevrez aussi un email avec une copie des clés d’enregistrement et des mots de passe.

Si, après l'enregistrement, vous n'avez pas reçu la clé d'enregistrement au bout de deux heures, contactez notre service de support à l'adresse sales@sqlmanager.net.

Si vous êtes l'utilisateur enregistré, et si vous avez des questions concernant l’utilisation de notre logiciel, contactez notre service de support.

Si vous n'avez pas le compte membre sur notre site, vous pouvez le créer ici.

Produits

Description |
EMS SQL Manager for MySQL (Business) + 3 ans de maintenance | Acheter !
EMS SQL Manager for MySQL (Business) + 2 ans de maintenance | Acheter !
EMS SQL Manager for MySQL (Business) + 1 an de maintenance | Acheter !
EMS SQL Manager for MySQL (non-commerciale) + 3 ans de maintenance | Commander !
EMS SQL Manager for MySQL (non-commerciale) + 2 ans de maintenance | Commander !
EMS SQL Manager for MySQL (non-commerciale) + 1 an de maintenance | Commander !


Contrat de licence

SQL Manager 2007 for MySQL
  • Index
  • « Prev
  • Next »

End User License Agreement

Contrat de licence de logiciel version SHAREWARE

Contrat de licence de logiciel version FREEWARE

Contrat de licence de logiciel version SHAREWARE

Copyright (C) 1999-2008 EMS Database Management Solutions, Inc. Tous droits réservés

IMPORTANT : VEUILLEZ LIRE ATTENTIVEMENT LE PRÉSENT CONTRAT AVANT D’UTILISER LE LOGICIEL

CONTRAT DE LICENCE UTILISATEUR FINAL.

EMS Database Management Solutions, Inc. ("EMS") vous accorde, par le présent contrat, une copie du logiciel («LE LOGICIEL») et une licence non-transférable pour l'utilisation d'un logiciel conformément aux termes du présent contrat. Сe contrat de licence («LICENCE», «CONTRAT») vous autorise à utiliser le logiciel et contient les informations de garantie et de limitation de responsabilité. La LICENCE sera résiliée automatiquement de plein droit, sans notification de la part de EMS, en cas de violation de votre part de toute stipulation de la LICENCE.

LICENCE POUR LA VERSION NON ENREGISTRÉE. Si vous avez reçu une version non enregistrée du logiciel («LA VERSION NON ENREGISTRÉE»), elle cessera de fonctionner à la date d'expiration programmée. Vous pouvez télécharger UNE VERSION NON ENREGISTRÉE du logiciel et l'utiliser pendant une durée 30 jours. Après cette période d'évaluation («PÉRIODE D’ÉVALUATION»), vous devez soit enregistrer ce logiciel, soit le désinstaller. Vous avez le droit de faire autant de copies de LA VERSION NON ENREGISTRÉE du logiciel et de donner des copies exactes de cette version à qui bon vous semble.

LICENCE POUR LA VERSION ENREGISTRÉE. Vous ne pouvez installer et utiliser qu'une seule copie enregistrée sur un ordinateur à la fois. Le logiciel ne peut être utilisé que par un seul utilisateur («L’UTILISATEUR»). Vous devez acquérir une nouvelle licence pour chaque utilisateur supplémentaire. Vous pouvez faire une copie de LA VERSION ENREGISTRÉE pour des besoins de sauvegarde uniquement.

DISTRIBUTION DE LA VERSION NON ENREGISTRÉE. Vous avez le droit de faire autant de copies de LA VERSION NON ENREGISTRÉE du logiciel et de donner des copies exactes de cette version à qui bon vous semble sous réserve des conditions suivantes. Si UN UTILISATEUR offre une VERSION NON ENREGISTRÉE et non installée du logiciel à télécharger, il s’engage à : (1). Remplacer immédiatement une VERSION NON ENREGISTRÉE et non installée du logiciel par une nouvelle version du PROGRAMME tout de suite après son lancement par EMS (2). Supprimer une VERSION NON ENREGISTRÉE immédiatement dès réception d’un avis envoyé par e-mail de la part de EMS

TERMES. Ce contrat de licence reste en vigueur tant que vous employez le produit ou distribuez la VERSION DE DÉMONSTRATION conformément aux termes et conditions du présent Contrat de licence. EMS se réserve le droit de résilier cette LICENCE dans le cas où vous ne respecteriez pas les termes et conditions de ce CONTRAT DE LICENCE. Le cas échéant, vous vous engagez à détruire toutes les copies du Logiciel enregistré ou non enregistré. (tous les autres droits des deux parties, et tous les autres termes de ce contrat, restant en vigueur).

ACCEPTATION DU PRÉSENT CONTRAT. En téléchargeant ou en installant ce LOGICIEL, vous acceptez les conditions du CONTRAT.

GARANTIE LIMITÉE. Le logiciel vous est fourni « en l’état ». EMS ne garantit pas l’absence d’erreurs. EMS ne pourra en aucun cas être tenus responsables pour tous dommages directs ou indirects pouvant survenir suite à l’utilisation du logiciel ou à l’impossibilité d’utiliser ce dernier (y compris tous dommages résultant des erreurs de fonctionnement du logiciel). De même, nous n’engageons aucunement notre responsabilité pour des réclamations d’un tiers. La responsabilité totale de EMS envers vous, pour tout dommage réel, quelle que soit son origine, se limite à la somme versée pour le logiciel à l’origine dudit dommage. EMS ne pourra en aucun cas être responsable de perte de données, de perte de bénéfices, des pertes pécuniaires, des pannes informatiques ou des interruptions, ni de tout dommage incident ou consécutif (y compris lorsque EMS avait connaissance de l’éventualité de tels dommages).

AUTRES RESTRICTIONS. Vous n'êtes pas autorisé à distribuer le logiciel et à fournir le logiciel aux tiers. Vous n'êtes pas autorisé à créer ou à distribuer des copies du logiciel, à transférer aucune partie ou composants de l’application aux tiers. Vous n'êtes pas autorisé à reproduire, démonter, désassembler, décompiler, décrypter ni dériver d'une façon ou d'une autre le code source du logiciel. Vous n'êtes pas autorisé à transférer le logiciel par voie électronique, à vendre, louer le logiciel ou à effectuer une location à bail. Il vous est permis de faire une copie de programme à titre d'archive ou de sauvegarde. Le transfert de la licence sans l’autorisation expresse de EMS est strictement interdit.

INTÉGRALITÉ DE L'ACCORD. La présente Licence constitue l'intégralité de l'accord entre EMS et l’UTILISATEUR et remplace tout autre accord antérieur ou concomitant. Le présent contrat ne peut être modifié que par un avenant écrit et signé par un représentant habilité de chacune des parties.

Contrat de licence de logiciel version FREEWARE

Copyright (C) 1999-2008 EMS Database Management Solutions, Inc. Tous les droits réservés.

IMPORTANT : VEUILLEZ LIRE ATTENTIVEMENT LE PRÉSENT CONTRAT AVANT D’UTILISER LE LOGICIEL

CONTRAT DE LICENCE UTILISATEUR FINAL. EMS Database Management Solutions, Inc. ("EMS") vous accorde, par le présent contrat, une copie du logiciel («LE LOGICIEL») et une licence non-transférable pour l'utilisation d'un logiciel conformément aux termes du présent contrat. Сe contrat de licence («LICENCE», «CONTRAT») vous autorise à utiliser le logiciel et contient les informations de garantie et de limitation de responsabilité. La LICENCE sera résiliée automatiquement de plein droit, sans notification de la part de EMS, en cas de violation de votre part de toute stipulation de la LICENCE.

LICENCE D’UTILISATION DU LOGICIEL. L’édition FREEWARE du LOGICIEL vous est fourni GRATUITEMENT et peut être utilisée par l’UTILISATEUR uniquement à des fins légales sur un nombre illimité d'ordinateurs pendant une période illimitée sans aucun restriction. L’édition FREEWARE du LOGICIEL est pleinement fonctionnel et ne contient pas d'ADWARE ou de SPYWARE.

DISTRIBUTION DU LOGICIEL. Vous avez le droit de faire autant de copies de l’édition FREEWARE du LOGICIEL et de donner des copies exactes de cette version à qui bon vous semble sans aucun restriction.

TERMES. Ce contrat de licence reste en vigueur tant que vous employez le LOGICIEL et/ou distribuez le LOGICIEL conformément aux termes et conditions du présent Contrat de licence. EMS se réserve le droit de résilier cette LICENCE dans le cas où vous ne respecteriez pas les termes et conditions de ce CONTRAT DE LICENCE. Tous les autres droits des deux parties, et tous les autres termes de ce contrat, restent en vigueur.

ACCEPTATION DU PRÉSENT CONTRAT. En télechargeant ou en installant ce LOGICIEL, vous acceptez les conditions du CONTRAT.

GARANTIE LIMITÉE. Le logiciel vous est fourni « en l’état ». EMS ne garantit pas l’absence d’erreurs. EMS ne pourra en aucun cas être tenus responsables pour tous dommages directs ou indirects pouvant survenir suite à l’utilisation du logiciel ou de l’impossibilité d’utiliser ce dernier (y compris tous dommages résultant des erreurs de fonctionnement du logiciel). De même, nous n’engageons aucunement notre responsabilité pour des réclamations d’un tiers. La responsabilité totale de EMS envers vous, pour tout dommage réel, quelle que soit son origine, se limite à la somme versée pour le logiciel à l’origine dudit dommage. EMS ne pourra en aucun cas être responsable de perte de données, de perte de bénéfices, des pertes pécuniaires, des pannes informatiques ou des interruptions, ni de tout dommage, incident ou consécutif (y compris lorsque EMS avait connaissance de l’éventualité de tels dommages).

AUTRES RESTRICTIONS. Vous n'êtes pas autorisé à distribuer le logiciel et à fournir le logiciel aux tiers. Vous n'êtes pas autorisé à créer ou à distribuer des copies du logiciel, à transférer aucune partie ou composants de l’application aux tiers. Vous n'êtes pas autorisé à reproduire, démonter, désassembler, décompiler, décrypter ni dériver d'une façon ou d'une autre le code source du logiciel. Vous n'êtes pas autorisé à transférer le logiciel par voie électronique, à vendre, louer le logiciel ou à effectuer une location à bail. Il vous est permis de faire une copie de programme à titre d'archive ou de sauvegarde. Le transfert de la licence sans l’autorisation expresse de EMS est strictement interdit.

INTÉGRALITÉ DE L'ACCORD. La présente Licence constitue l'intégralité de l'accord entre EMS et l’UTILISATEUR et remplace tout autre accord antérieur ou concomitant. Le présent contrat ne peut être modifié que par un avenant écrit et signée par un représentant habilité de chacune des parties.


Historique des versions

22.08.2008 | Lancement de SQL Manager 2007 for MySQL version 4.4.0.1
02.11.2007 | Lancement de SQL Manager 2007 for MySQL version 4.2.0.1
07.06.2007 | Lancement de SQL Manager 2007 for MySQL version 4.1
19.04.2007 | Lancement de SQL Manager 2007 for MySQL
20.06.2006 | Lancement de SQL Manager 2005 for MySQL version 3.7
28.03.2006 | Lancement de SQL Manager 2005 for MySQL version 3.6.5
02.02.2006 | Lancement de SQL Manager 2005 for MySQL version3.6.

22.08.2008 SQL Manager 2007 for MySQL version 4.4.0.1 est sorti

Quoi de neuf dans SQL Manager 2007 for MySQL version 4.4.0.1 ?

  1. Explorateur de bases.
  • La barre de recherche a été ajoutée pour la recherche rapide des objets dans l’explorateur de bases.
  • La liste des fenêtres est maintenant disponible dans l’explorateur de bases - l’onglet correspondant a été ajouté ;

  2. Le support de l'encodage UTF8 pour les métadonnées a été ajouté.
  • Les procédures, les fonctions et les triggers contenant les caractères nationaux sont maintenant compilés correctement indépendamment des réglages du système d’exploitation.
  • Les caractères nationaux s’affichent maintenant correctement dans les champs de type ENUM.
  3. Il est maintenant possible de restaurer automatiquement la connexion échouée à une base de données : l’option “Automatically reconnect when connection is lost” a été ajoutée dans la fenêtre Information sur la base de données enregistrée.
  4. L’outil Rechercher l’option a été ajouté
  5. Éditeur de tables. Le support de tables de type FEDERATED a été ajouté.
  6. Assistant d’extraction des bases de données.
  • La vitesse de travail avec les grandes bases de données a été améliorée.
  • Vous pouvez maintenant ajouter les directives delimiter lors d’extraction des procédures et des triggers : l’option “Add DELIMITER statements for stored routines and triggers” a été ajoutée.
  • L’ajout des commentaires est maintenant optionnel : l’option “Insert Comments” a été ajoutée.
  7. Assisitant d’import de données.
  • Les champs de table peuvent être automatiquement comparés avec les colonnes texte.
  • Vous pouvez maintenant spécifier le codage pour les fichiers CSV et TXT lors d’import.
  • La sélection du paramètre ANSI ou OEM n’affectait pas le résultat lors de l’import à partir du fichier DBF. L’erreur est corrigée.
  8. Constructeur visuel des requêtes.
  • Maintenant il est possible d’afficher les noms des clés étrangères dans les diagrammes : l’option “Draw FOREIGN KEY name” a été ajoutée.
  • La fonction “Materialize Virtual Relation” a été ajoutée. Cette fonction permet de créer une clé étrangère sur la base des relations virtuelles.
  • La taille des champs de table s’affiche maintenant dans le diagramme.
  • Maintenant le dialogue de confirmation apparaît lors de la suppression des clés étrangères.
  9. Restauration des tables. Vous pouvez maintenant saisir manuellement les noms des tables qui n’existent plus dans la base de données afin de restaurer celles-là.
  10. Assistant d’export de données.
  • Vous pouvez maintenant ajouter le texte de la requête dans l’en-tête et/ou dans le bas de page du fichier en sortie lors de l’export du résultat de l’exécution de la requête créée dans l'éditeur de requêtes et le constructeur graphique de requêtes : les boutons correspondants 'Add to Header’/’Add to Footer' ont été ajoutés.
  • L’erreur ‘Out of Memory’ survenait lors d’un export d’un grand nombre d’enregistrements (plus de 1000000). L’erreur est corrigée.
  11. Éditeur des triggers
  • Maintenant vous pouvez ajouter et modifier le DEFINER pour les triggers.
  • La fonction de complétion de code ne fonctionnait pas après le nom de la table et le caractère point. L’erreur est corrigée.
  12. Maintenant les valeurs des champs de type unsigned bigint et unsigned int qui dépassent 2147483647 s’affichent et peuvent être modifiées correctement.
  13. Visualisation grille et visualisation formulaire.
  • La date zéro 0000-00-00 s’affiche maintenant correctement et peut être modifiée correctement.
  • La possibilité de modifier la date dans toutes les plages MySQL supportées à partir de -838:59:59' jusqu’à '838:59:59’. Il faut sélectionner le format ‘hhh:nn:ss’ pour afficher le temps (Options de l'environnement | Grille | Couleurs & Formats | Champs time / Environment options | Grid | Color & Format | Time Fields).
  14. Éditeur SQL.
  • L’annulation de la transaction (rollback) s’exécute plus logiquement avec l’option activée ‘Annulation groupée’/‘Group Undo’.
  • La fonction de repli de code a été améliorée pour les requêtes complexes.
  • L’éditeur fonctionne maintenant beaucoup plus vite ; les fonctionnalités tels que la coloration syntaxique, les liens hypertexte ne sont plus désactivées lors du traitement des grands scripts.
  15. Éditeur des procédures. Une erreur survenait lors de la compilation des procédures dont les noms contenaient plus de 60 caractères. L’erreur est corrigée.
  16. Assistant de sauvegarde de données. Les modèles ne fonctionnaient pas. L’erreur est corrigée.
  17. La fonction "Exécuter à partir du fichier"/ "Execute from file" ne fonctionnait pas pour les fichiers avec le codage UNICODE. L’erreur est corrigée.
  18. D’autres améliorations et corrections d’erreurs mineures ont été réalisées.

02.11.2007, SQL Manager 2007 for MySQL version 4.2.0.1 a été lancé

Quoi de neuf dans SQL Manager 2007 for MySQL version 4.2.0.1 ?

  1. Nous avons amélioré le système de construction des dépendances sur l'onglet de visualisation des dépendances d'objet dans les éditeurs d’objets.
  2. L’éditeur SQL. La fonctionnalité de complétion de code a été améliorée. La surbrillance des mots réservés (fonctionnalité de MySQL 6.0.) a été ajoutée.
  3. Les données textuelles de tables et de requêtes s’affichaient mal si les paramètres régionaux coréens étaient sélectionnés dans Windows. L’erreur est corrigée.
  4. Création de la base de données. L’erreur survenait lors de la sélection de UTF8 dans le champ ‘Jeu de caractères’ (Character Set). L’erreur est corrigée.
  5. Éditeur de vues. Dans certains cas rares, la fermeture anormale du programme avait lieu lors de la sélection de l’élément « Modifier dans le Constructeur de requêtes » (Edit with Query Builder). L’erreur est corrigée.
  6. Extraction de la base. Dans certains cas rares, les commentaires vides étaient mal extraits lors de l’extraction des procédures et des fonctions. L’erreur est corrigée.
  7. La traduction de l’interface allemande a été mise au point.
  8. La traduction de l’interface russe est maintenant disponible.
  9. La traduction de l’interface polonaise est maintenant disponible.
  10. D’autres améliorations et corrections d’erreurs mineures ont été réalisées.

Lancement de SQL Manager 2007 for MySQL version 4.1

Quoi de neuf dans SQL Manager 2007 for MySQL ?

  1. Éditeur SQL. Nous avons ajouté une astuce qui affiche les paramètres pour les procédures et les fonctions ajoutées. Cette astuce peut être appelée manuellement à l’aide du raccourci – Ctrl+Shift+Space.
  2. Éditeur de procédures, éditeur de fonctions : vous pouvez maintenant maximiser la taille de la fenêtre de l’éditeur SQL de définition.
  3. L'éditeur BLOB permet maintenant de parcourir les champs de type TEXT.
  4. La vitesse de fonctionnement de l’outil d'extraction de bases de données a été considérablement augmentée.
  5. Les assistants ont été mis à jour : maintenant les invites de confirmation surgissent lors de la pression répétée sur le bouton Finir.

Corrections

  1. Lors de la connexion à une base de données via le tunnel HTTP, une erreur de représentation de données avait lieu dans l’éditeur de table sur l’onglet Données. L’erreur est corrigée.

2. Nous avons supprimé l’erreur «Illegal mix of collation» qui avait lieu lors de l’exécution de certaines commandes SQL sur les serveurs MySQL 4.1 - 5.0.

3. Impression des méta-données. Une erreur avait lieu lors de la tentative d'impression des métadonnées pendant la sélection de la taille du papier «Letter».

4. Script SQL. L’exécution de la séquence de commandes comme

OPTIMIZE TABLE table1, table2;

FLUSH TABLES;

était source d’erreur "out of sync". L’erreur est corrigée.

5. ‘Services’ | ‘Optimisation de tables’ : une erreur avait lieu lors de la tentative d’optimiser les tables InnoDB sur MySQL 5.0. L’erreur est corrigée.

6. Extraction de bases de données. Une erreur avait lieu lors de la tentative d’extraire les données avec l’option "Login prompt before connection" activée. L’erreur est corrigée.

7. L’enregistrement du programme est maintenant correcte : l’information sur l’enregistrement de l’ancienne version (SQL Manager 2005) ne s’efface plus lors de l’enregistrement de SQL Manager 2007.

8. Version Lite. SQL Manager Direct n’était pas activé lors du lancement de l’application. L’erreur est corrigée.

9. Éditeur SQL. Il était impossible de taper les guillemets avec la disposition du clavier "USA-International" et "DA - Danish". L’erreur est corrigée.

10. Éditeur SQL. Un fichier ouvert n’était pas sauvegardé quand on cliquait sur « Sauvegarder dans un fichier ». L’erreur est corrigée.

11. Éditeur SQL : Dans certains cas rares, la liste des champs n’apparaissait pas pour l’alias d’une table. L’erreur est corrigée.

12. Nous avons ajouté un nouveau raccourci Ctrl+W pour fermer la fenêtre active.

13. D’autres améliorations et corrections d’erreurs mineures ont été réalisées

Lancement de SQL Manager 2007 for MySQL

Quoi de neuf dans SQL Manager 2007 for MySQL ?

  1. Le support de données UTF8 a été ajouté dans l’éditeur SQL, dans le constructeur de requêtes, dans la visualisation grille, dans l’assistant d'export/import de données.
  2. Vous pouvez maintenant continuer à travailler avec SQL Manager alors qu'une requête est en cours d'exécution dans l’éditeur SQL ou dans le constructeur de requêtes ou simultanément avec le chargement des données des tables ou des données des vues dans l’éditeur. Vous pouvez maintenant annuler une requête qui prend trop de temps en exécution.
  3. Tous les assistants (y compris l’assistant d'export/import de données, l’assistant d'extraction de bases de données, l’assistant de copie de bases de données) peuvent être exécutés en tâche de fond, ce qui vous permet de travailler avec SQL Manager for PostgreSQL.
  4. Nouvel éditeur SQL a été amélioré à la manière de Visual Studio 2005 ; la fonction Code Folding et le support de l’UNICODE ont été ajoutés.
  5. L’assistant d'import de données permet maintenant d’importer les données dix fois plus vite. La possibilité d’importer les données à partir des formats HTML, XML Document, Open Document Format (OpenOffice), Open XML Format (MS Word 2007, MS Excel 2007) a été ajoutée.
  6. L’assistant de copie de bases de données amélioré fonctionne maintenant beaucoup plus vite et permet de copier les bases de données et les objets des bases de données entre les différentes versions du serveur. Les dépendances des objets sont maintenant prises en considération lors du processus de copie.
  7. L’assistant d'extraction de bases de données amélioré fonctionne beaucoup plus vite et permet de régler une version du serveur pour lequel il faut générer un script ; l’assistant aussi prend en considération les dépendances des objets.
  8. Le support des requêtes renvoyant plusieurs ensembles de données a été ajouté.
  9. Les commandes SQL communes peuvent être maintenant générées à partir de l’explorateur de base (Script to SQL Editor, Script to Clipboard). Vous pouvez maintenant générer facilement les commandes SQL tels que CREATE, ALERT, DROP, SELECT pour chaque objet de base de données.
  10. Vous pouvez maintenant sauvegarder vos requêtes dans les répertoires ‘Requêtes favorites' de l’explorateur de base. Ces requêtes peuvent être stockées soit localement dans un registre (dans ce cas les requêtes seront disponibles pour vous seulement) soit dans une table spéciale de la base de données (dans ce cas les requêtes seront disponibles pour certains utilisateurs ou pour tous les utilisateurs de votre base de données).
  11. Le concepteur visuel de bases de données a été amélioré, les nouveaux objets (les commentaires et les relations virtuelles) ont été ajoutés. Vous pouvez maintenant inclure les procédures, les fonctions et les vues dans un diagramme. Vous pouvez choisir si les noms des objets seulement seront affichés ou les champs et les paramètres seront affichés aussi.
  12. L’assistant d'export de données a aussi été amélioré. Il fonctionne maintenant beaucoup plus vite. De nouveaux formats d’export ont été ajoutés : XML Document, Open Document Format (OpenOffice), Open XML Format (MS Word 2007, MS Excel 2007)
  13. Nouvel outil ‘Arbre de dépendances’ permet de visualiser les dépendances entre les objets de bases de données.
  14. L’outil ‘Propriétés du serveur’ a été amélioré. Les variables peuvent être maintenant divisées en groupes. Les variables système peuvent être modifiées. Nous avons ajouté la possibilité d’afficher l’information sur un serveur, sur l’état InnoDB et sur le journal des requêtes général.
  15. La fenêtre ‘Propriétés de la base’ a été ajoutée, cette fenêtre affiche les options de la base de données et permet de modifier celles-ci, d’afficher l’information sommaire sur la taille de la base de données aussi que l’information sommaire sur les objets de la base de données.
  16. L'éditeur de table a été amélioré. Vous pouvez maintenant visualiser et modifier les propriétés de la table sur un nouvel onglet, aussi que visualiser l’état de la table.
  17. Les paramètres de connexion et les options des données (qui ont de l’impact sur la vitesse des performances d’une base de données) ont été déplacés vers la fenêtre ‘Info sur la base de données enregistrée’. Pour votre commodité vous pouvez les configurer individuellement pour chaque base de données.
  18. Les hôtes dans l’explorateur de base sont maintenant nommés en conformité avec le type de connexion sélectionnée (le tunnel SSH ou HTTP).
  19. Le tunnel SSH permet maintenant de configurer une clé.
  20. Script SQL. La possibilité d’exécuter les instructions sélectionnées et les instructions sous curseur a été ajoutée.
  21. Le système de construction des rapports a été amélioré.
  22. D’autres améliorations et corrections d’erreurs mineures ont été réalisées.

Lancement de SQL Manager 2005 for MySQL version. 3.7

Quoi de neuf dans SQL Manager 2005 for MySQL version 3.7 ?

  1. Le support des événements planifiés a été ajouté pour MySQL 5.1.6
  2. Export vers un script SQL. Maintenant vous pouvez sélectionner un serveur DBMS pour lequel il faut générer un script.
  3. Éditeur SQL.

  • Nous avons ajouté la possibilité d’importer les données vers une requête qui supporte l'insertion de données
  • Nous avons ajouté la possibilité de renommer et de déplacer les onglets.
  • Le temps d’exécution de la requête s’affiche maintenant au format hh:mm:ss.
  • Dans certains cas rares l’erreur Range Check Error surgissait lors de l’exécution des requêtes. L’erreur est corrigée.

  4. Explorateur de bases. Nous avons ajouté la commande ‘Ajouter aux projets’ (‘Add to Projects’). Vous pouvez maintenant ajouter les objets aux projets non seulement en les déplaçant, mais aussi en les sélectionnant dans la fenêtre qui s’ouvre à l’aide de la commande 'Add to Projects'.
  5. Le tunnel HTTP fonctionne maintenant via le protocole HTTPS
  6. Maintenant pour utiliser les services il n’y a aucune nécessité de se connecter à une base de données à l’aide de l’explorateur de bases.
  7. Le support des moteurs de stockage NDBCluster et BlackHole a été ajouté.
  8. La liste Character sets et les Collations ont été mis à jour dans l’assistant de création de bases de données.
  9. Maintenant la taille et la position des fenêtres des éditeurs de nouveaux objets (nouvelles procédures, nouvelles fonctions) se sauvegardent.
  10. Grille. Les options Tout déployer (Expand All) et Tout diminuer (Collapse All) ont été ajoutées dans le menu contextuel.
  11. Les contrôles dans les barres d’outils restent maintenant après l’installation de la version nouvelle du programme. Vous pouvez réinitialiser les barres d’outils en utilisant la commande correspondante dans le menu Windows ou à l’aide du bouton correspondant dans le dialogue ‘Options de l'environnement’.
  12. Concepteur visuel de bases de données. Le style du menu contextuel ne se modifiait pas en correspondance avec les options visuelles actuelles. L’erreur est corrigée.
  13. La charge du processeur a été considérablement réduite (l’usage CPU est 90%) pour l’utilisation simultanée du programme avec d’autres applications.

Corrections

  1. Les définitions des vues et des triggers étaient tronquées à 8K. L’erreur est corrigée.
  2. Éditeur des tables. Le service ‘Truncate table’ fonctionne maintenant correctement.
  3. Les champs calculés de type sum() étaient considérés en tant que chaînes dans les requêtes. L’erreur est corrigée.
  4. Nous avons corrigé le formatage incorrect du corps de la vue avec les champs comme

concat(ucase(`staff`.`pref_surname`), ', ', `staff`.`pref_name`) AS `person`.

  5. La propriété UNIQUE s’actualisait incorrectement pour les champs. Ceci était source d’erreurs lors du replacement des champs. L’erreur est corrigée.
  6. Nous avons corrigé l’erreur qui avait lieu lors de la modification des index UNIQUE KEY `name` (`surname`(5),`name`,`patronymic`).
  7. L’erreur surgissait sur certaines versions du serveur lors de l’ajout d’un nouveau rapport dans l’assistant de création de rapports. L’erreur est corrigée.
  8. Nous avons corrigée l’erreur qui surgissait lors de la récupération des valeurs par défaut pour les champs BIT. L’erreur est corrigée.
  9. Éditeur de fonctions retournait le résultat NULL en tant qu’une chaîne vide. L’erreur est corrigée.
  10. La taille et la position de la fenêtre n’étaient pas sauvegardés.
  11. Informations sur l'enregistrement de la base. L’unicité des alias de la base de données n’était pas vérifiée lors de la sauvegarde de données. L’erreur est corrigée.
  12. Dans certains cas rares le groupage travaillait incorrectement dans l'éditeur de table. L’erreur est corrigée.
  13. Une erreur de la violation d’accès surgissait lors de la configuration du filtre pour le champs de type TEXT. L’erreur est corrigée.
  14. L’option 'Aide' ne fonctionnait pas bien dans Constructeur de rapport. L’erreur est corrigée.
  15. Certains caractères non-latins s’affichaient incorrectement dans la fenêtre EMS Direct. L’erreur est corrigée.
  16. La boîte de dialogue de connexion s’affichait deux fois pour les propriétés du serveur. L’erreur est corrigée.
  17. Naming Rules ne se sauvegardaient pas après la fermeture du programme. L’erreur est corrigée.
  18. L’erreur surgissait dans Restore Service lors de la sélection de «La base de données non-enregistrée», et de «Créer une nouvelle base de données». L’erreur est corrigée.
  19. Constructeur visuel de requêtes. L’erreur avait lieu après la modification du texte de la requête sur l’onglet ‘Modifier’. La fonction ‘Créer une vue’ utilisait l’ancienne requête depuis l’onglet ‘Constructeur’. L’erreur est corrigée.
  20. D’autres améliorations et corrections d’erreurs mineures ont été réalisées.

Lancement de SQL Manager 2005 for MySQL ver.3.6.5

Quoi de neuf dans SQL Manager 2005 for MySQL version 3.6.5 ?

  1. Éditeur SQL. La correspondance de touches a été réalisée pour configurer les raccourcis des différentes commandes et opérations conformément à vos besoins.

2. Constructeur de requêtes. Nous avons ajouté le support des requêtes contenant les tables de différentes bases de données qui se trouvent sur le même serveur.

3. Créer une table. Le support des commentaires pour les tables a été ajouté.

4. Propriétés du serveur. Le support de la connexion via les tunnels SSH et HTTP a été ajouté.

5. La nouvelle option "Write only successfully executed SQL statements to log" a été ajoutée (Informations sur l'enregistrement de la base / Journaux)

6. Éditeur SQL

  • La possibilité d’exécuter l’instruction SQL sous curseur.
  • Les options ‘Prochain marque-page’ et ‘Précédent marque-page’ ont été ajoutées.

7. Extraction de bases de données.

  • L’option "Use tables selected on the previous step" a été ajoutée pour extraire les données de tables qui ont été sélectionnées pour extraire leur structure.
  • L’indicateur de progrès affiche maintenant le nombre de données extraites pour les tables.
  • Nous avons corrigé l’erreur qui avait lieu lors d’extraction des procédures et des fonctions si l’utilisateur n’avait pas de droits de les visualiser.
  • Maintenant le script généré insére correctement la valeur 0 pour les champs auto-incrémentals.

8. Copie de bases de données.

  • L’option "Use tables selected on the previous step" a été ajouté pour copier les données des tables qui ont été sélectionnées pour copier leur structure.
  • L’indicateur du progrès affiche maintenant le nombre de données copiées pour les tables.
  • L’option "Use compressed protocol" a été ajoutée.

9. Assistant de création de bases de données. Le nom de la base de données crée est maintenant mis entre guillemets.

10. Data Import.

  • Maintenant l’action de transaction (‘Valider’ ou ‘Annuler’) est demandé après l’import avec les transactions désactivées en mode " Valider manuellement les modifications".
  • La possibilité de modifier la taille de la fenêtre de dialogue a été ajoutée.
  • La configuration de la 'Valeur de générateur' et la 'Valeur constante' était ignoré lors de la définition du format des champs importés. L'erreur est corrigée.
  • Lors de la définition de la partie de champs à importer les valeurs vides étaient insérées dans les champs restants. A cause de cela les valeurs par défaut définies dans la table des champs n’étaient pas appliquées. L’erreur est corrigée.

11. Éditeur de procédures.

Le support des constructions de type

procd:BEGIN

...

END procd

dans le corp des procédures a été ajouté.

Corrections

1. Éditeur de procédures. Nous avons corrigé l’erreur de la création de la procédure avec les paramètres de type :

param2 ENUM('a','b','c')

2. Les paramètres des fonctions n’étaient mis à jour si l’utilisateur n’avait pas de droits pour mysql.proc. L’erreur est corrigée.

3. Maintenant le service ‘Optimize tables’ fonctionne correctement pour les tables InnoDB de MySQL.

4. Nous avons corrigé l’erreur de l’obtention des valeurs par défaut pour les champs de type BIT(n).

5. Éditeur SQL

  • Nous avons éliminé l’erreur de "Division by zero" qui avait lieu lors de l’exécution de «EXPLAIN sur une requête» pour une requête incorrecte.
  • Dans certains cas rares le texte était supprimé dès le début de la ligne lors de l’utilisation de l’outil de Complétion de code (avec l’option activé "Trim traling spaces"). L’erreur est corrigée.

6. Concepteur visuel de bases de données. L’option ‘Supprimer la table’ du menu contextuel ne fonctionnait pas bien si le champ était sélectionné mais la table n’était pas sélectionnée. L’erreur est corrigée.

7. SQL Script. La confirmation pour l’interruption de l’exécution de script a été ajoutée.

8. Explorateur de bases. Le menu contextuel restait visible pendant le basculement sur une autre application. L’erreur est corrigée.

9. Éditeur de table, éditeur de vue. Les lignes contenant plus de 32 symboles étaient coupées lors de l’exportation des listes des sous-objets. L’erreur est corrigée.

10. D’autres améliorations et corrections d’erreurs mineures ont été réalisées.

Lancement de SQL Manager 2005 for MySQL ver.3.6.

Quoi de neuf dans SQL Manager 2005 for MySQL version 3.6 ?

  1. Formateur SQL. Possibilité de mettre en forme les requêtes SELECT, INSERT, UPDATE, DELETE (disponible via le menu contextuel de l’éditeur SQL).
  2. SQL Script.

Le processus d’exécution du script s’affiche maintenant. Vous avez la possibilité d’arrêter l’exécution.

La possibilité d’ouvrir simultanément plusieurs fenêtres a été ajouté.

La modification du grand script (> 10 M) était source de plantage, si l’option ‘Activer l'analyse’ ('Enable parsing') était activée. L’erreur est corrigée.

  3. Vous pouvez maintenant définir les informations de connexion avec l'hôte dans le Gestionnaire des utilisateurs, le Gestionnaire des droits et le script SQL lors de la configuration de connexion. Ces outils fonctionnent maintenant correctement lors de l’utilisation des tunnels HTTP et SSH.
  4. L’éditeur SQL.

L’option ' Ne pas sauvegarder automatiquement les requêtes SQL pour la prochaine session’ ('Don't save queries automatically for the next session'a été ajoutée). Cette option activé vous permet de créer et de sauvegarder les requêtes pour chaque base de données qui seront automatiquement lues lors de l’exécution de l’éditeur SQL. Si cette option est désactivée, les requêtes créées pendant la dernière session se sauvegardent.

Maintenant il n’y a pas de limitation pour la taille des scripts modifiés.

  5. Le support des types de données BOOLEAN et BIT(M) a été ajouté.
  6. L’option "Tronquer les tables" peut être appliquée pour plusieurs tables sélectionnées dans l’explorateur de bases.
  7. Constructeur de requête sauvegarde maintenant la requête entre les sessions.
  8. Éditeur de table

Le bouton "Rafraîchir" ('Refresh') permet maintenant d’afficher les modifications validés par les autres transactions.

La fonction "Reorder fields" (‘Réordonner les champs’) fonctionne maintenant correctement pour les tables InnoDB avec des clés étrangères.

  9. La grille.

Les commandes telles que ‘Initialiser à une chaîne vide’ ('Set to Empty String') ne sauvegardent les données dans la table tout de suite lors de l’exécution.

Après avoir collé les enregistrements depuis le Presse-papiers, vous pouvez configurer les correspondances entre les colonnes de presse-papiers et les celles de la requête.

La fonction ‘Copier dans le presse-papier’ ('Copy to clipboard') utilise maintenant les tabulations en tant que délimiteurs (pour coller dans Excel).

Visualisation formulaire. L’éditeur de champs mémo a été agrandi (vous pouvez le personnaliser en utilisant Grille -> l’onglet Avancé de la fenêtre Options de l'environnement)

  10. Extraction de bases de données. L’option ‘Générer une instruction USE’ a été ajoutée.
  11. Assistant d'export de données.

L’option ‘Autoriser les libellés’ ('Allow captions') a été ajoutée

Le bouton ‘Terminer’ ('Finish') est maintenant disponible lors de toutes les étapes de assistant

  12. Éditeur de procédures. Les valeurs des paramètres en sortie s’affichent maintenant.
  13. Vous pouvez maintenant appeler la fenêtre ‘Propriétés de la table’ pour la table sélectionnée dans l’explorateur de bases en utilisant le bouton ‘Propriétés de l'objet’ ('Object Properties') du menu contextuel ou en cliquant sur le bouton correspondantde la barre d’outils.
  14. Visualisation BLOB. L’option ‘Retour à la ligne auto’ (‘Word Wrap’) a été ajouté pour le texte (disponible via le menu contextuel)
  15. Vous pouvez maintenant démarrer le gestionnaire des droits sans connecter à une base de données
  16. Éditeur de trigger. Complétion de code affiche maintenant la liste des champs de tables pour les mots clés OLD. et NEW.
  17. Le support de l’option 'Binary flag for char and varchar fields' a été ajouté (pour les versions 3.23-4.0 de MySQL).
  18. Les options des bases de données se sauvegardent immédiatement après la modification, et pas à la fin de la session de travail. Donc, les modifications effectuées pendant la session restent sauvegardées en cas d’arrêt du programme ou du plantage du système.
  19. Le constructeur de rapport et l’éditeur de rapport supportent maintenant la connexion à une base de données via le tunnel HTTP.
  20. Éditeur de colonnes sauvegarde la valeur ‘Size’ lors de la modification du type Char pour Varchar et à l'envers.
  21. Duplication d'objet, constructeur de requêtes modal. Vous pouvez maintenant modifier la taille de ces fenêtres.

Corrections

  1. La fermeture de l’éditeur de tables prenait trop de temps en exécution si le nombre de tables dans la base de données était supérieur à 1000. L’erreur est corrigée.
  2. Le tri par champs de type Bigint ne fonctionnait pas bien avec l’option activé 'SQL sort mode'. L’erreur est corrigée.
  3. La fonction de complétion de code n’affichait pas les champs pour les tables et les vues. L’erreur est corrigée.
  4. Impression des métadonnées. Le bouton ‘Afficher tous les objets’ ('Show all objects') ne fonctionnait pas bien. L’erreur est corrigée.
  5. Éditeur de procédure. La requête s’exécutait deux fois après le clique sur ‘Exécuter’ ('Execute'). L’erreur est corrigée.
  6. Éditeur de vues. L’erreur avait lieu lors de la création d’une nouvelle vue dont le nom comprenait les lettres majuscules. L’erreur est corrigée.
  7. Le type Decimal(10, 2) s’affichait en tant que Decimal(10, 0) lors de la connexion HTTP. L’erreur est corrigée.
  8. L’erreur avait lieu lors de la mise à jour des fonctions et des procédures dans l’explorateur de bases, si l’utilisateur n’avait pas les droits d’accès pour 'mysql.proc'. L’erreur est corrigée.
  9. D’autres améliorations et corrections d’erreurs mineures ont été réalisées.


Questions fréquemment posées

Vous pouvez rechercher les questions fréquemment posées sur le site web de notre société à l'adresse http://sqlmanager.net/ru/products/mysql/manager/faq.

Table des matières :

  • EMS MySQL Manager, qu’est-ce que c’est ?
  • Quelle est la différence entre la version standard et la version Lite de MySQL Manager ?
  • Que dois-je faire pour commencer à travailler avec EMS MySQL Manager ?
  • Quelle est la différence entre les fonctions export/import de MySQL Manager et les utilitaires MySQL Export/Import ?
  • Quelle est la différence entre le module de constructeur de requêtes de MySQL Manager et l’utilitaire MySQL Query ?
  • Quelle est la différence entre la fonction ‘Extraire les méta-données’ de MySQL Manager et l’utilitaire MySQL Extract ?
  • Je n’arrive pas à modifier la DDL. Pourquoi ?
  • Comment puis-je personnaliser les formats de données dans la grille ?
  • Quand je crée une table `TestTable`, elle est sauvegardée comme `testtable`. Ce n’est pas correct !
  • Comment puis-je créer un rapport ?
  • J’essaye de créer un rapport dans le constructeur de rapport, mais je n’arrive pas à accéder aux données de la table : la liste 'Bande de sources de données' est vide.
  • Le tunnel SSH, qu’est ce que c’est ?
  • Je n’arrive pas à paramétrer la connexion au serveur MySQL via SSH. Quelles valeurs dois-je entrer dans les champs sur l’onglet SSH du dialogue d'enregistrement de la base de données ?
  • Le tunnel HTTP, qu’est ce que c’est ?
  • Comment puis-je augmenter la vitesse de travail avec des grandes tables ?
  • J’ai une table qui contient seulement ~ 1000 enregistrements et un grand nombre de champs. L’ouverture de cette table dans l’onglet ‘Données’ prend beaucoup de temps
  • J’ai plus d’un million d’enregistrements dans la table, pourtant seulement 1000 s’affichent dans la grille des données. Que faire ?
  • Je voudrais réaliser des modifications dans ma base de données de test, puis réaliser ces modifications dans ma base de données principale. MySQL Manager dispose-t-il d’outils spéciaux pour faire cela ?
  • J’essaie d’exporter une table, mais les champs de type LONGTEXT ne sont pas exportés
  • Quelle est la différence entre les fonctions “Extraire les méta-données” et “Exporter en tant que script SQL” ?
  • Comment puis-je modifier le répertoire par défaut où les données exportées seront sauvegardées ?
  • Pourquoi je n’arrive pas à me connecter au serveur MySQL local ?
  • Quand j’essaie d’enregistrer une base de données, un message d’erreur surgit : Access denied for user: myuser@myhost.mydomain. Quelles en sont les causes ?
  • Je travaille derrière un pare-feu (routeur). Est-ce que je peux utiliser SQL Manager pour gérer un serveur MySQL distant ?
  • Pourquoi je n’arrive pas à me connecter au serveur MySQL distant ?
  • J’essaie d’enregistrer une base de données MySQL qui est installée sur un serveur web, mais j’ai un message d’erreur. Je peux accéder à cette base de données depuis mes scripts PHP, et ça marche parfaitement avec les mêmes login et mot de passe. Comment puis-je accéder à la base de données de mon site web en utilisant SQL Manager ?
  • Lors de la connexion à un hôte MySQL distant, le message d’erreur "Host not allowed to connect to server" m'est renvoyé. Quelles en sont les causes ?
  • J’ai enregistré une base de données mais, quand j’essaie de l’ouvrir, j’ai un message d’erreur “dynamic library libmysql.dll not found”
  • Quand j’essaie de me connecter au serveur MySQL 4.1.x, le message d’erreur surgit « Bad Handshake ». Votre produit supporte-t-il 4.1.x ?
  • J’ai essayé de créer une clé étrangère pour la table InnoDB mais j’ai eu le message d’erreur "Can‘t create table ... (error: 150)". Que faire ?
  • J’utilise Windows mais mon serveur MySQL fonctionne sur Linux. Est-ce que je peux utiliser STUDIO pour travailler avec ce serveur ?
  • Chaque fois que j’essaie de me connecter à une base de données MySQL qui se trouve sur le serveur Linux distant, j’ai un message d’erreur 'Lost connection to MySQL server during query'. Pourquoi ?

Q :

EMS MySQL Manager, qu’est-ce que c’est ?

R :

EMS MySQL Manager est un puissant outil d’administration et de développement de bases de données MySQL. SQL Manager for MySQL fonctionne avec toutes les versions de MySQL de la 3.23 à la 5.0.6 et supporte toutes les dernières fonctionnalités de MySQL, y compris les vues, les procédures et les fonctions stockées, les clés étrangères pour les tables InnoDB, etc. MySQL Manager offre une multitude d’outils puissants capable de répondre aux besoins des utilisateurs expérimentés. SQL Manager for MySQL dispose d'une nouvelle interface graphique impressionnante et d'un système des assistants avec une description détaillée, assistants dont l’usage est simple même pour un utilisateur novice.

En haut

Q :

Quelle est la différence entre la version standard et la version Lite de MySQL Manager ?

R :

Ces éditions de MySQL Manager se distinguent par leurs fonctionnalités et leur prix. Vous pouvez enregistrer MySQL Manager sur la page d’achat. Pour en savoir plus à propos des différences entre les fonctionnalités, veuillez visiter la page avec la table des fonctions.

En haut

Q :

Que dois-je faire pour commencer à travailler avec EMS MySQL Manager ?

R :

Pour commencer à travailler avec EMS MySQL Manager, vous devez avoir la possibilité de vous connecter au serveur MySQL local ou distant. Vous pouvez télécharger le serveur MySQL ici http://www.mysql.com/downloads/index.html (le téléchargement est gratuit). Votre ordinateur doit satisfaire aux pré-requis de MySQL : Windows NT4/2000/XP/2003/Vista et Pentium II 600, 64 Mo RAM recommandés.

En haut

Q :

Quelle est la différence entre les fonctions export/import de MySQL Manager et les utilitaires MySQL Export/Import ?

R :

Les utilitaires Data Export/Import for MySQL disposent de fonctionnalités supplémentaires qui ne sont pas disponibles dans SQL Manager for MySQL comme, par exemple :

Export/import simultanés de données depuis/vers plusieurs tables ;

Export/import simultanés de données depuis/vers plusieurs tables sélectionnées des différentes bases de données d’un seul hôte ;

Utilitaire en ligne de commande qui permet d’exporter/d’importer des données en utilisant un fichier de configuration avec toutes les options.

En haut

Q :

Quelle est la différence entre le module de construction de requêtes de MySQL Manager et l’utilitaire MySQL Query ?

R :

Tout d'abord, MySQL Query fonctionne beaucoup plus vite parce que c’est une application légère. De plus, MySQL Query fournit des fonctionnalités supplémentaires pour construire des requêtes, par exemple :

stockage de l’historique des requêtes permettant de revoir n’importe quelle requête modifiée

diverses améliorations de l’interface qui facilitent votre travail.

En haut

Q :

Quelle est la différence entre la fonction ‘Extraire les méta-données’ de MySQL Manager et l’utilitaire MySQL Extract ?

R :

MySQL Extract dispose de fonctionnalités supplémentaires, qui ne sont pas disponibles dans MySQL Manager, par exemple :

extraction des méta-données depuis plusieurs bases de données d’un seul hôte ;

application console pour exécuter l’extraction d’un simple clic ;

vitesse d’exécution rapide.

En haut

Q :

Je n’arrive pas à modifier la DDL. Pourquoi ?

R :

L'onglet ‘DDL’ dans l'éditeur d’objets est en lecture seule. Il affiche le texte des opérations SQL que vous effectuez sur les tables dans les onglets ‘Champs’. Pour modifier ce texte, vous pouvez le copier dans le presse-papiers et le modifier en utilisant l'éditeur de scripts SQL.

En haut

Q :

Comment puis-je personnaliser les formats de données dans la grille ?

R :

Vous pouvez personnaliser tous les formats d’affichage : entiers, flottants, date, time et date/time dans la fenêtre ‘Options de l'environnement’.

En haut

Q :

Quand je crée une table `TestTable`, elle est sauvegardée comme `testtable`. Ce n’est pas correct !

R :

Il est probable que la valeur de la variable “lower_case_table_names” est égale à 1. Pour en savoir plus à propos de cette variable, veuillez visiter http://dev.mysql.com/doc/mysql/en/Name_case_sensitivity.html.

En haut

Q :

Comment puis-je créer un rapport ?

R :

Afin de créer un rapport, vous pouvez utiliser l’assistant de création de rapports (Créer-->Rapport) ou le constructeur de rapport (Outils-->Constructeur de rapport). Pour créer un rapport simple basé sur une requête, sélectionnez "Master Data band" lors de la deuxième étape de l'assistant, double-cliquez sur "Master Data band" ou cliquez sur le bouton ‘Modifier’ et indiquez une requête pour votre rapport. Enfin, vous devez configurer des options supplémentaires lors des étapes restantes de l’assistant. Pour terminer, cliquez sur le bouton Finir.

En haut

Q :

J’essaie de créer un rapport dans le constructeur de rapport, mais je n’arrive pas à accéder aux données de la table : la liste 'Bande de sources de données' est vide.

R :

Afin d’indiquer une source de données dans votre rapport, vous devez ajouter la forme du dialogue dans votre rapport (le menu ‘Modifier’-->’Ajouter la forme’ du constructeur de rapport), puis déplacez les composants de la base de données et de la requête depuis le panneau gauche du constructeur vers la forme et enfin configurez les propriétés de la requête et les propriétés de la connexion. La requête apparaîtra dans la liste des sources de données.

En haut

Q :

Le tunnel SSH, qu’est ce que c’est ?

R :

SSH (Secure Shell Host) est un protocole utilisé pour augmenter la sécurité de l’ordinateur lors de travaux avec des systèmes Unix sur Internet. SSH utilise plusieurs algorithmes de chiffrement avec une fiabilité différente. SSH est très répandu parce que plusieurs systèmes d’exploitation de type Linux (par exemple FreeBSD) incluent le serveur SSH dans la distribution standard. Pour plus d’information, visitez http://openssh.org. Le tunneling SSH est une fonctionnalité de SQL Manager qui permet de sécuriser la connexion aux serveurs MySQL lors du travail via les chaînes de connexion qui ne sont pas sécurisées. Vous pouvez aussi utiliser le tunnel SSH pour accéder aux serveurs MySQL distants, si pour quelques raisons que ce soit, le port 3306 est bloqué pour des connexions externes. La connexion via le tunnel SSH fonctionne de la façon suivante. Tout d’abord, on établit la connexion et l’authentification entre un client SSH incorporé dans MySQL et un serveur SSH distant. Puis toute l’information sortante et entrante entre le programme et le serveur MySQL doit être transmise via le serveur SSH à l’aide du port de communication (c’est habituellement le 22). Puis le serveur SSH transfère directement cette information vers le serveur MySQL. Pour enregistrer une base de données avec une connexion via le tunnel SSH, veuillez initialiser les paramètres suivants dans l'assistant d'enregistrement des base de données de SQL Manager for MySQL :

Première étape de l'assistant :

Hôte est un hôte sur lequel le serveur MySQL est situé du point de vue du serveur SSH. Si le serveur SSH et le serveur MySQL sont installés sur une même machine, il est égal à l’hôte SSH et vaut probablement 'localhost'. Port est un port du serveur MySQL. MySQL utilise le port 3306 par défaut.

Nom d’utilisateur est le nom de l’utilisateur du serveur MySQL.

Mot de passe est le mot de passe de l’utilisateur du serveur MySQL.

Notez que le nom de l'hôte MySQL doit être configuré par rapport au serveur SSH. Par exemple, si les serveurs MySQL et SSH sont installés sur le même ordinateur, vous devez spécifier localhost en tant que nom de l'hôte au lieu du nom de l'hôte externe ou de l’adresse IP.

Puis sélectionnez l’option 'Utiliser tunneling' et 'tunneling SSH'.

Deuxième étape de assistant :

Nom du hôte SSH est un hôte sur lequel le serveur SSH est activé.

Port SSH est le port sur lequel le serveur SSH est activé.

Utilisateur SSH est un utilisateur de l’ordinateur Linux (c’est un utilisateur Linux, et non pas un utilisateur MySQL)

Mot de passe SSH est le mot de passe de l’utilisateur Linux.

En haut

Q :

Je n’arrive pas à paramétrer la connexion au serveur MySQL via SSH. Quelles valeurs dois-je entrer dans les champs sur l’onglet SSH du dialogue d'enregistrement de la base de données ?

R :

1) Sur l’onglet SSH :

Nom de l'hôte SSH - est un hôte sur lequel le serveur SSH est activé. Port SSH est le port sur lequel le serveur SSH est activé. Nom de l’utilisateur SSH – est un utilisateur d’un ordinateur avec le système d’exploitation Linux (c’est un utilisateur Linux, et non pas un utilisateur MySQL). Mot de passe SSH – est un mot de passe de l’utilisateur de Linux

2) Sur l'onglet 'Propriétés de connexion'/'Général' :

Hôte est un hôte sur lequel le serveur MySQL est situé du point de vue du serveur SSH. Si le serveur SSH et le serveur MySQL sont installés sur une même machine, il est égal à l’hôte SSH et vaut probablement 'localhost'. Port est un port du serveur MySQL. MySQL utilise le port 3306 par défaut. Nom d’utilisateur est le nom de l’utilisateur du serveur MySQL. Mot de passe est le mot de passe de l’utilisateur du serveur MySQL. Notez que le nom de l'hôte MySQL doit être configuré par rapport au serveur SSH. Par exemple, si les serveurs MySQL et SSH sont installés sur le même ordinateur, vous devez spécifier localhost en tant que nom du hôte au lieu du nom externe du hôte ou de l’adresse IP.

En haut

Q :

Le tunnel HTTP, qu’est ce que c’est ?

R :

Le tunneling HTTP est une méthode qui permet de se connecter et de transmettre des données entre un programme et un serveur MySQL via les protocoles HTTP/HTTPS en utilisant le port 80, qui est utilisée par un navigateur Internet habituel. On utilise cette méthode pour se connecter au serveur MySQL distant d’une compagnie d’hébergement quand la connexion directe est impossible pour des raisons de sécurité. Le tunnel HTTP fonctionne de la façon suivante : toutes les requêtes sortantes et les commandes envoyées du logiciel client sont cryptées et transmises via le protocole HTTP/HTTPS en utilisant le port 80, vers un script spécial. Ce script décode des données reçues et les transmet vers un serveur MySQL pour le traitement, et enfin renvoie le résultat. Cette méthode exige qu’un serveur HTTP (Apache) et PHP avec MySQL soient installés sur un serveur distant. En règle générale, ce logiciel est fourni par tous les services d’hébergement qui offrent les solutions d’hébergement Linux. Vous devez aussi télécharger un script spécial emsproxy.php sur votre serveur web avec l’accès à distance (vous pouvez le placer dans un dossier dans lequel se trouvent tous vos scripts PHP). Après avoir ouvert la page http:///emsproxy.php dans votre navigateur, vous verrez un message "EmsProxy v 1.31" (le numéro de version peut être différent) si votre serveur web répond à ces exigences et si le script est installé correctement. Pour enregistrer une base de données distante avec l’accès via le tunnel HTTP, vous devez saisir les paramètres suivants dans l’assistant d’enregistrement des bases de données de SQL Manager for MySQL :

Lors de la première étape de l'assistant :

En règle générale, le serveur HTTP et le serveur MySQL se trouvent sur la même machine et représentent 'localhost'.

Port est un port du serveur MySQL sur un hôte distant. MySQL utilise le port 3306 par défaut.

Nom d’utilisateur est le nom de l’utilisateur du serveur MySQL.

Mot de passe est le mot de passe de l'utilisateur du serveur MySQL.

Sélectionnez ‘Utiliser tunneling' et 'tunneling SSH’.

Deuxième étape de l’assistant :

URL est une adresse où se trouve le script de emsproxy.php (par exemple, http://monserveurweb/emsproxy.php).

En haut

Q :

Comment puis-je augmenter la vitesse de travail avec des grandes tables ?

R :

Pour votre commodité et pour augmenter la vitesse de votre travail, la grille de données permet d’ajuster plusieurs paramètres d’affichage des données. Accessibles via l’onglet ‘Options des données’ dans la fenêtre ‘Informations d'enregistrement de la base’ , voici les plus importants d’entre eux :

- Limites dans l'éditeur de table et de vue. Avec l’option activée ‘de tous les enregistrements d'une table’, vous pouvez visualiser tous les enregistrements d’une table sans accéder au serveur. Si les tables sont très grandes ou si la vitesse de connexion est lente, la recherche de données s’effectue avec retard et le trafic entrant peut augmenter considérablement. Il est recommandé d’utiliser ce mode lors du travail avec les bases de données locales dans le réseau privé. Le mode ‘de seulement’ limite le nombre maximum d’enregistrements retournés par la requête. Nous avons mis en service ce mode parce que l’homme n’est pas capable de traiter une si grande quantité d’informations en une fois. Pour exécuter une requête et afficher la portion suivante de données, utilisez le bouton ‘Suivant’ sur la barre d’outils de la grille de données. Ce mode permet d'accélérer considérablement la visualisation des données de la table, de prévenir le blocage et le délai d’attente. Il est recommandé d’utiliser ce mode lors du travail avec de grandes tables, quand la vitesse de connexion est lente ou quand le volume du trafic a de l’importance. Ce mode est activé par défaut. Il vous faut désactiver les options “Perform data sorting on client in data view” et “Perform data filtration on client in data view” en travaillant avec ce mode.

- Mode grille par défaut. Cette option peut être utilisée pour définir si les lignes sélectionnées seront chargées en une fois dans la grille (Charger toutes les lignes) ou par parties (Charger les lignes visibles) quand l’utilisateur scrolle les données de table. Le premier mode augmente le temps d’ouverture de la requête mais accélère le défilement. L’ouverture de la requête est très rapide en mode ‘Charger les lignes visibles’ mais les retards ont lieu lors de la navigation sur la grille.

- Utiliser le tri de données lors de la visualisation des données. Si cette option est activée quand l’utilisateur règle le tri des données, le résultat de la requête envoyée au serveur s’affiche de nouveau dans la grille. Il est très utile de désactiver cette option avec le mode ‘de seulement’ mais elle peut augmenter le trafic. Quand cette option est activée, le tri s’effectue sur l’ordinateur client sans connexion au serveur, mais ce sont les données chargées qui sont triées. C’est-à-dire que si vous avez sélectionné 1000 enregistrements à trier en utilisant l’option ‘de seulement’, ces enregistrements seulement seront triés.

- Utiliser le filtrage des données lors de la visualisation des données. Si cette option est désactivée, les données sont triées sur le serveur, le résultat de la requête envoyée au serveur s’affiche de nouveau dans la grille. Il est très utile de désactiver cette option avec le mode ‘de seulement’ mais elle peut augmenter le trafic. Quand cette option est activée, le filtrage s’effectue sur l’ordinateur client sans connexion au serveur, mais ce sont les données chargées qui sont triées.

C’est-à-dire que si vous avez sélectionné 1000 enregistrements à trier en utilisant l’option ‘de seulement’, ces enregistrements seulement seront filtrés.

Il est recommandé de régler les options suivantes afin d’augmenter au maximum l’efficacité de travail avec des grandes tables.

- ‘de seulement’ - activé

- ‘Charger les lignes visibles’ – activé

- Utiliser le tri de données lors de la visualisation des données – activé

- ‘Utiliser le filtrage des données lors de la visualisation des données’ - activé

En haut

Q :

J’ai une table qui contient seulement ~ 1000 enregistrements et un grand nombre de champs. L’ouverture de cette table dans l’onglet ‘Données’ prend beaucoup de temps.

R :

Probablement, l’option « Remplissage automatique des largeurs de colonnes » est activé sur l’onglet ‘Grille’ du dialogue Options/Options de l’environnement. Essayez de la désactiver.

En haut

Q :

J’ai plus d’un million d’enregistrements dans la table, pourtant seulement 1000 s’affichent dans la grille des données. Que faire ?

R :

Sélectionnez l’option ‘de tous les enregistrements d'une table’ sur l’onglet ‘Grille’ du dialogue Options/Options d’environnement. Pour initialiser la valeur par défaut de cette option pour les nouvelles bases de données, vous pouvez sélectionner l’option ‘de tous les enregistrements d'une table’ sur l’onglet ‘Grille/ Options des données’ du dialogue ‘Options/Options d’environnement.’

En haut

Q :

Je voudrais réaliser des modifications dans ma base de données de test et puis réaliser ces modifications dans ma base de données principale. MySQL Manager dispose-t-il d’outils spéciaux pour faire cela ?

R :

Le dialogue ‘Informations d'enregistrement de la base’ contient l’onglet ‘Journal’ qui vous permet d’activer les traces sur les modifications des méta-données exécutées dans une base de données, et des instructions SQL exécutées dans l’éditeur SQL. Il vous faut activer l’option ‘Enable log of metadata changes’ pour votre base de données de test, puis exécuter toutes les modifications nécessaires dans votre base de données et enfin exécuter le journal des méta-données sur votre base de données principale.

En haut

Q :

J’essaie d’exporter une table, mais les champs de type LONGTEXT ne sont pas exportés.

R :

Les champs de type TEXT, LONGTEXT ne sont pas exportés par défaut. Vous devez sélectionner manuellement ces champs sur l’onglet ‘Champs’.

En haut

Q :

Quelle est la différence entre les fonctions “Extraire les méta-données” et “Exporter en tant que script SQL” ?

R :

La fonction“Exporter en tant que script SQL” est prévue pour exporter les données des tables vers les bases de données des autres serveurs (SQL Server, Oracle, PostgreSQL etc.). La fonction “Extraire les méta-données” est prévue pour copier les données vers les tables de serveur MySQL.

En haut

Q :

Comment puis-je modifier le répertoire par défaut où les données exportées seront sauvegardées ?

R :

Afin de modifier un répertoire, suivez les étapes suivantes :

Cliquez avec le bouton droit de la souris sur une base de données nécessaire dans l’arbre de l’explorateur de bases, puis cliquez sur l’élément ‘Informations sur la base de données enregistrée’ dans le menu contextuel qui apparaît (vous pouvez aussi rechercher cet élément dans le menu principal ‘Base de données’). La fenêtre des propriétés de la base de données va s’ouvrir.

Cliquez sur l’onglet "Options de sauvegarde".

Dans la section ‘Répertoire par défaut pour l'export de données’ vous pouvez sélectionner un répertoire par défaut pour un fichier à exporter.

En haut

Q :

Pourquoi je n’arrive pas à me connecter au serveur MySQL local ?

R :

Il y a plusieurs raisons pour lesquelles vous n’arrivez pas à vous connecter à une base de données locale. Si un message d’erreur "Can't connect to MySQL server on 'localhost' (10061)" apparaît lors de la connexion, il est probable que le serveur MySQL est mal installé ou que le service (qui a généralement le nom mysql) n’est pas lancé. Pour vérifier que le service est lancé, veuillez ouvrir Control Panel->Administrative Tools->Services et rechercher le service MySQL. Si vous n’arrivez pas à le rechercher, vous devez essayer de réinstaller MySQL. Si vous avez trouvé le service, veuillez le lancer en cliquant sur le bouton Start ou en utilisant l’élément ‘Start’ du menu contextuel. Si un message d’erreur "Access denied for user 'root'@'localhost' (using password : YES)" apparaît, veuillez vérifier que vous avez entré correctement le mot de passe de l’utilisateur root, si vous l’avez changé au cours de l’installation. Si vous avez installé MySQL avec des valeurs par défaut, vous devez utiliser le nom d’utilisateur root avec le mot de passe vide, vous devez aussi utiliser le port 3306 pour vous connecter au serveur (pour plus d’informations, visitez : http://dev.mysql.com/doc/refman/5.1/en/can-not-connect-to-server.html)

En haut

Q :

Quand j’essaie d’enregistrer une base de données, un message d’erreur surgit : Access denied for user : myuser@myhost.mydomain. Quelles en sont les causes ?

R :

Le serveur MySQL utilise le login du client (‘myuser’ dans votre cas) et le nom de l'hôte à partir duquel il établit la connexion (myhote.mydomaine dans votre cas) pour l’authentification du client. Le message d’erreur surgit parce que votre utilisateur ‘myuser’ sur l’hôte ‘myhote.mydomaine’ n’a pas de droits d’accès à votre serveur MySQL. Il est probable que vous vous êtes connecté avec succès à votre base de données avec ce login et ce mot de passe dans vos scripts PHP, ou en utilisant phpMyAdmin. Mais dans ce cas, le serveur MySQL vous reconnaît en tant qu’utilisateur ‘myuser’ sur l’hôte ‘localhost’ qui a des droits et vous permet d’accéder au serveur.

Pour résoudre ce problème, vous devez accorder les droits nécessaires à l’utilisateur myuser@myhote.mydomaine. Vous pouvez faire cela à l'aide de phpMyAdmin ou en utilisant les commandes SQL :

/*!50003 CREATE USER ‘myuser’@ ‘myhost.mydomain’*/;

GRANT ALL PRIVILEGES ON *.* TO ‘myuser’@ ‘myhost.mydomain’ IDENTIFIED BY 'user_password' ;

Vous pouvez aussi contacter votre administrateur système.

(http://dev.mysql.com/doc/refman/5.1/en/privileges.html)

En haut

Q :

Je travaille derrière le coupe-feu (routeur). Est-ce que je peux utiliser SQL Manager pour gérer un serveur MySQL distant ?

R :

Si à cause de la politique de sécurité de votre réseau corporatif ou de votre fournisseur d’hébergement, vous n’avez pas la possibilité de vous connecter directement à votre serveur MySQL via TCP/IP (par exemple c’est bloqué par un coupe-feu), vous pouvez utiliser les tunnels SSH ou HTTP, fonctionnalité de SQL Manager.

En haut

Q :

Pourquoi je n’arrive pas à me connecter au serveur MySQL distant ?

R :

Il y a plusieurs raisons pour lesquelles vous n’arrivez pas à vous connecter à une base de données distante. Si le message d’erreur "Can't connect to MySQL server on ‘some host' (10061)" apparaît, vous devez vérifier si le port et le nom de l’hôte sont correctement saisis et si le serveur distant est lancé. Il arrive que le port de connexion (MySQL utilise le port 3306 par défaut) au serveur MySQL est bloqué pour des raisons de sécurité par un coupe-feu local, un coupe-feu corporatif ou un coupe-feu de serveur distant. Il est aussi probable que le port du serveur distant est bloqué par votre FAI ou que le support du protocole TCP/IP est désactivé sur le serveur MySQL. Vous pouvez vérifier cela avec votre administrateur système ou votre FAI. Pour contourner cette limitation, utilisez les tunnels SSH et HTTP.

Si les messages d’erreur ““Access denied for user: root@somehost.somedomain” ou "Host not allowed to connect to server" surgissent, cela veut dire que l’utilisateur n’a pas les droits d’accès à la base de données.

En haut

Q :

J’essaie d’enregistrer une base de données MySQL qui est installée sur un serveur web, mais j’ai un message d’erreur. Je peux accéder à cette base de données depuis mes scripts PHP, et ça marche parfaitement avec les mêmes login et mot de passe. Comment puis-je accéder à la base de données de mon site web en utilisant SQL Manager ?

R :

Cette erreur peut survenir dans les cas suivants : Le port 3306 utilisé par MySQL est bloqué par un coupe-feu, installé dans votre réseau ou chez votre fournisseur d'accès. Le protocole TCP est désactivé sur le serveur MySQL distant. Votre utilisateur n’a pas les droits nécessaires pour se connecter au serveur.

En haut

Q :

Lors de la connexion à un hôte MySQL distant, le message d’erreur "Host not allowed to connect to server" surgit. Quelles en sont les causes ?

R :

Cette erreur survient parce que vous n’avez pas les droits pour vous connecter au serveur MySQL distant à partir de votre hôte. Contactez votre administrateur système. Si vous avez l’accès au serveur MySQL avec des droits GRANT, vous pouvez utiliser la commande GRANT pour ajouter un nouvel utilisateur. Par exemple, la commande suivante autorise à un utilisateur un accès complet à partir de votre hôte : /*!50003 CREATE USER 'user'@'user_host'*/; GRANT ALL PRIVILEGES ON *.* TO 'user'@'user_host' IDENTIFIED BY ' user_password '; (http://dev.mysql.com/doc/refman/5.1/en/privileges.html)

En haut

Q :

J’ai enregistré une base de données mais, quand j’essaie de l’ouvrir, j’ai un message d’erreur “dynamic library libmysql.dll not found”.

R :

Cette erreur survient parce que le programme ne peut pas trouver la bibliothèque client libmysql.dll qui est nécessaire pour travailler avec le serveur MySQL. Le fichier libmysql.dll est inclus dans le paquet d’installation SQL Manager. Il est probable que vous avez supprimé par mégarde ce fichier ou peut-être avez-vous déplacé le fichier exécutable dans un autre dossier. Pour résoudre ce problème, réinstallez SQL Manager (tous vos réglages seront sauvegardés) ou copiez le fichier libmysql.dll depuis le dossier d’installation vers le dossier contenant le fichier exécutable.

En haut

Q :

Quand j’essaie de me connecter au serveur MySQL 4.1.x, le message d’erreur surgit « Bad Handshake ». Votre produit supporte-t-il 4.1.x ?

R :

Votre programme essaie probablement d’utiliser une ancienne version de la bibliothèque client libmysql.dll. Veuillez utiliser seulement le fichier libmysql.dll du paquet d’installation.

En haut

Q :

J’ai essayé de créer une clé étrangère pour la table InnoDB mais j’ai eu le message d’erreur "Can‘t create table ... (error: 150)". Que faire ?

R :

Ce message d’erreur signifie que la définition de la clé étrangère est mal formée pour une nouvelle table. Par exemple, la colonne référencée n’apparaît pas en tant que première colonne dans certains index, ni dans une table parent, ni dans une table fille ou les types de champs correspondants de la table parent ne coincident pas avec ceux de la table enfant. Vous pouvez utiliser SHOW ENGINE INNODB STATUS pour afficher l’explication détaillée de la dernière erreur de clé étrangère sur le serveur InnoDB.

En haut

Q :

J’utilise Windows mais mon serveur MySQL fonctionne sur Linux. Est-ce que je peux utiliser STUDIO pour travailler avec ce serveur ?

R :

Oui, c’est possible ! Le système d’exploitation du serveur n’a aucune importance. STUDIO fonctionne seulement dans un environnement Windows.

En haut

Q :

Chaque fois que j’essaie de me connecter à une base de données MySQL qui se trouve sur le serveur Linux distant, j’ai un message d’erreur 'Lost connection to MySQL server during query'. Pourquoi ?

R :

Cette erreur survient parce que votre bibliothèque Linux glibc exige plus de 128 Ko de la taille de la pile pour résoudre le nom de l’hôte. Cette erreur a lieu plutôt sur le système RedHat 8.0 avec MySQL en version inférieure à 4.0.10, mais c’est aussi possible sur une autre configuration. Pour résoudre ce problème, ajoutez ou modifiez la ligne suivante dans la section [mysqld] du fichier de configuration MySQL : set-variable = thread_stack=192k #. La valeur de la variable doit être égale à 192 Ko ou plus.

En haut


D'autres produits EMS

Quick navigation

MySQL

Microsoft SQL

PostgreSQL

InterBase / FireBird

Oracle

IBM DB2

DBISAM

Tools & components

MySQL

 | SQL Management Studio for MySQL EMS SQL Management Studio for MySQL est une solution complète d’administration et de développement de bases de données MySQL. SQL Studio contient tous les composants nécessaires pour effectuer les tâches critiques de gestion de bases de données. SQL Studio vous fournit les outils must d’administration de bases de données My SQL, de gestion des schémas de base de données et des objets ainsi que les outils de conception de base de données MySQL, de migration, d’extraction, de construction de requêtes MySQL, d’importation de données, d’exportation et de comparaison de bases de données. SQL Studio réunit tous les outils de bases de données dans un environnement puissant et facile à utiliser qui peut fonctionner 24 heures sur 24. Si vous êtes un développeur de bases de données ou d'application, un DBA ou un analyste commercial, SQL Studio for MySQL vous offre tous les outils MySQL nécessaires pour rendre votre travail plus efficace que jamais!
 | SQL Manager for MySQL EMS SQL Manager for MySQL fournit les outils de hautes performances d’administration et de développement de serveur MySQL. L’outil dispose d’une interface graphique simple d’emploi qui vous permet de créer/modifier tous les objets de bases de données MySQL d’une façon efficace, de concevoir visuellement les bases de données MySQL, d’exécuter les scripts SQL, d’exporter et d’importer les données des bases de données MySQL et fournit beaucoup d’autres services qui permettent de faciliter la gestion de MySQL.
dataexport | Data Export for MySQL EMS Data Export for MySQL est un outil puissant pour exporter rapidement les données des bases de données MySQL vers les dix-neuf formats disponibles y compris MS Access, MS Excel, MS Word, RTF, HTML, TXT, ODF etc. Data Export for MySQL comprend un assistant d’utilisation simple pour le réglage visuel des paramètres d’exportation MySQL et l’utilitaire de ligne de commande pour automatiser les tâches d’exportation MySQL à l’aide du fichier de configuration.
dataimport | Data Import for MySQL EMS Data Import for MySQL est un outil puissant d’import de données vers les tables MySQL à partir des fichiers MS Excel 97-2007, MS Access, DBF, TXT, CSV, MS Word 2007, RTF, ODF et HTML. Cet utilitaire vous permet d’importer simultanément vos données vers une ou plusieurs tables ou vues MySQL, de sauvegarder tous les paramètres d’import MySQL initialisés lors de la session courante de l’assistant, d’utiliser le mode de l’insertion de lot pour l’import rapide de données vers les tables MySQL.
datapump | Data Pump for MySQL EMS Data Pump for MySQL est un outil excellent de migration pour convertir les bases de données et importer les données des tables depuis n’importe quelle source compatible avec ADO (par exemple les bases de données MS Access, MS SQL ou d’autres bases de données supportant ADO) vers les bases de données MySQL. La conversion des bases de données à l’aide de Data Pump for MySQL est plus simple que jamais!
datagenerator | Data Generator for MySQL EMS Data Generator for MySQL – est un outil puissant de génération des données de test pour les tables des bases de données MySQL. L’outil vous permet de simuler l’environnement de production de base de données, de remplir simultanément plusieurs tables des bases de données MySQL par les données de test, de définir les tables pour la génération des données, de spécifier les étendues de valeurs et de spécifier de nombreux paramètres de génération pour chaque type de champ. Le programme fournit la multitude de fonctionnalités puissantes pour la génération simple et rapide des données de test MySQL.
dbcomparer | DB Comparer for MySQL EMS DB Comparer for MySQL est un excellent outil pour comparer les schémas de bases de données MySQL et découvrir les différences entre leurs structures. Vous pouvez visualiser les différences entre les objets comparés des bases de données et exécuter le script généré automatiquement pour synchroniser la structure des bases de données MySQL et éliminer les différences. Votre travail avec l’outil de synchronisation des bases de données MySQL sera plus simple et plus rapide grâce aux paramètres de comparaison personnalisés et à la multitude de fonctionnalités utiles.
extract | DB Extract for MySQL EMS DB Extract for MySQL est un outil puissant et facile d’emploi pour la création des copies de sauvegarde des bases de données MySQL sous la forme de scripts SQL.Cette application de création des scripts SQL vous permet de sauvegarder les métadonnées de tous les objets des bases de données MySQL ainsi que les données des tables MySQL en tant que les captures instantanées. La personnalisation facile vous permet de sélectionner les objets et les données des tables nécessaires pour le vidage des bases de données MySQL et de régler d’autres options d’extraction.
query | SQL Query for MySQL EMS SQL Query for MySQLest un outil qui vous permet de construire simplement et rapidement les requêtes SQL vers les bases de données MySQL. La possibilité de construire visuellement les requêtes SQL vers MySQL ainsi que la modification directe de texte de la requête sont possibles. L’interface utilisateur graphique vous permet de vous connecter aux bases de données MySQL, de sélectionner les tables et les champs pour les requêtes au serveur MySQL, d’initialiser les critères de sélection et beaucoup d’autre.
datacomparer | Data Comparer for MySQL EMS Data Comparer for MySQL est un outil puissant et simple d’emploi pour la comparaison et la synchronisation des données MySQL. En utilisant cet utilitaire vous pouvez découvrir les différences entre les tables MySQL comparées et exécuter un script généré automatiquement pour éliminer ces différences. Data Comparer for MySQL fournit l’éventail de paramètres de configuration pour la comparaison et la synchronisation efficaces et rapides des données de bases de données MySQL.
 | En savoir plus

Microsoft SQL

SQL Management Studio for SQL Server

EMS SQL Management Studio for SQL Server est une solution complète d’administration et de développement de bases de données Microsoft SQL Server. SQL Studio contient tous les composants nécessaires pour effectuer les tâches critiques de gestion de bases de données MS SQL Server. SQL Studio vous fournit les outils must d’administration de bases de données My SQL, de gestion des schémas de base de données et des objets ainsi que les outils de conception de base de données SQL Server, de migration, d’extraction, de construction de requêtes SQL Server, d’importation de données, d’exportation et de comparaison de bases de données. SQL Studio réunit tous les outils de bases de données pour MSSQL Server dans un environnement puissant et facile à utiliser qui peut fonctionner 24 heures sur 24. Si vous êtes un développeur de bases de données ou d'application, un DBA ou un analyste commercial, SQL Studio for SQL Server vous offre tous les outils SQL Server nécessaires pour rendre votre travail plus efficace que jamais!

SQL Manager for SQL Server

EMS SQL Manager for SQL Server est l’outil graphique de hautes performances d’administration et de développement de base de données de Microsoft SQL Server. Le programme permet de créer et de modifier rapidement et facilement les objets des bases de données MS SQL Server, d’exécuter les scripts SQL, de gérer les utilisateurs SQL Server et de leurs droits, de construire visuellement les requêtes SQL, de travailler avec les métadonnées, d’exporter et d’importer les données de bases de données etc.

dataexport

Data Export for SQL Server

EMS Data Export for SQL Server est un outil puissant pour exporter rapidement les données des bases de données SQL Server vers les dix-neuf formats disponibles y compris MS Access, MS Excel, MS Word, RTF, HTML, TXT, ODF etc. Data Export for SQL Server comprend un assistant d’utilisation simple pour le réglage visuel des paramètres d’exportation SQL Server et l’utilitaire de ligne de commande pour automatiser les tâches d’exportation SQL Server à l’aide du fichier de configuration.

dataimport

Data Import for SQL Server

EMS Data Import for SQL Server est un outil puissant d’import de données vers les tables SQL Server à partir des fichiers MS Excel 97-2007, MS Access, DBF, TXT, CSV, MS Word 2007, RTF, ODF et HTML. Cet utilitaire vous permet d’importer simultanément vos données vers une ou plusieurs tables ou vues SQL Server, de sauvegarder tous les paramètres d’import SQL Server initialisés lors de la session courante de l’assistant, d’utiliser le mode de l’insertion de lot pour l’import rapide de données vers les tables SQL Server.

datapump

Data Pump for SQL Server

EMS Data Pump for SQL Server est un outil excellent de migration pour convertir les bases de données et importer les données des tables depuis n’importe quelle source compatible avec ADO (par exemple les bases de données MS Access, MySQL ou d’autres bases de données supportant ADO) vers les bases de données SQL Server. La conversion des bases de données à l’aide de Data Pump for SQL Server est plus simple que jamais!

datagenerator

Data Generator for SQL Server

EMS Data Generator for SQL Server – est un outil puissant de génération des données de test pour les tables des bases de données SQL Server. L’outil vous permet de simuler l’environnement de production de base de données, de remplir simultanément plusieurs tables des bases de données SQL Server par les données de test, de définir les tables pour la génération des données, de spécifier les étendues de valeurs et de spécifier de nombreux paramètres de génération pour chaque type de champ. Le programme fournit la multitude de fonctionnalités puissantes pour la génération simple et rapide des données de test SQL Server.

dbcomparer

DB Comparer for SQL Server

EMS DB Comparer for SQL Server est un excellent outil pour comparer les schémas de bases de données SQL Server et découvrir les différences entre leurs structures. Vous pouvez visualiser les différences entre les objets comparés des bases de données et exécuter le script généré automatiquement pour synchroniser la structure des bases de données SQL Server et éliminer les différences. Votre travail avec l’outil de synchronisation des bases de données SQL Server sera plus simple et plus rapide grâce aux paramètres de comparaison personnalisés et à la multitude de fonctionnalités utiles.

extract

DB Extract for SQL Server

EMS DB Extract for SQL Server est un outil puissant et facile d’emploi pour la création des copies de sauvegarde des bases de données SQL Server sous la forme de scripts SQL. Cette application de création des scripts SQL vous permet de sauvegarder les métadonnées de tous les objets des bases de données SQL Server ainsi que les données des tables SQL Server en tant que les captures instantanées. La personnalisation facile vous permet de sélectionner les objets et les données des tables nécessaires pour le vidage des bases de données SQL Server et de régler d’autres options d’extraction.

query

SQL Query for SQL Server

EMS SQL Query for SQL Server est un outil qui vous permet de construire simplement et rapidement les requêtes SQL vers les bases de données SQL Server. La possibilité de construire visuellement les requêtes SQL vers SQL Server ainsi que la modification directe de texte de la requête sont possibles. L’interface utilisateur graphique vous permet de vous connecter aux bases de données SQL Server, de sélectionner les tables et les champs pour les requêtes au serveur SQL Server, d’initialiser les critères de sélection et beaucoup d’autre.

datacomparer

Data Comparer for SQL Server

EMS Data Comparer for SQL Server est un outil puissant et simple d’emploi pour la comparaison et la synchronisation des données SQL Server. En utilisant cet utilitaire vous pouvez découvrir les différences entre les tables SQL Server comparées et exécuter un script généré automatiquement pour éliminer ces différences. Data Comparer for SQL Server fournit l’éventail de paramètres de configuration pour la comparaison et la synchronisation efficaces et rapides des données de bases de données SQL Server.

En savoir plus

PostgreSQL

SQL Management Studio for PostgreSQL

EMS SQL Management Studio for PostgreSQL est une solution complète d’administration et de développement de bases de données PostgreSQL. SQL Studio contient tous les composants nécessaires pour effectuer les tâches critiques de gestion de bases de données. SQL Studio vous fournit les outils must d’administration de bases de données PostgreSQL, de gestion des schémas de base de données et des objets ainsi que les outils de conception de base de données PostgreSQL, de migration, d’extraction, de construction de requêtes PostgreSQL, d’importation de données, d’exportation et de comparaison de bases de données. SQL Studio réunit tous les outils de bases de données dans un environnement puissant et facile à utiliser qui peut fonctionner 24 heures sur 24. Si vous êtes un développeur de bases de données ou d'application, un DBA ou un analyste commercial, SQL Studio for PostgreSQL vous offre tous les outils PostgreSQL nécessaires pour rendre votre travail plus efficace que jamais!

SQL Manager for PostgreSQL

EMS SQL Manager for PostgreSQL est l’outil graphique de hautes performances pour l’administration et le développement de base de données de serveur PostgreSQL. Le programme permet de créer et de modifier rapidement et facilement les objets des bases de données PostgreSQL, d’exécuter les scripts SQL, de concevoir visuellement les bases de données PostgreSQL, de construire les requêtes SQL, d’extraire, d’imprimer et de rechercher les métadonnées, d’importer et d’exporter les données de bases de données PostgreSQL etc.

dataexport

Data Export for PostgreSQL

EMS Data Export for PostgreSQL est un outil puissant pour exporter rapidement les données des bases de données PostgreSQLvers les dix-neuf formats disponibles y compris MS Access, MS Excel, MS Word, RTF, HTML, TXT, ODF etc. Data Export for PostgreSQL comprend un assistant d’utilisation simple pour le réglage visuel des paramètres d’exportation PostgreSQL et l’utilitaire de ligne de commande pour automatiser les tâches d’exportation PostgreSQL à l’aide du fichier de configuration.

dataimport

Data Import for PostgreSQL

EMS Data Import for PostgreSQL est un outil puissant d’import de données vers les tables PostgreSQL à partir des fichiers MS Excel 97-2007, MS Access, DBF, TXT, CSV, MS Word 2007, RTF, ODF et HTML. Cet utilitaire vous permet d’importer simultanément vos données vers une ou plusieurs tables ou vues PostgreSQL, de sauvegarder tous les paramètres d’import PostgreSQL initialisés lors de la session courante de l’assistant, d’utiliser le mode de l’insertion de lot pour l’import rapide de données vers les tables PostgreSQL.

datapump

Data Pump for PostgreSQL

EMS Data Pump for PostgreSQL est un outil excellent de migration pour convertir les bases de données et importer les données des tables depuis n’importe quelle source compatible avec ADO (par exemple les bases de données MS Access, MS SQL ou d’autres bases de données supportant ADO) vers les bases de données PostgreSQL. La conversion des bases de données à l’aide de Data Pump for PostgreSQL est plus simple que jamais!

datagenerator

Data Generator for PostgreSQL

EMS Data Generator for PostgreSQL – est un outil puissant de génération des données de test pour les tables des bases de données PostgreSQL. L’outil vous permet de simuler l’environnement de production de base de données, de remplir simultanément plusieurs tables des bases de données PostgreSQL par les données de test, de définir les tables pour la génération des données, de spécifier les étendues de valeurs et de spécifier de nombreux paramètres de génération pour chaque type de champ. Le programme fournit la multitude de fonctionnalités puissantes pour la génération simple et rapide des données de test PostgreSQL.

dbcomparer

DB Comparer for PostgreSQL

EMS DB Comparer for PostgreSQL est un excellent outil pour comparer les schémas de bases de données PostgreSQL et découvrir les différences entre leurs structures. Vous pouvez visualiser les différences entre les objets comparés des bases de données et exécuter le script généré automatiquement pour synchroniser la structure des bases de données PostgreSQL et éliminer les différences. Votre travail avec l’outil de synchronisation des bases de données PostgreSQL sera plus simple et plus rapide grâce aux paramètres de comparaison personnalisés et à la multitude de fonctionnalités utiles.

extract

DB Extract for PostgreSQL

EMS DB Extract for PostgreSQL est un outil puissant et facile d’emploi pour la création des copies de sauvegarde des bases de données PostgreSQL sous la forme de scripts SQL. Cette application de création des scripts SQL vous permet de sauvegarder les métadonnées de tous les objets des bases de données PostgreSQL ainsi que les données des tables PostgreSQL en tant que les captures instantanées. La personnalisation facile vous permet de sélectionner les objets et les données des tables nécessaires pour le vidage des bases de données PostgreSQL et de régler d’autres options d’extraction.

query

SQL Query for PostgreSQL

EMS SQL Query for PostgreSQL est un outil qui vous permet de construire simplement et rapidement les requêtes SQL vers les bases de données PostgreSQL. La possibilité de construire visuellement les requêtes SQL vers PostgreSQL ainsi que la modification directe de texte de la requête sont possibles. L’interface utilisateur graphique vous permet de vous connecter aux bases de données PostgreSQL, de sélectionner les tables et les champs pour les requêtes au serveur PostgreSQL, d’initialiser les critères de sélection et beaucoup d’autre.

datacomparer

Data Comparer for PostgreSQL

EMS Data Comparer for PostgreSQL est un outil puissant et simple d’emploi pour la comparaison et la synchronisation des données PostgreSQL. En utilisant cet utilitaire vous pouvez découvrir les différences entre les tables PostgreSQL comparées et exécuter un script généré automatiquement pour éliminer ces différences. Data Comparer for PostgreSQL fournit l’éventail de paramètres de configuration pour la comparaison et la synchronisation efficaces et rapides des données de bases de données PostgreSQL.

En savoir plus

InterBase / Firebird

SQL Management Studio for InterBase/Firebird

EMS SQL Management Studio for InterBase and Firebird est une solution complète d’administration et de développement de bases de données InterBase and Firebird. SQL Studio for InterBase and Firebird contient tous les composants nécessaires pour effectuer les tâches critiques de gestion de bases de données. SQL Studio vous fournit les outils must d’administration de bases de données InterBase and Firebird, de gestion des schémas de base de données et des objets ainsi que les outils de conception de base de données InterBase and Firebird, de migration, d’extraction, de construction de requêtes InterBase and Firebird, d’importation de données, d’exportation et de comparaison de bases de données. SQL Studio réunit tous les outils de bases de données IB and Firebird dans un environnement puissant et facile à utiliser qui peut fonctionner 24 heures sur 24. Si vous êtes un développeur de bases de données ou d'application, un DBA ou un analyste commercial, SQL Studio for InterBase and Firebird vous offre tous les outils InterBase et Firebird nécessaires pour rendre votre travail plus efficace que jamais!

SQL Manager for InterBase/Firebird

EMS SQL Manager for InterBase/Firebird est un outil puissant d’administration et de développement de base de données d’InterBase et Firebird. SQL Manager for InterBase/Firebird est compatible avec les dernières versions des systèmes de gestion de base de données IB et Firebird et supporte toutes les dernières fonctionnalités du serveur. Le programme offre beaucoup d’outils puissants tels que le concepteur visuel de bases de données pour créer les bases de données InterBase et Firebird en quelques clics, le constructeur visuel de requêtes et le débogueur des procédures stockées pour le développement des scripts InterBase et Firebird SQL etc.

dataexport

Data Export for InterBase/Firebird

EMS Data Export for InterBase/Firebird est un outil puissant pour exporter rapidement les données des bases de données InterBase/Firebird vers les dix-neuf formats disponibles y compris MS Access, MS Excel, MS Word, RTF, HTML, TXT, ODF etc. Data Export for InterBase/Firebird comprend un assistant d’utilisation simple pour le réglage visuel des paramètres d’exportation InterBase/Firebird et l’utilitaire de ligne de commande pour automatiser les tâches d’exportation InterBase/Firebird à l’aide du fichier de configuration.

dataimport

Data Import for InterBase/Firebird

EMS Data Import for InterBase and Firebird est un outil puissant d’import de données vers les tables InterBase/Firebird à partir des fichiers MS Excel 97-2007, MS Access, DBF, TXT, CSV, MS Word 2007, RTF, ODF et HTML. Cet utilitaire vous permet d’importer simultanément vos données vers une ou plusieurs tables ou vues InterBase/Firebird, de sauvegarder tous les paramètres d’import InterBase/Firebird initialisés lors de la session courante de l’assistant, d’utiliser le mode de l’insertion de lot pour l’import rapide de données vers les tables InterBase/Firebird.

datapump

Data Pump for InterBase/Firebird

EMS Data Pump for InterBase/Firebird est un outil excellent de migration pour convertir les bases de données et importer les données des tables depuis n’importe quelle source compatible avec ADO (par exemple les bases de données MS Access, MS SQL ou d’autres bases de données supportant ADO) vers les bases de données InterBase/Firebird. La conversion des bases de données à l’aide de Data Pump for InterBase/Firebird est plus simple que jamais!

datagenerator

Data Generator for InterBase/Firebird

EMS Data Generator for InterBase/Firebird – est un outil puissant de génération des données de test pour les tables des bases de données InterBase/Firebird. L’outil vous permet de simuler l’environnement de production de base de données, de remplir simultanément plusieurs tables des bases de données InterBase/Firebird par les données de test, de définir les tables pour la génération des données, de spécifier les étendues de valeurs et de spécifier de nombreux paramètres de génération pour chaque type de champ. Le programme fournit la multitude de fonctionnalités puissantes pour la génération simple et rapide des données de test InterBase/Firebird.

dbcomparer

DB Comparer for InterBase/Firebird

EMS DB Comparer for InterBase/Firebird est un excellent outil pour comparer les schémas de bases de données InterBase/Firebird et découvrir les différences entre leurs structures. Vous pouvez visualiser les différences entre les objets comparés des bases de données et exécuter le script généré automatiquement pour synchroniser la structure des bases de données InterBase/Firebird et éliminer les différences. Votre travail avec l’outil de synchronisation des bases de données InterBase/Firebird sera plus simple et plus rapide grâce aux paramètres de comparaison personnalisés et à la multitude de fonctionnalités utiles.

extract

DB Extract for InterBase/Firebird

EMS DB Extract for InterBase/Firebird est un outil puissant et facile d’emploi pour la création des copies de sauvegarde des bases de données InterBase/Firebird sous la forme de scripts SQL. Cette application de création des scripts SQL vous permet de sauvegarder les métadonnées de tous les objets des bases de données InterBase/Firebird ainsi que les données des tables InterBase/Firebird en tant que les captures instantanées. La personnalisation facile vous permet de sélectionner les objets et les données des tables nécessaires pour le vidage des bases de données InterBase/Firebird et de régler d’autres options d’extraction.

query

SQL Query for InterBase/Firebird

EMS SQL Query for InterBase/Firebird est un outil qui vous permet de construire simplement et rapidement les requêtes SQL vers les bases de données InterBase/Firebird. La possibilité de construire visuellement les requêtes SQL vers InterBase/Firebird ainsi que la modification directe de texte de la requête sont possibles. L’interface utilisateur graphique vous permet de vous connecter aux bases de données InterBase/Firebird, de sélectionner les tables et les champs pour les requêtes au serveur InterBase/Firebird, d’initialiser les critères de sélection et beaucoup d’autre.

datacomparer

Data Comparer for InterBase/Firebird

EMS Data Comparer for InterBase/Firebird est un outil puissant et simple d’emploi pour la comparaison et la synchronisation des données InterBase/Firebird. En utilisant cet utilitaire vous pouvez découvrir les différences entre les tables InterBase/Firebird comparées et exécuter un script généré automatiquement pour éliminer ces différences. Data Comparer for InterBase/Firebird fournit l’éventail de paramètres de configuration pour la comparaison et la synchronisation efficaces et rapides des données de bases de données InterBase/Firebird.

En savoir plus

Oracle

SQL Management Studio for Oracle

EMS SQL Management Studio for Oracle est une solution complète d’administration et de développement de bases de données Oracle. SQL Studio for Oracle contient tous les composants nécessaires pour effectuer les tâches critiques de gestion de bases de données. SQL Studio vous fournit les outils must d’administration de bases de données Oracle, de gestion des schémas de base de données et des objets ainsi que les outils de conception de base de données Oracle, de migration, d’extraction, de construction de requêtes Oracle, d’importation de données, d’exportation et de comparaison de bases de données. SQL Studio réunit tous les outils de bases de données Oracle dans un environnement puissant et facile à utiliser qui peut fonctionner 24 heures sur 24. Si vous êtes un développeur de bases de données ou d'application, un DBA ou un analyste commercial, SQL Studio for Oracle vous offre tous les outils Oracle nécessaires pour rendre votre travail plus efficace que jamais!

SQL Manager for Oracle

EMS SQL Manager for Oracle - est un outil à hautes performances de développement et d’administration de bases de données Oracle. L’interface graphique conviviale permet de créer/modifier rapidement tous les objets de bases de données Oracle, de concevoir visuellement les bases de données Oracle, d’exécuter les scripts SQL, d’importer et d’exporter les bases de données Oracle et fournit beaucoup d’autres services utiles qui rendent la gestion d’Oracle plus facile que possible.

dataexport

Data Export for Oracle

EMS Data Export for Oracle est un outil puissant pour exporter rapidement les données des bases de données Oracle vers les dix-neuf formats disponibles y compris MS Access, MS Excel, MS Word, RTF, HTML, TXT, ODF etc. Data Export for Oracle comprend un assistant d’utilisation simple pour le réglage visuel des paramètres d’exportation Oracle et l’utilitaire de ligne de commande pour automatiser les tâches d’exportation Oracle à l’aide du fichier de configuration.

dataimport

Data Import for Oracle

EMS Data Import for Oracle est un outil puissant d’import de données vers les tables Oracle à partir des fichiers MS Excel 97-2007, MS Access, DBF, TXT, CSV, MS Word 2007, RTF, ODF et HTML. Cet utilitaire vous permet d’importer simultanément vos données vers une ou plusieurs tables ou vues Oracle, de sauvegarder tous les paramètres d’import Oracle initialisés lors de la session courante de l’assistant, d’utiliser le mode de l’insertion de lot pour l’import rapide de données vers les tables Oracle.

datapump

Data Pump for Oracle

EMS Data Pump for Oracle est un outil excellent de migration pour convertir les bases de données et importer les données des tables depuis n’importe quelle source compatible avec ADO (par exemple les bases de données MS Access, MS SQL ou d’autres bases de données supportant ADO) vers les bases de données Oracle. La conversion des bases de données à l’aide de Data Pump for Oracle est plus simple que jamais!

datagenerator

Data Generator for Oracle

EMS Data Generator for Oracle – est un outil puissant de génération des données de test pour les tables des bases de données Oracle. L’outil vous permet de simuler l’environnement de production de base de données, de remplir simultanément plusieurs tables des bases de données Oracle par les données de test, de définir les tables pour la génération des données, de spécifier les étendues de valeurs et de spécifier de nombreux paramètres de génération pour chaque type de champ. Le programme fournit la multitude de fonctionnalités puissantes pour la génération simple et rapide des données de test Oracle.

dbcomparer

DB Comparer for Oracle

EMS DB Comparer for Oracle est un excellentoutil pour comparer les schémas de bases de données Oracle et découvrir les différences entre leurs structures. Vous pouvez visualiser les différences entre les objets comparés des bases de données et exécuter le script généré automatiquement pour synchroniser la structure des bases de données Oracle et éliminer les différences. Votre travail avec l’outil de synchronisation des bases de données Oracle sera plus simple et plus rapide grâce aux paramètres de comparaison personnalisés et à la multitude de fonctionnalités utiles.

extract

DB Extract for Oracle

EMS DB Extract for Oracle est un outil puissant et facile d’emploi pour la création des copies de sauvegarde des bases de données Oracle sous la forme de scripts SQL. Cette application de création des scripts SQL vous permet de sauvegarder les métadonnées de tous les objets des bases de données Oracle ainsi que les données des tables Oracle en tant que les captures instantanées. La personnalisation facile vous permet de sélectionner les objets et les données des tables nécessaires pour le vidage des bases de données Oracle et de régler d’autres options d’extraction.

query

SQL Query for Oracle

EMS SQL Query for Oracle est un outil qui vous permet de construire simplement et rapidement les requêtes SQL vers les bases de données Oracle. La possibilité de construire visuellement les requêtes SQL vers Oracle ainsi que la modification directe de texte de la requête sont possibles. L’interface utilisateur graphique vous permet de vous connecter aux bases de données Oracle, de sélectionner les tables et les champs pour les requêtes au serveur Oracle, d’initialiser les critères de sélection et beaucoup d’autre.

datacomparer

Data Comparer for Oracle

EMS Data Comparer for Oracle est un outil puissant et simple d’emploi pour la comparaison et la synchronisation des données Oracle. En utilisant cet utilitaire vous pouvez découvrir les différences entre les tables Oracle comparées et exécuter un script généré automatiquement pour éliminer ces différences. Data Comparer for Oracle fournit l’éventail de paramètres de configuration pour la comparaison et la synchronisation efficaces et rapides des données de bases de données Oracle.

En savoir plus

DB2

 | SQL Manager for DB2 EMS SQL Manager for DB2 fournit les outils de base de données pour l’administration et le développement de base de données DB2. L’outil dispose d’une interface graphique simple d’emploi qui vous permet de créer/modifier tous les objets de bases de données DB2 d’une façon efficace, de concevoir visuellement les bases de données DB2, d’exécuter les scripts SQL, d’exporter et d’importer les données des bases de données DB2 et fournit beaucoup d’autres services qui permettent de faciliter la gestion de DB2.
dataexport | Data Export for DB2 EMS Data Export for DB2 est un outil puissant pour exporter rapidement les données des bases de données DB2 vers les dix-neuf formats disponibles y compris MS Access, MS Excel, MS Word, RTF, HTML, TXT, ODF etc. Data Export for DB2 comprend un assistant d’utilisation simple pour le réglage visuel des paramètres d’exportation DB2 et l’utilitaire de ligne de commande pour automatiser les tâches d’exportation DB2 à l’aide du fichier de configuration.
dataimport | Data Import for DB2 EMS Data Import for DB2 est un outil puissant d’import de données vers les tables DB2 à partir des fichiers MS Excel 97-2007, MS Access, DBF, TXT, CSV, MS Word 2007, RTF, ODF et HTML. Cet utilitaire vous permet d’importer simultanément vos données vers une ou plusieurs tables ou vues DB2, de sauvegarder tous les paramètres d’import DB2 initialisés lors de la session courante de l’assistant, d’utiliser le mode de l’insertion de lot pour l’import rapide de données vers les tables DB2.
datapump | Data Pump for DB2 EMS Data Pump for DB2 est un outil excellent de migration pour convertir les bases de données et importer les données des tables depuis n’importe quelle source compatible avec ADO (par exemple les bases de données MS Access, MS SQL ou d’autres bases de données supportant ADO) vers les bases de données IBM DB2. La conversion des bases de données à l’aide de Data Pump for DB2 est plus simple que jamais!
datagenerator | Data Generator for DB2 EMS Data Generator for DB2 – est un outil puissant de génération des données de test pour les tables des bases de données DB2. L’outil vous permet de simuler l’environnement de production de base de données, de remplir simultanément plusieurs tables des bases de données DB2 par les données de test, de définir les tables pour la génération des données, de spécifier les étendues de valeurs et de spécifier de nombreux paramètres de génération pour chaque type de champ. Le programme fournit la multitude de fonctionnalités puissantes pour la génération simple et rapide des données de test DB2.
extract | DB Extract for DB2 EMS DB Extract for DB2 est un outil puissant et facile d’emploi pour la création des copies de sauvegarde des bases de données DB2 sous la forme de scripts SQL. Cette application de création des scripts SQL vous permet de sauvegarder les métadonnées de tous les objets des bases de données DB2 ainsi que les données des tables DB2 en tant que les captures instantanées. La personnalisation facile vous permet de sélectionner les objets et les données des tables nécessaires pour le vidage des bases de données DB2 et de régler d’autres options d’extraction.
query | SQL Query for DB2 EMS SQL Query for DB2 est un outil qui vous permet de construire simplement et rapidement les requêtes SQL vers les bases de données DB2. La possibilité de construire visuellement les requêtes SQL vers DB2 ainsi que la modification directe de texte de la requête sont possibles. L’interface utilisateur graphique vous permet de vous connecter aux bases de données DB2, de sélectionner les tables et les champs pour les requêtes au serveur DB2, d’initialiser les critères de sélection et beaucoup d’autre.
 | En savoir plus

DBISAM

SQL Manager for DBISAM

EMS SQL Manager for DBISAM fournit les outils puissants pour la gestion des objets et l’administration du serveur DBISAM. L’outil permet de créer/modifier tous les objets de bases de données DBISAM d’une façon efficace, d’exécuter les scripts SQL, de gérer les utilisateurs DBISAM et leurs privilèges, de construire visuellement les requêtes DBISAM SQL, de travailler avec les métadonnées, d’exporter et d’importer les données de bases de données DBISAM, et fournit beaucoup d’autres fonctionnalités utiles

En savoir plus

Tools & components

advancedexport | Advanced Data Export Advanced Data Export (pour Borland Delphi et .NET) est une suite de composants qui permet de sauvegarder vos données dans les formats les plus populair pour la visualisation postérieure des données, pour leur modification, leur impression ou leur publication sur le Web postérieures. Il ne faut plus perdre son temps à convertir les données - Advanced Data Export peut accomplir toutes ces tâches et afficher le résultat au format desiré.
advancedimport | Advanced Data Import Advanced Data Import VCL (pour Borland Delphi et C++Builder) est une suite de composants, qui vous facilite l’importation simple et rapide de vos données depuis la plupart des formats populaires vers votre base de données. Il ne faut plus perdre son temps à importer les données! Advanced Data Import peut accomplir toutes les tâches et afficher le résultat au format desiré indépendamment du format d’origine.
pdfgenerator | Advanced PDF Generator Advanced PDF Generator est une suite de composants destiné à créer rapidement et simplement les documents PDF depuis vos applications écrites en Delphi et C++ Builder. Vous n'avez plus besoin de connaître la spécification du format PDF! Advanced PDF Generator peut créer automatiquement un document nécessaire.
querybuilder | Advanced Query Builder Advanced Query Builder est une suite de composants pour Borland Delphi et C++ Builder qui facilite la conception visuelle des commandes SQL pour les clauses SELECT, INSERT, UPDATE et DELETE. Vous pouvez créer graphiquement des nouvelles requêtes ou représenter graphiquement des requêtes existantes dans vos applications. Advanced Query Builder a des composants pour travailler avec la syntaxe standart SQL, avec InterBase/Firebird, MySQL, PostgreSQL et d’autres dialectes SQL.
excelreport | Advanced Excel Report Advanced Excel Report est un puissant générateur de rapports au format MS Excel pour Delphi. Les éditeurs de propriétés Advanced Excel Report simples d’emploi permettent de créer rapidement des rapports au format MS Excel. Vous pouvez maintenant créer des rapports, les éditer, les sauvegarder et les afficher sur n’importe quel ordinateur.
advancedlocalizer | Advanced Localizer Advanced Localizer est une suite de composants pour Borland Delphi, qui permet d’ajouter le support muitilingue dans vos applications Delphi. Les larges possibilités de Advanced Localizer permettent de localiser les propriétés des composants de chaque forme, de générer les fichiers de langue avec les valeurs actuelles des propriétés de composants, de gérér les fichiers de localisation, d'indiquer les composants et les propriétés pour la localisation.
sourcerescuer | Source Rescuer EMS Source Rescuer est une application-assistant simple d’emploi pour Borland Delphi et C++Builder, qui permet de reconstituer un code source perdu. Si vous avez perdu le code source du projet écrit en Delphi ou C++Builder, mais vous avez un ficher exécutable, Source Rescuer va vous aider à reconstituer une partie du code source perdu. Source Rescuer peut restaurer toutes les formes de projet et les modules de données avec les propriétés et les événements définis.
 | En savoir plus


Mise en route

Pour commencer à travailler avec MySQL en utilisant le programme SQL Manager 2007 for MySQL, il vous faut enregistrer une ou plusieurs bases de données. Pour cela, veuillez utiliser l'assistant d'enregistrement de bases de données. Si vous n'avez pas de bases de données à enregistrer, veuillez les créer en utilisant l'assistant de création de bases de données. Puis vous pouvez travailler avec la base de données : administrez et modifiez les données.

Avant d'exécuter ces opérations, veuillez lire les chapitres suivants :

  • Sélection du style de l'environnement et de la langue du programme
  • Démarrage du programme
  • Travail avec les bases de données
  • Travail avec les objets de bases de données
  • Utilisation du menu contextuel de bases de données
  • Utilisation du menu contextuel des objets
  • Basculement entre les fenêtres

Nous espérons que vous apprécierez SQL Manager 2007 for MySQL !


Sélection du style et de la langue du programme

Sélectionnez le style de l'environnement et la langue du programme lors de la première exécution de SQL Manager 2007 for MySQL. Pour modifier le style, sélectionnez l'élément Options | Options de l'environnement | Windows dans le menu principal. Pour modifier la langue, sélectionnez Options | Sélectionner la langue du programme.

Style de l'environnement

Le style de l'environnement est l'élément qui permet de configurer le style du programme : l'environnement MDI (comme les applications de MS Office) ou l'environnement de fenêtres volantes (comme les applications Borland).

Style des barres pour les fenêtres enfants

Dans cette section, vous pouvez définir le style de l'affichage des barres : la barre de navigation (à gauche) ou la barre d'outils (en haut).

Langue du programme

Dans cette section, vous pouvez choisir la langue du programme dans la liste des langues disponibles. La langue par défaut est l'anglais (la liste des langues disponibles est constitué sur la base des fichiers de langue (*.lng), qui se trouvent dans le sous-répertoire "Langues" du répertoire d'installation du programme).


Démarrage du programme

Lors du première démarrage, SQL Manager 2007 for MySQL a l'aspect suivant :

Pour créer une nouvelle base de données, choisissez 'Créer une nouvelle base de données' (Create new database) dans le menu contextuel de l'explorateur de bases ou sur le panneau de travail. Pour créer une base de données, utilisez l'assistant de création de bases de données.

Pour commencer à travailler avec une base de données existante, il vous faut enregistrer la base

(une nouvelle base de données créée à l'aide de l'assistant de création de bases de données sera enregistrée automatiquement).

Pour enregistrer une base de données à l'aide de l'assistant d'enregistrement de bases de données, cliquez sur 'Gérer les bases de données existantes' (Manage existing database(s)).


Utilisation du panneau de travail

Le panneau de travail est visible quand toutes les fenêtres enfants sont fermées ou minimisées. Les éléments de gestion nécessaires pour le début du travail se trouvent sur le panneau de travail.

Début du travail :

  • Créer une nouvelle base de données (Create new database) - permet de créer et d'enregistrer une nouvelle base de données en utilisant l'assistant de création de bases de données.
  • Gérer les bases de données existantes (Manage existing database(s)) – permet d'enregistrer une base de données existante.
  • Créer une nouvelle table (Create new table) - cette commande est disponible s'il y a au moins une connexion avec une base de données. Permet de créer une table dans la base de données actuelle en utilisant l'outil Nouvelle table.
  • Créer un nouvel objet dans la base de données (Create new database object) – permet de créer un nouvel objet de base de données dans la base actuelle. Cette commande est inaccessible s'il n'y a pas de connexions actives.

Outils de la base de données

  • Exécuter un script SQL (Execute SQL Script) – permet d'ouvrir l'éditeur de scripts SQL.
  • Gérer les utilisateurs (Manage users) – permet de gérer les comptes utilisateur dans le gestionnaire d'utilisateur.
  • Exécuter une requête (Execute query) – permet d'exécuter une requête, ouvre l'éditeur de requêtes.
  • Gérer les droits (Manage permissions) – gestion des droits des utilisateurs. Permet de donner des droits aux utilisateurs pour travailler avec les objets de bases de données.

Informations de référence

  • Aide MySQL Manager (MySQL Manager help system) - ouvre le fichier d'aide.
  • Référence MySQL (MySQL reference) - ouvre la référence MySQL.

Ressources Internet

  • Page d'accueil de MySQL Manager (MySQL Manager home page) - le lien sur la page d'accueil du produit, où vous pouvez voir les informations générales à propos de l'achat et de l'utilisation du produit, etc.
  • Documentation en ligne pour MySQL Manager (MySQL Manager on-line documentation) - la documentation sur SQL Manager 2007 for MySQL sur le site web de la société. Cette documentation double l'aide MySQL jointe au programme.
  • Centre de support (Support Center) – permet aux utilisateurs de poser toutes les questions nécessaires en ligne et obtenir les réponses à l'aide du système de support par ticket. Pour accéder à ce type de support, il vous suffit de vous enregistrer sur le site web.
  • La FAQ Manager (MySQL Manager FAQ) – cette partie du site contient la liste des questions fréquemment posées et des réponses.


Travail avec les bases de données

Après que vous avez enregistré la base de données, elle s'affiche dans l'explorateur de bases, qui se trouve dans la partie gauche de l’écran.

Toutes les bases de données enregistrées s'affichent dans l'explorateur de bases. Les bases déconnectées sont marquées par la couleur grise.

Le contenu de l'élément actif s'affiche dans la fenêtre inférieure de l'explorateur de bases qui s'appelle SQL Assistant.

Si vous avez sélectionné une table dans l'explorateur de bases, tous les champs de cette table s'affichent dans la fenêtre inférieure. Si vous avez sélectionné un serveur, toutes les bases de ce serveur s'affichent dans cette fenêtre.

Si l'option 'Afficher l'hôte' (Show Hosts) est activé, l'affichage des bases de données a la structure hiérarchique des serveurs et des bases de données. Si cette option est désactivée, seule la liste des bases de données s'affiche dans la fenêtre.

Il est possible d'activer l'option Afficher l'hôte/Show Hosts en utilisant deux méthodes. Cliquez sur 'Afficher l'hôte dans l'explorateur de bases' (Show Hosts in DB Explorer) dans Options | Options de l'environnement | Explorateur de bases (Options | Environment Options | DB Explorer) ou sélectionnez l'élément 'Afficher l'hôte' (Show Hosts) dans le menu contextuel de l'explorateur. Pour l'ouvrir, cliquez avec le bouton droit de la souris sur l'explorateur de bases.

Menu contextuel des bases de données

Certains éléments de ce menu sont doublés dans le menu contextuel de l'explorateur et sur la barre d'outils de l'explorateur de bases.

Le menu contextuel de la base de données permet de :

  • se connecter à une base de données sélectionnée - 'Se connecter à la base de données' (Connect to Database) (pour une base déconnectée),
  • se déconnecter de la base de données sélectionnée - 'Se déconnecter de la base de données' (Disconnect from Database) (pour une base connectée),
  • enregistrer une nouvelle base de données en utilisant l'assistant d'enregistrement de bases de données - 'Enregistrer la base de données' (Register Database),
  • supprimer l'enregistrement de la base de données - 'Supprimer l'enregistrement de la base' (Unregister Database),
  • modifier l'information d'enregistrement - 'Informations sur l'enregistrement de la base' (Database Registration Info),
  • enregistrer un nouvel hôte à l'aide de l'assistant d'enregistrement de bases de données - 'Enregistrer un hôte'(Register Host),
  • supprimer l'enregistrement de l'hôte et de toutes les bases de données enregistrées sur cet hôte - 'Supprimer l'enregistrement de l'hôte' (Unregister Host),
  • activer l'option 'Afficher l'hôte' (Show Hosts),
  • trier les bases de données par nom - 'Trier par alias' (Sort by Aliases),
  • cacher les bases de données déconnectées - 'Cacher les bases déconnectées' (Hide Disconnected Databases),
  • rafraîchir la base de données - 'Rafraîchir la base de données' (Refresh Database),
  • créer un nouvel onglet - 'Nouvel onglet à partir d'ici' (New Tab from Here),
  • renommer l'onglet actuel - 'Renommer l'onglet actuel' (Rename Current Tab),
  • supprimer l'onglet actuel - 'Supprimer l'onglet actuel' (Delete Current Tab),
  • 'Rechercher un élément' (Find Item) - la recherche de combinaison de touches et de chiffres configurée par l'utilisateur dans les noms des bases de données et des objets.


Travail avec les objets de bases de données

L'explorateur de bases fournit l'accès à tous les objets de la base de données enregistrée et connectée.

Double-cliquez sur l'objet pour l'ouvrir dans un éditeur correspondant. Cliquez sur l'objet avec le bouton droit de la souris pour ouvrir le menu contextuel affichant les opérations disponibles pour l'objet. Pour rafraîchir le contenu du sous-arbre correspondant, cliquez sur le bouton F5 du clavier ou sélectionnez l'élément correspondant du menu contextuel. Ainsi vous pouvez actualiser toute la base de données ou certains objets seulement.

Si vous voulez utiliser l'explorateur de bases pour travailler avec les sous-objets (champs, index, etc.), sélectionnez 'Afficher les sous-objets des tables' (Show Table Subobjects) dans Options de l'environnement | Explorateur de bases (Environment Options | DB Explorer). Vous pouvez aussi activer cette fonction en utilisant l'élément du menu Mode visualisation (View Mode) de l'explorateur de bases.

Menu contextuel de l'objet

Pour ouvrir ce menu, veuillez cliquer avec le bouton droit de la souris sur n'importe quel objet de la base de données. En utilisant ce menu, vous pouvez :
  • créer un nouvel objet de la base de données - Nouvel (New) <objet>,
  • ouvrir un objet sélectionné dans l'éditeur - Modifier (Edit) <nom de l'objet>,
  • renommer un objet sélectionné - Renommer (Rename) <nom de l'objet>,
  • supprimer l'objet sélectionné - Supprimer (Drop) <nom de l'objet>,
  • copier l'objet en utilisant l'assistant de copie de bases de données - Dupliquer (Duplicate) <"nom de l'objet">,
  • ouvrir l'arbre de dépendances pour cet objet - Arbre de dépendances (Dependency Tree),

  • cette section contient les ensembles de fonctions pour chaque objet,

  • copier le script SQL d'un objet dans l'éditeur de requêtes SQL - 'Script dans un nouveau éditeur SQL' (Script to New SQL Editor),
  • copier le script SQL d'un objet dans le presse-papiers - 'Script dans le presse-papiers' (Script to Clipboard),

  • afficher les propriétés de l'objet - <"nom de l'objet"> Properties (Propriétés),
  • gérer les droits de l'utilisateur - Droits pour (Grants for) <nom de l'objet>,
  • actualiser l'information sur l'objet - Rafraîchir (Refresh) <nom de l'objet>,
  • modifier les informations sur la base de données enregistrée - 'Informations sur l'enregistrement de la base'

(Database Registration Info),

  • créer un nouvel onglet - 'Nouvel onglet à partir d'ici' (New Tab from Here),
  • renommer l'onglet actuel - 'Renommer l'onglet actuel' (Rename Current Tab),
  • supprimer l'onglet actuel - 'Supprimer l'onglet actuel' (Delete Current Tab),
  • rechercher un élément de la base de données - 'Rechercher un élément' (Find Item).


Travail avec les fenêtres

Le basculement entre les fenêtre dans SQL Manager 2007 for MySQL s'effectue de la même manière que dans Windows. Pour ouvrir le menu contextuel, cliquez avec le bouton droit de la souris sur l'icône de la barre des taches du programme.

Pour passer d'une fenêtre à l'autre il vous suffit de cliquer avec la souris sur une fenêtre nécessaire.

Vous pouvez configurer un nombre maximale d'éditeurs ouverts pour les objets de bases de données en utilisant Options de l'environnement | Windows | Nombre restreint d'éditeurs ouverts (Environment Options | Windows | Number of open editors is restricted). Si le nombre d'éditeurs ouverts dépasse le nombre que vous avez fixé, le programme ferme automatiquement les éditeurs précédemment ouverts.

Afin de faciliter votre travail avec les fenêtres, SQL Manager 2007 for MySQL contient l'élément spécial dans le menu principal du programme - 'Fenêtres' (Windows).

En utilisant ce menu vous pouvez :

  • afficher la liste des fenêtres ouvertes - 'La liste des fenêtres' (Windows List),

La liste des fenêtres ouvertes s'affiche en additif sur l'onglet.

  • mettre les fenêtres ouvertes en cascade - 'Cascade' (Cascade),

  • minimiser toutes les fenêtres - 'Tout minimiser' (Minimize All),
  • ranger toutes les fenêtres les une au-dessus des autres - 'Empilement Horizontal' (Tile Horizontal),

  • mettre toutes les fenêtres au même niveau - 'Empilement Vertical' (Tile Vertical),

  • réinitialiser la taille par défaut pour les fenêtres - 'Réinitialiser les fenêtres aux valeurs par défaut' (Set Defaults to All Windows),
  • initialiser les paramétrages par défaut de toutes les barres d'outils et les menus par défaut - 'Réinitialiser tous les barres d'outils et les menus' (Reset All Toolbars and Menus) ,
  • fermer toutes les fenêtres - 'Tout fermer' (Close All),
  • dans le sous-menu de l'élément 'Fermer' (Close), vous pouvez sélectionner le type d'objets à fermer (par exemple, si vous sélectionnez les tables, tous les éditeurs ouverts de table seront fermés),
  • passer à une fenêtre suivante - 'Fenêtre précédente' (Previous Window),
  • passer à une fenêtre précédente - 'Fenêtre suivante' (Next Window).


Explorateur de bases

L'explorateur de bases (Database Explorer ou DB Explorer) est une fenêtre de navigation principale pour travailler avec les bases de données et les objets de bases de données. L'explorateur de bases dispose d'une structure hiérarchique et comprend plusieurs fenêtres. L'explorateur de bases permet d'exécuter rapidement toutes les opérations avec les bases de données.

Menu contextuel

Barre d'outils de l'explorateur de bases

Connexion à une base de données

Modification des informations d'enregistrement de la base

Opérations essentielles avec les objets

Création des projets

Utilisation des onglets

Sélection des plusieurs objets

Objets récemment utilisés

Recherche

Affichage des informations sur les objets dans SQL Assistant

Personnalisation de l'explorateur de bases

Tous les objets de bases de données (tels que les tables, les requêtes, les rapports etc.) sont divisés en répertoires correspondants à leurs types. Pour chaque type d'objets, le nombre d'objets est affiché. Par exemple, toutes les tables se trouvent dans le répertoire Tables, le nombre de tables se trouvant dans ce répertoire est marqué à côté.

Pour afficher/cacher la fenêtre de l'explorateur, utilisez la commande Visualisation | Explorateur de bases (View | DB Explorer) dans le menu principal ou cliquez sur la touche F11.

Pour minimiser rapidement le contenu de la base de données, utilisez le raccourci Ctrl+Shift+C.


Menu contextuel

Le menu contextuel de l'explorateur de bases représente la liste des opérations. Vous pouvez l'ouvrir en cliquant avec le bouton droit de la souris sur une place vide de l'explorateur de bases.

En utilisant l'explorateur de bases, vous pouvez :

  • enregistrer une base de données - 'Enregistrer la base de données' (Register Database),
  • enregistrer l'hôte - 'Enregistrer l'hôte...' (Register Host...). Pour cela, veuillez utiliser l'assistant d'enregistrement de bases de données,
  • supprimer l'enregistrement de l'hôte - 'Supprimer l'enregistrement de l'hôte' (Unregister Host),
  • activer l'option 'Afficher les hôtes' (Show Hosts),
  • trier les bases de données par noms - 'Trier par alias' (Sort by Aliases) (elles sont disposées par défaut en ordre d'enregistrement),
  • 'Cacher les bases déconnectées' (Hide Disconnected Databases) - cette fonction est utilisée pour cacher les bases de données qui sont déconnectées,
  • 'Nouvel onglet à partir d'ici' (New Tab from Here) - créer un nouvel onglet,
  • 'Renommer l'onglet actuel' (Rename Current Tab) - renommer l'onglet actuel,
  • 'Supprimer l'onglet actuel' (Delete Current Tab) - supprimer l'onglet actuel,
  • 'Rechercher un élément' (Find Item) - la recherche de la combinaison de touches et de chiffres configurée par l'utilisateur dans les noms des bases de données et des objets.


Connexion à une base de données

La commande 'Se connecter à la base de données' (Connect to database) est inactive, si la connexion à une base de données sélectionnée est établie.

Vous pouvez connecter une base de données en utilisant trois méthodes :

  1. Sélectionnez l'élément 'Se connecter à la base de données' (Connect to database) dans le menu contextuel de la base de données déconnectée

  2. L'option 'Se connecter à la base de données' (Connect to database) se trouve sur la barre d'outils de l'explorateur de bases même si la base de données est active

  3. Vous pouvez aussi utiliser le menu principal du programme en sélectionnant 'Se connecter à la base de données' (Connect to database)


Informations sur l'enregistrement de la base

Si, lors de la création ou de l'enregistrement de la base de données, vous avez fait une erreur, ou si l'information que vous avez indiqué est insuffisante, vous pouvez corriger ces erreurs en utilisant l'option 'Enregistrement de la base de données' (Database Registration Info).

L'explorateur de bases permet de modifier les informations sur l'enregistrement des bases de données pendant le processus de travail.

Vous pouvez ouvrir la fenêtre de modification des informations sur l'enregistrement de la base en cliquant sur l'élément du menu contextuel 'Informations sur l'enregistrement de la base' (Database Registration Info) (pour les bases de données connectées).


Exécution des opérations sur les objets

L'explorateur de bases permet d'accéder aux opérations essentielles avec les objets de bases de données à l'aide du menu contextuel. Notez : chaque type d'objets a son propre menu.

Les opérations essentielles disponibles dans chaque menu contextuel sont :

  • création - 'Nouveau' (New) <objet>,
  • modification - 'Modifier' (Edit) <"nom de l'objet">,
  • suppression - 'Supprimer' (Drop) <"nom de l'objet">,
  • renommage - 'Renommer' (Rename) <"nom de l'objet">,
  • copie de l'objet - 'Dupliquer' (Duplicate) <"nom de l'objet">,

Ces opérations sont identiques pour tous les types d'objets

Pour ouvrir un objet dans l'éditeur correspondant, il vous faut double-cliquer sur cet objet dans l'explorateur de bases.


Gestion des projets

Si vous travaillez avec une grande base de données et si vous utilisez constamment certains objets de cette base, il vous faut utiliser l'option 'Projets' (Projects).

Un dossier spécial est prévu pour les projets, il se trouve dans l'arbre de l'explorateur de bases. Il ne faut pas créer ce dossier d'une façon indépendante.

Ajouter un objet dans le projet

Pour ajouter des objets dans un projet, il vous faut créer un dossier incorporé dans le dossier 'Projets' (Projects) en sélectionnant l'élément du menu contextuel 'Nouveau sous-dossier' (New Sub Folder).

Dans la fenêtre qui apparaît saisissez le nom du dossier.

Vous pouvez placer les objets dans ce dossier. S'il n'y a pas de dossiers incorporés dans 'Projets' (Projects), il est impossible d'y placer les objets.

Pour cela, cliquez sur l'élément du menu contextuel 'Ajouter l'objet' (Add Object).

Puis vous pouvez sélectionner un objet nécessaire parmi les objets disponibles.

Les objets sont divisées par types, ce qui est très utile si la base de données est grande.

Dans le menu contextuel des objets, il n'y a pas d'option 'Ajouter dans le projet' (Add to project), c'est pourquoi il faut déplacer les objets dans le projet en utilisant la souris.

Seules les étiquettes se trouvent dans 'Projets' (Projects) et non pas les objets. Ainsi, si vous supprimez un objet à partir du projet, ou même un projet tout entier, toutes les informations restent sauvegardées.

Notez qu'il est impossible de renommer le fichier qui se trouve dans le projet.

Supprimer le projet

Si vous voulez supprimer les objets ajoutés dans le projet, utilisez l'élément du menu contextuel 'Supprimer <nom de l'objet> à partir des projets' (Remove <nom de l'objet> from Projects).

Vous pouvez supprimer les dossiers avec tout le contenu créé dans 'Projets' (Projects).


Navigation des objets à l'aide des onglets

Afin de rendre votre travail plus facile, SQL Manager 2007 for MySQL vous offre le service spécial d'onglets. Vous pouvez utiliser les onglets si vous voulez accéder rapidement à un certain groupe d'objets de l'explorateur de bases. Cela peut être un serveur, une base de données ou un groupe d'objets d'une base de données. Vous pouvez, par exemple, placer un dossier avec les vues dans un onglet séparé, ou créer plusieurs onglets (chacun d'entre eux correspondant à une seule base de données).

Vous pouvez placer un objet sur un onglet séparé en utilisant l'option du menu contextuel 'Nouvel onglet à partir d'ici' (New Tab from Here). Cette option est présentée dans le menu contextuel de chaque objet. Cette option est disponible si l'objet est le noeud de l'arbre.

DB Explorer - Using tabs - New tab

Note : l'élément 'Nouvel onglet à partir d'ici' (New Tab from Here) sera inactif, si l'option d'affichage des sous-objets des tables est désactivée sur la barre d'outils de l'explorateur de bases, parce que la table n'est pas un nœud de l'arbre.

Si cette option est activé, (Mode visualisation | Afficher les sous-objets des tables / View Mode | Show Table Subobjects), l'élément 'Nouvel onglet à partir d'ici' (New Tab from Here) devient actif.

Les onglets peuvent être affichés sous deux formes dans la fenêtre de l'explorateur de bases :

  • sous forme d'icônes sur la barre inférieure de l'explorateur

  • sous forme d'onglets.

Pour passer d'une forme d'affichage à une autre il vous faut tirer le séparateur en bas (ou en haut)

Pour cela, vous pouvez aussi sélectionner les éléments 'Afficher plus de boutons' (Show more Buttons) et 'Afficher moins de boutons' (Show Fewer Buttons) du menu contextuel. Pour ouvrir le menu, cliquez sur le bouton 'Configurer les boutons' (Configure buttons) [image] .

Pour basculer d'un onglet à une autre, il vous suffit de cliquer avec la souris sur l'icône ou sur l'onglet. Vous pouvez aussi utiliser les raccourcis :

  • Ctrl+Shift+N - aller sur l'onglet suivant,
  • Ctrl+Shift+P - aller sur l'onglet précédent.

Renommer l'onglet

Si vous voulez renommer un onglet, il vous faut passer sur cet onglet et sélectionner l'élément 'Renommer l'onglet actuel' (Rename Current Tab) dans le menu contextuel de l'explorateur de bases de données.

Supprimer l'onglet

Si vous voulez supprimer un onglet, il vous faut passer sur cet onglet et sélectionner l'élément 'Supprimer l'onglet actuel' (Delete Current Tab) dans le menu contextuel de l'explorateur de bases de données.

La liste des fenêtres

Vous pouvez utiliser l'onglet de l'explorateur de bases 'Liste des fenêtres' (Windows List) pour afficher la liste des fenêtres ouvertes et les processus cachés. L'onglet 'Liste des fenêtres' (Windows List) est impossible à supprimer.


Sélection de plusieurs objets

Parfois, vous avez besoin de supprimer/copier/déplacer un grand nombre d'objets. Ce n'est pas commode d'appliquer une opération nécessaire à chaque objet. C'est pour cela qu'existe l'opportunité de sélectionner simultanément plusieurs objets.

Afin de sélectionner simultanément plusieurs objets, vous devez sélectionner les objets nécessaires avec le bouton gauche de la souris en tenant le bouton 'Ctrl' enfoncé.

Vous pouvez exécuter les opérations suivantes avec les objets sélectionnés :

  • modifier un objet - 'Modifier <n> Objets sélectionnés' (Edit <n> Selected Objects) (n - nombre d'objets sélectionnés),
  • supprimer un objet - 'Supprimer les objets de bases de données' (Drop Database Objects),
  • placer dans Projets. Dans le menu, il n'y a pas d'option pour exécuter cette opération, c'est pourquoi il faut déplacer les objets dans le projet avec la souris.

Note. S'il n'y a pas de dossiers incorporés dans Projets (Projects), il est impossible d'y placer les objets.


Objets récents

Pour accéder rapidement aux objets récemment utilisés, cliquez sur 'Objets récents' (Recent Objects) sur la barre d'outils de l'explorateur. Ainsi vous pouvez afficher la liste des derniers objets qui ont été ouverts pendant la dernière session. La liste sera vidée après la fermeture de SQL Manager 2007 for MySQL.

DB Explorer - Recently opened objects

Pour modifier le nombre d'éléments dans cette liste, sélectionnez Options | Options de l'environnement | Outils| Explorateur de bases | Nombre d'objets récents (Options | Environment Options | Tools| DB Explorer | Recent objects count).


Recherche d'objets

SQL Manager 2007 for MySQL permet de rechercher un objet par son nom dans l'explorateur de bases de données. Vous pouvez utiliser cette option si un grand nombre d'objets est affiché dans l'explorateur et qu'il est donc difficile de rechercher un objet.

Pour appeler la fenêtre de recherche (pour saisir le mot) :

DB Explorer - Searching within the database

sélectionnez l'option 'Rechercher un élément' (Find Item) du menu contextuel de l'explorateur ou le raccourci Ctrl + F


Assistant SQL

Cette fenêtre affiche les informations détaillées sur l'objet sélectionné dans l'explorateur de bases.

Si vous avez sélectionné une table dans l'explorateur, tous les champs de cette table s'affichent dans Assistant SQL. Si vous avez sélectionné un serveur, toutes les bases de ce serveur s'affichent dans Assistant SQL. Si vous avez sélectionné une base de données dans l'explorateur, Assistant SQL affiche les groupes d'objets de cette base avec l'indication du nombre d'objets dans chaque groupe.

Vous pouvez ouvrir les objets à partir de l'Assistant SQL (de la même façon qu'à partir de l'explorateur) et les modifier en double-cliquant avec la souris sur un objet nécessaire.

Vous pouvez personnaliser l'assistant SQL pour les tables et les vues. Vous pouvez sélectionner les objets à afficher dans l'Assistant SQL, si une table est sélectionnée dans l'explorateur :

  • champs de table,- 'Afficher les champs' (Show Fields),
  • clés étrangères - 'Afficher les clés étrangères' (Show foreign Keys),
  • index - 'Afficher les index' (Show Indices),
  • triggers - 'Afficher les triggers' (Show Triggers),
  • DDL - 'Afficher la DDL' (Show DDL),
  • description - 'Afficher la description' (Show Description).

Si vous avez sélectionné une vue (View) :

  • champs - 'Afficher les champs' (Show Fields),
  • index - 'Afficher les index' (Show Indices),
  • triggers - 'Afficher les triggers' (Show Triggers),
  • DDL - 'Afficher la DDL' (Show DDL),
  • description - 'Afficher la description' (Show Description).

Vous pouvez personnaliser le style en utilisant le bouton Mode visualisation (View Mode) sur la barre d'outils de l'explorateur.

Sélectionnez l'option 'Détails des tables' (Tables' Details). Dans le menu qui apparaît, indiquez les objets à afficher dans l'assistant SQL.

Vous pouvez aussi sélectionner l'élément 'Détails des tables' (Tables' Details) dans le menu contextuel de l'assistant SQL.


Configuration de l'explorateur de bases

Barre d'outils de l'explorateur de bases

Barre d'outils c'est un assortiment d'outils qui se trouve au-dessus de la fenêtre de l'explorateur de bases. Cette barre contient les boutons de gestion de bases de données et les boutons de personnalisation de l'explorateur.

Vous pouvez personnaliser la barre d'outils à votre discrétion en utilisant la fonction 'Ajouter ou supprimer les boutons' (Add or Remove Buttons). Pour l'ouvrir, cliquez sur le bouton 'Plus de boutons' (More Buttons) [image] dans le coin droit de la barre.

Les boutons suivants se trouvent par défaut sur la barre d'outils :

  • 'Créer' (Create) - créer un objet,
  • 'Rafraîchir la base de données' (Refresh Database) - rafraîchir la base de données,
  • 'Se connecter à la base de données' (Connect to Database) - se connecter à une base de données,
  • 'Se déconnecter de la base de données' (Disconnect from Database) - se déconnecter de la base de données,
  • 'Propriétés' (Properties) - ouvrir les propriétés d'un objet sélectionné,
  • Mode visualisation (View Mode)- personnaliser l'explorateur,
  • 'Récent' (Resent) - la liste d'objets récemment utilisés,
  • 'Saut rapide vers la base' (Quick Jump To Database) - le saut rapide vers la base de données

Toutes les commandes sauf 'Mode visualisation' (View Mode) sont conçus pour travailler avec les bases de données. La commande 'Mode visualisation' (View Mode) permet de personnaliser l'explorateur de bases et l'assistant SQL.

Barre de recherche

Saisissez l'ensemble de caractères à rechercher dans le champ 'Recherche' (Search).

Vous pouvez indiquer la direction de la recherche en utilisant les boutons

Vous pouvez régler les barres d'outils à votre gré en utilisant la fonction 'Ajouter ou supprimer les boutons' (Add or Remove Buttons). Pour ouvrir cette fonction, cliquez sur le bouton 'Plus de boutons' (More Buttons) [image] dans le coin droit de la barre.

'Mode visualisation' (View Mode) permet :

  • d'afficher les sous-objets de tables dans l'explorateur de bases - 'Afficher les sous-objets des tables' (Show Table Subobjects),
  • d'afficher les hôtes - 'Afficher l'hôte' (Show Hosts),
  • trier les bases de données par nom (les bases de données sont triées par défaut par temps d'enregistrement sur le serveur) - 'Trier par alias' (Sort by Aliases),
  • de cacher les bases déconnectées - 'Cacher les bases déconnectées' (Hide Disconnected Databases),
  • de personnaliser 'Détails des tables' (Tables' Details) dans l'assistant SQL,

Pour accéder aux paramétrages supplémentaires de l'explorateur, utilisez Options | Options de l'environnement... | Explorateur de bases (Options | Environment Options... | DB Explorer).


Gestion de bases de données

SQL Manager 2007 for MySQL fournit aux utilisateurs les outils nécessaires d'administration et de développement de bases de données. Le travail avec une base de données dans SQL Manager 2007 for MySQL est impossible si vous n'avez pas enregistré cette base.

Création de la base

Afin de faciliter le processus de création de la base de données dans SQL Manager 2007 for MySQL, veuillez utiliser l'assistant de création de bases de données (Create Database Wizard). En utilisant l'assistant, vous pouvez créer une base de données pas à pas.

Pour créer la base de données il vous faut exécuter les opérations suivantes :

  • sélectionner l'élément 'Base de données | Créer la base de données' (Database | Create Database) du menu principal du programme,
  • spécifier le nom de la base, le nom du serveur, le type d'autorisation,
  • activer l'option "Enregistrer après la création" (Register After Creating) pour appeler l'assistant d'enregistrement de bases de données
  • afficher et modifier le script SQL de résultat,

Enregistrement de bases de données

Pour commencer à travailler avec un base de données déjà existante dans SQL Manager 2007 for MySQL, il vous faut l'enregistrer. Pour cela, utilisez l'assistant d'enregistrement de bases de données. Pour lancer l'assistant, sélectionnez l'option 'Base de données | Enregistrer la base de données' (Database | Register Database) du menu principal du programme. A l'aide de cet outil, vous pouvez sélectionner un serveur, une base de données sur ce serveur, spécifier les paramètres de connexion pour cette base, les paramètres d'autorisation et d'autres options de l'enregistrement.

Pour enregistrer plusieurs bases de données qui se trouvent sur le même serveur, il vous faut désactiver la fonction 'Enregistrer une seule base de données' (Register a single database) lors de l'étape de configuration des paramètres du serveur. Lors de l'étape suivante de l'assistant, vous pouvez sélectionner plusieurs bases à enregistrer et les enregistrer simultanément.

Suppression de l'enregistrement de la base

Si vous n'utilisez pas la base de données, vous pouvez la supprimer en utilisant la fonction 'Supprimer l'enregistrement de la base' (Unregister Database). La base de données non-enregistrée ne s'affiche pas dans SQL Manager 2007 for MySQL.

Pour supprimer l'enregistrement, il vous faut suivre les étapes suivantes :

  • sélectionner la base dont vous voulez supprimer l'enregistrement (cliquez avec la souris sur la base dans l'explorateur de bases),
  • sélectionner l'option 'Base de données | Supprimer l'enregistrement de la base' (Database | Unregister Database) du menu principal du programme,
  • dans la fenêtre qui apparaît, confirmer la suppression de l'enregistrement.

Suppression de la base de données

Après la suppression de la base, celle-ci sera supprimée complètement à partir du serveur. Vous pouvez la restaurer à partir des copies de sauvegarde, que l'utilisateur a crée lors du processus du travail.

Pour supprimer la base de données, il vous faut :

  • sélectionner une base à supprimer (cliquez avec la souris sur la base dans l'explorateur de bases),
  • sélectionner l'option 'Base de données | Supprimer la base de données' (Database | Drop Database) dans le menu principal du programme (cette option n'est pas disponible dans le menu contextuel de la base de données),
  • dans la fenêtre qui apparaît, confirmer la suppression de la base de données.

Vous pouvez supprimer les bases de données connectées ainsi que les bases de données déconnectées. Il est impossible de supprimer la base s'il n'y a pas la connexion avec un serveur.

Connexion à la base

La commande 'Se connecter à la base de données' (Connect to Database) est disponible via :

  • le menu principal du programme - 'Base de données | Se connecter à la base de données' (Database | Connect to Database),
  • le menu contextuel de l'explorateur,
  • le menu contextuel de la base.

Pour vous connecter à la base de données, vous pouvez aussi utiliser le raccourci Ctrl+Shift+C ou double cliquer sur le nom de la base de données dans l'explorateur.

Déconnexion de la base.

Si la séance de travail avec la base de données est terminée, vous pouvez vous déconnecter de la base. La commande 'Se déconnecter de la base de données' (Disconnect from Database) est disponible s'il y a la commande 'Se connecter à la base de données' (Connect to Database). Vous pouvez vous déconnecter de la base en utilisant le raccourci Ctrl+Shift+D.


Assistant de création de bases de données

L'assistant de création de bases de données (Create Database Wizard) génére automatiquement le script SQL de création d'une nouvelle base de données et l'exécute sur MySQL.

Pour appeler l'assistant, veuillez utiliser la commande 'Créer la base de données' (Create Database) disponible via :

  • le menu principal du programme - 'Base de données | Créer une base de données' (Database | Create Database),
  • la barre d'outils de SQL Manager 2007 for MySQL,
  • la barre d'outils de l'explorateur,
  • le panneau de travail.

Si vous utilisez la commande 'Créer une base de données' (Create Database...) pour créer une base de données, la création de la base à l'aide de l'assistant seulement sera disponible.

Si vous ne voulez pas utiliser l'assistant ou si vous avez déjà un script SQL, vous pouvez utiliser l'éditeur de scripts SQL - SQL Script Editor.

L'assistant contient les étapes suivantes :

  • la spécification du nom pour une nouvelle base - 'Spécifier le nom de la nouvelle base de données' (Specify the name for a new database),
  • la configuration des paramètres de connexion pour une nouvelle base de données - 'Configurer les propriétés de connexion pour la nouvelle base de données' (Set connection properties and collation for a new database),
  • la spécification des paramètres du tunnel - 'Propriétés avancées de la base de données' (Advanced database properties)
  • l'affichage du script SQL de résultat - 'Instruction SQL résultante : ' (Result SQL statement).

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite | Oui


Configuration du nom de la base de données

Indiquez le nom de la base de données dans le champ 'Nom de la base' (Database name). Le programme affiche l'avertissement si une base avec le même nom existe déjà sur le serveur.

Si vous voulez enregistrer automatiquement la base de données tout de suite après la création, cochez la case 'Enregistrer après la création' (Register after creating). Dans ce cas-là, la fenêtre Informations sur l'enregistrement de la base (Database Registration Info ) apparaît après que la base de données soit créée.

Create Database Wizard - Setting database name

Étape suivante


Configuration des paramètres de connexion

Spécifiez les paramètres de connexion au serveur lors de la deuxième étape de l'assistant.

Create Database Wizard - Setting connection properties

Ouvrez la liste déroulante 'Nom d'hôte' (Host name) et sélectionnez le serveur (le hôte) auquel vous voulez vous connecter. Cette liste contient les noms des serveurs déjà enregistrés.

Spécifiez le port de connexion dans le champ 'Port' (Port). Indiquez le nom d'utilisateur et le mot de passe dans les champs 'Nom d'utilisateur' (User name) et 'Mot de passe' (Password).

Choisissez le jeu de caractères dans la liste déroulante 'Jeu de caractères' (Character set). Choisissez la règle de tri des données de type caractères à partir de la liste déroulante 'Collation' (Collation). Ces règles spécifient la page code et l'ordre de comparaison des données caractères ce qui est nécessaire pour le travail avec les données Unicode et les données d'autres formats.

Si la case 'Utiliser les paramètres du serveur' (Use server settings) est cochée, les paramètres du serveur 'Jeu de caractères' (Character set) et 'Collation' (Collation) indiqués dans les informations d'enregistrement sur la base de données seront utilisés.

Si la case 'Utiliser un tunnel' (Use tunneling) est cochée, vous pouvez utiliser un des types de tunnel disponibles :

  • SSH tunneling - Tunnel SSH,
  • HTTP tunneling - Tunnel HTTP.

Utilisez le tunnel SSH pour l'échange de données avec le serveur via une connexion chiffrée. Pour accéder au serveur MySQL via le protocole HTTP, sélectionnez le tunnel HTTP.

Étape suivante


Paramétrages du tunnel

Si vous avez coché la case 'Utiliser un tunnel' (Use tunneling) lors de la deuxième étape de l'assistant, il vous faut spécifier les paramètres du tunnel lors de la troisième étape.

Veuillez utiliser le tunnel SSH pour exécuter l'échange des données entre client et serveur via la chaîne chiffrée.

Si vous avez choisi le tunnel SSH, il vous faut spécifier les paramètres suivants :

  • Nom du hôte SSH - est le nom du serveur SSH. En cas de la spécification des paramètres SSH, le nom ou l'adresse IP de l'hôte MySQL doit être configuré lors de l'étape précédente par rapport à l'ordinateur sur lequel le serveur SSH est installé. En cas de l'utilisation de localhost, les serveurs MySQL et SSH doivent être installés sur le même ordinateur. Le nom du serveur SSH doit être configuré par rapport à l'ordinateur client sur lequel SQL Manager 2007 for MySQL est démarré.
  • Port SSH - est le port.
  • Nom d’utilisateur SSH - est le nom de l’utilisateur.
  • Mot de passe SSH - est le mot de passe.

Si vous avez coché la case 'Utiliser la clé privée pour l'authentification' (Use private Key for authentication), le fichier clé sera utilisée en supplément. Vous pouvez donner cette clé dans le champ 'Fichier clé SSH' (SSH key file). Parfois, il faut saisir le mot de passe pour utiliser ce fichier. Vous pouvez le faire dans la fenêtre qui apparaît.

Si vous avez sélectionné le tunnel HTTP, il vous faut spécifier l'adresse du serveur dans le champ URL.

Étape suivante


Affichage des résultats

Lors de la dernière étape de l'assistant, vous pouvez visualiser le script SQL généré automatiquement. Vous pouvez le modifier, s'il est nécessaire.

Si vous avez coché la case 'Enregistrer après la création' (Register after creating) lors de la première étape de l'assistant, la fenêtre Informations d'enregistrement de la base (Database Registration Info) apparaît dès que vous cliquez sur le bouton 'Finir' (Finish). Vous pouvez indiquer l'information d'enregistrement de la base de données dans cette fenêtre.


Assistant d'enregistrement de bases de données

L'assistant d'enregistrement de bases de données vous permet d'enregistrer une base de données déjà existante dans SQL Manager 2007 for MySQL.

Pour appeler l'assistant, utilisez le bouton 'Enregistrer la base de données...' (Register Database...), qui est disponible via :

  • le menu principal du programme 'Base de données | Enregistrer la base de données...' (Database | Register Database...),
  • la barre d'outils de SQL Manager 2007 for MySQL,
  • le menu contextuel de bases de données,
  • ou avec le raccourci Shift+Alt+R.

L'assistant comprend deux étapes :

  • Configuration des propriétés de connexion,
  • Configuration des propriétés d'enregistrement.

En supplément

Assistant de création de bases de données

Assistant d'enregistrement de hôtes


Configuration des propriétés de connexion

Lors de cette étape de l'assistant, il est nécessaire de configurer les propriétés de connexion au serveur.

Dans la liste déroulante 'Nom d'hôte' (Host name), sélectionnez le serveur (l'hôte) auquel vous voulez vous connecter. Cette liste contient les noms des serveurs déjà enregistrés.

Dans le champ 'Port' (Port), spécifiez le port de connexion. Spécifiez le nom d'utilisateur et le mot de passe dans les champs 'Nom utilisateur' (User name) et 'Mot de passe' (Password).

Dans la liste déroulante 'Jeu de caractères' (Character set), sélectionnez le jeu de caractères nécessaire. Dans la liste déroulante 'Collation' (Collation), sélectionnez la règle de tri des données caractères. Ces règles permettent de configurer la page code et l'ordre de tri des données caractères. C'est nécessaire pour travailler avec les données Unicode et avec d'autres formats de données.

Si vous avez coché la case 'Utiliser le paramétrage du serveur' (Use server settings), les paramètres du serveur 'Jeu de caractères' (Character set) et 'Collation' (Collation) sont utilisés. Ces paramètres sont indiqués dans les informations sur l'enregistrement de la base.

Si vous avez coché la case 'Utiliser un tunnel' (Use tunneling), vous pouvez utiliser un des tunnels suivants :

  • SSH tunneling - tunnel SSH,
  • HTTP tunneling - tunnel HTTP.

Veuillez utiliser le tunnel SSH pour exécuter l'échange des données entre client et serveur via la connexion chiffrée.

Pour accéder au serveur MySQL via le protocole HTTP, veuillez utiliser le tunnel HTTP.

Paramètres du tunnel

Étape suivante


Configuration des options d'enregistrement

Spécifiez les propriétés générales de bases de données sur cet onglet :

Ces options se trouvent sur l'onglet Options (Options) dans les informations sur l'enregistrement de la base.

Sélectionnez la base de données dans la liste déroulante 'Nom de la base' (Database name). Vous pouvez indiquer l'alias de la base (qui sera affiché dans l'explorateur) dans le champ 'Alias de la base' (Database alias).

Jeu de caractères client

Si vos données de chaînes contenant les caractères nationaux s'affichent mal lors de l'affichage dans SQL Manager, il vous faut sélectionner manuellement le codage dans la liste déroulante 'Jeu de caractères client' (Client charset) pour les données stockées sur le serveur.

Pour les serveurs version 4.1 et ultérieures, il vous faut indiquer utf8 pour que toutes les données s'affichent correctement.

Notez que les données de champ de table s'affichent correctement si le codage des données stockées dans le champ coïncide avec le codage du champ de table. Par exemple, si les données de chaînes sont stockées en codage greek dans la table de type

CREATE TABLE table1 (

str varchar(20) default NULL

) ENGINE=MyISAM DEFAULT CHARSET=latin1;

ces données seront mal affichées.

De plus, ces données seront mal triées dans tous les autres programmes et le résultat de travail de certaines fonctions chaînes de type UPPER(), LOWER() sera mauvais.

Si le codage des données stockées dans la base de données coïncide avec le codage par défaut de votre système d'exploitation Windows, vous pouvez sélectionner la valeur 'Jeu de caractères Windows' (Windows charset) dans la liste 'Jeu de caractères client' (Client charset) pour travailler avec ces données. Dans ce cas-là, SQL Manager 2007 fonctionnera comme SQL Manager version 2005.

Nous vous recommandons de mettre en correspondance le codage de données et le codage des champs de tables.

Pour cela, utilisez les commandes suivantes :

ALTER TABLE table1 MODIFY COLUMN str BINARY(20);

ALTER TABLE table1 MODIFY COLUMN str VARCHAR(20) CHARACTER SET greek;

Dans ce cas, il est nécessaire d'apporter les modifications correspondantes dans les autres programmes qui fonctionnent avec votre base de données.

Jeu de caractères

Ces règles permettent de configurer la page code et l'ordre de tri des données de symbole pour travailler avec les données Unicode et avec d'autres formats de données.

Vous pouvez indiquer sur l'onglet 'Général' (General) les propriétés suivants :

  • 'Rafraîchir les objets lors de la connexion' (Refresh objects on connection) - rafraîchir les objets lors de la connexion à une base de données.
  • 'Invite de connexion' (Login prompt before connection) - utilisez cette option si vous ne voulez pas sauvegarder le mot de passe. Il vous faut cocher cette case pour que SQL Manager vous propose de saisir le nom d'utilisateur et le mot de passe à chaque connexion.
  • 'Utilisez le protocole de compression' (Use compression protocol) - utiliser le protocole de compression de données.
  • 'Conserver la connexion active' (Keep connection alive) - vérifier la connexion au serveur chaque fois avant l'exécution de la requête.
  • 'Utiliser le protocole SSL' (Use SSL protocol) - échanger les données via le serveur MySQL distant via la connexion chiffrée.
  • 'Mode interactif' (Interactive mode) - en cochant cette case, vous pouvez utiliser la valeur de la variable interactive_timeout, à partir du fichier my.cnf (au lieu de la variable wait_timeout pour régler la limitation de temps de connexion).
  • 'Mettre les identifiants entre guillemets' (Quote identifiers) - si vous cochez cette case, tous les identifiants seront mis entre guillemets ouvrants ('`'). Pour que le script SQL obtenu après l'extraction de la base, soit compatible avec les versions précédentes de MySQL, il ne faut pas utiliser cette fonction. Note : cette fonction est applicable aux serveurs qui utilisent les alias entre guillemets.
  • 'Connexion automatique au lancement' (Autoconnect on startup) - la connexion avec la base de données sera établie automatiquement lors du lancement du programme SQL Manager 2007 for MySQL.
  • 'Désactiver les transactions' (Disable transactions) - en cochant cette case, vous indiquez que les transactions seront désactivées, et les modifications que vous apportez seront appliquées automatiquement.

Vous pouvez configurer les paramétrages des journaux sur l'onglet 'Journaux' (Logs).

Ces options sont aussi disponibles via l'onglet Journaux (Logs) dans l'information d'enregistrement de la base.

Si vous voulez enregistrer les traces des modifications des métadonnées, il vous faut cocher la case 'Activer les traces sur les modifications des méta-données' (Enable log of metadata changes), et indiquer un fichier pour enregistrer les modifications.

'Écrire seulement les instructions SQL exécutées avec succès dans le journal des traces' (SQL Write only successfully executed SQL statements to log) - si vous cochez cette case, seules les requêtes exécutées avec succès seront enregistrées dans le journal des traces.

Indiquez le fichier à enregistrer les statistiques dans le champ 'Journal' (Log file).

Si vous voulez enregistrer les traces de l'exécution des scripts SQL, il vous faut activer la fonction 'Activer les traces sur les requêtes de l'éditeur SQL' (Enable log of SQL Editor queries).

Indiquez le fichier à enregistrer les statistiques dans le champ 'Journal' (Log file).


Assistant d'enregistrement de hôtes

L'assistant d'enregistrement des hôtes/Register Host Wizard vous permet d'enregistrer plusieurs bases de données qui se trouvent sur le même hôte (serveur).

Vous pouvez appeler l'assistant via l'option 'Enregistrer un hôte...' (Register Host...), qui est disponible via :

  • le menu principal du programme 'Base de données | Enregistrer un hôte...' (Database | Register Host...),
  • la barre d'outils de SQL Manager 2007 for MySQL,
  • le menu contextuel de bases de données,
  • le raccourci Shift+Ctrl+R.

Quand vous appelez cet assistant, l'assistant d'enregistrement de bases de données se démarre. La seule différence consiste en ce que la case 'Enregistrer une seule base de données' (Register a single database) n'est pas cochée lors du démarrage de l'option 'Enregistrer un hôte...' (Register Host...).


Modification des informations sur l'enregistrement de la base

Si, lors de la création ou de l'enregistrement de la base de données, vous avez commis une erreur ou si l'information que vous avez indiqué est insuffisante, vous pouvez corriger ces erreurs en utilisant l'option 'Enregistrement de la base de données' (Database Registration Info).

L'explorateur de bases permet de modifier les informations sur l'enregistrement des bases de données pendant le processus de travail.

Pour cela utilisez l'option du menu contextuel 'Informations sur l'enregistrement de la base' (Database Registration Info) (pour les bases de données connectées).

La fenêtre 'Information sur l'enregistrement de la base' contient les onglets suivants :

  • Connexion (Connection) - permet de modifier les propriétés de connexion de la base de données,
  • Options (Options)- permet d'indiquer les propriétés générales,
  • Options d'affichage (Display options)- permet de spécifier les options d'affichage,
  • Répertoires (Directories) - permet de sélectionner les répertoires utilisés,
  • Journaux (Logs)- permet de configurer les journaux de traces,
  • Tunnel SSH (SSH tunneling)- configuration des paramétrages du tunnel SSH,
  • Tunnel HTTP (HTTP tunneling)- configuration des paramétrages du tunnel HTTP,
  • Options des données (Data options) - configuration d'affichage des données.
  • Recherche des options

Vous pouvez vérifier si la connexion avec les propriétés configurées est possible ; pour cela, utilisez le bouton 'Test connexion' (Test Connect).

Le bouton 'Copier alias à partir de' (Copy Alias From) permet de copier tous les paramétrages d'une autre base de données que vous sélectionnez dans la liste déroulante. Pour ouvrir la liste, cliquez sur le bouton [image].

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version lite) | Oui


Modifier les propriétés de connexion

Cet onglet permet de modifier les propriétés de la base de données pour se connecter au serveur.

Sélectionnez un serveur (hôte) dans la liste déroulante 'Nom d'hôte' (Host name). Cette liste contient les noms des serveurs déjà enregistrés.

Dans le champ 'Port' (Port), spécifiez le port de connexion. Spécifiez le nom d'utilisateur et le mot de passe dans les champs 'Nom utilisateur' (User name) et 'Mot de passe' (Password).

Sélectionnez la base de données nécessaire dans la liste déroulante 'Nom de la base' (Database name). Vous pouvez indiquer l'alias de la base (qui sera affiché dans l'explorateur) dans le champ 'Alias de la base' (Database alias).

Jeu de caractères client

Si vos données de chaînes contenant les caractères nationaux s'affichent mal lors de l'affichage dans SQL Manager, il vous faut sélectionner manuellement le codage dans la liste déroulante 'Jeu de caractères client' (Client charset) pour les données stockées sur le serveur.

Pour les serveurs version 4.1 et ultérieures, il vous faut indiquer utf8 pour que toutes les données s'affichent correctement.

Notez que les données de champ de table s'affichent correctement si le codage des données stockées dans le champ coïncide avec le codage du champ de table. Par exemple, si les données de chaînes sont stockées en codage greek dans la table de type

CREATE TABLE table1 (

str varchar(20) default NULL

) ENGINE=MyISAM DEFAULT CHARSET=latin1;

ces données seront mal affichées.

De plus, ces données seront mal triées dans tous les autres programmes et le résultat de certaines fonctions chaînes de type UPPER(), LOWER() sera mauvais.

Si le codage des données stockées dans la base de données coïncide avec le codage par défaut de votre système d'exploitation Windows, vous pouvez sélectionner la valeur 'Jeu de caractères Windows' (Windows charset) dans la liste 'Jeu de caractères client' (Client charset) pour travailler avec ces données. Dans ce cas-là, SQL Manager 2007 fonctionnera comme SQL Manager version 2005.

Nous vous recommandons de mettre en correspondance le codage de données et le codage des champs de tables. Pour cela, utilisez les commandes suivantes :

ALTER TABLE table1 MODIFY COLUMN str BINARY(20);

ALTER TABLE table1 MODIFY COLUMN str VARCHAR(20) CHARACTER SET greek;

Dans ce cas il est nécessaire d'apporter les modifications correspondantes dans d'autres programmes qui fonctionnent avec votre base de données.

Jeu de caractères

Ces règles permettent de configurer la page code et l'ordre de tri des données de symbole pour travailler avec les données Unicode et avec d'autres formats de données.


Configuration des options de la base

Vous pouvez configurer sur cet onglet les propriétés suivantes :

  • 'Invite de connexion' (Login prompt before connection) - utilisez cette option si vous ne voulez pas sauvegarder le mot de passe. Il vous faut cocher cette case pour que SQL Manager vous propose à chaque connexion de saisir le nom d'utilisateur et le mot de passe.
  • 'Utilisez le protocole de compression' (Use compression protocol) - utilisez le protocole de compression de données.
  • 'Conserver la connexion active' (Keep connection alive) - vérifier la connexion au serveur avant toute exécution de la requête.
  • 'Mode interactif' (Interactive mode) - en cochant cette case, vous pouvez utiliser la valeur de la variable interactive_timeout à partir du fichier my.cnf au lieu de la variable wait_timeout pour régler la limitation de temps de connexion.
  • 'Mettre les identifiants entre guillemets' (Quote identifiers) - si vous cochez cette case, tous les identifiants seront mis entre guillemets ouvrants ('`'). Pour que le script SQL obtenu après l'extraction de la base soit compatible avec les versions précédentes de MySQL, il ne faut pas utiliser cette fonction. Note : cette fonction est applicable aux serveurs qui utilisent les alias entre guillemets.
  • 'Connexion automatique au lancement' (Autoconnect on startup) - si vous cochez cette case, la connexion à une base de données sera établie automatiquement lors du lancement du programme SQL Manager 2007 for MySQL.
  • 'Utiliser le protocole SSL' (Use SSL protocol) - cette option permet d'effectuer l'échange des données via le serveur MySQL distant avec une connexion chiffrée.
  • 'Désactiver les transactions' (Disable transactions) - en cochant cette case, vous indiquez que les transactions seront désactivées, et les modifications que vous apportez seront appliquées automatiquement.
  • 'Rafraîchir les objets lors de la connexion' (Refresh objects on connection) - rafraîchir les objets lors de la connexion à une base de données.
  • 'Se reconnecter automatiquement si la connexion a été perdue' (Automatically reconnect when connection is lost) - restaurer automatiquement la connexion perdue avec la base de données.


Configuration des options d'affichage

Options d'affichage des objets de bases de données.

Si vous cochez une case, le type d'objets correspondant sera affiché dans l'explorateur de bases.

Tous les objets s'affichent par défaut dans l'explorateur.


Configuration des répertoires par défaut

Cet onglet est conçu pour indiquer le répertoire de stockage des données extérieures.

'Répertoire par défaut pour l'extraction des méta-données' (Default directory for Extract Metadata) - les fichiers extraits à l'aide de l'assistant d'extraction de bases de données (Extract Database Wizard) seront sauvegardés par défaut dans ce répertoire.

'Répertoire par défaut pour l'export de données' (Default directory for Export Data) - le répertoire pour l'export de données à l'aide de l'assistant d'export de données (Export Data Wizard).

'Répertoire par défaut pour l'import de données' (Default directory for Import Data) - vous pouvez importer les données à partir de ce répertoire en utilisant l'assistant d'importation des données (Import Data Wizard).

'Répertoire par défaut pour les rapports HTML' (Default directory for HTML Report) - le répertoire qui sera mis par défaut dans l'assistant d'export de données (d'import\de rapport HTML) / Data Export (Import\HTML Report) Wizard.

'Répertoire par défaut pour les rapports' (Default directory for Reports) - les fichiers de rapports créés par l'utilisateur seront sauvegardés dans ce répertoire. Lors de la création du rapport, l'utilisateur doit indiquer dans l'assistant de création de rapports (Create Report Wizard) qu'il faut enregistrer ce rapport dans le fichier de la base de données. SQL Manager 2007 for MySQL crée automatiquement ce répertoire par défaut dans "Mes documents" lors de la première sauvegarde du rapport.

'Répertoire par défaut pour les scripts' (Default directory for Scripts) - le répertoire pour les scripts SQL ouverts et sauvegardés dans l'éditeur de requêtes et dans le script SQL.


Configuration des options des journaux

Si vous voulez enregistrer les traces des modifications des métadonnées, il vous faut cocher la case 'Activer les traces sur les modifications des méta-données' (Enable log of metadata changes) et indiquer le fichier pour enregistrer les modifications.

'Écrire seulement les instructions SQL exécutées avec succès dans le journal des traces' (SQL Write only successfully executed SQL statements to log) - si vous cochez cette case, seules les requêtes exécutées avec succès seront enregistrées dans le journal des traces.

Indiquez le fichier à enregistrer les statistiques dans le champ 'Journal des méta-données' (Metadata log file).

Si vous voulez enregistrer les traces de l'exécution des scripts SQL, il vous faut activer la fonction 'Activer les traces sur les requêtes de l'éditeur SQL' (Enable log of SQL Editor queries).

Indiquez le fichier à enregistrer les statistiques dans le champ ' Journal de l'éditeur SQL' (SQL Editor log file).


Configuration des options du tunnel SSH

Vous pouvez spécifier les propriétés du tunnel SSH sur cet onglet.

Note : il est impossible d'utiliser les tunnels SSH et HTTP simultanément. Si vous sélectionnez le tunnel SSH, le tunnel HTTP sera désactivée.

Si vous cochez la case 'Se connecter au travers du tunnel SSH' (Connecting through the security Shell (SSH) tunnel), la connexion au serveur sera effectuée au travers du tunnel chiffré.

  • Nom de l'hôte SSH (SSH host name) est le nom du serveur SSH. Pour les paramètres SSH, le nom ou l'adresse IP doit être configuré lors de l'étape précédente de l'assistant par rapport à l'ordinateur sur lequel le serveur SSH est installé. Si vous utilisez localhost, les serveurs MySQL et SSH doivent être installés sur le même ordinateur. Le nom du serveur SSH doit être configuré par rapport à l'ordinateur client sur lequel SQL Manager 2007 for MySQL est démarré.
  • Port SSH - est le port.
  • Nom d’utilisateur SSH - est le nom de l’utilisateur.
  • Mot de passe SSH - est le mot de passe.

Si vous avez coché la case 'Utiliser la clé privée pour l'authentification' (Use private Key for authentication), le fichier clé sera utilisé en supplément, vous pouvez spécifier cette clé dans le champ 'Fichier clé SSH' (SSH key file). S'il faut saisir le mot de passe pour utiliser ce fichier, vous pouvez le faire dans la fenêtre qui apparaît.


Configuration des options du tunnel HTTP

Vous pouvez spécifier les propriétés du tunnel HTTP sur cet onglet.

Note : il est impossible d'utiliser les tunnels SSH et HTTP simultanément. Si vous sélectionnez le tunnel HTTP, le tunnel SSH sera désactivé.

Si vous cochez la case 'Se connecter au travers du tunnel HTTP' (Connecting through the HTTP tunnel), la connexion au serveur sera effectuée au travers du serveur HTTP intermédiaire.

Afin d'établir la connexion, le script EMSProxy.php doit être chargé sur le serveur HTTP. Le script est inclus dans le paquet d'installation du programme.

Spécifiez le nom du serveur dans le champ URL.


Configuration d'affichage des données

Sur cet onglet, vous pouvez spécifier les propriétés d'affichage des données pour le visualisateur de données.

Dans la section 'Limites par défaut dans l'éditeur de table et de vue' (Default limit options in table and view editors), indiquez le nombre d'enregistrements à télécharger dans la table de visualisateur de données.

'de tous les enregistrements d'une table' (Select all records from a table) - sélectionnez le bouton radio pour charger tous les enregistrements d'une table. Indiquez le nombre d'enregistrements à charger dans le champ 'de seulement' (Select only n records).

Vous pouvez spécifier les propriétés élargies de la table dans la section 'Avancé' (Advanced).

  • 'Utiliser une connexion partagée pour chaque visualisation de données d'une même base' (Use shared connection for each data view within database) - cochez cette case pour utiliser une connexion partagée pour tous les visualisateurs des données.
  • 'Exécuter le tri des données sur le client dans le visualisateur de données' (Perform data sorting on client in Data View) - SQL Manager 2007 for MySQL permet de trier les données. Si cette option est désactivée, les données seront triées sur MySQL Server à l'aide de l'instruction ORDER BY dans la requête SQL.

  • 'Exécuter le filtrage de données sur le client dans le visualisateur de données' (Perform data filtration on client in Data View) - si cette case est cochée, SQL Manager 2007 for MySQL permet de filtrer les données. Si cette option est désactivée, le filtre SQL sera utilisé lors de la visualisation des données de tables et de vues. Dans ce cas, le filtre sera exécuté sur le serveur MySQL à l'aide de l'instruction WHERE dans la requête SQL.

La section 'Mode grille par défaut' (Default Grid Mode) permet de :

  • Charger tous les enregistrements. Si l'option 'Charger toutes les lignes' (Load all rows) est activée, tous les enregistrements sont chargés dans la table à partir du dataset (l'ensemble de données). Cette option permet d'obtenir les lignes modifiées seulement à partir du dataset. Le tri, le filtrage et le calcul de somme sont possibles lors de ce chargement.
  • Charger les enregistrements visibles. Si la case 'Charger les lignes visibles' (Load visible rows) est cochée, le nombre fixe d'enregistrements sera chargé dans la table à partir du dataset. Le tri, le filtrage, le calcul de somme automatiques ne sont pas disponibles. Vous pouvez spécifier le nombre de lignes à charger dans le champ 'de seulement' (Select only n records).

Les modifications que vous indiquez sur cet onglet ne sont pas appliquées aux visualisateurs de données ouvertes.

Ces réglages d'affichage sont les réglages par défaut. Utilisez l'option Par défaut (Default) dans la grille.

Voir aussi :

Grille

Données


Recherche des options

Cet outil vous permet de rechercher les options du programme par leur nom.

La recherche s'effectue pour chaque fenêtre de réglages qui contient l'onglet 'Rechercher l'option' (Find Option). La sélection s'effectue parmi les options se rapportant à cette fenêtre.

Dans le champ 'Option' (Option), saisissez la combinaison de caractères faisant partie de l'option. Toutes les options dont le nom contient une combinaison de caractères requise s'affichent dans la liste.

Les noms des options recherchées s'affichent dans le champ 'Options disponibles' (Available Options). La section à laquelle la fonction recherchée se rapporte s'affiche dans le champ 'Type de l'option' (Option Kind).

L'onglet sur lequel une fonction recherchée se trouve, s'affiche dans le champ 'Catégorie' (Category). Le groupe d'éléments de gestion auquel l'option recherchée se rapporte, s'affiche dans la colonne 'Groupe' (Group).

Afin de passer à une option requise, sélectionnez une option dans la liste et cliquez sur le bouton 'Afficher les options' (Show Option) ou double cliquez avec la souris sur l'option dans la liste générale.

Après cela vous passerez à l'onglet où cette option se trouve, l'option requise sera marquée par le caractère


Affichage des propriétés de la base

Utilisez cet outil pour visualiser et modifier l'information sur la base de données actuelle et ses objets. Afin d'ouvrir la fenêtre des propriétés de la base, sélectionnez l'élément 'Propriétés de la base' (Database Properties) dans le menu contextuel de la base de données ou cliquez sur le bouton 'Propriétés de l'objet' (Object properties) sur la barre d'outils de l'explorateur de bases.

Propriétés générales

Nombre d'objets

Affichage de la DDL

Voir aussi : Informations sur l'enregistrement de la base


Options

Sur cet onglet, les informations sur la base de données sont affichées :

  • le nom de la base de données (impossible à modifier) est indiqué dans le champ 'Nom de la base' (Database name),
  • la version du serveur est indiquée dans le champ 'Version du serveur' (Server version),
  • sélectionnez le jeu de caractères dans la liste déroulante 'Jeu de caractères' (Character set),
  • sélectionnez la règle de tri des données caractères dans la liste déroulante 'Collation' (Collation). Ces règles permettent de configurer la page code et l'ordre de tri des données caractères pour travailler avec les données Unicode et avec d'autres formats de données.

Note : 'Jeu de caractères' (Character set) et 'Collation' (Collation) que vous indiquez sur cet onglet, seront utilisés par défaut pour les tables si vous n'indiquez pas ces propriétés lors de la création de la table.


Résumé des objets

Le nombre d'objets de différents types appartenant à une base de données sélectionnée est affiché sur cet onglet.

La liste des types d'objets se trouve dans le champ 'Objets' (Objects). Le nombre d'objets est indiqué dans la colonne 'Nombre' (Count). La taille totale des différents types d'objets est indiquée dans la colonne 'Taille des données' (Data Size).

La taille totale de la base de données est indiquée en bas dans le champ 'Taille de la base' (Database Size).


Affichage de la DDL

Vous pouvez voir sur cet onglet la DDL de la base de données sélectionnée.


Gestion des objets de bases de données

SQL Manager 2007 for MySQL fournit aux utilisateurs un ensemble d'outils nécessaires pour travailler avec les objets de bases de données.

Note : Pour commencer à travailler avec les objets, il faut vous connecter à une base de données.

Opérations essentielles sur les objets

Créer un nouvel objet

Pour créer un nouvel objet, vous pouvez utiliser :

  • l'élément 'Base de données | Nouvel objet (Database | New Object) du menu principal du programme,
  • le menu contextuel de l'objet de la base de données,
  • le menu contextuel de la base
  • le raccourci <Ctrl + N>

Copier

L'assistant de copie a été conçu pour copier les objets : vous pouvez copier un objet dans une autre base de données, aussi bien que copier un objet avec les données ou sans celles-ci.

Afin de copier un objet il vous faut sélectionner l'élément 'Dupliquer' (Duplicate) <type d'objet><nom de l'objet> dans le menu contextuel de l'objet. Si vous copiez l'objet en utilisant cette méthode, l'assistant de copie d'objets s'ouvre sur la troisième étape (parce que c'est lors des deux premières étapes de l'assistant qu'il faut sélectionner la base de données et l'objet).

Modifier l'objet

Pour ouvrir un objet de la base de donnés dans l'éditeur correspondant, il vous faut double cliquer avec la souris sur cet objet dans l'explorateur de bases. Vous pouvez aussi sélectionner l'élément 'Modifier' (Edit)<type d'objet><nom de l'objet> dans le menu contextuel de l'objet ou bien utiliser le raccourci <Ctrl + O>.

Renommer

Si vous voulez modifier le nom de l'objet, il vous faut :

  • sélectionner l'élément 'Renommer' (Rename)<type d'objet><nom de l'objet> du menu contextuel de l'objet
  • ou utiliser le raccourci <Ctrl + R>.

Supprimer l'objet

Afin de supprimer l'objet, il vous faut sélectionner l'objet, puis sélectionner l'élément 'Supprimer' (Drop)<type d'objet><nom de l'objet> du menu contextuel de l'objet ou utiliser le raccourci <Ctrl + Del>


Nouvel objet

En utilisant cet outil, vous pouvez sélectionner un type d'objet à créer et exécuter l'outil correspondant pour créer cet objet.

Pour créer un nouvel objet, sélectionnez 'Base de données | Nouvel objet' (Database | New Object...) dans le menu principal du programme.

Puis la fenêtre 'Créer un nouvel objet' (Create new object) apparaît. Sélectionnez la base de données dans laquelle vous voulez créer l'objet dans la liste déroulante 'Base de données' (Database) (seules les bases de données connectées apparaissent dans la liste). Enfin sélectionnez le type d'objet à créer dans la liste 'Sélectionner le type d'objet à créer' (Select the type of object to create).

Après avoir sélectionné le type d'objet, double-cliquez avec la souris sur l'objet ou cliquez sur le bouton OK. L'éditeur pour l'objet de type sélectionné va s'ouvrir.

Voir aussi l'assistant de copie d'objets


Assistant de copie d'objets

Pour copier un objet, sélectionnez l'élément 'Dupliquer' (Duplicate)<type d'objet><nom de l'objet> dans le menu contextuel de l'objet ou sélectionnez 'Base de données | Dupliquer l'objet...' (Database | Duplicate Object...) dans le menu principal du programme.

Vous lancez ainsi l'assistant de copie d'objets.

Cet assistant vous permet de créer un nouvel objet de la base de données qui a les mêmes propriétés que l'objet copié. Il ne faut pas oublier que les objets sont copiés avec les sous-objets. Par exemple, si vous copiez une table, tous ses champs, clés étrangères, index et triggers seront copiés avec cette table.

L'assistant comprend quatre étapes :

  • Sélection de la base de données source
  • Sélection de l'objet
  • Sélection de la base de données
  • Modification de la description

Voir aussi :

  • nouvel objet

Disponibilité de cette fonction :

Windows Full (version complète) | Oui
Windows Lite (version lite) | Oui


Sélection de la base source

Sélectionnez la base de données où l'objet nécessaire se trouve. Pour cela ouvrez la liste déroulante 'Base source' (Source database).

Étape suivante


Sélection de l'objet à dupliquer

Sélectionnez un objet à copier.

Sélectionnez le type d'objet dans la liste déroulante 'Objet' (Object). Sélectionnez l'objet dans la liste au-dessous.

Étape suivante


Sélection de la base cible

Lors de cette étape, il vous faut sélectionner une base de données dans laquelle vous voulez placer le nouvel objet et indiquer le nom du nouvel objet.

Sélectionnez la base de données dans la liste déroulante 'Base cible' (Target database).

Indiquez le nom de l'objet créé dans le champ 'Nom du nouvel objet' (New object name).

Si vous cochez la case 'Copier les données' (Copy data), toutes les données de l'objet à copier, seront copiés dans le nouvel objet. Si la case n'est pas cochée, la structure de l'objet seulement sera copiée.

Pour copier aussi les champs auto-incrémentés, cocher la case 'Copier les champs autoincrements' (Copy autoincrement fields).

Étape suivante


Modification de la définition

Si vous en avez besoin, vous pouvez modifier le script de création d'un nouvel objet dans la fenêtre 'Définition du nouvel objet' (New object definition).

Pour créer l'objet, cliquez sur le bouton 'Finir' (Finish).


Tables

La table est un objet qui contient toutes les données dans les bases de données relationnelles. Elle est une collection de colonnes. Les données dans les tables sont composées sous la forme de lignes et de colonnes comme dans les tables électroniques. Chaque ligne est un enregistrement unique, chaque colonne est un champ pour les enregistrements. Par exemple, une table qui contient les informations sur les employés d'une société peut contenir une ligne pour chaque employé et les colonnes contenants des informations sur les employés (par exemple le numéro d'identifiant, le nom, l'adresse, le poste et le numéro de domicile). Chaque table peut contenir jusqu'à 1024 colonnes. Les noms des tables et des colonnes doivent correspondre aux règles des identificateurs ; les noms des colonnes d'une table doivent être uniques. Donc, vous pouvez utiliser des noms identiques pour les colonnes des différentes tables de la même base de données.

Les tables MySQL ont les composantes suivantes :

  • Colonnes

Chaque colonne présente un attribut d'objet présenté dans la table, par exemple une table avec des informations sur les pièces contient les colonnes pour indiquer l'identificateur, la couleur et le poids.

  • Lignes

Chaque ligne présente certaines inclusions d'un objet présenté dans la table. Par exemple, la table avec des informations sur les pièces doit contenir une ligne pour chaque pièce vendue par la société.

Créer une table

Pour créer une table, vous pouvez utiliser :

  • L'option 'Base de données| Créer un nouvel objet' (Database | New Object) du menu principal du programme ; puis sélectionnez la table dans la fenêtre de sélection du type d'objet.
  • l'élément 'Nouvelle table' ('New table') du menu contextuel de la table
  • l'élément 'Créer | Table' ('Create | Table') de la barre d'outils de l'explorateur de bases
  • le raccourci <Ctrl + N>.

Renommer la table

si vous voulez modifier le nom de la table, il vous faut :

  • sélectionner l'option 'Renommer la table' (Rename Table)<nom de l'objet> du menu contextuel de la table,
  • utiliser le raccourci <Ctrl + R>.

Modifier la table

Afin d'ouvrir la table dans l'éditeur de table, il vous faut double cliquer avec la souris sur la table dans l'explorateur de bases. Vous pouvez aussi sélectionner l'élément du menu contextuel de la table 'Modifier la table' (Edit Table) <nom de l'objet>.

Supprimer la table

Afin de supprimer la table, il vous faut sélectionner l'option 'Supprimer la table' (Drop Table)<nom de l'objet> du menu contextuel pour une table spécifique ou utiliser le raccourci <Ctrl + Del>

Copier la table

Le programme fournit l'assistant spécial pour copier les objets. Vous pouvez copier un objet dans une autre base de données, vous pouvez copier avec les données ou sans les données.

Si vous copiez les tables, il vous faut sélectionner l'élément 'Dupliquer la table' (Duplicate Table)<nom de l'objet> dans le menu contextuel de la table. Si vous copiez une table en utilisant cette méthode, l'assistant de copie d'objets s'ouvre sur la troisième étape (parce que c'est lors des deux premières étapes qu'il faut sélectionner la base de données et l'objet).


Nouvelle table

L'outil 'Nouvelle table' (New Table) permet de créer une nouvelle table, de spécifier ses champs et de modifier la description de la table.

Cet outil s'ouvre automatiquement lors de la création d'une table.

  • utilisation de la barre d'outils
  • propriétés de la table
  • modification des champs de la table

Voir aussi :

  • éditeur de table
  • éditeur de champ


Utilisation de la barre de navigation

Les barres d'outils se trouvent à gauche de l'éditeur et au-dessus de l'éditeur.

La barre de navigation permet :

sur la barre 'Objets' (Object)

  • de sélectionner la base de données dans laquelle vous voulez créer une table.

sur la barre 'Général' (General)

  • de compiler la table avec les propriétés actuelles - 'Compiler' (Compile),
  • d'ouvrir l'aide de création des tables MySQL - 'Afficher l'aide SQL' (Show SQL help),

Lors du basculement sur les autres onglets, les barres avec les fonctions spéciales pour chaque onglet apparaissent.

La barre d'outils permet :

  • de sélectionner une base de données (dans laquelle vous voulez créer une table) dans la liste déroulante 'Base de données' (Database),
  • de compiler la table avec les propriétés actuelles - 'Compiler' (Compile),
  • d'ouvrir l'aide de création des tables MySQL - 'Afficher l'aide SQL' (Show SQL help),
  • de restaurer la taille par défaut de la fenêtre - 'Restaurer la taille par défaut' (Restore default size).


Configuration des propriétés de la table

Vous pouvez gérer les propriétés suivantes pour la table créée :

Spécifiez le nom de la table dans le champ 'Nom de la table' (Table name). Sélectionnez la méthode du stockage des tables dans la liste déroulante 'Moteur de stockage' (Storage engine). Sélectionnez le format de cellules dans la liste déroulante 'Format des lignes'(Row format).

'Min. de lignes' (Min. rows) - le nombre minimale de cellules.

'Max. de lignes' (Max. rows) - le nombre maximale de cellules.

Vous pouvez spécifier la valeur suivante qui sera créée dans le champ de type Autoincrement en utilisant le compteur 'Valeur autoincrementale' (Auto increment value).

La longueur moyenne de ligne peut être indiquée dans le champ 'Longueur moyenne de ligne' (Average row length).

Dans le champ 'Taille de blocs dans le fichier index' (Size for index key blocks), indiquez la taille requise.

'Somme de vérification' (Check sum) (seulement pour les tables de type MyISAM) - le programme contient la somme de vérification des tables. Cela ralentit le travail mais facilite la recherche des tables corrompues.

Si vous cochez la case 'Compacter les clés' (Pack keys), les index de la table seront diminués. Cela ralentit la mise à jour, mais permet d'augmenter la lecture.

Si vous cochez la case 'Retarder l'enregistrement de la clé' (Delay key write), le presse-papiers des tables ne sera pas enregistré avec cette option sur le disque lors de la mise à jour des index. Donc, le presse-papiers sera enregistré lors de la fermeture de la table.

Si vous cochez la case 'Temporaire' (Temporary), vous créez une table temporaire.

Sélectionnez un jeu de caractères nécessaire dans la liste déroulante 'Jeu de caractères' (Character set). Sélectionnez la règle de tri des données caractères dans la liste déroulante 'Collation' (Collation). Ces règles permettent de configurer la page code et l'ordre de tri des données caractères pour travailler avec les données Unicode et avec d'autres formats de données.

Spécifiez les répertoires pour le stockage des fichiers de base de données sur l'onglet 'Options du fichier' (File options).

Spécifiez le dossier pour la sauvegarde des données de table dans le champ 'Répertoire de données' (Data directory).

Spécifiez le dossier pour la sauvegarde des index de table dans le champ 'Répertoire des index' (Index directory).

Spécifiez les paramètres de l'assemblage des tables sur l'onglet 'Options de l'assemblage des tables' (Merge Table Options).

Spécifiez une table qui sera identique à une table modifiée dans le champ 'Union des tables' (Union tables).

Sélectionnez la méthode d'assemblage des tables dans la liste déroulante 'Méthode d'insertion' (Insert method).

Spécifiez les paramètres de connexion à la table éloignée sur l'onglet 'Table fédérée' (Federated Table) dans le champ Chaîne de connexion (Connection string). Vous pouvez vous connecter à une table éloignée si vous avez sélectionné le moyen de stockage FEDERATED dans le champ 'Moteur de stockage' (Storage engine).


Spécification des champs

Spécifiez les champs de la table créée sur l'onglet 'Champs' (Fields).

Cet onglet affiche les propriétés suivantes :

  • si le champ est un champ clé - 'Clé primaire' (Primary Key),
  • le nom de la colonne est indiqué dans le champ 'Nom de la colonne' (Column Name),
  • le type de données est indiqué dans le champ 'Type de données' (Data Type),
  • le nombre de décimales est indiqué dans le champ 'Précision' (Precision),
  • s'il est possible de placer la valeur Null ou non - 'Non NULL' (Not Null),
  • la valeur par défaut est indiquée dans le champ 'Valeur par défaut' (Default Value).

Pour ouvrir le champ sélectionné dans l'éditeur correspondant - éditeur de champ (Field Editor), veuillez double cliquer sur un champ sélectionné.


Modification de la DDL

Vous pouvez voir la DDL de la table sur l'onglet DDL. Il est impossible de modifier le texte sur cet onglet. Si vous voulez modifier la DDL, copiez le texte dans le presse-papiers et puis collez-le dans l'éditeur SQL (SQL Editor) ou dans l'éditeur de scripts SQL (SQL Script Editor).


Éditeur de tables

L'éditeur de tables est un outil essentiel de SQL Manager 2007 for MySQL pour travailler avec les tables de bases de données. Il permet d'exécuter toutes les opérations avec la table et avec ses sous-objets.

Pour ouvrir une table dans l'éditeur de tables, veuillez double cliquer avec la souris sur cette table dans l'explorateur de bases.

Outils de l'éditeur de tables :

  • Barres d'outils
  • Déplacement des champs
  • Onglets

Onglets de l'éditeur de tables

Pour faciliter votre travail, l'éditeur de tables est divisé en plusieurs onglets, chacun d'entre eux permet d'exécuter certaines opérations et présente les différentes propriétés de la table et les éléments de la table.

Onglets :

  • 'Propriétés' (Properties) - les propriétés de la table,
  • 'Champs' (Fields) - le traitement des champs,
  • 'Index' (Indices) - le traitement des index de tables,
  • 'Clés étrangères' (Foreign Keys) - la gestion des clés étrangères,
  • 'Triggers' (Triggers) - la gestion des triggers,
  • 'Données' (Data) - l'affichage des données dans la table,
  • 'Dépendances' (Dependencies) - les dépendances des objets,
  • 'la DDL' (DDL) - l'affichage de la DDL.

Voir aussi :

Nouvelle table

Éditeur de champ

Éditeur d'index

Éditeur de trigger

Éditeur de clés étrangères


Utilisation de la barre de navigation

Les barres d'outils se trouvent à gauche de l'éditeur et au-dessus de l'éditeur.

La barre de navigation permet :

sur la barre 'Objets' (Object)

  • de sélectionner la base de données,
  • de sélectionner la table à modifier.

sur la barre 'Général' (General) :

  • d'actualiser le contenu de la table modifiée - 'Rafraîchir' (Refresh),
  • de compiler la table - 'Compiler' (Compile),
  • de spécifier les droits sur cet objet - 'Donner des droits sur la table' (Grants on Table),
  • d'imprimer les métadonnées de la table - 'Imprimer' (Print),
  • d'ouvrir l'aide MySQL - 'Afficher l'aide SQL' (Show SQL help),
  • de spécifier l'éditeur de table dans Options de l'environnement | Éditeur de table (Environment Options | Table Editor) - 'Options de l'éditeur de table' (Table Editor options),
  • de restaurer la taille par défaut de la fenêtre - 'Restaurer la taille par défaut' (Restore default size).

sur la barre 'Outils' (Tools) :

  • de supprimer toutes les données de table - 'Tronquer la table' (Truncate table).

sur la barre 'Champs' (Fields) :

  • de créer un nouveau champ dans une table - 'Nouveau champ' (New Field),
  • de modifier le champ sélectionné - 'Modifier un champ' (Edit Field)<nom du champ>,
  • de supprimer le champ sélectionné - 'Supprimer le champ' (Drop field)<nom du champ>.

La barre 'Explorateur' (Explorer) affiche tous les sous-objets de la table ouverte dans l'éditeur.

Vous pouvez appeler le menu contextuel de l'objet avec le bouton droit de la souris comme dans l'explorateur de bases.

Quand vous basculez les onglets de l'éditeur, les barres avec les fonctions spéciales pour cet onglet apparaissent.

La barre 'Index' (Indices) apparaît pour l'onglet Index (Indices),

En utilisant cet onglet, vous pouvez :

  • créer un nouvel index - 'Ajouter un nouvel onglet' (Add new index),
  • modifier l'index existant - 'Modifier l'index sélectionné' (Edit selected index),
  • supprimer l'index existant - 'Supprimer l'index sélectionné' (Drop selected index).

La barre 'Clés étrangères' (Foreign Keys) apparaît pour l'onglet Clés étrangères (Foreign Keys).

En utilisant cet onglet, vous pouvez :

  • créer une nouvelle clé - 'Ajouter une nouvelle clé étrangère' (Add new foreign key),
  • modifier la clé existante - 'Modifier la clé étrangère sélectionnée' (Edit selected foreign key),
  • supprimer la clé(s) sélectionnée(s) - 'Supprimer la clé étrangère sélectionnée (les clés)' (Drop selected foreign key(s).

La barre 'Triggers' (Triggers) apparaît pour l'onglet Triggers (Triggers).

En utilisant cet onglet, vous pouvez :

  • créer un nouveau trigger - 'Ajouter un nouvel trigger' (Add new trigger),
  • modifier le trigger existant - 'Modifier le trigger sélectionné' (Edit selected trigger),
  • supprimer le trigger existant - 'Supprimer le trigger sélectionné' (Drop selected trigger).

La barre 'Gestion de données' (Data management) apparaît pour l'onglet Données (Data),

En utilisant cet onglet, vous pouvez :

  • appliquer la transaction pour les données - 'Valider la transaction' (Commit Transaction) (cette option est active si les transactions de données sont activées Options | Options de l'environnement | Outils | Transactions dans l'éditeur d'objet (onglet Données), Éditeur SQL et Constructeur de requêtes (Options | Environment Options | Tools | Use transactions in Data tab of object editors, SQL Editor et Query Builder),
  • annuler la transaction pour les données de la table - 'Annuler la transaction' (Rollback Transaction) (cette option est active si toutes les transactions de données sont activées),
  • exporter les données - 'Exporter les données' (Export Data),
  • exporter les données en tant que script SQL - 'Exporter en tant que script SQL' (Export as SQL Script),
  • importer les données - 'Importer les données' (Import Data),
  • charger les données - 'Charger les données' (Load data),
  • sauvegarder les données - 'Sauvegarder les données dans un fichier du serveur' (Save data to file on server).

La barre DDL apparaît pour l'onglet DDL,

En utilisant cet onglet, vous pouvez :

  • 'Sauvegarder la DDL dans un fichier' (Save DDL to file),
  • 'Ouvrir la DDL dans un éditeur SQL' (Open DDL in SQL Editor),

La barre d'outils permet :

  • de sélectionner la base de données pour travailler - la liste déroulante 'Bases de données' (Databases),
  • de sélectionner la table à modifier - 'Objet' (Object),
  • de mettre à jour le contenu de la table modifiée - 'Rafraîchir' (Refresh),
  • de compiler la table - 'Compiler' (Compile),
  • de donner des droits sur cet objet - 'Donner des droits sur la table' (Grants on Table),
  • d'imprimer les métadonnées de la table - 'Imprimer les méta-données de la table' (Print Table Metadata),
  • de valider la transaction pour les données - 'Valider la transaction' (Commit Transaction) (cette option est active si les transactions de données sont activées Options | Options de l'environnement | Outils | Transactions dans l'éditeur d'objet (onglet Données), Éditeur SQL et Constructeur de requêtes (Options | Environment Options | Tools | Use transactions in Data tab of object editors, SQL Editor et Query Builder),
  • d'annuler la transaction pour les données - 'Annuler la transaction' (Rollback Transaction) (cette option est active si toutes les transactions de données sont activées),
  • d'exporter les données - 'Exporter les données' (Export Data),
  • d'exporter en tant que script SQL - 'Exporter en tant que script SQL' (Export as SQL Script),
  • d'importer les données - 'Importer les données' (Import Data),
  • de charger les données - 'Charger les données' (Load data),
  • de sauvegarder les données - 'Sauvegarder les données dans un fichier du serveur' (Save data to file on server),
  • de supprimer toutes les données à partir de la table - 'Tronquer la table' (Truncate table).
  • de spécifier l'éditeur de table dans Options de l'environnement | Éditeur de table (Environment Options | Table Editor ) - 'Options de l'éditeur de table' (Table Editor options),
  • d'ouvrir l'aide MySQL - 'Afficher l'aide SQL' (Show SQL help),
  • de restaurer les paramètres par défaut - 'Restaure la taille et la position par défaut de la fenêtre' (Restore Default Window Size and Position).


Propriétés de la table

Sur cet onglet, vous allez spécifier les propriétés suivantes de la table :

Le nom de la table est indiqué dans le champ 'Nom de la table' (Table name). Sélectionnez la méthode de stockage de la table dans la liste déroulante 'Moteur de stockage' (Storage engine). Sélectionnez le format de cellules dans la liste déroulante 'Format de ligne' (Row format).

'Min. de lignes' (Min. rows) - le nombre minimale de cellules.

'Max. de lignes' (Max. rows) - le nombre maximale de cellules.

Vous pouvez spécifier la valeur suivante qui sera créée dans le champ de type Autoincrement en utilisant le compteur 'Valeur autoincrémentale' (Auto increment value).

La longueur moyenne de ligne peut être indiquée dans le champ 'Longueur moyenne de ligne' (Average row length).

Dans le champ 'Taille de blocs dans le fichier index' (Size for index key blocks), indiquez une taille nécessaire.

'Somme de vérification' (Check sum) (seulement pour les tables de type MyISAM) - le programme contient la somme de vérification des tables. Cela ralentit le travail, mais facilite la recherche des tables corrompues.

Si vous cochez la case 'Compacter les clés' (Pack keys), les index de la table seront diminués. Cela ralentit la mise à jour mais permet d'accélérer la lecture.

Si vous cochez la case 'Retarder l'enregistrement de la clé' (Delay key write), le presse-papiers des tables avec cette option ne sera pas enregistré sur le disque lors de la mise à jour des index. Donc, le presse-papiers sera enregistré lors de la fermeture de la table.

Si vous cochez la case 'Temporaire' (Temporary), vous créez une table temporaire.

Sélectionnez le jeu de caractères nécessaire dans la liste déroulante 'Jeu de caractères' (Character set). Sélectionnez la règle de tri des données caractères dans la liste déroulante 'Collation' (Collation). Ces règles permettent de configurer la page code et l'ordre de tri des données caractères pour travailler avec les données Unicode et avec d'autres formats de données.

Spécifiez les répertoires pour le stockage des fichiers de base de données sur l'onglet 'Options du fichier' (File options).

Spécifiez le dossier pour la sauvegarde des données de table dans le champ 'Répertoire de données' (Data directory).

Spécifiez le dossier pour la sauvegarde des index de table dans le champ 'Répertoire des index' (Index directory).

Spécifiez les paramètres de l'assemblage des tables sur l'onglet 'Options de l'assemblage des tables' (Merge Table Options).

Les éléments de gestion deviennent disponibles sur cet onglet si 'Moteur de stockage' (Storage engine) est indiqué comme MRG_MyISAM.

Spécifiez une table qui sera identique à une table modifiée dans le champ 'Union des tables' (Union tables).

Sélectionnez la méthode d'assemblage des tables dans la liste déroulante 'Méthode d'insertion' (Insert method).

Spécifiez les paramètres de connexion à une table éloignée sur l'onglet 'Table fédérée' (Federated Table) dans le champ Chaîne de connexion (Connection string). Vous pouvez vous connecter à une table éloignée si vous avez sélectionné le moyen de stockage FEDERATED dans le champ 'Moteur de stockage' (Storage engine).

Les informations sur la table modifiée s'affichent dans la fenêtre 'Statut de la table' (Table status) :

  • 'Version' (Version) - la version,
  • 'Lignes' (Rows) - le nombre de lignes dans la table,
  • 'Long. moyenne de ligne' (Avg row length) - la longueur moyenne de la ligne,
  • 'Longueur de données (Data length) - la taille générale des données,
  • 'Longueur d'index' (Index length) - la taille générale d'index,
  • 'Espace libre' (Data free) - le nombre d'octets alloués et non utilisés,
  • 'Autoincrémentale' (Auto increment) - la valeur suivante qui sera créée dans le champ de type Autoincrement,
  • 'Moment de la création' (Create time) - la date et l'heure de création,
  • 'Moment de la mise à jour' (Update time) - la date de la dernière mise à jour,
  • 'Moment de la vérification' (Check time) - la date de la dernière vérification,
  • 'Somme de vérification' (Check sum) - la somme de vérification pour vérifier l'intégrité.

Vous pouvez activer la barre 'Statut de table' (Table Status) en cochant la case 'Afficher la barre de statut de table' (Show table status panel) sur l'onglet Options du programme | Options de l'environnement | Éditeur de table (Program Options | Environment Options | Table Editor).

Pour que cette barre soit affichée dans la fenêtre de l'assistant SQL, sélectionnez 'Statut de table' (Table Status) lors de la sélection des éléments à afficher de la table.

Au-dessous dans le champ texte, vous pouvez indiquer une commentaire pour la table.


Gestion des champs

L'onglet 'Champs' (Fields) est conçu pour travailler avec les champs de la table.

Le champ est une zone de la fenêtre ou de l'enregistrement où la valeur séparée est stockée. Pour ouvrir un champ dans l'éditeur de champs, veuillez double-cliquer sur ce champ. Vous pouvez appeler le menu contextuel du champ avec le bouton droite de la souris.

Sur cet onglet, vous allez spécifier les propriétés suivantes pour chaque champ :

  • le nom - 'Nom du champ'(Field Name),
  • le type de valeur - 'Type du champ' (Field Type),
  • la taille du champ - 'Taille' (Size),
  • le nombre de décimales - 'Précision' (Precision),
  • s'il y a la valeur Null ou non - 'Non NULL' (Not Null),
  • la valeur par défaut - 'Valeur par défaut' (Default Value).
  • la description courte du champ - 'Commentaire' (Comment).

En savoir plus


Changement d'ordre des champs

Vous pouvez modifier l'ordre des champs à l'aide d'un outil spécial - 'Fenêtre de tri des champs' (Reorder Fields dialog). Vous pouvez ouvrir cet outil en utilisant l'élément du ménu contextuel du champ 'Tri des champs' (Reorder Fields).

La liste des champs de table est affichée dans la liste 'Nom de la colonne' (Column name). L'ordre des champs correspond à leur ordre dans la table.

Vous pouvez modifier cet ordre :

  • en utilisant les bouton [image]. Ils permettent de monter et de descendre un champ sélectionné,
  • en utilisant l'opération standard Drag And Drop - le déplacement du champ sur la place souhaitée.


Gestion des index

Sur l'onglet 'Index' (Indices), vous pouvez créer, parcourir et modifier les index de la table.

Pour ouvrir un index dans l'éditeur d'index, veuillez double-cliquer avec la souris sur cet index.

Cet onglet contient les informations suivantes sur les index de la table :

  • le nom de l'index - 'Nom de l'index' (Index Name),
  • les champs pour lesquels l'index a été créé - 'Pour les champs' (On Fields),
  • si la clé est une clé unique - 'Unique' (Unique),
  • si l'index est un index fulltext - 'Fulltext' (Fulltext).

Menu contextuel de l'index

Vous pouvez appeler le menu contextuel de l'index avec le bouton droit de la souris.

En utilisant ce menu vous pouvez :

  • créer un nouvel index - 'Nouvel index' (New Index),
  • modifier un index existant - 'Modifier l'index' (Edit Index)<nom de l'index>,
  • supprimer l'index - 'Supprimer l'index' (Drop Index)<nom de l'index>,
  • exporter la liste des index - Liste d'export (Export List).


Gestion des clés étrangères

Vous pouvez créer et modifier les clés étrangères de la table sur cet onglet. Pour ouvrir la clé dans l'éditeur de clés étrangères, veuillez double-cliquer avec la souris sur cette clé.

L'onglet 'Clés étrangères' (Foreign Keys) contient les informations suivantes sur les clés étrangères :

  • le nom de la clé étrangère - 'Nom de la clé' (Foreign Key Name),
  • le champ concerné - 'Nom du champ' (Field names),
  • la base de données étrangère - 'Nom de la base étrangère' (Foreign Database Name),
  • la table étrangère - 'Nom de la table étrangère' (Foreign Table Name),
  • le champ étranger - 'Nom du champ étrangère' (Foreign Field Name),
  • les opérations à exécuter lors de la suppression - 'Règle de suppression' (Delete Rule),
  • les opérations à exécuter lors de la mise à jour - 'Règle de mise à jour' (Update Rule).

Menu contextuel de la clé étrangère :

Vous pouvez ouvrir le menu contextuel pour une clé sélectionnée avec le bouton droit de la souris.

Ce menu permet de :

  • créer une nouvelle clé étrangère - 'Nouvelle clé étrangère' (Foreign Key),
  • modifier la clé étrangère existante - 'Modifier la clé étrangère' (Edit Foreign Key)<nom de l'objet>,
  • supprimer la clé - 'Supprimer la clé étrangère' (Drop Foreign Key)<nom de l'objet>,
  • exporter la liste des clés étrangères - Liste d'export (Export List).


Gestion des triggers

Triggers

Vous pouvez créer, parcourir et modifier les triggers de la table

Pour ouvrir le trigger dans l'éditeur de triggers, veuillez double-cliquer avec la souris sur le trigger.

Les informations sur les objets affichées sur cet onglet sont les suivantes :

  • le nom du trigger - 'Nom' (Name),
  • le type du trigger - 'Type' (Type),
  • l'événement associé - 'Evénement' (Event).

Menu contextuel du trigger

Pour ouvrir le menu contextuel, cliquez avec le bouton droit de la souris sur le trigger.

Ce menu permet de :

  • créer un nouveau trigger - 'Nouvel trigger...' (New Trigger...),
  • modifier le trigger sélectionné - 'Modifier le trigger' (Edit Trigger) <nom de l'objet>,
  • supprimer le trigger - 'Supprimer le trigger' (Drop Trigger) <nom de l'objet>,
  • exporter la liste des objets - liste d'export (Export List).


Affichage des données des tables

Vous pouvez saisir les données de la table sur cet onglet. Vous pouvez aussi parcourir les données et les changer. Vous pouvez gérer les données à l'aide de la barre d'outils et le menu déroulant.


Visualisatiion de la DDL

Vous pouvez voir la DDL de la table sur l'onglet DDL. Il est impossible de modifier le texte sur cet onglet. Si vous voulez modifier la table, veuillez copier le texte dans le presse-papiers puis le collez dans l'éditeur SQL (SQL Editor) ou dans l'éditeur de scripts SQL (SQL Script Editor).


Champs

Vous pouvez créer, modifier et supprimer les champs de la table dans l'éditeur de tables sur l'onglet 'Champs' (Fields).

Champ est une zone de la fenêtre ou de l'enregistrement où la valeur séparée est stockée.

Créer un champ

Afin d'ajouter un champ dans la table, il vous faut exécuter les opérations suivantes :

  • ouvrir la table dans l'éditeur de tables. Pour cela, veuillez double-cliquer avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet 'Champs' (Fields) (cet onglet s'ouvre par défaut lors de l'ouverture d'une table dans l'éditeur de tables),
  • sélectionner l'élément 'Nouveau champ...' (New Field...) dans le menu contextuel du champ,
  • indiquer les propriétés requises du champ dans l'éditeur de champs qui apparaît.

Copier le champ

Afin de copier un champ, veuillez sélectionner l'élément 'Champ dupliqué' (Duplicate Field) <nom de l'objet> dans le menu contextuel du champ. Veuillez saisir le nom du nouveau champ dans la première fenêtre qui apparaît, puis indiquez s'il faut copier l'objet avec les données ou sans celles-ci dans la deuxième fenêtre.

Modifier le champ

Afin de modifier le champ, il vous faut :

  • ouvrir la table dans l'éditeur de tables - pour cela, veuillez double-cliquer avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet 'Champs' (Fields) (cet onglet s'ouvre par défaut lors de l'ouverture de table dans l'éditeur de tables),
  • sélectionner l'élément 'Modifier un champ' (Edit Field)<nom de l'objet> dans le menu contextuel du champ,
  • indiquer les propriétés requises du champ dans l'éditeur de champs qui apparaît.

Supprimer le champ

Afin de supprimer le champ, il vous faut :

  • ouvrir la table dans l'éditeur de tables - pour cela, veuillez double-cliquer avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet 'Champs' (Fields) (cet onglet s'ouvre par défaut lors de l'ouverture de table dans l'éditeur de tables),
  • sélectionner l'élément 'Supprimer un champ'(Drop Field)<nom de l'objet> dans le menu contextuel du champ,
  • affirmer la suppression du champ dans la fenêtre qui apparaît.

Menu contextuel du champ de la table

Vous pouvez appeler le menu contextuel du champ avec le bouton droit de la souris.

En utilisant ce menu, vous pouvez :

  • créer un nouveau champ - 'Nouveau champ' (New Field...),
  • modifier le champ - 'Modifier un champ' (Edit Field)<nom du champ>,
  • renommer le champ - 'Renommer le champ' (Rename Field) <nom du champ>,
  • supprimer le champ - 'Supprimer un champ' (Drop Field) <nom du champ>,
  • copier le champ - 'Champ dupliqué' (Duplicate Field),
  • réordonner les champs - 'Réordonner les champs' (Reorder Fields),
  • copier la liste des champs dans le presse-papiers - 'Copier la liste des champs dans le presse-papier' (Copy list of field Names to clipboard),
  • exporter la liste des champs - 'Liste d'export' (Export List).


Éditeur de champs

Cet outil permet de modifier les propriétés des champs de la table de base de données lors de la création ou la modification du champ.

Pour ouvrir le champ dans l'éditeur, il vous faut :

  • ouvrir la table dans l'éditeur de tables. Pour cela, veuillez double cliquer avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet 'Champs' (Fields) (cet onglet s'ouvre par défaut lors de l'ouverture de table dans l'éditeur de tables),
  • sélectionner l'élément 'Modifier un champ' (Edit Field)<nom de l'objet> dans le menu contextuel du champ,

Si les champs de votre table s'affichent dans SQL Assistant, vous pouvez utiliser la méthode suivante. Pour ouvrir le champ, veuillez double-cliquer avec la souris sur ce champ dans SQL Assistant. Vous pouvez spécifier SQL Assistant en utilisant le bouton Mode visualisation (View Mode) de l'explorateur de bases.

L'éditeur de champs va s'ouvrir après l'exécution d'une de ces opérations, vous pouvez indiquer toutes les propriétés du champ dans l'éditeur. En utilisant l'éditeur, vous pouvez spécifier et modifier les propriétés des champs :

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version lite) | Oui


Configuration du nom et du type de champ

En utilisant l'éditeur de champs, vous pouvez spécifier toutes les propriétés du champ, disponibles dans MySQL.

Veuillez indiquer le nom du champ dans le champ 'Nom du champ' (Field name). Le nom doit correspondre aux règles de nomination des champs MySQL.

Dans la liste déroulante 'Type' (Type), sélectionnez le type de données à stocker dans ce champ. Si vous cochez la case 'Spécifier la dimension' (Use dimension), vous pouvez indiquer la dimension et l'exactitude de l'affichage pour le type du champ indiqué. Spécifiez la taille du champ à l'aide du compteur 'Taille' (Size). Indiquez le nombre de chiffres à afficher après la virgule pour les nombres à virgule flottante dans le champ 'Précision' (Precision).

Indiquez les paramètres du champ suivants dans la section 'Drapeaux du champ' (Field flags) :

  • si la case 'Non NULL' (Not null) est cochée, la champ ne peut avoir la valeur NULL.
  • le paramètre Unsigned permet de régler l'attribut UNSIGNED pour le champ, dans ce cas les données de nombre entier seront affichées sans signe.
  • si la case Zerofill est cochée pour une colonne dont le type de données est numérique, MySQL va y ajouter automatiquement les zéros avant le premier chiffre signifiant du nombre.
  • si la case Unique est cochée, vous indiquez que le champ fait partie de la clé unique.
  • si la case Autoincrement est cochée, la génération automatique de l'identificateur unique dans le champ pour les nouvelle lignes sera activée.
  • cochez la case 'Clé primaire' (Primary key) pour que le champ modifié soit la clé primaire. La table peut contenir une seule contrainte 'Clé primaire' (Primary key). La colonne avec cette contrainte ne peut pas contenir de valeur NULL.

Vous pouvez indiquer la valeur 'Valeurs' (Values) pour les champs dont le type de données est ENUM et SET. Cliquez sur le bouton dans le champ 'Valeurs' (Values) pour ouvrir la fenêtre, dans lequel vous pouvez spécifier la liste des valeurs.

Indiquez la valeur de champ par défaut dans la partie basse de la fenêtre de l'éditeur de champs, sur l'onglet 'Par défaut' (Default).

Indiquez les paramètres de jeu de caractères sur l'onglet 'Jeu de caractères' (Field charset) pour les champs texte.

Sélectionnez le jeu de caractères dans la liste déroulante 'Jeu de caractères' (Character set). Sélectionnez la règle de tri des données caractères dans la liste déroulante 'Collation' (Collation). Ces règles permettent de configurer la page code et l'ordre de tri des données caractères pour travailler avec les données Unicode et avec d'autres formats de données.

Ajoutez le commentaire texte pour le champ sur l'onglet 'Description' (Description).

Indiquez l'emplacement du champ créé lors de la création d'un nouveau champ dans l'éditeur de champs.

  • 'Insérer en premier lieu' (Insert first) - le nouveau champ sera placé avant le premier champ de table.
  • 'Insérer en dernier lieu' (Insert last) - le nouveau champ sera placé après le dernier champ de la table,
  • si vous sélectionnez 'Insérer après le champ' (Insert after field), vous pouvez utiliser l'option 'Insérer après'

(Insert after) qui permet de choisir un champ après lequel il faut placer le champ créé.


Modification des champs ENUM et SET

ENUM ('valeur1','valeur2',...)

Enumération, données de type ENUM. L'objet de la ligne peut avoir une seule valeur seulement, sélectionnée dans la liste des valeurs donnée 'valeur1', 'valeur2', ..., NULL ou la valeur spéciale d'erreur. La liste ENUM peut contenir au maximum 65535 valeurs différentes.

SET ('valeur1','valeur2',...)

Le type de données Sting peut avoir la valeur zéro ou plusieurs valeurs, chacune d'entre elles doit être sélectionnée à partir de la liste des valeurs admissibles, déterminées lors de la création de la table.

L'ensemble SET peut avoir 64 éléments maximum.

Les valeurs s'affichent dans la liste 'Valeurs' (Values). Afin d'ajouter une nouvelle valeur dans la liste, veuillez l'indiquer dans le champ 'Valeur' (Value) et cliquez sur le bouton 'Ajouter' (Add). Pour que l'ancienne valeur soit remplacée par un nouvelle valeur, sélectionnez une valeur dans la liste, puis indiquez une nouvelle valeur dans le champ 'Valeur' (Value) et enfin cliquez sur le bouton 'Remplacer' (Replace). Afin de supprimer l'élément de la liste, il vous faut le sélectionner et cliquer sur le bouton 'Supprimer' (Remove). Vous pouvez modifier l'ordre des valeurs dans la liste en utilisant les boutons 'Monter' (Up) et 'Descendre' (Down).


Index

L'index est un objet de base de données relationnelle qui permet d'accéder rapidement aux données dans les lignes de table en partant des valeurs de clé. Les index (index primaire) assurent l'identification univalente des lignes de table. La clé primaire de la table s'actualise automatiquement lors de la modifications des enregistrements. Les informations sur les mots clés et leur emplacement dans une certaine colonne sont stockées dans des index de texte intégral lors de la recherche sur le texte intégral.

Créer un index

Afin d'ajouter l'index dans la table, il vous faut exécuter les opérations suivantes :

  • ouvrir la table dans l'éditeur de tables, pour cela double-cliquez avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet Index (Indices),
  • sélectionner l'élément 'Nouvel index...' (New Index...) dans le menu contextuel de l'index,
  • indiquer les propriétés requises de l'index dans l'éditeur d'index qui apparaît.

Modifier l'index

Afin de modifier l'index, il vous faut :

  • ouvrir la table dans l'éditeur de tables, pour cela double-cliquez avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet Index (Indices),
  • sélectionner l'élément 'Modifier l'index' (Edit Index)<nom de l'objet> dans le menu contextuel de l'index,
  • indiquer les propriétés requises de l'index dans l'éditeur d'index qui apparaît.

Supprimer l'index

Afin de supprimer l'index, il vous faut :

  • ouvrir la table dans l'éditeur de tables, pour cela double-cliquez avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet Index (Indices),
  • sélectionner l'élément 'Supprimer l'index' (Drop Index)<nom de l'objet> dans le menu contextuel de l'index,
  • confirmer la suppression de l'index dans la fenêtre qui apparaît.


Éditeur d'index

Cet outil permet de créer et de modifier les index déjà crées.

Indiquez le nom de l'index dans le champ 'Nom de l'index' (Index name). Si l'index a le statut 'Primaire' (Primary), il est impossible de modifier son nom.

Dans la section 'Champs de l'index' (Fields for index), sélectionnez les champs de la table à insérer dans l'index. Les champs disponibles se trouvent dans la liste 'Champs disponibles' (Available Fields), vous pouvez les déplacer dans la liste des champs d'index 'Champs inclus' (Included Fields) en utilisant les boutons correspondants.

Indiquez les propriétés de l'index dans la section 'Propriétés de l'index' (Index properties) :

  • Si vous voulez créez la clé primaire, sélectionnez l'option 'Primaire' (Primary).
  • Si vous cochez la case 'Fulltext' (Fulltext), vous créez l'index fulltext,
  • Si vous cochez la case 'Unique' (Unique), vous créez l'index unique pour la table ou la vue. L'index est unique si deux lignes ne peuvent pas contenir de valeurs identiques pour la clé d'index.

Indiquez la longueur de l'index pour le champ dans le champ 'Longueur' (Length).

Voir aussi :

Éditeur de tables

Éditeur de clés étrangères

Éditeur de triggers

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Triggers

Le trigger est une variété de la procédure stockée qui s'exécute automatiquement si un certain événement surgit sur le serveur de la base de données. Les triggers DML s'exécutent lors d'un événement provoqué par la tentative de l'utilisateur de modifier des données à l'aide des instructions DML. Les événements DML sont les procédures INSERT, UPDATE ou DELETE, appliquées à une table ou à une vue. Les triggers DDL fonctionnent si des événements DDL ont lieu. Ces événements correspondent aux instructions CREATE, ALTER, DROP et à certaines procédures système stockées qui exécutent des opérations identiques aux opérations DDL.

Créer un trigger

Afin d'ajouter un trigger dans une table, il vous faut exécuter les opérations suivantes :

  • ouvrir la table dans l'éditeur de tables. Pour cela, double-cliquez avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet Triggers (Triggers),
  • sélectionner l'élément 'Nouveau trigger...' (New Trigger...) dans le menu contextuel de trigger,
  • indiquer les propriétés requises du trigger dans l'éditeur de triggers qui apparaît.

Modifier le trigger

Afin de modifier le trigger, il vous faut :

  • ouvrir la table dans l'éditeur de tables, pour cela double-cliquez avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet Triggers (Triggers),
  • sélectionner l'élément 'Modifier le trigger' (Edit Trigger)<nom de l'objet> dans le menu contextuel de trigger,
  • indiquer les propriétés requises du trigger dans l'éditeur de triggers qui apparaît.

Supprimer le trigger

Afin de supprimer le trigger, il vous faut :

  • ouvrir la table dans l'éditeur de tables, pour cela double-cliquez avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet Triggers (Triggers),
  • sélectionner l'élément 'Supprimer le trigger' (Drop Trigger)<nom de l'objet> dans le menu contextuel de trigger,
  • confirmer la suppression du trigger dans la fenêtre qui apparaît.


Éditeur de triggers

Cet outil permet de créer et de modifier les triggers.

Les propriétés du trigger se trouvent dans l'éditeur sur les onglets suivants :

  • les propriétés du trigger - 'Modifier' (Edit),
  • les dépendances des objets - 'Dépendances' (Dependencies),
  • la description DDL - 'DDL' (DDL).

Voir aussi :

Éditeur de tables

Éditeur de clés étrangères

Éditeur d'index

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Modifier la définition du trigger

Spécifiez les paramètres généraux du trigger sur l'onglet 'Modifier' (Edit).

Indiquez le nom du trigger dans le champ 'Nom' (Name).

Dans la liste déroulante 'Créateur' (Definer), sélectionnez l'utilisateur qui a créé l'objet.

Dans la liste déroulante 'Table' (Table), sélectionnez la table dans laquelle vous voulez créer le trigger. Le champ est modifiable seulement lors de la création du trigger.

Indiquez le type du comportement du trigger en utilisant le commutateur 'Type' (Type).

Si vous sélectionnez le type 'Après' (After), le trigger DML s'effectue après l'exécution réussie des opérations dans l'instruction SQL, lancée par le trigger. Toutes les opérations en cascade et les vérifications de contraintes (sur lesquelles il y a un lien) doivent être exécutées avec succès, avant que le trigger s'exécute. Si vous sélectionnez le type 'Avant'(Before), le trigger s'exécute avant l'achèvement des opérations.

Sélectionnez l'événement après lequel le trigger s'exécute dans la section 'Événement' (On Event). Vous pouvez sélectionnez un ou plusieurs événements disponibles : Insert, Update ou Delete.

Spécifiez les instructions du trigger manuellement dans la fenêtre 'Définition' (Definition).


Visualisation de la DDL

Vous pouvez voir la DDL du trigger sur l'onglet DDL. Il est impossible de modifier le texte sur cet onglet. Si vous voulez modifier le trigger, veuillez copier le texte dans le presse-papiers et puis le collez dans l'éditeur SQL (SQL Editor) ou dans l'éditeur de scripts SQL (SQL Script Editor).


Clés étrangères

Une clé étrangère (Foreign Key) est une colonne ou combinaison de colonnes, dont les valeurs correspondent à une clé primaire ou à une clé unique de la même table ou d'une autre table. Vous pouvez créer et modifier les clés étrangères en utilisant l'outil spécial - l'éditeur de clés étrangères (Foreign Key Editor).

La clé étrangère est utilisée pour établir les liens entre les données de deux tables.

Créer la clé étrangère

Afin d'ajouter une clé étrangère dans la table, il vous faut exécuter les opérations suivantes :

  • ouvrir la table dans l'éditeur de tables. Pour cela double-cliquez avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet Clés étrangères (Foreign Keys),
  • sélectionner l'élément 'Nouvelle clé étrangère...' (New Foreign Key...) dans le menu contextuel de la clé,
  • indiquez les propriétés requises de la clé dans l'éditeur de clés étrangères qui apparaît.

Modifier la clé étrangère

Afin de modifier la clé étrangère, il vous faut :

  • ouvrir la table dans l'éditeur de tables, pour cela double-cliquez avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet Clés étrangères (Foreign Keys),
  • sélectionner l'élément 'Modifier la clé étrangère' (Edit Foreign Key)<nom de l'objet> dans le menu contextuel de la clé,
  • indiquez les propriétés requises de la clé dans l'éditeur de clés étrangères qui apparaît.

Note : vous pouvez spécifier certaines propriétés de la clé étrangère lors de la création seulement. Elles ne sont pas disponibles lors de la modification.

Supprimer la clé étrangère

Afin de supprimer la clé étrangère, il vous faut :

  • ouvrir la table dans l'éditeur de tables, pour cela double-cliquez avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet Clés étrangères (Foreign Keys),
  • sélectionner l'élément 'Supprimer la clé étrangère' (Drop Foreign Key)<nom de l'objet> dans le menu contextuel de la clé,
  • confirmez la suppression de la clé étrangère dans la fenêtre qui apparaît.


Éditeur de clés étrangères

SQL Manager 2007 for MySQL
  • Index
  • « Prev
  • Next »

Éditeur des clés étrangères

Cet éditeur est conçu pour modifier les propriétés d'une clé étrangère. L'éditeur s'ouvre lors de la création d'une nouvelle clé ou lors de la modification de la clé existante.

Spécifiez le nom de la clé dans le champ 'Nom de la clé' (Foreign Key Name). Le système crée automatiquement un nom composé de nom de la table sélectionnée et du suffixe _fk. Dans la liste déroulante 'Table' (Table), sélectionnez la table dans laquelle la clé étrangère sera créée.

Note : Ce champ est modifiable uniquement lors de la création de la clé.

Afin d'ajouter les champs de la table dans la clé, veuillez les déplacer à partir de la liste des champs disponibles - 'Champs disponibles' (Available Fields) dans la liste des champs sélectionnés - 'Champs inclus' (Included Fields).

Sélectionnez la table étrangère dans la liste déroulante 'Table étrangère' (Foreign table). Déplacez les champs à partir de la liste des champs disponibles - 'Champs disponibles' (Available Fields) dans la liste des champs sélectionnés - 'Champs inclus' (Included Fields).

Ouvrez la liste déroulante 'Règle de suppression' (On delete rule) et sélectionnez l'opération à exécuter lors de la suppression de données.

Ouvrez la liste déroulante 'Règle de la mise à jour' (On update rule) et sélectionnez l'opération à exécuter lors de la mise à jour des données dans la table.

Voir aussi :

Éditeur de tables

Éditeur d'index

Éditeur de triggers

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Vues

Une vue est une table virtuelle représentant les données d'une ou de plusieurs tables d'une façon alternative. La vue peut seulement être créée dans la base de données en cours. La vue ne peut pas comprendre plus de 1024 colonnes.

Créer une vue

Afin de créer une vue, veuillez utiliser :

  • l'élément 'Base de données | Nouvel objet' (Database | New Object) du menu principal du programme, puis sélectionnez 'Vue' (View) dans la fenêtre de sélection du type d'objet.
  • ou 'Views | l'élément New View' (Views | New View) du menu contextuel de l'objet de la base de données,
  • ou le raccourci <Ctrl + N>.

Copier la vue

Le programme fournit l'assistant spécial pour copier les objets. Vous pouvez copier un objet dans une autre base de données, vous pouvez copier avec les données ou sans les données.

Afin de copier une vue, il vous faut sélectionner l'élément 'Dupliquer la vue' (Duplicate Table)<nom de l'objet> dans le menu contextuel de la vue. Si vous copiez l'objet en utilisant cette méthode, l'assistant de copie d'objets s'ouvre sur la troisième étape (parce que c'est lors des deux premières étapes de l'assistant qu'il faut sélectionner la base de données et l'objet).

Modifier la vue

SQL Manager 2007 for MySQL fournit l'outil spécial pour travailler avec les vues - l'éditeur de vues (View Editor).

Afin d'ouvrir la vue dans l'éditeur de vues, double-cliquez avec la souris sur l'objet dans l'explorateur de bases. Vous pouvez le faire aussi en sélectionnant l'élément du menu contextuel de la vue 'Modifier la vue' (Edit View) <nom de l'objet>.

Renommer la vue

Si vous voulez modifier le nom de la vue, il vous faut :

  • sélectionner l'élément 'Renommer la vue' (Rename View)<nom de l'objet> du menu contextuel de la vue
  • utiliser le raccourci <Ctrl + R>.

Supprimer la vue

Afin de supprimer la vue, sélectionnez l'élément 'Supprimer la vue' (Drop View)<nom de l'objet> du menu contextuel dans l'explorateur de bases de données ou utilisez le raccourci <Ctrl + Del>.


Éditeur de vues

SQL Manager 2007 for MySQL fournit l'outil spécial pour travailler avec les vues - l'éditeur de vues (View Editor). En utilisant l'éditeur, vous pouvez créer de nouvelles vues et modifier les vues existantes.

L'éditeur s'ouvre automatiquement lors de la création d'une nouvelle vue.

  • Utilisation des barres d'outils
  • Modification de la description SQL
  • Visualisation des champs
  • Visualisation des données
  • Visualisation des dépendances
  • Visualisation de la DDL

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Utilisation de la barre de navigation

Les barres d'outils se trouvent à gauche de l'éditeur et au-dessus de l'éditeur.

La barre de navigation permet :

sur la barre 'Objets' (Object)

  • de sélectionner une base de données,
  • de sélectionner une vue à modifier

sur la barre 'Général' (General) :

  • d'actualiser le contenu de la vue modifiée - 'Rafraîchir' (Refresh),
  • de modifier la vue en utilisant le constructeur graphique de requêtes - 'Modifier la requête en utilisant le constructeur de requêtes' (Edit query using Query Builder),
  • de compiler la vue avec les propriétés actuelles - 'Compiler' (Compile),
  • d'imprimer les métadonnées de l'objet - 'Imprimer' (Print),
  • de spécifier les droits sur cet objet - 'Donner des droits sur l'objet' (Grants on Object),
  • d'ouvrir l'aide MySQL - 'Afficher l'aide SQL' (Show SQL help),
  • de restaurer la taille par défaut de la fenêtre - 'Restaurer la taille par défaut' (Restore default size).

Quand vous passez aux autres onglets de l'éditeur, les barres supplémentaires apparaissent sur la barre d'outil (avec les outils pour travailler sur ces onglets).

La barre 'Champs' (Fields) apparaît pour l'onglet Champs (Fields) :

En utilisant cet onglet, vous pouvez :

  • copier la liste des champs dans le presse-papiers - 'Copier la liste dans le presse-papier' (Copy list to Clipboard),
  • exporter la liste des champs dans un fichier - 'Exporter la liste' (Export list).

La barre 'Gestion de données' (Data management) apparaît pour l'onglet Données (Data).

En utilisant cet onglet, vous pouvez :

  • appliquer la transaction pour les données - 'Valider la transaction' (Commit Transaction) (cette option est active si les transactions de données sont activées 'Options | Options de l'environnement | Outils | Transactions dans l'éditeur d'objet (onglet Données), l'éditeur SQL et le constructeur de requêtes)' [Options | Environment Options | Tools | Use transactions in Data tab of object editors, SQL Editor and Query Builder)],
  • annuler la transaction pour les données de la table - 'Annuler la transaction' (Rollback Transaction) (cette option est active si toutes les transactions de données sont activées),
  • exporter les données - 'Exporter les données' (Export Data),
  • exporter les données en tant que script SQL - 'Exporter en tant que script SQL' (Export as SQL Script),
  • importer les données - 'Importer les données' (Import Data),
  • sauvegarder les données - 'Sauvegarder les données dans un fichier du serveur' (Save data to file on server).

La barre DDL apparaît pour l'onglet DDL

En utilisant cet onglet, vous pouvez :

  • sauvegarder la description DDL dans un fichier - 'Sauvegarder la DDL dans un fichier' (Save DDL to file),
  • ouvrir la DDL dans un éditeur SQL - 'Ouvrir la DDL dans un éditeur SQL' (Open DDL in SQL Editor),

La barre d'outils permet de :

  • sélectionner la base de données pour travailler - la liste déroulante 'Bases de données' (Databases),
  • sélectionner la vue à modifier - 'Objet' (Object),
  • mettre à jour le contenu de la vue modifiée - 'Rafraîchir' (Refresh),
  • modifier la vue en utilisant le constructeur graphique de requêtes - 'Modifier la requête en utilisant le constructeur de requêtes' (Edit query using Query Builder),
  • compiler la vue avec les propriétés actuelles - 'Compiler' (Compile),
  • imprimer les métadonnées de la vue - 'Imprimer les méta-données de la vue' (Print View Metadata),
  • valider la transaction pour les données - 'Valider la transaction' (Commit Transaction) (cette option est active si les transactions de données sont activées - 'Options | Options de l'environnement | Outils | Transactions dans l'éditeur d'objet (onglet Données), l'éditeur SQL et le constructeur de requêtes)'

[ Options | Environment Options | Tools | Use transactions in Data tab of object editors, SQL Editor and Query Builder)]

  • annuler la transaction pour les données - 'Annuler la transaction' (Rollback Transaction) - cette option est active si toutes les transactions de données sont activées,
  • exporter les données - 'Exporter les données' (Export Data) - cette option est active sur l'onglet 'Données' (Data) seulement,
  • exporter les données en tant que script SQL - 'Exporter en tant que script SQL' (Export as SQL Script) - cette option est active sur l'onglet 'Données' (Data) seulement,
  • importer les données - 'Importer les données' (Import Data) - cette option est active sur l'onglet 'Données' (Data) seulement,
  • sauvegarder les données dans un fichier du serveur - 'Sauvegarder les données dans un fichier du serveur' (Save data to file on server),
  • ouvrir l'aide MySQL - 'Afficher l'aide SQL' (Show SQL help),
  • 'Restaure la taille et la position par défaut de la fenêtre' (Restore Default Window Size and Position).


Modification de la description SQL

Vous pouvez parcourir et modifier le script SQL de création de la vue sur l'onglet 'Modifier' (Edit). Si vous avez créé ou modifié le texte et que vous voulez appliquer les modifications, il vous faut cliquer sur le bouton 'Compiler' (Compile) sur la barre de navigation.


Visualisation des champs

Vous pouvez visualiser tous les champs affichés dans la vue sur l'onglet 'Champs' (Fields).


Visualisation des données

Vous pouvez saisir les données dans la table en utilisant cet onglet. Vous pouvez aussi visualiser les données et les modifier.

Note : vous pouvez modifier les données dans les vues basées sur des requêtes simples seulement.

La gestion de données s'effectue à l'aide de la barre d'outils et du menu déroulant.


Visualisation de la DDL

Vous pouvez voir la DDL de la vue sur l'onglet DDL. Il est impossible de modifier le texte sur cet onglet. Si vous voulez modifier le texte, veuillez copier le texte dans le presse-papiers puis le collez dans l'éditeur SQL (SQL Editor) ou dans l'éditeur de scripts SQL (SQL Script Editor).


Procédures stockées

Les procédures stockées sont un ensemble de commandes SQL qui peuvent être compilées et stockées sur le serveur. La procédure peut renvoyer une table de données lors de l'exécution.

Créer la procédure

Afin de créer une procédure, veuillez utiliser :

  • l'élément 'Base de données| Nouvel objet' (Database | New Object) du menu principal du programme. Sélectionnez 'Procédure' (Procedure) dans la fenêtre de sélection du type d'objet,
  • ou 'Procédures | l'élément Nouvelle procédure...' (Procedures | New Procedure...) du menu contextuel de l'objet de la base de données,
  • ou le raccourci <Ctrl + N>.

La procédure créée s'ouvre automatiquement dans l'éditeur de procédures.

Copier la procédure

Le programme fournit l'assistant spécial pour copier les objets. Vous pouvez copier un objet dans une autre base de données, vous pouvez copier avec les données ou sans les données.

Afin de copier une procédure, il vous faut sélectionner l'élément 'Dupliquer la procédure' (Duplicate Procedure)<nom de l'objet> dans le menu contextuel de la procédure. Si vous copiez l'objet en utilisant cette méthode, l'assistant de copie d'objets s'ouvre sur la troisième étape (parce que c'est lors des deux premières étapes de l'assistant qu'il faut sélectionner la base de données et l'objet).

Modifier la procédure

SQL Manager 2007 for MySQL fournit l'outil spécial pour travailler avec les procédures - l'éditeur de procédures.

Afin d'ouvrir la procédure dans l'éditeur de procédures, double-cliquez avec la souris sur l'objet dans l'explorateur de bases. Vous pouvez le faire aussi en sélectionnant l'élément du menu contextuel de la procédure 'Modifier la procédure' (Edit Procedure) <nom de l'objet>.

Renommer la procédure

Si vous voulez modifier le nom de la procédure, il vous faut :

  • sélectionner l'élément 'Renommer la procédure' (Rename Procedure)<nom de l'objet> du menu contextuel de la procédure
  • utiliser le raccourci <Ctrl + R>.

Supprimer la procédure

Afin de supprimer la procédure, sélectionnez l'élément 'Supprimer la procédure' (Drop Procedure)<nom de l'objet> du menu contextuel dans l'explorateur de bases de données ou utilisez le raccourci <Ctrl + Del>.


Éditeur de procédures

L'éditeur de procédures permet de créer, de modifier et d'exécuter les procédures. L'éditeur s'ouvre automatiquement lors de la création d'une nouvelle procédure ou lors de la modification de la procédure existante.

  • Utilisation des barres d'outils
  • Modification de la définition de la procédure
  • Visualisation des dépendances des objets
  • Modification de la description de la procédure
  • Exécution de la procédure
  • Spécification des paramètres de la procédure lors de l'exécution
  • Visualisation de la DDL
  • Affichage des résultats

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Utilisation de la barre de navigation

Les barres d'outils se trouvent à gauche de l'éditeur et au-dessus de l'éditeur :

La barre de navigation permet :

sur la barre 'Objets' (Object)

  • de sélectionner la base de données,
  • de sélectionner la procédure à modifier

sur la barre 'Général' (General)

  • d'actualiser le contenu de la procédure modifiée - 'Rafraîchir' (Refresh),
  • de compiler la procédure avec les propriétés actuelles - 'Compiler' (Compile),
  • d'exécuter la procédure - 'Exécuter la procédure' (Execute procedure),
  • d'imprimer les métadonnées de la procédure - 'Imprimer' (Print),
  • d'ouvrir l'aide de création des procédures - 'Afficher l'aide SQL' (Show SQL help).

sur la barre 'Transaction' (Transaction)

  • d'appliquer la transaction pour les données - 'Valider la transaction' (Commit Transaction) (cette option est active si les transactions de données sont activées dans 'Options | Options de l'environnement |Outils | Transactions dans l'éditeur d'objet (onglet Données), l'éditeur SQL et le constructeur de requêtes) [Options | Environment Options | Tools | Use transactions in Data tab of object editors, SQL Editor and Query Builder ],
  • d'annuler la transaction pour les données de la table - 'Annuler la transaction' (Rollback Transaction) - cette option est active si toutes les transactions de données sont activées,

Si la procédure a été activée et le résultat a été renvoyé, la barre 'Gestion de données' (Data Management) s'affiche, ainsi que l'onglet Résultats (Results).

En utilisant cette barre, vous pouvez :

  • exporter les données - 'Exporter les données' (Export Data),
  • exporter les données en tant que script SQL - 'Exporter en tant que script SQL' (Export as SQL Script).

Quand vous passez aux autres onglets, les barres avec les fonctions spéciales pour chaque onglet apparaissent.

La barre 'Description' (Description) apparaît pour l'onglet Description (Description)

En utilisant cette barre, vous pouvez :

  • sauvegarder la description dans un fichier - 'Sauvegarder la description dans un fichier' (Save Description to file),
  • copier la description dans le presse-papier - 'Copier la description dans le presse-papier' (Copy description to clipboard),

La barre DDL apparaît pour l'onglet DDL

En utilisant cette barre, vous pouvez :

  • sauvegarder la description DDL dans un fichier - 'Sauvegarder la DDL dans un fichier' (Save DDL to file),
  • ouvrir la DDL dans un éditeur SQL - 'Ouvrir la DDL dans un éditeur SQL' (Open DDL in SQL Editor).

La barre d'outils permet de :

  • sélectionner la base de données pour travailler - la liste déroulante 'Bases de données' (Databases),
  • sélectionner la procédure à modifier - 'Objet' (Object),
  • actualiser le contenu de la procédure modifiée - 'Rafraîchir' (Refresh),
  • compiler la procédure - 'Compiler' (Compile),
  • sauvegarder les modifications apportées dans la description (cette commande est active si la description a été modifiée sur l'onglet 'Description' / 'Description') - 'Sauvegarder les descriptions' (Save Descriptions),
  • exécuter la procédure - 'Exécuter la procédure' (Execute Procedure),
  • valider la transaction pour les données - 'Valider la transaction' (Commit Transaction) (cette option est active si les transactions de données sont activées - 'Options | Options de l'environnement | Outils | Transactions dans l'éditeur d'objet (onglet Données), l'éditeur SQL et le constructeur de requêtes)' [ Options | Environment Options | Tools | Use transactions in Data tab of object editors, SQL Editor and Query Builder)]
  • annuler la transaction pour les données - 'Annuler la transaction' (Rollback Transaction) - cette option est active si toutes les transactions de données sont activées et si la procédure a été exécutée et le résultat a été renvoyé),
  • exporter les données - 'Exporter les données' (Export Data) - cette option est active sur l'onglet 'Données' (Data) seulement,
  • exporter les données en tant que script SQL - 'Exporter en tant que script SQL' (Export as SQL Script) - cette option est active sur l'onglet 'Données' (Data) seulement,
  • imprimer les métadonnées de la procédure - 'Imprimer les métadonnées' (Print Metadata),
  • ouvrir l'aide de création des procédures dans MySQL - 'Afficher l'aide SQL' (Show SQL help),
  • 'Restaure la taille et la position par défaut de la fenêtre' (Restore Default Window Size and Position).


Définition de la procédure

Vous pouvez spécifier les paramètres essentiels de la procédure sur l'onglet 'Modifier' (Edit).

Indiquez le nom de la procédure créée dans le champ 'Nom' (Name). Cet champ est modifiable seulement lors de la création de l'objet.

Sélectionnez le type de la procédure dans la section 'Type de la procédure' (Procedure type) :

  • 'Déterministe' (Deterministic),
  • 'Non déterministe' (Not Deterministic).

Spécifiez les paramètres de sécurité de la procédure dans la section 'Sécurité SQL' (SQL security) :

  • si vous sélectionnez l'option Definer, la procédure sera utilisée par le créateur,
  • si vous sélectionnez l'option Invoker, la procédure sera utilisée par l'utilisateur de la base de données.

Sélectionnez le type d'accès aux données dans la liste déroulante SQL Data Access.

Sélectionnez le nom d'utilisateur dans la liste déroulante Definer, les droits de cet utilisateur seront utilisés lors de l'exécution de cette procédure.

Les paramètres spécifiés dans le texte de la procédure s'affichent dans la table 'Paramètres' (Parameters). Vous pouvez indiquez dans cette table le type, le nom et le type de données pour un paramètre.

Spécifiez le texte de la procédure dans la fenêtre 'Définition' (Definition) de l'éditeur SQL.

La fenêtre de messages avec les informations sur l'exécution de la procédure se trouve dans la partie inférieure de la fenêtre.


Description de la procédure

Si vous voulez ajouter (modifier) un commentaire de la procédure, vous pouvez le faire sur l'onglet 'Description' (Description).

Pour appliquer les modifications apportées, cliquez sur le bouton 'Sauvegarder les descriptions' (Save Descriptions) sur la barre d'outils. Les modifications seront appliquées aussi après le basculement sur un autre onglet ou lors de la sélection d'un autre objet.


Exécution de la procédure

L'éditeur de procédures permet d'exécuter la procédure modifiée. Afin d'exécuter la procédure, utilisez la commande 'Exécuter la procédure' (Execute procedure), qui se trouve sur la barre de navigation et sur la barre d'outils. Si la procédure contient les paramètres, vous pouvez les spécifier lors de l'exécution dans la fenêtre spéciale Saisissez la valeur des paramètres (Enter parameter values). Cette fenêtre apparaît avant l'exécution de la procédure.

Si la procédure renvoie un certain résultat, par exemple la table, vous pouvez voir cette table sur l'onglet Affichage des résultats qui apparaît.


Spécification des paramètres d'entrée

Si la procédure contient les paramètres, la fenêtre 'Saisir les valeurs des paramètres' (Enter parameters values) s'ouvre lors de l'exécution. Vous pouvez spécifier dans cette fenêtre les valeurs de tous les paramètres de la procédure exécutée.

SQL Manager 2007 for MySQL compose cette fenêtre conformément aux propriétés des paramètres de la procédure :

  • le nombre de champs de la fenêtre correspond au nombre de paramètres,
  • les noms des champs correspondent aux noms des paramètres que vous pouvez spécifier dans ces champs,
  • le type du champ est défini par le nom du paramètre.

Si vous cochez la case 'Null' (Null) à coté du nom du paramètre, la valeur du paramètre sera NULL indépendamment de la valeur qui sera saisie dans le champ de modification.

Cliquez sur le bouton Ok afin de poursuivre l'exécution de la procédure. Pour annuler l'exécution de la procédure, cliquez sur le bouton 'Annuler' (Cancel).


Visualisation de la DDL

Vous pouvez voir la DDL de la procédure sur l'onglet DDL. Il est impossible de modifier le texte sur cet onglet. Si vous voulez modifier la procédure, allez sur l'onglet Modifier (Edit).


Affichage des résultats

Cet onglet est active si la procédure a été exécutée et le résultat a été renvoyée. Le résultat de l'exécution s'affiche dans le visualisateur de données.

Les messages de serveur sur le processus d'exécution de la procédure s'affichent dans la fenêtre qui se trouve en bas.


Fonctions stockées

Les fonctions stockées sont un ensemble des commandes SQL qui peuvent être compilées et stockées sur le serveur. Les fonctions stockées se distinguent des procédures stockées parce qu'ils renvoient une valeur unitaire et non pas une table de données.

Créer la fonction

Pour créer la fonction, utilisez :

  • l'élément 'Base de données| Nouvel objet' (Database | New Object) du menu principal du programme. Sélectionnez 'Fonction' (Function) dans la fenêtre de sélection du type d'objet.
  • ou 'Fonctions | élément Nouvelle fonction...' (Functions | New Function... ) du menu contextuel de l'objet de la base de données,
  • ou le raccourci <Ctrl + N>.

La fonction créée s'ouvre automatiquement dans l'éditeur de fonctions.

Copier la fonction

Le programme fournit l'assistant spécial pour copier les objets. Vous pouvez copier un objet dans une autre base de données, vous pouvez copier avec les données ou sans les données.

Afin de copier une fonction, il vous faut sélectionner l'élément 'Dupliquer la fonction' (Duplicate Function)<nom de l'objet> dans le menu contextuel de la fonction. Si vous copiez l'objet en utilisant cette méthode, l'assistant de copie d'objets s'ouvre sur la troisième étape parce que c'est lors des deux premières étapes de l'assistant qu'il faut sélectionner la base de données et l'objet.

Modifier la fonction

SQL Manager 2007 for MySQL fournit l'outil spécial pour travailler avec les fonctions - l'éditeur de fonctions.

Afin d'ouvrir la fonction dans l'éditeur de fonctions, double-cliquez avec la souris sur l'objet dans l'explorateur de bases. Vous pouvez le faire aussi en sélectionnant l'élément du menu contextuel de la fonction 'Modifier la fonction' (Edit Function) <nom de l'objet>.

Renommer la fonction

Si vous voulez modifier le nom de la fonction, il vous faut :

  • sélectionner l'élément du menu contextuel de la fonction 'Renommer la fonction' (Rename Function)<nom de l'objet>,
  • ou utiliser le raccourci <Ctrl + R>.

Supprimer la fonction

Afin de supprimer la fonction, sélectionnez l'élément 'Supprimer la fonction' (Drop Function)<nom de l'objet> du menu contextuel dans l'explorateur de bases de données ou utilisez le raccourci <Ctrl + Del>.


Éditeur de fonctions stockées

L'éditeur vous permet de créer et d'exécuter les fonctions et de les modifier. L'éditeur s'ouvre automatiquement lors de la création d'une nouvelle fonction ou lors de la modification d'une fonction existante.

  • Barres d'outils
  • Visualisation des dépendances d'objets
  • Définition de la fonction
  • Description de la fonction
  • Exécution de la fonction
  • Spécification des paramètres
  • Visualisation de la DDL

Disponibilité de cette fonction :

Windows Full (version complète) | Oui
Windows Lite (version lite) | Oui


Utilisation de la barre de navigation

Les barres d'outils se trouvent à gauche de l'éditeur et au-dessus de l'éditeur.

La barre de navigation permet :

sur la barre 'Objets' (Object)

  • de sélectionner la base de données,
  • de sélectionner la fonction à modifier

sur la barre 'Général' (General)

  • d'actualiser le contenu de la fonction modifiée - 'Rafraîchir' (Refresh),
  • de compiler la fonction avec les propriétés actuelles - 'Compiler' (Compile),
  • d'exécuter la fonction - 'Exécuter la fonction' (Execute Function),
  • d'imprimer les métadonnées de la fonction - 'Imprimer' (Print),
  • d'ouvrir l'aide de création des fonctions dans MySQL - 'Afficher l'aide SQL' (Show SQL help).

Quand vous passez aux autres onglets, les barres avec les fonctions spéciales pour chaque onglet apparaissent.

La barre 'Description' (Description) apparaît pour l'onglet Description (Description),

En utilisant cette barre, vous pouvez :

  • sauvegarder la description dans un fichier - 'Sauvegarder la description dans un fichier' (Save Description to file),
  • copier la description dans le presse-papier - 'Copier la description dans le presse-papier' (Copy description to clipboard),

La barre DDL apparaît pour l'onglet DDL,

En utilisant cette barre, vous pouvez :

  • sauvegarder la description DDL dans un fichier - 'Sauvegarder la DDL dans un fichier' (Save DDL to file),
  • ouvrir la DDL dans un éditeur SQL - 'Ouvrir la DDL dans un éditeur SQL' (Open DDL in SQL Editor).

La barre d'outils permet :

  • de sélectionner une base de données pour travailler - la liste déroulante 'Bases de données' (Databases),
  • de sélectionner une fonction à modifier - 'Objet' (Object),
  • d'actualiser le contenu de la fonction modifiée - 'Rafraîchir' (Refresh),
  • de compiler la fonction - 'Compiler' (Compile),
  • de sauvegarder les modifications apportées dans la description (cette commande est active si la description a été modifiée sur l'onglet 'Description' / 'Description') - 'Sauvegarder les descriptions' (Save Descriptions),
  • d'exécuter la fonction - 'Exécuter la fonction' (Execute Function),
  • d'imprimer les métadonnées de la fonction - 'Imprimer les métadonnées' (Print Metadata),
  • d'ouvrir l'aide de création des fonctions dans MySQL - 'Afficher l'aide SQL' (Show SQL help),
  • de restaurer la taille par défaut de la fenêtre - 'Restaurer la taille et la position par défaut de la fenêtre' (Restore Default Window Size and Position).


Définition de la fonction

Vous pouvez spécifier les paramètres essentiels de la fonction sur l'onglet 'Modifier' (Edit).

Indiquez le nom de la fonction créée dans le champ 'Nom' (Name). Ce champ est disponible à modifier lors de la création d'objet seulement.

Sélectionnez le type de la valeur renvoyée dans la liste 'Renvoie' (Returns).

Sélectionnez le nom d'utilisateur dans la liste déroulante Definer, les droits de cet utilisateur seront utilisés lors de l'exécution de cette fonction.

Sélectionnez le type de la fonction dans la section 'Type de la fonction' (Function type) :

  • 'Déterministe' (Deterministic),
  • 'Non déterministe' (Not Deterministic).

Spécifiez les paramètres de la sécurité dans la section 'Sécurité SQL' (SQL security) :

  • si vous sélectionnez l'option Definer, la fonction sera utilisée par le créateur,
  • si vous sélectionnez l'option Invoker, la fonction sera utilisée par l'utilisateur de la base de données.

Sélectionnez le type d'accès aux données dans la liste déroulante SQL Data Access.

Les paramètres spécifiés dans le texte de la fonction s'affichent dans la table 'Paramètres' (Parameters). Vous pouvez indiquez dans cette table le type, le nom et le type de données pour un paramètre.

Spécifiez le texte de la fonction dans la fenêtre 'Définition' (Definition) de l'éditeur SQL.

La fenêtre de messages qui affiche le résultat et les informations sur l'exécution de la fonction se trouve dans la partie inférieure de la fenêtre.


Description de la fonction

Si vous voulez ajouter (modifier) le commentaire de la fonction, vous pouvez le faire sur l'onglet 'Description' (Description).

Pour appliquer les modifications apportées, cliquez sur le bouton 'Sauvegarder la description dans le fichier' (Save description to file) sur les barres d'outils. Les modifications seront appliquées aussi après le basculement sur un autre onglet ou lors de la sélection d'un autre objet.


Exécution de la fonction

L'éditeur de fonctions stockées permet d'exécuter la fonction modifiée. Pour cela, utilisez la commande 'Exécuter la fonction' (Execute function) qui se trouve sur la barre de navigation et sur la barre d'outils. Si la fonction contient les paramètres, vous pouvez les spécifier lors de l'exécution dans la fenêtre spéciale Saisissez la valeur des paramètres (Enter parameter values). Cette fenêtre apparaît avant l'exécution de la fonction.


Spécification des paramètres d'entrée

Si la fonction contient les paramètres, la fenêtre 'Saisir les valeurs des paramètres' (Enter parameters values) s'ouvre lors de l'exécution. Vous pouvez spécifier dans cette fenêtre les valeurs de tous les paramètres de la fonction exécutée.

SQL Manager 2007 for MySQL compose cette fenêtre conformément aux propriétés des paramètres de la fonction :

  • le nombre de champs de la fenêtre correspond au nombre de paramètres,
  • les noms des champs correspondent aux noms des paramètres que vous pouvez spécifier dans ces champs
  • le type du champ est défini par le nom du paramètre.

Si vous cochez la case 'Null' (Null) à coté du nom du paramètre, la valeur du paramètre sera NULL indépendamment de la valeur qui sera saisie dans le champ de modification.

Cliquez sur le bouton OK afin de poursuivre l'exécution de la fonction. Pour annuler l'exécution de la fonction cliquez sur le bouton 'Annuler' (Cancel).


Visualisation de la DDL

Vous pouvez voir la DDL de la fonction sur l'onglet DDL. Il est impossible de modifier le texte sur cet onglet. Si vous voulez modifier la fonction, allez sur l'onglet Modifier (Edit).


Fonctions utilisateur (UDF)

La fonction définie par l'utilisateur (UDF) est un moyen qui permet d'élargir les possibilités de MySQL grâce à une nouvelle fonction qui fonctionne à la manière des fonctions incorporés de MySQL.

Fonction Rowset

Une fonction Rowset est une fonction qui renvoie la valeur de table si la clause RETURNS contient la variable TABLE. Les fonctions qui renvoient la valeur de table se subdivisent en fonctions incorporées et fonctions composées de quelques instructions (suivant la définition du corps de la fonction).

Fonction Aggregate

Cette fonction est une fonction agrégat si elle opère sur plusieurs valeurs et renvoie une valeur de résultat unique.

Fonction Ranking

Cette fonction compose la côte de popularité (ou la valeur de rangée) qui marque la pertinence des données renvoyées.

Fonction Scalar

La fonction est une fonction scalaire si elle contient la clause RETURNS correspondant à un des types scalaires de données. Les fonctions scalaires peuvent contenir plusieurs instructions.

Créer la fonction utilisateur

Pour créer la fonction, utilisez :

  • l'élément 'Base de données | Nouvel objet' (Database | New Object) du menu principal du programme. Sélectionnez 'Fonction définie par l'utilisateur' (User-Defined Function) dans la fenêtre de sélection du type d'objet,
  • ou l'élément 'Nouvelle fonction définie par l'utilisateur' (New User-Defined Function) dans le menu contextuel du groupe d'objets de la base de données UDF,
  • ou le raccourci <Ctrl + N>.

La fonction créée s'ouvre automatiquement dans l'éditeur de fonctions utilisateur.

Copier la fonction utilisateur

Le programme fournit l'assistant spécial pour copier les objets. Vous pouvez copier un objet dans une autre base de données.

Afin de copier une fonction, il vous faut sélectionner l'élément 'Dupliquer l'UDF' (Duplicate User-Defined Function)<nom de l'objet> dans le menu contextuel du groupe d'objets de la base de données UDF. Si vous copiez l'objet en utilisant cette méthode, l'assistant de copie d'objets s'ouvre sur la troisième étape (parce que c'est lors des deux premières étapes de l'assistant qu'il faut sélectionner la base de données et l'objet).

Modifier la fonction utilisateur

SQL Manager 2007 for MySQL fournit l'outil spécial pour travailler avec les fonctions utilisateur - l'éditeur de fonctions utilisateur.

Afin d'ouvrir l'objet dans l'éditeur, double-cliquez avec la souris sur l'objet dans l'explorateur de bases. Vous pouvez le faire aussi en sélectionnant l'élément du menu contextuel de la fonction 'Modifier l'UDF' (Edit User-Defined Function) <nom de l'objet>.

Renommer la fonction utilisateur

Si vous voulez modifier le nom de la fonction, il vous faut :

  • sélectionner l'élément 'Renommer l'UDF' (Rename User-Defined Function)<nom de l'objet> du menu contextuel du groupe d'objets de la base de données UDF,
  • ou utiliser le raccourci <Ctrl + R>.

Supprimer la fonction utilisateur

Afin de supprimer l'objet, sélectionnez l'élément 'Supprimer l'UDF' (Drop User-Defined Function)<nom de l'objet> du menu contextuel dans l'explorateur de bases de données ou utilisez le raccourci <Ctrl + Del>.


Éditeur UDF

L'éditeur UDF vous permet de créer et de modifier les fonctions définies par l'utilisateur. L'éditeur s'ouvre automatiquement quand vous créez une nouvelle fonction ou quand vous ouvrez une fonction existante pour modifier cette fonction. Afin d'ouvrir la fonction dans l'éditeur, il vous faut double-cliquer avec la souris sur cette fonction.

Les outils de l'éditeur se trouvent sur les onglets et sur les barres d'outils.

Onglets de l'éditeur :

  • Paramètres de la fonction
  • Visualisation de la DDL

Disponibilité de cette fonction :

Windows Full (version complète) | Oui
Windows Lite (version lite) | Oui


Utilisation de la barre de navigation

Les barres d'outils se trouvent à gauche de l'éditeur et au-dessus de l'éditeur.

La barre de navigation permet :

sur la barre 'Objets' (Object)

  • de sélectionner la base de données,

sur la barre 'Général' (General)

  • de compiler la fonction UDF avec les propriétés actuelles - 'Compiler' (Compile),
  • d'ouvrir l'aide de création des fonctions UDF - 'Afficher l'aide SQL' (Show SQL help),
  • de restaurer la taille par défaut de la fenêtre - 'Restaurer la taille par défaut' (Restore default size).

La barre d'outils permet :

  • de sélectionner une base de données,
  • de sélectionner une fonction à modifier,
  • de compiler une fonction UDF avec les propriétés actuelles - 'Compiler' (Compile),
  • d'ouvrir l'aide de création des fonctions UDF - 'Afficher l'aide SQL' (Show SQL help),
  • de restaurer la taille par défaut de la fenêtre - 'Restaurer la taille par défaut' (Restore default size).


Configuration des paramètres UDF

Spécifiez les paramètres de la fonction sur l'onglet 'Modifier' (Edit).

Indiquez le nom de la fonction dans le champ 'Nom' (Name).

Sélectionnez le type de valeur renvoyée dans la liste déroulante 'Renvoie' (Returns).

Indiquez le nom du fichier de bibliothèque contenant le texte de la fonction dans le champ 'Nom de la bibliothèque' (Library name).

Si vous cochez la case 'Agrégat' (Aggregate), la fonction sera une fonction d'agrégation. La fonction est une fonction agrégat si elle opère sur plusieurs valeurs et renvoie la valeur de résultat unique.


Visualisation de la DDL

Vous pouvez voir la DDL de la fonction UDF sur l'onglet DDL. Il est impossible de modifier le texte sur cet onglet. Si vous voulez modifier la DDL, veuillez copier le texte dans le presse-papiers et puis collez-le dans l'éditeur SQL ou dans l'éditeur de scripts SQL.


Événements programmés

L'événement programmé est un ensemble de commandes SQL qui peuvent être compilées et stockées sur le serveur.

Créer un événement programmé

Pour créer cet objet, veuillez utiliser :

  • l'élément 'Base de données| Nouvel objet' (Database | New Object) du menu principal du programme. Sélectionnez 'Événement programmé' (Scheduled event) dans la fenêtre de sélection du type d'objet.
  • ou l'élément 'Nouvel événement programmé' (New Scheduled event) dans le menu contextuel du groupe d'objets 'Événements programmés' (Scheduled events) de la base de données,
  • ou le raccourci <Ctrl + N>.

L'objet créé s'ouvre automatiquement dans l'éditeur des événements programmés.

Copier l'événement programmé

Le programme fournit l'assistant spécial pour copier les objets. Vous pouvez copier un objet dans une autre base de données.

Afin de copier l'événement programmé, sélectionnez l'élément 'Dupliquer l'événement programmé' <nom de l'objet> (Duplicate Scheduled event) dans le menu contextuel du groupe d'objets 'Événements programmés' (Scheduled events) de la base de données. Si vous copiez l'objet en utilisant cette méthode, l'assistant de copie d'objets s'ouvre sur la troisième étape (parce que c'est lors des deux premières étapes de l'assistant qu'il faut sélectionner la base de données et l'objet).

Modifier l'événement programmé

SQL Manager 2007 for MySQL fournit l'outil spécial pour travailler avec les événements programmés - l'éditeur des événements programmés.

Afin d'ouvrir l'objet dans l'éditeur, double-cliquez avec la souris sur l'objet dans l'explorateur de bases. Vous pouvez le faire aussi en sélectionnant l'élément du menu contextuel de l'événement 'Modifier l'événement programmé <nom de l'objet>' (Edit Scheduled event).

Renommer l'événement programmé

Si vous voulez modifier le nom de l'événement programmé, il vous faut :

  • sélectionner l'élément 'Renommer l'événement programmé' <nom de l'objet> (Rename Scheduled event) du menu contextuel du groupe d'objets de la base de données 'Événements programmés' (Scheduled events),
  • ou utiliser le raccourci <Ctrl + R>.

Supprimer l'événement programmé

Afin de supprimer l'objet, sélectionnez l'élément 'Supprimer l'événement programmé' <nom de l'objet> (Drop Scheduled event) du menu contextuel dans l'explorateur de bases de données ou utilisez le raccourci <Ctrl + Del>.


Editeur des événements programmés

Cet éditeur permet de créer et de modifier les événements programmés. Il s'ouvre automatiquement lors de la création d'un nouvel événement ou lors de la modification d'un événement existant.

Barres d'outils

Spécification d'un événement

Visualisation des dépendances d'objets

Description de l'événement programmé

Visualisation de la DDL

Disponibilité de cette fonction :

Windows Full (version complète) | Oui
Windows Lite (version lite) | Oui


Utilisation de la barre de navigation

Les barres d'outils se trouvent à gauche de l'éditeur et au-dessus de l'éditeur.

La barre de navigation permet :

sur la barre 'Objets' (Object)

  • de sélectionner la base de données,
  • de sélectionner l'événement à modifier.

sur la barre 'Général' (General)

  • d'actualiser le contenu de l'objet modifié - 'Rafraîchir' (Refresh),
  • de compiler l'événement avec les propriétés actuelles - 'Compiler' (Compile),
  • d'imprimer les métadonnées de l'événement - 'Imprimer' (Print),
  • d'ouvrir l'aide de création des événements programmés dans MySQL - 'Afficher l'aide SQL' (Show SQL help),
  • de restaurer la taille par défaut de la fenêtre - 'Restaurer la taille et la position par défaut de la fenêtre' (Restore Default Window Size and Position).

Quand vous passez aux autres onglets, les barres avec les fonctions spéciales pour chaque onglet apparaissent.

La barre 'Description' (Description) apparaît pour l'onglet Description (Description),

En utilisant cette barre, vous pouvez :

  • sauvegarder la description dans un fichier - 'Sauvegarder la description dans un fichier' (Save Description to file),
  • copier la description dans le presse-papier - 'Copier la description dans le presse-papier' (Copy description to clipboard),

La barre DDL apparaît pour l'onglet DDL,

En utilisant cette barre, vous pouvez :

  • sauvegarder la description DDL dans un fichier - 'Sauvegarder la DDL dans un fichier' (Save DDL to file),
  • ouvrir la DDL dans l'éditeur SQL - 'Ouvrir la DDL dans l'éditeur SQL' (Open DDL in SQL Editor).

La barre d'outils permet :

  • de sélectionner la base de données pour travailler - la liste déroulante 'Bases de données' (Databases),
  • d'actualiser le contenu de l'événement programmé - 'Rafraîchir' (Refresh),
  • de compiler l'événement - 'Compiler' (Compile),
  • d'imprimer les métadonnées de l'objet- 'Imprimer les métadonnées' (Print Metadata),
  • d'ouvrir l'aide de création des événements programmés dans MySQL - 'Afficher l'aide SQL' (Show SQL help),
  • de restaurer la taille par défaut de la fenêtre - 'Restaurer la taille et la position par défaut de la fenêtre' (Restore Default Window Size and Position).


Paramètres de l'événement

Sur l'onglet 'Modifier' (Edit), spécifiez le texte et le temps d'exécution de l'événement programmé.

Spécifiez le nom de l'événement programmé dans le champ 'Nom' (Name).

Spécifiez le temps d'exécution et la périodicité de l'exécution de l'événement programmé dans la partie 'Planifier' (Schedule).

En utilisant le commutateur 'À/Chaque' (At/Every), spécifiez si l'événement sera exécuté une seule fois 'À' (At) ou avec une périodicité programmée 'Chaque' (Every).

Si vous avez sélectionné 'À' (At) :

  • il vous faut régler la date et l'heure de l'exécution,
  • et définissez le modèle de récurrence dans le champ aussi bien que dans la liste déroulante 'Intervalle' (Interval). Par exemple : 1 HEURE.

Si vous avez sélectionné 'Chaque' (Every), définissez le modèle de récurrence dans le champ aussi bien que dans la liste déroulante, et puis spécifiez la date et l'heure de début et de fin de la période d'exécution de l'événement dans les champs 'Lancer' (Starts) et 'Finir' (Ends).

L'événement s'exécutera si vous cochez la case 'Activé' (Enabled).

Si vous cochez la case 'Ne pas sauvegarder après l'exécution' (On completion not preserve), l'événement ne sera pas sauvegardé après l'exécution. L'événement ne se supprime pas par défaut après l'exécution. Vous pouvez annuler cette action en décochant la case 'Ne pas sauvegarder après l'exécution' (On completion not preserve).

Saisissez le texte de l'événement programmé dans la fenêtre 'Définition' (Definition) de l'éditeur SQL.


Descriptoin de l'événement programmé

Si vous voulez ajouter (modifier) le commentaire de l'événement, vous pouvez le faire sur l'onglet 'Description' (Description).

Pour appliquer les modifications apportées, cliquez sur le bouton 'Sauvegarder les descriptions' (Save Descriptions) sur les barres d'outils. Les modifications seront appliquées aussi après le basculement sur un autre onglet ou lors de la sélection d'un autre objet.


Visualisation de la DDL

Vous pouvez voir la DDL de l'événement programmé sur l'onglet DDL. Il est impossible de modifier le texte sur cet onglet. Si vous voulez modifier la DDL, veuillez copier le texte dans le presse-papiers et puis le collez dans l'éditeur SQL ou dans l'éditeur de scripts SQL.


Requêtes

SQL Manager 2007 for MySQL fournit deux outils pour travailler avec les requêtes SQL :

  • L'éditeur SQL (SQL Editor) pour modifier les textes des requêtes,
  • Le constructeur graphique de requêtes (Visual Query Builder) pour créer les requêtes graphiquement.

Créer la requête :

dans l'éditeur de requête,

Pour créer cet objet, utilisez :

  • l'élément 'Outils | Nouvel éditeur SQL' (Tools | New SQL Editor) du menu contextuel du programme,
  • ou cliquez sur le bouton 'Nouvel éditeur SQL' (New SQL Editor) [image] sur la barre d'outils standard du programme,
  • ou utilisez le raccourci <Shift+F12>.

L'éditeur de requêtes s'ouvre automatiquement après l'exécution d'une de ces opérations.

dans le constructeur graphique de requêtes.

Pour créer cet objet, utilisez :

  • l'élément 'Outils | Nouveau constructeur de requête' (Tools | New Query Builder) du menu principal du programme,
  • ou cliquez sur le bouton 'Nouveau constructeur de requête' (New Query Builder) [image] sur la barre d'outils standard du programme,

Le constructeur graphique de requêtes s'ouvre automatiquement après l'exécution d'une de ces opérations.

Modifier la requête :

dans l'éditeur de requête,

Afin d'ouvrir la requête à modifier, il vous faut :

  • sélectionner l'élément 'Outils | Éditeur SQL' (Tools | Show SQL Editor) du menu principal du programme,
  • ou cliquer sur le bouton 'Éditeur SQL' (Show SQL Editor) [image] sur la barre d'outils standard du programme,
  • ou utiliser le raccourci <F12>.

La requête s'ouvre automatiquement dans l'éditeur de requêtes après l'exécution d'une de ces opérations.

dans le constructeur graphique de requêtes.

Afin d'ouvrir la requête à modifier, il vous faut :

  • sélectionner l'élément 'Outils | Éditeur SQL' (Tools | Show SQL Editor) du menu principal du programme,
  • ou cliquer sur le bouton 'Éditeur SQL' (Show Query Builder) [image] sur la barre d'outils standard du programme.

La requête s'ouvre automatiquement dans le constructeur graphique de requêtes après l'exécution d'une de ces opérations.

Exécuter la requête

Afin d'exécuter la requête dans n'importe quel éditeur, il vous faut :

  • créer une nouvelle requête ou ouvrir une requête existante,
  • cliquer sur le bouton 'Exécuter la requête' (Execute query) sur la barre de navigation ou la barre d'outils de l'éditeur ou cliquer sur le bouton F9,
  • visualiser et modifier les données résultats sur l'onglet 'Résultats' (Results).

Sauvegarder la requête

Afin de sauvegarder la requête dans un fichier, il vous faut :

  • créer une nouvelle requête ou ouvrir une requête existante,
  • sélectionner l'élément 'Sauvegarder dans un fichier' (Save to file) sur la barre de navigation de l'éditeur de requêtes, ou l'élément 'Sauvegarder un diagramme' (Save diagram) sur la barre de navigation du constructeur graphique de requêtes,
  • sélectionner l'emplacement pour sauvegarder le fichier dans la fenêtre qui apparaît, puis sélectionner le type du fichier sauvegardé.

Si vous voulez sauvegarder plusieurs requêtes dans un fichier, cliquez sur 'Sauvegarder tout' (Save All) sur la barre de navigation de l'éditeur de requêtes. Cette fonction n'est pas disponible pour le constructeur graphique.


Éditeur de requêtes

L'éditeur de requête est un outil essentiel de SQL Manager 2007 for MySQL pour travailler avec les requêtes. Il permet de créer, de modifier et d'exécuter les requêtes ainsi que de visualiser les résultats obtenus pendant le processus d'exécution de la requête.

Pour créer la requête dans l'éditeur de requête, il vous faut exécuter une des opérations suivantes :

  • sélectionner l'élément 'Outils | Nouvel éditeur SQL' (Tools | New SQL Editor) du menu principal du programme,
  • ou cliquer sur le bouton 'Nouvel éditeur SQL' (New SQL Editor) [image] sur la barre d'outils standard du programme,
  • ou utiliser le raccourci <Shift+F12>.

L'éditeur de requête s'ouvre automatiquement après l'exécution d'une de ces opérations.

Afin d'ouvrir une requête déjà existante dans l'éditeur, il vous faut :

  • sélectionner l'élément 'Outils | Éditeur SQL' (Tools | Show SQL Editor) du menu principal du programme,
  • ou cliquer sur le bouton 'Éditeur SQL' (Show SQL Editor) [image] sur la barre d'outils standard du programme,
  • ou utiliser le raccourci <F12>.

Les requêtes sauvegardées dans un fichier s'ouvrent dans l'éditeur à l'aide de la commande 'Charger à partir du fichier'

(Load from file) [image] , qui se trouve sur la barre de navigation de l'éditeur ou sur la barre d'outils.

Utilisation des barres d'outils

Travail avec la fenêtre de modification

Menu contextuel

Visualisation du plan de la requête

Exécution de la requête et visualisation des résultats de l'exécution

Voir aussi

Constructeur graphique de requêtes (Visual Query Builder)

Éditeur de scripts SQL (SQL Script Editor)

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Utilisation de la barre de navigation

Les barres d'outils se trouvent à gauche de l'éditeur et au-dessus de l'éditeur.

La barre de navigation permet :

Sur la barre 'Base de données' (Database) :

  • de sélectionner la base de données pour laquelle vous voulez créer la requête

Sur la barre 'Général' (General) :

  • d'exécuter la requête actuelle - 'Exécuter la requête' (Execute query),
  • d'ouvrir la requête sous la forme de plan sur l'onglet spécial - 'EXPLAIN sur une requête' (Explain query),
  • de créer une nouvelle requête - 'Ajouter une nouvelle requête' (Add new query),
  • de supprimer la requête actuelle - 'Supprimer la requête en cours' (Delete current query),
  • d'effacer toutes les requêtes ouvertes dans l'éditeur - 'Effacer toutes les requêtes' (Clear all queries),
  • de renommer la requête actuelle - 'Renommer la requête en cours' (Rename current query),
  • d'ouvrir le constructeur graphique de requêtes (le constructeur ouvre la dernière requête modifiée dans le constructeur, et non pas la requête qui est ouverte dans l'éditeur) - 'Exécuter le constructeur de requêtes' (Run Query Builder),
  • de configurer l'éditeur de requêtes - 'Options de l'éditeur SQL' (SQL Editor Options),
  • d'afficher les résultats de la requête sur le même onglet ou sur un onglet séparé - 'Afficher le résultat sur l'onglet de modification' (Results on Edit tab)/ 'Résultats sur un onglet séparé' (Results on separate tab),
  • de restaurer la taille par défaut de la fenêtre - 'Restaurer la taille par défaut' (Restore default size).

sur la barre 'Requêtes' (Queries) :

  • 'Ajouter une nouvelle requête' (Add new query)
  • 'Renommer la requête en cours' (Rename current query)
  • 'Supprimer la requête en cours' (Remove current query)
  • 'Supprimer toutes les requêtes' (Remove all queries)
  • 'Ajouter aux requêtes favorites' (Add to Favorite Queries) - ajouter une requête dans les requêtes favorites.

sur la barre 'Modifier' (Edit) :

  • de charger la requête à partir du fichier - 'Charger à partir du fichier' (Load from file),
  • de sauvegarder la requête en cours dans un fichier - 'Sauvegarder dans un fichier' (Save to file),
  • de sauvegarder simultanément toutes les requêtes ouvertes - 'Sauvegarder tout' (Save all).

Quand vous passez aux autres onglets, les barres avec les fonctions spéciales pour chaque onglet apparaissent.

La barre 'Gestion des données' (Data management) apparaît pour l'onglet Données (Données),

En utilisant cette barre, vous pouvez :

  • appliquer la transaction aux les données - 'Valider la transaction' (Commit Transaction) (cette option est active si les transactions de données sont activées 'Options | Options de l'environnement | Outils | Transactions dans l'éditeur d'objet (onglet Données), l'éditeur SQL et le constructeur de requêtes) / (Options | Environment Options | Tools | Use transactions in Data tab of object editors, SQL Editor and Query Builder),
  • annuler la transaction pour les données de la table - 'Annuler la transaction' (Rollback Transaction) - cette option est active si toutes les transactions de données sont activées,
  • exporter les données - 'Exporter les données' (Export Data),
  • exporter les données en tant que script SQL - 'Exporter en tant que script SQL' (Export as SQL Script),
  • importer les données - 'Importer les données' (Import Data).

La barre 'Journaux' (Logs) apparaît pour l'onglet Journaux (Logs). En utilisant cette barre, vous pouvez :

  • rechercher le texte dans le journal - 'Rechercher du texte' (Find text),
  • sauvegarder le journal dans le fichier - 'Sauvegarder les journaux dans un fichier' (Save logs to file),
  • effacer les journaux - 'Effacer les journaux' (Clear logs).

La barre d'outils se trouve au-dessus de l'éditeur de requêtes.

La barre d'outils permet :

  • de sélectionner une base de données pour laquelle vous voulez créer une requête dans la liste déroulante 'Bases de données' (Databases),
  • de charger la requête à partir du fichier - 'Charger à partir du fichier' (Load from file),
  • de sauvegarder le requête en cours dans un fichier - 'Sauvegarder dans un fichier' (Save to file),
  • de sauvegarder simultanément toutes les requêtes ouvertes - 'Sauvegarder tout' (Save all),
  • de spécifier l'éditeur de requêtes - 'Options de l'éditeur SQL' (SQL Editor Options),
  • de restaurer la taille par défaut de la fenêtre - 'Restaurer la taille par défaut' (Restore default size),
  • de rechercher le texte dans le journal - 'Rechercher du texte' (Find text),
  • d'exécuter la requête en cours - 'Exécuter une requête' (Execute query),
  • d'annuler l'exécution de la requête - 'Annuler l'exécution de la requête' (Cancel Query Execution),
  • d'afficher le plan d'exécution de la requête sur l'onglet spécial - 'EXPLAIN sur une requête' (Explain query),
  • d'afficher les résultats de la requête sur le même onglet ou sur un onglet séparé - 'Afficher le résultat sur l'onglet de modification' (Results on Edit tab)/ 'Résultats sur un onglet séparé' (Results on separate tab),
  • d'ouvrir le constructeur graphique de requêtes (le constructeur ouvre la dernière requête qui a été modifiée dernière dans le constructeur, et non pas la requête qui est ouverte dans l'éditeur) - 'Exécuter le constructeur de requêtes' (Run Query Builder),
  • de créer une nouvelle requête - 'Ajouter une nouvelle requête' (Add new query),
  • de supprimer la requête actuelle - 'Supprimer la requête en cours' (Delete current query),
  • d'effacer toutes les requêtes ouvertes dans l'éditeur - 'Effacer toutes les requêtes' (Clear all queries),
  • de renommer la requête actuelle - 'Renommer la requête en cours' (Rename current query),
  • d'appliquer la transaction aux les données - 'Valider la transaction' (Commit Transaction) (cette option est active si les transactions de données sont activées 'Options | Options de l'environnement | Outils | Transactions dans l'éditeur d'objet (onglet Données), l'éditeur SQL et le constructeur de requêtes) / (Options | Environment Options | Tools | Use transactions in Data tab of object editors, SQL Editor and Query Builder),
  • d'annuler la transaction pour les données de la table - 'Annuler la transaction' (Rollback Transaction) - cette option est active si toutes les transactions de données sont activées,
  • d'exporter les données - 'Exporter les données' (Export Data),
  • d'exporter les données en tant que script SQL - 'Exporter en tant que script SQL' (Export as SQL Script),
  • d'importer les données - 'Importer les données' (Import Data).


Travail avec la zone de l'éditeur

Vous pouvez créer et modifier les requêtes dans la fenêtre principale :

Les propriétés générales :

  • affichage des nom des objets sous la forme de liens vers ces objets,
  • appel et spécification de la liste de complétion automatique,
  • possibilité de numéroter les lignes,
  • possibilité de minimiser les requêtes et les sous-requêtes,
  • possibilité de spécifier les propriétés sélectionnés,
  • possibilité de spécifier les champs et des numéros de lignes,
  • modification de paramètres de différents objets du texte de la requête,
  • spécification automatique du formatage du texte de la requête,
  • personnalisation des raccourcis pour la saisie rapide du texte et pour l'exécution des commandes.

Les outils nécessaires qui permettent de spécifier les propriétés de l'éditeur se trouvent sur les onglets suivants :

  • Général (General),
  • Affichage (Display),
  • Couleur (Color),
  • Écriture rapide du code (Quick Code),
  • Formateur SQL (SQL Formatter),
  • Correspondance de touches (Key Mapping).

Vous pouvez placer l'objet dans la requête directement à partir de l'explorateur de bases en la déplaçant avec la souris à partir de la fenêtre de l'explorateur ou à partir de l'assistant SQL vers l'éditeur. Indiquez l'opérateur pour cet objet dans la fenêtre de dialogue qui apparaît.


Utilisation du menu contextuel

Le menu contextuel spécial a été conçu pour l'éditeur de texte de la requête. Pour ouvrir ce menu, cliquez avec le bouton droit de la souris sur n'importe quel point de modification. Ce menu permet d'exécuter rapidement les commandes fréquemment utilisées.

Le menu contextuel permet :

  • d'exécuter la requête - 'Exécuter la requête' (Execute Query),
  • d'exécuter seulement la sélection - 'Exécuter seulement la sélection' (Execute Selected Only),
  • d'exécuter sous le curseur - 'Exécuter sous le curseur' (Execute under Cursor),
  • de réinitialiser le point d'exécution - 'Réinitialiser le point d'exécution' (Reset Execution Point),
  • de créer le marque-page - 'Basculer le marque-page' (Toggle Bookmarks),
  • de se déplacer vers un marque-page - 'Aller aux marques-pages' (Go to Bookmarks),
  • d'annuler l'opération- 'Annuler' (Undo),
  • de refaire l'opération annulée - 'Refaire' (Redo),
  • de couper la sélection - 'Couper' (Cut),
  • de copier la sélection - 'Copier' (Copy),
  • de coller - 'Coller' (Paste),
  • de tout sélectionner - 'Tout sélectionner' (Select All),
  • de rechercher - 'Rechercher' (Find),
  • de rechercher et de remplacer - 'Remplacer' (Replace),
  • de rechercher de nouveau - 'Rechercher de nouveau' (Search Again),
  • d'aller à une ligne - 'Aller à la ligne numéro...' (Go To Line By Number...),
  • de modifier la casse - 'Modifier la casse' (Change Case),
  • de charger un fichier - 'Charger à partir du fichier...' (Load from File...),
  • de sauvegarder dans un fichier - 'Sauvegarder dans le fichier...' (Save to File...),
  • de prévisualiser - 'Prévisualiser' (Preview),
  • d'imprimer - 'Imprimer...' (Print),
  • de formater la requête SQL (les modifications apportées dans le formateur SQL sont appliquées) - 'Formatage SQL' (Format SQL),
  • de transformer le texte sélectionné en commentaire - 'Basculer le commentaire' (Toggle Comment),
  • de parcourir et de modifier les propriétés dans les options de l'éditeur - 'Propriétés' (Properties).


Visualisation du plan de la requête

Cet onglet affiche la suite des opérations exécutées sur le serveur lors de l'exécution de la requête.

Les informations utiles à propos de chacune des étapes de l'exécution sont affichées dans les fenêtres de propriétés, qui se trouvent à droite et au-dessous de la fenêtre principale.

La fenêtre de propriétés se trouve dans la partie droite :

  • la colonne 'Propriétés' (Properties) affiche les propriétés,
  • la colonne 'Valeurs' (Values) affiche les valeurs.

L'arbre du plan de la requête se trouve dans la partie inférieure de la fenêtre. Les colonnes affichent les caractéristiques suivantes pour chaque élément du plan :

  • l'opération - Operation,
  • les opérations logiques - Logical operation,
  • le coût du sous-arbre - Subtree Cost,
  • le coût en entrée/sortie - IO Cost,
  • le coût en processeur - CPU Cost,
  • les exécutions - Executions,
  • les lignes - Rows,
  • la taille de la ligne - Row Size,
  • le parallèle - Parallel,
  • l'instruction - Statement,
  • l'argument - Argument,
  • les valeurs définies - Defined Values,
  • la sortie - Output,
  • les alarmes - Warnings.


Exécution de la requête

Afin d'exécuter la requête, il vous faut cliquer sur 'Exécuter' (Execute) sur une des barres d'outils ou dans le menu contextuel. Si le texte de la requête contient des erreurs, le programme signale ces erreurs. Ainsi, le résultat ne sera pas accessible tant que toutes les erreurs n'auront pas été corrigées.

Si la requête doit renvoyer les données (le texte contient SELECT), le nouvel onglet 'Résultats' (Results) apparaît dans l'éditeur. Les résultats obtenus seront affichés sur cet onglet.

Les données renvoyées par la requête s'affichent sur cet onglet dans le visualisateur de données. Le visualisateur permet d'exporter les données et d'exporter les données en tant que script SQL.

Si les erreurs surgissent lors de l'exécution de la requête, la description de ces erreurs sera affichée dans la fenêtre des informations, qui se trouve dans la partie inférieure de l'éditeur. Pour que la ligne avec une erreur soit active, double-cliquez sur cette erreur.


Journal

Le programme sauvegarde toutes les opérations effectuées avec les requêtes dans les fichiers spéciaux - 'Journaux' (Logs) qui s'affichent sur l'onglet 'Journaux' (Logs) de l'éditeur de requêtes.

Le journal contient les informations suivantes :

  • la date de la modification de la requête,
  • le texte de la requête,
  • les erreurs qui sont apparues lors de l'exécution (s'il y a eu des erreurs),
  • les informations sur le résultat de l'exécution de la requête (s'il n'y avait pas d'erreurs).

Les informations supplémentaires sur l'exécution s'affichent sous la forme des commentaires. Ceci permet de copier le texte de la requête et de l'exécuter. Les erreurs ne s'affichent pas si les informations supplémentaires sont utilisées.


Constructeur graphique de requêtes

Cet outil permet de créer et de modifier les requêtes graphiquement sans les décrire en utilisant le langage SQL. Vous pouvez créer, exécuter, visualiser les résultats en utilisant les méthodes graphiques offertes par cet outil.

En utilisant le constructeur graphique de requêtes, vous pouvez obtenir la vue graphique de la requête écrite sous forme de texte. Pour cela, collez le texte de la requête dans la fenêtre de modification.

Pour créer la requête dans le constructeur, exécutez une de ces opérations :

  • sélectionnez l'élément 'Outils | Nouveau constructeur de requête' (Tools | New Query Builder) du menu principal du programme,
  • ou cliquez sur le bouton 'Nouveau constructeur de requête' (New Query Builder) [image] sur la barre d'outils standard du programme,

Après l'exécution d'une de ces opérations, la requête s'ouvre automatiquement dans le constructeur visuel de requêtes.

Outils principaux du constructeur :

Barres d'outils

Fenêtre du diagramme

Établissement des liens

Spécification des critères

Champs à afficher

Critères de groupement

Paramètres de tri

Fenêtre de modification

Exécution de la requête

Voir aussi :

Éditeur de requêtes

Constructeur graphique de bases de données

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Utilisation de la barre de navigation

Les barres d'outils se trouvent à gauche de l'éditeur et au-dessus de l'éditeur.

La barre de navigation permet :

sur la barre 'Bases de données' (Database) :

  • de sélectionnez la base pour laquelle vous voulez créer une requête

sur la barre 'Général' (General) :

  • d'exécuter la requête en cours - 'Exécuter la requête' (Execute query),
  • d'afficher le plan d'exécution de la requête dans l'onglet spécial - 'EXPLAIN sur la requête' (Explain query),
  • de supprimer la requête en cours - 'Effacer une requête' (Clear query),
  • de créer une vue - 'Créer une vue' (Create View),
  • d'ouvrir l'aide MySQL - 'Afficher l'aide SQL' (Show SQL help),
  • de spécifier le constructeur visuel de requêtes - 'Options du constructeur de requêtes' (Query Builder Options),
  • de configurer les paramètres d'impression - 'Configuration de l'impression' (Print setup),
  • d'ouvrir la fenêtre de la prévisualisation - 'Prévisualiser avant impression' (Print preview).

Sur la barre 'Constructeur visuel' (Visual Builder) :

  • de charger un diagramme - 'Charger un diagramme' (Load Diagram),
  • de sauvegarder un diagramme - 'Sauvegarder un diagramme' (Save Diagram).

Sur la barre 'Gestion des données' (Data Management) :

  • d'appliquer la transaction aux données - Valider la transaction/Commit Transaction (cette option est active si les transactions de données sont activées 'Options | Options de l'environnement | Outils | | Transactions dans l'éditeur d'objet (onglet Données), l'éditeur SQL et le constructeur de requêtes / Options | Environment Options | Tools | Use transactions in Data tab of object editors, SQL Editor and Query Builder),
  • d'annuler la transaction pour les données de la table - 'Annuler la transaction' (Rollback Transaction) - cette option est active si toutes les transactions de données sont activées,
  • d'exporter les données - 'Exporter les données' (Export Data),
  • d'exporter les données en tant que script SQL - 'Exporter en tant que script SQL' (Export as SQL Script),
  • de sauvegarder les données dans un fichier - 'Sauvegarder les données dans un fichier' (Save data to a file)

Vous pouvez voir sur la barre 'Objets' (Object) la liste d'objets de la base de données que vous pouvez utiliser dans le diagramme.

Pour placer les objets dans la fenêtre de diagramme, déplacez-les à partir de cette fenêtre.

Quand vous passez aux autres onglets de l'éditeur, les barres avec les fonctions spéciales pour chaque onglet apparaissent.

La barre 'Modifier' (Edit) apparaît pour l'onglet Modifier (Edit).

En utilisant cette barre, vous pouvez :

  • charger le texte de la requête SQL à partir du fichier - 'Charger un SQL' (Load SQL),
  • sauvegarder le texte de la requête dans un fichier - 'Sauvegarder une requête' (Save query).

La barre d'outils permet :

  • de sélectionner la base de données pour laquelle vous voulez créer une requête - la liste déroulante 'Bases de données' (Databases),
  • de supprimer la requête en cours - 'Effacer une requête' (Clear query),
  • de charger la requête à partir du fichier - 'Charger une requête' (Load query) (vous pouvez sélectionner dans la liste déroulante : charger la requête sous la forme SQL ou sous la forme d'un diagramme),
  • de sauvegarder la requête dans un fichier - 'Sauvegarder une requête' (Save query) (vous pouvez sélectionner dans la liste déroulante : sauvegarder la requête sous la forme de texte SQL ou sous la forme d'un diagramme),
  • d'exécuter la requête en cours - 'Exécuter la requête' (Execute query),
  • d'annuler l'exécution de la requête - 'Annuler l'exécution de la requête' (Cancel Query Execution),
  • de créer une vue - 'Créer une vue' (Create View),
  • d'appliquer la transaction pour les données - Valider la transaction/Commit Transaction (cette option est active si les transactions de données sont activées 'Options | Options de l'environnement | Outils | Transactions dans l'éditeur d'objet (onglet Données), l'éditeur SQL et le constructeur de requêtes / Options | Environment Options | Tools | Use transactions in Data tab of object editors, SQL Editor and Query Builder),
  • d'annuler la transaction pour les données de la table - 'Annuler la transaction' (Rollback Transaction) - cette option est active si toutes les transactions de données sont activées,
  • de configurer les paramètres d'impression - 'Configuration de l'impression' (Print setup),
  • d'ouvrir la fenêtre de la prévisualisation - 'Prévisualiser avant impression' (Print preview).
  • d'exporter les données - 'Exporter les données' (Export Data),
  • d'exporter les données en tant que script SQL - 'Exporter en tant que script SQL' (Export as SQL Script),
  • de sauvegarder les données dans un fichier - 'Sauvegarder les données dans un fichier' (Save data to a file).
  • de configurer l'affichage des objets - 'Afficher les objets' (Show objects) (sélectionner les objets à afficher sur la barre 'Objets' (Object) à partir de la liste déroulante),
  • d'ouvrir l'aide MySQL - 'Afficher l'aide SQL' (Show SQL help),
  • de restaurer la taille par défaut de la fenêtre - 'Restaurer la taille par défaut' (Restore default size),.


Travail avec la zone du diagramme

Les opérations générales peuvent être exécutées sur l'onglet 'Constructeur' (Builder) du constructeur graphique de requêtes. L'outil principal est le panneau de travail.

Ajouter un objet sur le panneau de travail

Vous pouvez placer les tables sur le panneau de travail. Pour placer une table sur le panneau de travail, déplacez cette table à partir de l'explorateur de bases (ou à partir de la liste) sur la barre Objets (Object), qui se trouve sur la barre de navigation. Double-cliquez avec la souris sur l'objet affiché sur la barre Objets (Object) pour l'ajouter sur la barre d'outils .

Sélection des champs

Pour ajouter les champs de la table ou de la vue dans une requête créée, il vous faut cocher la case à côté de ce champ ou sélectionner le champ en le double-cliquant avec la souris. Tous les champs cochés seront ajoutés dans la requête.

Afin d'ajouter simultanément tous les champs de l'objet dans la requête, il vous faut cocher la case qui se trouve avant le nom de l'objet dans la ligne de l'en-tête.

Supprimer l'objet à partir du panneau de travail

Afin de supprimer un objet à partir du panneau de travail il vous faut exécuter une des opérations suivantes :

  • cliquer sur le bouton "fermer" [image] sur l'en-tête de l'objet,
  • ou sélectionner l'élément 'Supprimer' (Delete) du menu contextuel. Pour ouvrir le menu contextuel, cliquez avec le bouton droit de la souris sur l'en-tête de l'objet.

Ainsi, vous supprimez l'objet à partir du panneau de travail seulement. Il reste dans la base de données.

Renommer l'objet

Pour renommer l'objet, utilisez l'élément 'Renommer' (Rename) du menu contextuel. Vous pouvez ouvrir le menu en cliquant avec le bouton droit de la souris sur l'en-tête de l'objet ou double-cliquer avec la souris sur le nom de l'objet.

Établissement des liens

La fenêtre de travail avec les champs se trouve au-dessous du panneau de travail.

En utilisant cette fenêtre, vous pouvez :

  • spécifier les critères de sélection des données dans la requête,
  • sélectionner les champs à afficher après l'exécution de la requête,
  • spécifier les paramètres de groupement,
  • spécifier les paramètres de tri.

L'arbre de sous-requêtes se trouve à gauche du panneau de travail. Il affiche les requêtes incorporées et les composants de requêtes, UNION et UNION ALL.

La barre des informations se trouve dans la partie inférieure de la fenêtre. Si la requête a été exécutée avec succès, le bref rapport sur les résultats de l'exécution s'affiche sur la barre. Si la requête a été exécutée avec des erreurs, le rapport sur les erreurs s'affiche.


Jonction des objets

Les bases de données relationnelles permettent de créer des liens entre les tables.

Le constructeur graphique permet d'établir rapidement les liens entre les objets placés dans le panneau de travail.

Afin d'établir les liens entre les tables (lier deux champs de ces tables), il vous faut déplacer un champ à partir d'une table vers une autre table (les champs sont affichés sous la forme de liste, chaque champ appartenant à une ligne).

Après le déplacement, le lien sera affiché sous la forme d'une ligne noire qui relie les champs nécessaires.

Propriétés des liens

Vous pouvez modifier les propriétés des liens. Pour cela, il vous faut ouvrir l'éditeur de liens en double-cliquant avec la souris sur le lien ou sélectionner l'élément 'Propriétés' (Properties) du menu contextuel du lien.

Indiquez les propriétés nécessaires du lien modifié dans la fenêtre qui apparaît.

  • sélectionnez la condition de lien dans la liste déroulante qui se trouve entre les noms des champs. (=, >, <, >=, <=, <>).
  • indiquez le type de lien en cochant les cases. Si vous cochez une des cases, vous sélectionnez le type de lien "un à plusieurs".

Le menu contextuel permet de :

  • 'Insérer le point' (Insert point) - créer un point sur la ligne de lien. Le point permet de déplacer cette ligne ce qui rend la visualisation plus spectaculaire,
  • 'Supprimer le lien' (Delete link),
  • 'Propriété' (Property) - modifier les propriétés du lien.


Spécification des critères

Vous pouvez configurer les critères de sélection des données de la requête sur l'onglet 'Critère' (Criteria).

Afin d'ajouter une condition de contrainte, il vous faut cliquer sur le bouton [image] puis sélectionner l'élément 'Ajouter la condition' (Add condition) dans le menu contextuel qui apparaît. Une ligne sera ajoutée avec le numéro d'ordre attribué. Il vous faudra indiquer la condition de sélection dans cette ligne.

Afin de spécifier le type de la condition composée, cliquez sur 'Tout' (All) à côté du bouton [image] et sélectionnez un des types proposés.

Si vous cliquez sur les listes déroulantes [image] , vous ouvrez les listes qui comprennent tous les champs des objets qui font partie de la requête. Vous pouvez spécifier les instructions de condition, qui peuvent être les noms des champs aussi bien que les constantes ou les instructions.

Pour établir les relations entre les instructions, cliquez sur [image] .

Vous pouvez gérer les conditions en utilisant le menu contextuel. Pour ouvrir le menu, cliquez avec le bouton gauche de la souris sur le numéro d'ordre.

En utilisant ce menu, vous pouvez :

  • ajouter une nouvelle condition - 'Ajouter la condition' (Add condition),
  • ajouter une condition composée - 'Créer une condition composée' (Make composite condition),
  • supprimer la condition - 'Supprimer la condition' (Delete condition),
  • déployer la condition - 'Déployer la condition' (Expand condition) (cette option est active seulement quand les conditions composées sont ajoutées. Si la condition est déployée, cette option se change en option 'Diminuer la condition' (Collapse condition).)

Si vous cliquez avec le bouton droit de la souris sur n'importe quel point de la condition, le menu avec un seul élément (Insérer la requête / Insert query) apparaît. Cliquez sur cet élément pour créer une requête incorporée, vous pouvez travailler avec cette requête aussi bien qu'avec la requête principale. La hiérarchie de requêtes s'affiche dans l'arbre de sous-requêtes, qui se trouve à gauche du panneau de travail. Si vous créez une sous-requête, la condition prend l'aspect suivant : . La première instruction de condition après le caractère de relation spécifie le qualificateur de la requête, la deuxième instruction affiche le commencement de la requête incorporée.

Vous pouvez sélectionner le qualificateur de la requête à partir de la liste. Pour ouvrir la liste, cliquez avec le bouton gauche de la souris sur la requête.

Pour supprimer la sous-requête, utilisez l'élément 'Supprimer la requête' (Delete query) du menu contextuel. Afin d'ouvrir le menu contextuel, cliquez avec le bouton droit de la souris sur la condition contenant la sous-requête. En utilisant ce menu, vous pouvez :

  • supprimer la sous-requête - 'Supprimer la requête' (Delete query),
  • ouvrir la sous-requête - 'Afficher la requête' (Show query).


Configuration des champs de résultat

Sur l'onglet 'Sélection' (Selection), vous pouvez spécifier la vue de sortie de la requête.

Vous pouvez indiquer les champs à afficher après l'exécution de la requête, et spécifier le tri et le groupement.

Vous pouvez aussi créer les champs calculés.

  • La colonne 'Nom en sortie' (Name of output) contient l'alias du champ qui sera affiché en sortie.
  • La colonne 'Agrégat' (Aggregate) contient la fonction d'agrégation.
  • La colonne 'Nom du fichier source' (Source field name) contient les nom des champs affichés après l'exécution de la requête.
  • La colonne 'Groupement' (Grouping) indique si la colonne est groupée ou pas.

Si la case 'Sélectionner les enregistrement uniques seulement' (Select only unique records) est cochée, seuls les enregistrements non répétés s'affichent après l'exécution de la requête.

Pour exécuter les opérations générales avec les champs, utilisez le menu contextuel. Afin d'ouvrir le menu, cliquez avec la bouton droit de la souris sur le champ.

En utilisant ce menu, vous pouvez exécuter les opérations suivantes :

  • supprimer le champ sélectionné - 'Supprimer la ligne en cours' (Delete current row),
  • insérer la requête incorporée - 'Insérer la requête' (Insert Query),
  • insérer le champ calculé - 'Insérer CASE' (Insert CASE).

Vous pouvez trier les champs en cliquant avec le bouton gauche de la souris sur l'en-tête de la colonne contenant ces champs.

L'ordre des champs dans le résultat de la requête correspond à l'ordre des champs dans cette table.

La requête incorporée s'ouvre sur l'onglet séparé du panneau de travail pour que vous puissiez la modifier. Elle s'affiche aussi dans l'arbre de sous-requêtes dans la partie gauche du constructeur graphique.


Configuration des critères de groupement

Vous pouvez spécifier sur cet onglet les critères de groupement de données obtenues en résultat de l'exécution de la requête.

Afin d'ajouter le critère de groupement, il vous faut cliquer sur le bouton [image] dans la fenêtre, puis sélectionner l'élément 'Ajouter la condition' (Add condition) dans le menu contextuel qui apparaît. Une ligne sera ajoutée avec un numéro d'ordre. Il vous faudra indiquer dans cette ligne la condition de groupement.

Afin de spécifier le type de la condition composée, cliquez sur 'Tout' (All) à côté du bouton [image] et sélectionnez un des types proposés.

Si vous cliquez sur les listes déroulantes [image] , vous ouvrez les listes qui comprennent tous les champs des objets qui font partie de la requête. Vous pouvez spécifier les instructions de condition, qui peuvent être les noms des champs aussi bien que les constantes ou les instructions.

Sélectionnez la fonction d'agrégation à partir de la liste [image].

Pour établir les relations entre les instructions, cliquez sur [image].

Vous pouvez gérer les conditions en utilisant le menu contextuel. Pour ouvrir le menu, cliquez avec le bouton gauche de la souris sur le numéro d'ordre.

En utilisant ce menu, vous pouvez :

  • ajouter une nouvelle condition - 'Ajouter la condition' (Add condition),
  • ajouter la condition composée - 'Créer une condition composée' (Make composite condition),
  • supprimer la condition - 'Supprimer la condition' (Delete condition),
  • déployer la condition - 'Déployer la condition' (Expand condition). Cette option est active seulement quand les conditions composées sont ajoutées. Si la condition est déployée, cette option se change en option 'Diminuer la condition' (Collapse condition).


Configuration des paramètres de tri

L'onglet spécial permettant de spécifier les paramètres de tri des champs dans la requête se trouve dans la fenêtre de traitement des champs. Cette fenêtre se trouve au-dessous du panneau de travail.

Les champs des objets qui font partie de la requête se trouvent dans la liste 'Champs en sortie' (Output fields).

Indiquez le champ selon lequel la table sera triée après l'exécution de la requête. Pour cela, déplacez le champ à partir de la liste 'Champs en sortie' (Output fields) dans la liste 'Champs triés' (Sorted fields) en utilisant les boutons spéciales ou le déplacement de l'élément sélectionné.

Dans la liste 'Champs triés' (Sorted fields), spécifiez les paramètres de tri pour les champs sélectionnés :

  • indiquez l'ordre de tri ("par ordre croissant" ou "par ordre décroissant") dans le champ 'Ordre de tri' (Sort order) en utilisant le bouton A...Z,
  • spécifiez la priorité relative de tri (le champ à trier en premier lieu, le champ à trier en deuxième lieu). La priorité de tri peut être spécifiée par l'arrangement des champs dans la liste 'Champs triés' (Sorted fields). En premier lieu, le tri s'effectue d'après le premier champ, etc. Vous pouvez déplacer les champs dans la liste en utilisant les boutons 'Vers le haut' (Up) et 'Vers le bas' (Down).


Travail avec la fenêtre de modification

Le texte de la requête se génère automatiquement dans la fenêtre de modification. Vous pouvez visualiser et modifier la requête dans cette fenêtre. Toutes les modifications seront affichées dans la fenêtre du diagramme.

Les enregistrements mis en couleur verte dans le texte de la requête sont les liens vers les objets.

Pour ouvrir l'objet sur lequel il y a un lien, il vous faut cliquer sur cet objet en tenant le bouton Ctrl enfoncé. Si vous créez le texte de la requête dans cet éditeur, cette requête sera affichée graphiquement dans le panneau de travail.

En savoir plus sur la fenêtre de modification de texte SQL.


Exécution de la requête

Afin d'exécuter la requête, il vous faut cliquer sur le bouton 'Exécuter' (Execute) sur la barre d'outils.

Un nouvel onglet 'Résultats' (Results) apparaît lors de l'exécution de la requête, les résultats obtenus sont affichés sur cet onglet. Cet onglet affiche les données renvoyées par le requête dans le visualisateur de données. Le visualisateur permet d'exporter les données et d'exporter les données en tant que script SQL.


Paramétres de requête

L'éditeur de requêtes et le constructeur graphique de requêtes permettent d'utiliser les paramètres dans le texte de requête.

Le paramètre est une variable dont la valeur peut être spécifiée immédiatement avant l'exécution de la requête. Les paramètres sont marqués par le symbole ":" dans le texte de la requête. Ce symbole doit être placé avant le paramètre.

:param1

Note : Afin d'utiliser les paramètres, il vous faut cocher la case 'Autoriser l'utilisation de paramètres dans le texte de la requête' (Allow using of parameters in query text) dans 'Options | Options de l'environnement | Outils' (Options | Environment options | Tools).


Fenêtre d'entrée des paramètres

Le paramètre est une variable dont la valeur peut être spécifiée immédiatement avant l'exécution de la requête, c'est pourquoi le programme SQL Manager 2007 for MySQL fournit l'outil spécial qui permet de saisir les valeurs des paramètres lors de l'exécution de la requête.

La fenêtre 'Paramètres en entrée' (Input Parameters) est formée sur la base des paramètres qui sont spécifiés dans le texte de la requête. Pour chaque paramètre, il y a un champ de saisie dont le nom correspond à un paramètre.

Les champs spéciaux de saisie des paramètres sont prévus pour les différents types de champs.

Le calendrier apparaît pour les champs de type datetime, ce qui permet d'éviter des erreurs lors de la saisie de la date.

Le calculateur apparaît pour les types numériques.

Vous pouvez saisir la valeur de paramètres dans le champs, vous pouvez aussi le laisser vide.

Afin de poursuivre l'exécution de la requête en tenant compte des paramètres saisis, cliquez sur le bouton Ok. Pour annuler l'exécution de la requête, cliquez sur le bouton 'Annuler' (Cancel).


Reqûetes favorites

SQL Manager 2007 for MySQL permet d'accéder rapidement aux requêtes ou aux parties de requêtes à l'aide de l'outil 'Requêtes favorites' (Favorite Queries).

Créer une requête favorite

Afin de créer une requête favorite, il vous faut :

  • sélectionner l'élément 'Nouvelle requête favorite' (New Favorite Query) dans l'explorateur de bases du menu contextuel du groupe d'objets 'Requête favorite' (Favorite Query),
  • déplacer le texte sélectionné de la requête dans le répertoire 'Requête favorite' (Favorite Query). L'éditeur de requêtes favorites s'ouvre en même temps.

Éditeur de requêtes favorites

Cet éditeur s'ouvre si vous sélectionnez l'élément 'Modifier la requête favorite' (Edit Favorite Query) dans le menu contextuel de la requête favorite. Si vous ouvrez la requête en double cliquant avec la souris, cette requête sera ouverte dans l'éditeur de requêtes.

Vous pouvez créer et modifier les requêtes favorites en utilisant l'éditeur.

Spécifiez le nom de la requête dans le champ 'Nom' (Name).

Sélectionnez l'emplacement de stockage dans la liste déroulante 'Stockage' (Storage).

Vous pouvez saisir le texte de la requête dans l'éditeur SQL aussi bien que dans l'éditeur de requêtes.


Gestion de données

Les données stockées dans les tables ainsi que les résultats des requêtes s'affichent sur des onglets spécifiques de l'éditeur, sont conçus pour visualiser les données. Vous pouvez ainsi visualiser les données de la table et les modifier sur l'onglet 'Données' (Data). Vous pouvez visualiser et modifier les résultats de la requête sur l'onglet 'Résultats' (Results). Pour visualiser et modifier les données, vous pouvez utiliser le visualisateur de données. Le visualisateur de données est utilisé dans :

l'éditeur de tables

l'éditeur de vues

l'éditeur de requêtes

le constructeur visuel de requêtes etc.

Il y a trois façons d'afficher les données dans le visualisateur de données :

  • sous la forme d'une table - sur l'onglet visualisation grille,
  • sous la forme d'un formulaire - sur l'onglet visualisation formulaire,
  • sous la forme d'un formulaire imprimée - sur l'onglet Imprimer les données,
  • sous la forme de l'éditeur de données de type BLOB - sur l'onglet Visualisation BLOB

Voici les opérations essentielles que vous pouvez exécuter avec les données en utilisant le menu contextuel et les barres d'outils du visualisateur de données :

  • export de données,
  • export de données en tant que script SQL,
  • import de données
  • modifier BLOB.


Visualisateur de données

SQL Manager 2007 for MySQL dispose d'un outil puissant pour visualiser, modifier et imprimer les données de tables, de requêtes et de vues.

Les outils fréquemment utilisés pour la visualisation des données se trouvent dans le menu contextuel.

Les onglets du visualisateur se trouvent dans sa partie inférieure.

En utilisant ces outils, vous pouvez visualiser les données :

  • sur l'onglet Visualisation grille (Grid View) sous la forme d'une table,
  • sur l'onglet Visualisation formulaire (Form View) sous la forme d'un formulaire, où chaque ligne se trouve sur une fenêtre séparée.
  • sur l'onglet Imprimer les données (Print Data) les données sont affichées sous la forme d'une page de prévisualisation.

Le visualisateur de données est utilisé dans les outils suivants :

Éditeur de tables - l'onglet 'Données' (Data),

Éditeur de vues - l'onglet 'Données' (Data),

Éditeur de requêtes - l'onglet 'Résultats' (Results),

Constructeur visuel de requêtes - l'onglet 'Résultats' (Results).

Vous pouvez spécifier le visualisateur en utilisant l'onglet Grille (Grid) dans 'Options | Options de l'environnement' (Options | Environment Options).

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Barres d'outils

Barres des éditeurs

Barre de navigation

La barre 'Gestion de données' (Data management) apparaît dans l'éditeur qui utilise le visualisateur de données, lors du basculement sur l'onglet 'Données' (Data) ou sur l'onglet 'Résultats' (Results) de la barre de navigation.

En utilisant cette barre, vous pouvez :

  • appliquer la transaction pour les données - 'Valider la transaction' (Commit Transaction) (cette option est active si les transactions de données sont activées 'Options| Options de l'environnement | Outils | Transactions dans l'éditeur d'objet (onglet Données), l'éditeur SQL et le constructeur de requêtes' / Options | Environment Options | Tools | Use transactions in Data tab of object editors, SQL Editor and Query Builder),
  • annuler la transaction pour les données de la table - 'Annuler la transaction' (Rollback Transaction) - cette option est active si toutes les transactions de données sont activées,
  • exporter les données - 'Exporter les données' (Export Data),
  • exporter les données en tant que script SQL - 'Exporter en tant que script SQL' (Export as SQL Script),
  • importer les données - 'Importer les données' (Import Data),
  • exécuter l’insertion en bloc de données - BULK INSERT.

Barre d'outils

Quand vous basculez sur l'onglet du visualisateur de données, les boutons suivant deviennent actifs sur la barre d'outils de l'éditeur :

  • appliquer la transaction pour les données - 'Valider la transaction' (Commit Transaction) (cette option est active si les transactions de données sont activées dans 'Options| Options de l'environnement | Outils | Transactions dans l'éditeur d'objet (onglet Données), l'éditeur SQL et le constructeur de requêtes' / Options | Environment Options | Tools | Use transactions in Data tab of object editors, SQL Editor and Query Builder),
  • annuler la transaction pour les données de la table - 'Annuler la transaction' (Rollback Transaction) - cette option est active si toutes les transactions de données sont activées,
  • exporter les données - 'Exporter les données' (Export Data) (l'option est active sur l'onglet Données/Data seulement),
  • exporter les données en tant que script SQL - 'Exporter en tant que script SQL' (Export as SQL Script) (l'option est active sur l'onglet Données/Data seulement),
  • importer les données - 'Importer les données' (Import Data) (l'option est active sur l'onglet Données/Data seulement),
  • exécuter l’insertion en bloc de données - BULK INSERT (l'option est active sur l'onglet Données/Data seulement).

Barres d'outils du visualisateur de données

Barre de traitement des enregistrements :

En utilisant cette barre vous pouvez :

  • aller sur l'enregistrement suivant - 'Premier enregistrement' (First record),
  • aller sur la page précédente - 'Page précédente' (Prior page),
  • aller sur l'enregistrement précédent - 'Enregistrement précédent' (Prior record),
  • aller sur l'enregistrement suivant - 'Enregistrement suivant' (Next record),
  • aller sur la page suivante - 'Page suivante' (Next page),
  • aller sur le dernier enregistrement - 'Dernier enregistrement' (Last record),
  • ajouter un enregistrement - 'Insérer un enregistrement' (Insert record),
  • supprimer un enregistrement - 'Supprimer un enregistrement' (Delete record),
  • modifier un enregistrement - 'Modifier un enregistrement' (Edit record),
  • sauvegarder les modifications - 'Valider la modification' (Post edit),
  • annuler les modifications - 'Annuler la modification' (Cancel edit),
  • actualiser les données - 'Rafraîchir les données' (Refresh data),
  • créer un marque-page - 'Initialiser le marque-page' (Set bookmark),
  • aller au marque-page - 'Aller au marque-page' (Go to saved bookmark),
  • filtrer les données - 'Filtrer les données' (Filter data) (le constructeur de filtres s'ouvre),
  • indiquez dans le champ 'Chercher' (Find) l'ensemble de symboles que vous voulez rechercher dans une colonne sélectionnée

Barre d'outils de l'onglet 'Imprimer les données' (Print Data) :

En utilisant cette barre, vous pouvez :

  • personnaliser l'affichage du rapport à l'aide de l'outil Formatage de rapport (Format report) - en utilisant le bouton 'Concevoir le rapport' ('Design Report'),
  • charger le rapport à partir du fichier - 'Charger le rapport' (Load Report),
  • sauvegarder le rapport dans un fichier - 'Sauvegarder un rapport' (Save Report),
  • imprimer - 'Imprimer' (Print),
  • ouvrir la fenêtre de l’impression - 'Fenêtre de l’impression' (Print Dialog) (une fenêtre standard où vous pouvez indiquer les paramètres de l'impression),
  • spécifier les paramètres de page - 'Mise en page' (Page Setup),
  • afficher les maquettes des pages - 'Afficher les images timbre poste' (Show Thumbnails),
  • spécifier les remarques - 'Titre...' (Title...) :

insérer la date et l'heure - 'Date et heure' (Date and Time...),

insérer les numéros des pages - 'Numérotation des pages' (Page Numbering...),

  • placer tout sur une seule page - 'Rétrécir sur une page' (Shrink To Page),
  • spécifier la couleur d'arrière-plan de la page - 'Arrière-plan' (Background),
  • spécifier l'échelle - 'Zoom' (Zoom),
  • spécifier l'échelle en largeur de la page - 'Page Zoom' (Zoom Page),
  • imprimer la page entière - 'Page entière' (Whole Page),
  • imprimer plusieurs pages - 'Pages multiples' (Multiple Page)
  • sélectionner l'échelle en utilisant la liste déroulante - 'Zoom' (Zoom),
  • aller sur la première page - 'Première page' (First Page),
  • aller sur la page précédente - 'Page précédente' (Previous Page),
  • indiquer le numéro de la page vers laquelle vous voulez aller en utilisant le compteur - 'Page active' (Active Page)

(il affiche aussi le numéro de la page actuelle),

  • aller sur la page suivante - 'Page suivante' (Next Page),
  • aller sur la dernière page - 'Dernière page' (Last Page).

Barre d'outils de l'onglet 'Visualisation BLOB' (Blob View) :

En utilisant cette barre sur l'onglet de modification des données de type BLOB, vous pouvez :

  • sélectionner le champ de type BLOB dans la liste déroulante,
  • charger à partir d'un fichier - 'Charger à partir d'un fichier' (Load from File) (vous pouvez sélectionner n'importe quel type de fichiers : texte, image etc),
  • sauvegarder dans un fichier - 'Sauvegarder dans un fichier' (Save to File),
  • couper - 'Couper dans le presse-papier' (Cut To Clipboard),
  • copier - 'Copier dans le presse-papier' (Copy To Clipboard),
  • coller - 'Coller à partir du presse-papier' (Paste From Clipboard),
  • annuler l'opération - 'Annuler' (Undo),
  • imprimer - 'Imprimer' (Print),

(les boutons suivants sont actifs pour l'onglet Texte riche / Rich text seulement)

  • sélectionner la police - la liste déroulante 'Police' (Font),
  • sélectionner la taille de la police - le compteur 'Taille de la police' (Font Size),
  • mettre en gras - 'Gras' (Bold),
  • mettre en italique- 'Italique' (Italic),
  • souligner - 'Souligné' (Underline),
  • aligner à gauche - 'Alignement gauche' (Align Left),
  • centrer - 'Centré' (Align Center),
  • aligner à droite - 'Alignement droite' (Align Right),
  • créer une liste - 'Puces' (Bullets).

Personnaliser les barres d'outils


Menu contextuel

En utilisant le menu contextuel, vous pouvez exécuter les opérations suivantes :

  • copier les cellules - 'Copier la cellule' (Copy Cell),
  • coller les cellules - 'Coller la cellule' (Paste Cell),
  • 'Copier tous les enregistrements' (Copy All Records),
  • 'Copier les enregistrements sélectionnés' (Copy Selected Records),
  • 'Coller les enregistrements' (Paste Records),
  • gérer les données - 'Manipulation des données' (Data Manipulation), (la gestion de données contient : l'export de données - 'Exporter les données' (Export Data), l'export de données en tant que script SQL - 'Exporter en tant que script SQL' (Export as SQL Script), l'import de données - 'Importer les données' (Import Data), l'insertion de données en bloc - 'Insertion en bloc' (BULK INSERT.)
  • installer le filtre de données - 'Filtre rapide' (Quick Filter),
  • désactiver le filtre - 'Désactiver le filtre' (Disable Filter),
  • supprimer le tri - 'Supprimer le tri' (Clear Sorting),
  • initialiser la valeur dans la cellule - 'Initialiser la valeur' (Set Value),
  • modifier les données de type BLOB - Modifier le BLOB / Edit BLOB (cet élément du menu est actif, si le menu est appelé pour le champ contenant les objets de type BLOB),
  • sauvegarder les données à partir de la cellule de type BLOB dans un fichier - 'Sauvegarder le BLOB dans un fichier' (Save BLOB to File) (cet élément du menu est actif si le menu est appelé pour le champ contenant les objets de type BLOB),
  • Tout déployer/Expand All (la commande est active quand il y a le groupage sur un seul ou plusieurs champs ou quand il y a des sous-niveaux de la table),
  • Tout diminuer/Collapse All (la commande est active quand il y a le groupage sur un seul ou plusieurs champs ou quand il y a des sous-niveaux de la table),
  • aller sur l'onglet suivant - 'Onglet suivant' (Next Tab) (cet élément et l'élément suivant du menu sont actifs pour les résultats de requêtes qui renvoient un ou plus de jeux de données. Dans ce cas, pour le résultat de chaque requête, un onglet à part se crée, ainsi que pour les tables qui ont plus qu'un seul sous-niveau),
  • aller sur l'onglet précédent 'Onglet précédent' (Previous Tab),
  • travailler avec les niveaux de la table - 'Niveaux de la grille' (Grid Levels),

ajouter un niveau - 'Ajouter un niveau de grille...' (Add Grid Level...) (quand vous sélectionnez cet élément, l'assistant de création des niveaux s'ouvre),

supprimer le niveau - 'Supprimer le niveau de grille' (Delete Grid Level),

visualiser sous la forme de la table - 'Vue de la table' (Table View),

visualiser sous la forme de carte - 'Visualisation carte' (Card View),

  • installer le résumé des colonnes - 'Résumé des colonnes...' (Column Summary...),
  • sélectionner les colonnes qui seront affichées - Colonnes visibles (Visible Columns) (vous pouvez aussi sélectionner les colonnes visibles en utilisant le bouton [image] dans le coin supérieur gauche de la table, à coté des noms des colonnes),
  • 'Largeur auto des colonnes' (Fit Columns Widths),
  • sélectionner le mode grille - 'Mode grille' (Grid Mode) (afficher toutes les colonnes, afficher les colonnes visibles seulement, le mode par défaut),
  • visualiser et modifier les propriétés du visualisateur de données - 'Propriétés...' (Properties...). Vous pouvez aussi cliquer sur 'Options | Options de l'environnement | Grille' (Options | Environment Options | Grid).


Visualisation grille

La fenêtre de visualisation table est générée sur la base des champs de table ou de requête. Les colonnes se forment sur la base des champs.

Si les données d'une seule table sont ouvertes dans le visualisateur de données, vous pouvez les ajouter, les supprimer et les modifier à votre discrétion. Si le visualisateur de données affiche le résultat de la requête, la possibilité de modifier les données dépend de la requête.

Toutes les autres opérations avec les données sont identiques pour les données des tables et pour les résultats des requêtes.

En utilisant la barre d'outils, vous pouvez passer d'un enregistrement à un autre, ajouter et supprimer des lignes etc. Le menu contextuel permet de copier les cellules, de créer les niveaux, d'installer le résumé des colonnes, etc.

Les opérations essentielles avec les données :

  • le tri par colonnes, conformément aux règles de l'interface,
  • le groupage de données,
  • le filtrage de données,
  • la création et le travail avec plusieurs niveaux,
  • la visualisation carte,
  • le résumé des colonnes,
  • la modification de l'ordre des colonnes.

Sélection des colonnes visibles

Vous pouvez indiquer les colonnes qui seront visibles.

Pour cela, utilisez le bouton du menu contextuel 'Colonnes visibles' (Visible Columns) ou en cliquant sur le bouton [image] qui se trouve dans le coin supérieur gauche de la table, à coté des noms de colonnes. Ainsi, vous ouvrez la fenêtre où vous pouvez indiquer les colonnes visibles en cochant les cases.

Modification de l'ordre des colonnes

Si vous voulez modifier l'ordre des colonnes, il vous faut déplacer le nom de la colonne à l'emplacement souhaité. Si c'est possible, la colonne sera marquée par des flèches vertes. Les flèches apparaissent quand vous déplacez la colonne vers l'endroit où vous voulez l'insérer.

Copie des enregistrements

Pour copier les enregistrements à partir d'une table vers une autre, vous pouvez utiliser les éléments du menu contextuel :

  • copier les enregistrements sélectionnés - 'Copier les enregistrements sélectionnés' (Copy Selected Records),
  • coller les enregistrements - 'Coller les enregistrements' (Paste Records).

Quand vous copiez plusieurs lignes, vous pouvez spécifier la correspondance des champs de la table et des enregistrements insérés.

La liste 'Colonnes de presse-papiers' (Clipboard Columns) affiche les champs des lignes copiées.

La liste 'Colonnes de grille' (Grid Columns) affiche les champs de la table dans laquelle vous copiez les lignes.

En utilisant les boutons, vous pouvez spécifier les correspondances entre les champs. Ils s'affichent dans la liste des correspondances qui se trouve dans la partie inférieure de la fenêtre.

Le bouton 'Ajouter' (Add) permet d'ajouter une nouvelle correspondance entre les champs sélectionnés dans la liste des correspondances.

Le bouton 'Tout ajouter' (Add All) permet de trouver automatiquement les champs correspondants de source de données pour les champs de la table dans laquelle les données seront copiées.

Pour supprimer la correspondance sélectionnée, cliquez sur le bouton 'Supprimer'(Remove). Pour vider la liste des correspondances, cliquez sur le bouton 'Supprimer tout' (Remove All).


Groupage de données

Vous pouvez grouper les données dans une table en plusieurs colonnes ou en une seule colonne.

Afin de grouper une table par colonne, il vous faut déplacer l'en-tête de la colonne sur la barre de groupage.

Groupage par seule colonne

Par exemple, vous avez une table avec les adresses des employés dans des villes différentes.

Si vous déplacez l'en-tête du champ "City" sur la barre de groupage, toutes les adresses seront groupées par le champ "City". Donc la table sera la suivante :

Ainsi, vous pouvez voir combien de vos employés travaillent dans tel ou tel ville.

Groupage par plusieurs colonnes.

Dans chaque ville, il y a plusieurs arrondissements. Chaque arrondissement a son propre code postal. Vous pouvez grouper la table par le champ "ville", puis par le champ "code postal" et obtenir le nombre d'employés dans chaque arrondissement de votre ville.

Pour cela, il vous faut déplacer l'en-tête du champ "PostalCode" /"Code postal" sur la barre de groupement.

Donc la table sera la suivante :

Les en-têtes des groupes peuvent afficher les informations concernant le groupage de données. Pour cela, vous pouvez spécifier le résumé de colonne.

L'en-tête qui se trouve au-dessous est le nom subordonné sur la barre de groupage. Le groupage d'après le nom subordonné s'exécute en deuxième lieu. Les objets sur la barre de groupage sont disponibles pour le filtrage de données.

Pour annuler le groupage, déplacez l'en-tête de la colonne et retournez-le dans la table. Ce faisant, vous pouvez modifier l'ordre des colonnes.


Filtrage des enregistrements

Le filtre est un moyen rapide de rechercher les sous-ensembles de données et de travailler avec ces ensembles dans la table. La table filtrée affiche seulement les lignes répondants aux conditions spécifiées pour la colonne.

Le filtre ne modifie pas l'ordre des enregistrements. Les lignes qui ne répondent pas aux conditions spécifiées sont cachées temporairement lors du filtre.

Vous pouvez filtrer les données en utilisant les trois méthodes :

1. En utilisant l'élément 'Filtre rapide' (Quick Filter) du menu contextuel.

Ordre des opérations :

  • appeler le menu contextuel pour la cellule de données,
  • sélectionner l'élément du menu contextuel 'Filtre rapide' (Quick Filter),
  • sélectionner la condition du filtre dans le menu enfant qui s'ouvre.
  • = Value - les lignes dont la valeur du champ est identique à la valeur active seront affichées dans la table (la valeur active est la valeur sélectionnée via le menu contextuel)
  • <> Value - les enregistrements dont la valeur dans ce champ est différente de la valeur active seront affichées dans la table.
  • < Value - sélectionner les valeurs inférieures à la valeur active,
  • > Value - sélectionner les valeurs supérieures à la valeur active,
  • <= Value - sélectionner les valeurs inférieures ou égales à la valeur active,
  • >= Value - sélectionner les valeurs supérieures ou égales à la valeur active.

En utilisant 'Filtre rapide' (Quick Filter), vous ne pouvez pas filtrer les données de types BLOB et sysname.

2. En utilisant l'en-tête de colonnes.

L'en-tête de chaque colonne contient le bouton avec une aiguille. En cliquant sur cette aiguille, vous ouvrez la liste des valeurs contenues dans cette colonne. Pour spécifier la condition du filtre, sélectionnez une de ces valeurs. Les lignes qui correspondent à cette condition seront affichées seulement dans la table.

Vous pouvez spécifier les conditions plus compliquées à l'aide de l'élément de la liste des valeurs (Personnalisation.../Custom...). Quand vous sélectionnez cet élément, la fenêtre spéciale pour spécifier les conditions du filtre s'ouvre.

Vous pouvez spécifier dans cette fenêtre les deux conditions du filtre et leur action réciproque - s'il faut exécuter les deux conditions simultanément ou s'il suffit d'exécuter une seule condition.

En utilisant cette fenêtre, vous pouvez régler les intervalles.

Sélectionnez la condition de filtrage dans les listes déroulantes :

  • égal - equals,
  • différent de - does not equal,
  • est plus petit que - is less than,
  • est plus petit ou égal à - is less than or equal to,
  • est plus grand que - is greater than,
  • est plus grand ou égal à - is greater than or equal to,
  • comme - like,
  • différent - not like,
  • est vide - is blank,
  • n'est pas vide - is not blank.

Indiquez la suite de symboles dans le champ. Utilisez le symbole "%" pour indiquer n'importe quel ensemble de symboles et symbole "_" pour indiquer n'importe quel symbole. Lors de l'exécution de la condition, seules les valeurs correspondant à la condition indiquée seront choisies. Par exemple, vous avez sélectionné dans la liste l'élément "est plus grand que", puis vous avez sélectionné "100" dans le champ. Alors, les lignes dont la valeur est plus grande que 100 seront affichées dans la table.

Si vous cochez le commutateur en position AND, vous indiquez que les deux conditions doivent être exécutées simultanément. Si vous cochez le commutateur en position OR, vous indiquez qu'une seule condition doit être exécutée.

3. En utilisant le bouton sur la barre d'outils.

Le bouton [image] ouvre le constructeur de filtres, à l'aide duquel vous pouvez spécifier et appliquer les conditions du filtre.

Si le filtre est spécifié pour une table, la barre spéciale apparaît dans la partie inférieure. Cette barre affiche la condition de filtre.

En utilisant cette barre, vous pouvez :

  • supprimer le filtre - cliquer sur le bouton [image],
  • activer le filtre - cocher la case,
  • modifier les conditions du filtre en utilisant le bouton 'Personnaliser' (Customize...). Ce bouton ouvre le constructeur de filtres.

En outre, les conditions de filtre s'affichent brièvement sur cette barre. Vous pouvez voir aussi l'historique de modification du filtre en cliquant sur le bouton [image] .


Travail en mode multiniveaux

Une des possibilités uniques de SQL Manager 2007 for MySQL est celle de travailler avec les données en mode multi-niveau. Ceci permet de modifier et de visualiser simultanément les données dans plusieurs tables liées.

Vous pouvez gérer les niveaux en utilisant l'élément 'Niveaux de la grille' (Grid Levels) du menu contextuel,

  • ajouter le niveau - 'Ajouter un niveau de grille...'/'Add Grid Level...' (l'assistant de création des niveaux s'ouvre quand vous sélectionnez cet élément),
  • supprimer le niveau - 'Supprimer le niveau de grille' (Delete Grid Level),
  • visualiser sous la forme de table - 'Vue de la table' (Table View),
  • visualiser sous la forme de cartes - 'Visualisation carte' (Card View),

Si le niveau est ajouté, vous pouvez voir dans une autre table les enregistrements correspondant à chaque enregistrement de la table active. Cette table subordonnée s'appelle le sous-niveau.

Afin d'ouvrir (déployer) le sous-niveau de la table, il vous faut cliquer sur "+" qui se trouve au début de la ligne. Le bouton "-" permet de diminuer le sous-niveau.

Vous pouvez travailler avec plusieurs niveaux. Dans ce cas, chaque sous-niveau se trouve sur l'onglet séparé dans la fenêtre des sous-niveaux. Vous pouvez basculer entre les onglets, en cliquant sur les onglets avec la souris ou en utilisant les éléments du menu contextuel :

  • aller sur l'onglet suivant - 'Onglet suivant' (Next Tab),
  • aller sur l'onglet précédent - 'Onglet précédent' (Previous Tab).

Afin d'ouvrir les sous-niveaux pour tous les enregistrements, veuillez utiliser l'élément 'Tout déployer' (Expand All) du menu contextuel.

L'élément 'Tout diminuer' (Collapse All) permet de diminuer tous les sous-niveaux.


Assistant de création des niveaux

L'assistant de création des niveaux permet de créer les sous-niveaux pour la table ce qui permet de présenter les données d'une façon plus claire.

L'assistant de création des niveaux comprend les quatre étapes.

  • Sélection de la table principale.
  • Sélection de la table dépendante ou de la requête.
  • Création des liens entre la table principale et la table dépendante.
  • Spécification des paramètres.

Afin d'exécuter l'assistant, il vous faut sélectionner l'élément 'Ajouter un niveau de grille...' (Add Grid Level... ) du menu enfant qui vaut l'élément 'Niveaux de la grille' (Grid Levels) du menu contextuel.


Spécification du niveau maître

Lors de la première étape, vous devez sélectionner une table ou une requête qui sera le niveau principal. Pour ce niveau, il vous faudra fixer un sous-niveau.

Sélectionnez le niveau principal dans la liste déroulante.

Puis, sélectionnez le source pour le sous-niveau en utilisant le commutateur 'Source des données du niveau' (Source of New level data). Si vous cochez le commutateur en position 'Table' (Table), il vous faudra sélectionner la table ou la vue lors de la deuxième étape de l'assistant. Si vous cochez la case 'Requête' (Query), il vous faudra écrire manuellement (lors de l'étape suivante) la requête qui définit le sous-niveau.

Étape suivante


Sélection de la table ou de la requête pour un nouveau niveau

La vue de l'assistant lors de la deuxième étape dépend de la source que vous avez sélectionné pour le sous-niveau lors de la première étape.

Si vous avez sélectionné 'Table' (Table) en tant que source, vous pouvez sélectionner la table dans la liste déroulante 'Nom de la table' (Table Name) lors de la deuxième étape. La liste contient toutes les tables et les vues de votre base de données. Vous pouvez diminuer leur nombre en cochant la case 'Afficher les tables relatives aux clés étrangères seulement' (Show tables related by foreign keys only). Dans ce cas-là, les tables qui sont liées avec la table principale à l'aide de la clé étrangère resteront dans la liste.

Si vous avez sélectionné 'Requête' (Query) en tant que source lors de la première étape de l'assistant, vous pouvez créer la requête dans l'éditeur de requêtes lors de la deuxième étape de l'assistant.

Dans cette fenêtre se trouve l'éditeur de requêtes SQL.

Vous pouvez écrire manuellement la requête SQL dans l'éditeur, vous pouvez la copier et la coller dans l'éditeur, vous pouvez exécuter le constructeur graphiquede requêtes en utilisant le bouton 'Constructeur de requêtes...' (Query Builder...). Le constructeur s'ouvre dans une fenêtre modale et vous pouvez y créer la requête.

Dès que la table est sélectionnée ou dès que la requête est créée, vous pouvez passer à l'étape suivante.

Étape suivante


Liaison des niveaux maître et détail

Lors de la troisième étape de l'assistant, il vous faut sélectionner les champs par lesquels il faut lier la table principale et la table dépendante.

Sélectionnez les champs de la table principale et les champs de la table dépendante par lesquels vous voulez lier les tables dans les listes 'Champs clé de niveau maître' (Master Level Key Fields) et 'Champs clé de niveau de détail' (Detail Level Key Fields).

Ajoutez un nouveau lien entre les champs sélectionnés dans la liste 'Liens entre le niveau maître et le niveau de détails' (Links Between Master and Detail Levels) en utilisant le bouton 'Ajouter' (Add).

Vous pouvez créer plusieurs liens.

Dans ce cas, chaque table subordonnée sera affichée sur l'onglet séparé du sous-niveau. Vous pouvez basculer entre les onglets en cliquant sur ces onglets avec la souris ou en utilisant les éléments du menu contextuel :

  • aller sur l'onglet suivant - 'Onglet suivant' (Next Tab),
  • aller sur l'onglet précédent - 'Onglet précédent' (Previous Tab).

Vous pouvez supprimer le lien à partir de la liste en utilisant le bouton 'Supprimer' (Remove).

Étape suivante


Spécification des paramètres supplémentaires

Lors de la deuxième étape de l'assistant, il vous faut sélectionner le type d'affichage du sous-niveau et indiquer son en-tête.

L'en-tête sera affiché dans la partie supérieure du sous-niveau. Vous pouvez l'indiquer dans le champ 'Libellé du niveau' (Level caption).

Sélectionnez le type d'affichage des données du sous-niveau en utilisant le commutateur 'Type de niveau' (Level type) :

  • 'Vue de la table' (Table view) - sous la forme de table,
  • 'Visualisation carte' (Card View) - sous la forme de cartes.

Pour terminer la formation du niveau, cliquez sur le bouton 'Terminer' (Finish).


Affichage carte de données

La fenêtre de visualisation des tables contient un mode supplémentaire de visualisation - le mode de visualisation carte, 'Visualisation carte' (Card View).

Si la table a des sous-niveaux, c'est seulement le niveau le plus bas de la hiérarchie qui peut être visualisé sous la forme de cartes.

Afin d'actualiser la visualisation carte, il vous faut utiliser l'élément 'Visualisation carte' (Card View) du menu enfant de l'élément 'Niveaux de la grille' (Grid Levels) du menu contextuel.

Afin de restaurer la vue table, utilisez l'élément 'Vue de la table' (Table View) du menu enfant de l'élément 'Niveaux de la grille' (Grid Levels) du menu contextuel.


Résumé des colonnes

SQL Manager 2007 for MySQL dispose d'un outil spécial pour afficher le résumé sur la colonne. En utilisant cet outil, vous pouvez afficher un résumé sur la colonne dans la partie supérieure ou inférieure de la table.

Pour appeler l'outil de création de résumés de colonnes, utilisez l'élément 'Résumé des colonnes...' (Column Summary...) du menu contextuel.

Sélectionnez la colonne de la table pour laquelle vous voulez afficher les informations supplémentaires. Sélectionnez la colonne nécessaire à partir de la liste 'Colonne' (Column) dans la fenêtre 'Résumé des colonnes' (Column Summary).

'Résumé du pied de page' (Footer summary) affiche le résumé dans le pied de colonne.

'En-tête du groupe' (Group header) - affiche les informations dans l'en-tête des données groupées.

'Pied de page du groupe' (Group footer) - affiche les informations dans le pied de page des données groupées.

Vous pouvez afficher les informations suivantes pour les colonnes qui ont le type de données numérique et le type datetime, int :

  • Aucun (None),
  • somme des valeurs dans la colonne - 'Sum' (Sum),
  • valeur minimum dans la colonne - 'Minimum' (Minimum),
  • valeur maximum dans la colonne - 'Maximum' (Maximum),
  • nombre de valeurs dans la colonne - 'Nombre' (Count),
  • valeur moyenne dans la colonne - 'Moyenne' (Average).

C'est le nombre de valeurs dans la colonne (Nombre/Count) seulement qui est disponible pour tous les autres type de colonnes.

Spécifiez le format dans le champ 'Format du numéro' (Number format).


Visualisation formulaire

Chaque enregistrement est affiché sous la forme d'un formulaire sur l'onglet 'Visualisation formulaire' (Form View). Si les données sont représentées sous cette forme, il est plus facile de les modifier.

Si vous avez sélectionné une ligne ou un enregistrement sur l'onglet 'Visualisation grille' (Grid View) et que vous êtes allé sur 'Visualisation formulaire' (Form View), l'enregistrement sélectionné s'affichera sur cet onglet.

Les informations suivantes seront affichées pour chaque enregistrement :

  • noms des champs,
  • type des champs,
  • champs pour la modification de données.

La case 'Null' (Null) se trouve à côté de chaque enregistrement. En utilisant cette case, vous pouvez vider ce champ. Mais il est impossible de restaurer les données supprimées en décochant la case. Afin de restaurer les données, il vous faut cliquer sur le bouton [image] 'Annuler la modification' (Cancel edit) sur barre d'outils.

Vous pouvez basculer entre les enregistrements en utilisant les boutons qui se trouvent sur la barre d'outils. Ces boutons vous permettent de créer, de modifier, de supprimer les enregistrements et de vous déplacer à travers des enregistrements de la table.

Pour chaque type de données, le champ de saisie se génère suivant le type de données.

Par exemple, le calendrier apparaît pour les champs de type datetime. Celui-là permet d'éviter des erreurs lors de la saisie de la date. De grands champs texte sont ajoutés pour les types de champs de grande dimension.

Si vous créez les conditions de filtrage de données sur cet onglet, le premier enregistrement de table correspondant aux conditions indiquées sera affiché.

Vous pouvez configurer le format de date utilisé par défaut dans MySQL pour les champs de type Datetime. yyyy-mm-dd hh:nn:ss. Dans ce cas, le champ de modification pour les données de ce type ne dispose pas du calendrier déroulant, ce qui permet d'utiliser la date zéro. Afin d'initialiser le format MySQL, il vous faut sélectionner l'élément yyyy-mm-dd hh:nn:ss dans la liste déroulante 'Champs datetime' (Datetime fields) sur l'onglet Options de l'environnement | Couleurs et formats (Environment Options | Color & Formats).


Impression de données

Les données sont représentées sous la forme d'une prévisualisation avant impression sur l'onglet 'Imprimer les données' (Print Data). Vous pouvez modifier la vue de la forme d'impression, spécifier le format de la page et les paramètres d'impression, sauvegarder les rapports dans un fichier et charger à partir du fichier. Vous pouvez le faire en utilisant la barre d'outils.

Les caractéristiques des champs, des en-têtes et des pieds de page de la forme d'impression s'affichent sur la barre supérieure :

  • 'Gauche' (Left) - champ gauche,
  • 'Haute' (Top) - champ supérieur,
  • 'Droit' (Right) - champ droit,
  • 'Bas' (Bottom) - champ inférieur,
  • 'En-tête' (Header),
  • 'Bas de page' (Footer).

Les statistiques s'affichent sur la barre inférieure :

  • pages - 'Page' (Page),
  • nombre de pages - 'Pages' (Pages),
  • taille du papier - 'Taille du papier' (Paper size),
  • statut - 'Statut' (Status).


Mise en page

En utilisant cet outil, vous pouvez spécifier la vue de la page lors de l'impression.

Sur l'onglet 'Page' (Page), vous indiquez la taille et l'orientation de page (portrait/paysage).

Sélectionnez une des dimensions standards dans la liste 'Type' (Type).

Si les types standards ne correspondent pas, vous pouvez indiquer une hauteur et une largeur de feuille dans la section 'Dimension' (Dimension). Indiquez la largeur dans le champ 'Largeur' (Width) et la hauteur dans le champ 'Hauteur' (Height).

Sélectionnez la source du papier dans la liste déroulante 'Source de papier' (Paper source).

Choisissez l'orientation de page dans la section 'Orientation' (Orientation) en utilisant le commutateur.

  • Portrait (Portrait),
  • Paysage (Landscape).

Les données sont présentées sous la forme de grille, c'est pourquoi il vous faut indiquer la suite d'impression des pages dans la section 'Ordre de pages' (Print Order) :

  • 'Vers le bas, puis à droite' (Down, then over),
  • 'À droite, puis vers le bas' (Over, then down)

Si vous cochez la case 'Imprimer en utilisant les ombres' (Print using gray shading), des niveaux de gris seront utilisés lors de l'impression, et non seulement les couleurs noir et blanc.

Vous pouvez indiquer la taille de champs du document, la taille de l'en-tête et du bas de page sur l'onglet 'Marges' (Margins).

  • 'Haut' (Top) - taille de champ supérieur,
  • 'Bas' (Bottom) - taille de champ inférieur,
  • 'Gauche' (Left) - taille de champ gauche,
  • 'Droit' (Right) - taille de champ droit,
  • 'En-tête' (Header) - taille d'en-tête
  • 'Bas de page' (Footer) - taille de bas de page

En utilisant les cases dans la section 'Centrer sur la page' (Center on page), vous indiquez s'il faut centrer le texte sur la page. Si vous cochez la case 'Horizontalement' (Horizontally), le texte sera centré horizontalement. Si vous cochez la case 'Verticalement' (Vertically), le texte sera centré verticalement.

Vous pouvez spécifier les propriétés de l'en-tête et de bas de page sur l'onglet 'En-tête\bas de page' (Header\Footer).

Chaque en-tête et chaque bas de page sont divisés en trois sections. Vous pouvez indiquer les différentes informations dans chaque section. Vous pouvez écrire le texte d'une façon indépendante. Vous pouvez aussi utiliser le texte standard en utilisant les boutons 'Fonction prédéfinie' (Predefined Function) :

  • 'Nom de l'ordinateur' (Machine name),
  • 'Nom de l'utilisateur' (User Name),
  • 'Heure d'impression' (Time Printed),
  • 'Date d'impression' (Date Printed),
  • 'Date et heure d'impression' (Date & Time Printed),
  • 'Page # sur #' (Page # of Pages #)
  • 'Total des pages' (Total Pages)
  • 'Page' (Page #)

Vous pouvez spécifier la police de l'en-tête et du pied de page en utilisant le bouton 'Police...' (Font...) et la couleur d'arrière-plan en utilisant le bouton 'Couleur d'arrière-plan' (Background).

Pour aligner verticalement le texte, utilisez le bouton 'Aligner verticalement' (Vertical Alignment).

Indiquez l'échelle de la page sur l'onglet 'Échelle' (Scaling).

'Réduire/agrandir à :' (Adjust To) - réduire/agrandir à n % de la taille normale. Les pourcentages sont affichés dans le champ spécial.

'Ajuster' (Fit To) - ajuster n page(s) en largeur sur n en hauteur. Le nombre de pages s'affiche dans les champs spéciaux.


Mise en forme de rapport

Vous pouvez spécifier la vue de la forme d'impression en utilisant l'outil 'Formater le rapport' (Format report). Afin d'ouvrir l'outil, cliquez sur le bouton [image] 'Concevoir le rapport' (Design Report) sur la barre d'outils de l'onglet Imprimer les données du visualisateur de données.

Tous les outils se trouvent sur les onglets suivants :

  • Vue,
  • Comportement,
  • Formatage,
  • Styles,
  • Prévisualisation,
  • Cartes,
  • Diagrammes

Si vous cliquez sur le bouton 'Propriétés de titre' (Title Properties), vous pouvez indiquer les paramètres de titre du rapport.

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Non


Vue

Vous pouvez sélectionner les éléments à afficher dans le rapport en cochant les cases sur l'onglet 'Vue' (View). Sélectionnez les éléments à afficher pour toute la table dans la section 'Afficher' (Show).

  • 'Libellé' (Caption),
  • 'Bandes' (Bands),
  • 'En-têtes' (Headers),
  • 'Bas de page' (Footers),
  • 'Bas de pages pour les groupes' (Group Footers)
  • 'Boutons de déploiement' (Expand Buttons)
  • 'Barre de filtre' (Filter Bar). Cette ligne affiche la condition de filtrage, si les données ont été filtrées.

Puis vous pouvez indiquer les éléments à afficher sur chaque page dans la section 'Sur chaque page' (On Every Page)

  • 'Libellé' (Caption),
  • 'Bandes' (Bands),
  • 'En-têtes' (Headers),
  • 'Bas de page' (Footers),
  • 'Barre de filtre' (Filter Bar).

Toutes les modifications apportées s'affichent sur le modèle situé dans la partie droite de la fenêtre.


Comportement

Indiquez les caractéristiques suivantes sur cet onglet 'Comportement' (Behaviours). Spécifiez les paramètres de sélection dans la section 'Sélection' (Selection) :

  • 'Processus de sélection' (Process Selection),
  • 'Processus de sélection exacte' (Process Exact Selection).

Sélectionnez les sections pour lesquelles vous voulez spécifier la largeur correspondante à la largeur de la page. Pour cela, utilisez la section 'Étendue' (Expanding).

  • 'Groupes' (Groups),
  • 'Détails' (Details),
  • 'Carte' (Cards).

Si la case 'Largeur auto' (Auto Width) est cochée, la largeur de la table sera identique à la largeur de la table.

Toutes les modifications apportées s'affichent sur le modèle situé dans la partie droite de la fenêtre.


Formatage

Spécifiez les paramètres de formatage sur l'onglet 'Formatage' (Formatting). Dans la liste déroulante 'Interface' (Look and Feel), sélectionnez la vue des frontières de cellules de l'en-tête.

Spécifiez les paramètres de compression du rapport dans la section 'Refinements' (Refinements).

  • 'Graphiques transparentes' (Transparent Graphics) - les images graphiques transparentes,
  • 'Afficher les graphiques en tant que texte' (Display Graphic As Text),
  • 'Coches plats' (Flat CheckMarks) - utiliser les coches plats.

'Cacher les textures d'arrière-plan' (Suppress Background Textures).

'Utiliser le style de sélection' (Consume Selection Style).

Vous pouvez spécifier les paramètres de découpage en pages dans la section 'Pagination' (Pagination).

'Conformément au groupes' (By TopLevel Groups),

'Un groupe sur la page' (One Group Per Page).

Toutes les modifications apportées s'affichent sur le modèle situé dans la partie droite de la fenêtre.


Styles

Vous pouvez spécifier l'aspect du rapport sur cet onglet.

Si la case 'Utiliser le style natif' (Use Native Styles) n'est pas cochée, le style par défaut sera utilisé, sans la possibilité d'apporter des modifications.

Tous les éléments du rapport se trouvent dans la liste. De plus, le fond, le type et la taille de la police sont indiqués pour chaque élément.

Vous pouvez indiquer les propriétés suivantes pour chaque élément :

  • 'Police' (Font),
  • 'Couleur' (Color),
  • 'Texture' (Texture),
  • 'Effacer' (Clear) - restaurer les paramétrages par défaut

En cliquant sur le bouton 'Restaurer les défauts' (Restore Defaults), vous pouvez annuler toutes les modifications apportées pour un objet sélectionné et installer les paramétrages par défaut.

En cliquant sur le bouton 'Sauvegarder sous...' (Save As...), vous pouvez sauvegarder les modifications apportées dans le fichier du schéma.

Tous les fichiers du schéma s'affichent dans la liste 'Fichiers CSS' (Style Sheets). En cliquant sur le bouton 'Nouveau' (New), vous pouvez créer un nouveau fichier du schéma. Pour copier un schéma, cliquez sur le bouton 'Copier' (Copy). Pour supprimer le schéma sélectionné, cliquez sur le bouton 'Supprimer' (Delete). Afin de renommer le schéma, cliquez sur le bouton 'Renommer' (Rename).

Toutes les modifications apportées s'affichent sur le modèle situé dans la partie droite de la fenêtre.


Prévisualisation

Vous pouvez spécifier les paramètres de prévisualisation sur cet onglet.

Si la case 'Visible' (Visible) est cochée, les lignes du groupement seront affichées.

Si la case 'Hauteur automatique' (Auto Height) est cochée, la hauteur des lignes sera spécifiée automatiquement.

Spécifiez le nombre maximum de lignes sur la page en utilisant le compteur 'Nombre de lignes max' (Max Line Count).

Toutes les modifications apportées s'affichent sur le modèle situé dans la partie droite de la fenêtre.


Cartes

Vous pouvez spécifier la vue des cartes sur cet onglet.

Spécifiez la vue des cartes dans la section 'Taille' (Sizes) :

  • la case 'Largeur automatique' (Auto Width) permet d'ajuster automatiquement la largeur des cartes
  • 'Conserver la même largeur' (Keep Same Width) - permet de fixer la première largeur
  • 'Conserver la même hauteur' (Keep Same Height) - permet de fixer la première hauteur de la carte.

Vous pouvez spécifier l'espacement entre les cartes dans la section 'Espacement' (Spacing) :

'Horizontal' (Horizontal) - espacement horizontal,

'Vertical' (Vertical) - espacement vertical.

Spécifiez les paramètres de l'encadrement des cartes dans la section 'Encadrement' (Framing) :

  • 'Bordure' (Border) - si cette case est cochée, les cartes ont l'encadrement à l'extérieur,
  • 'Lignes horizontales' (Horizontal Lines) - installer les délimiteurs horizontaux pour chaque ligne à l'intérieur de la carte,
  • 'Lignes verticales' (Vertical Lines) - ajouter les délimiteurs pour les colonnes.

Spécifiez les paramètres de l'ombrage des cartes à l'aide des outils dans la section 'Ombre' (Shadow).

'Couleur' (Color) - couleur de l'ombre,

'Profondeur' (Depth) - taille de l'ombre.

Toutes les modifications apportées s'affichent sur le modèle situé dans la partie droite de la fenêtre.


Diagrammes

Vous pouvez spécifier sur cet onglet la transparence du diagramme en cochant la case 'Transparent' (Transparent).

Toutes les modifications apportées s'affichent sur le modèle situé dans la partie droite de la fenêtre.


Éditeur de données de type BLOB

Si la table contient des champs avec des données de type BLOB (y compris les types : ntext, text, image, binary, varbinary, XML), l'onglet supplémentaire 'Visualisation BLOB' (Blob View) apparaît dans le visualisateur de données. Vous pouvez modifier sur cet onglet tous les types de données BLOB. L'onglet spécial est prévu pour chaque type :

Modifier en tant que cliché hexadécimal

Modifier en tant que texte

Modifier en tant que RTF

Modifier en tant qu'image

Modifier en tant que HTML

Travail avec les enregistrements sur l'onglet 'Visualisation BLOB' (Blob View).

Pour le déplacement, veuillez utiliser la barre d'outils standard du visualisateur de données. Cette barre contient les boutons permettant de sauvegarder les modifications, d'annuler les modifications sauvegardées, d'ajouter et de supprimer les enregistrements.

Les boutons permettant de travailler avec les données de type BLOB se trouvent sur la barre d'outils de l'onglet Blob View.

Voir aussi :

Visualisateur de données

Éditeur de tables

Éditeur de requêtes

Constructeur visuel de requêtes

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Modifier en tant que cliché hexadécimal

Pour visualiser et modifier l'information qui se trouve dans une cellule d'un champ de type BLOB, allez sur l'onglet 'Hexadécimal' (Hexadecimal). Le contenu de la cellule est affiché en mode hexadécimal (valeur hexadécimale des octets) dans la partie gauche de la fenêtre. De plus, le contenu de la cellule est affiché dans la partie droite de la fenêtre sous la forme de texte.

Pour le déplacement, veuillez utiliser la barre d'outils standard du visualisateur de données. Cette barre contient les boutons permettant de sauvegarder les modifications, d'annuler les modifications, d'ajouter et de supprimer les enregistrements.

Les boutons permettant de travailler avec les données de type BLOB se trouvent sur la barre d'outils de l'onglet Blob View.


Modifier en tant que texte

Le contenu de la cellule est affiché sous la forme de texte sur l'onglet 'Text' (Text). Vous pouvez modifier ce texte.

Pour le déplacement, veuillez utiliser la barre d'outils standard du visualisateur de données. Cette barre contient les boutons permettant de sauvegarder les modifications, d'annuler les modifications, d'ajouter et de supprimer les enregistrements.

Les boutons permettant de travailler avec les données de type BLOB se trouvent sur la barre d'outils de l'onglet Blob View.


Modifier en tant que RTF

Le texte est affiché sous la forme de RTF (Rich Text Format) sur l'onglet 'Texte riche' (Rich Text). Vous pouvez formater ce texte : modifier la police, modifier le style de la police et la taille de la police, ajouter des listes, spécifier l'espacement entre les lignes, etc.

Pour le déplacement, veuillez utiliser la barre d'outils standard du visualisateur de données. Cette barre contient les boutons permettant de sauvegarder les modifications, d'annuler les modifications, d'ajouter et de supprimer les enregistrements.

Les boutons permettant de travailler avec les données de type BLOB se trouvent sur la barre d'outils de l'onglet Blob View.


Modifier en tant qu'image

Si le champ de la base de données est de type 'image', vous pouvez ajouter cette image et la modifier sur l'onglet 'Image' (Image) de l'outil Visualisation BLOB.

Pour le déplacement, veuillez utiliser la barre d'outils standard du visualisateur de données. Cette barre contient les boutons permettant de sauvegarder les modifications, d'annuler les modifications, d'ajouter et de supprimer les enregistrements.

Les boutons permettant de travailler avec les données de type BLOB se trouvent sur la barre d'outils de l'onglet Blob View.

Les informations à propos de la taille et le format d'image s'affichent sur la barre dans la partie inférieure de la fenêtre.


Modifier en tant que HTML

Si les données de la cellule sont de type HTML, il est plus facile de les modifier sur l'onglet HTML.

Pour le déplacement, veuillez utiliser la barre d'outils standard du visualisateur de données. Cette barre contient les boutons permettant de sauvegarder les modifications, d'annuler les modifications, d'ajouter et de supprimer les enregistrements.

Les boutons permettant de travailler avec les données de type BLOB se trouvent sur la barre d'outils de l'onglet Blob View.


Constructeur de filtres

SQL Manager 2007 for MySQL dispose d'un outil spécial pour spécifier les conditions de sélection des données d'une table à partir du visualisateur de données. En utilisant le constructeur de filtres, vous pouvez créer une condition de sélection avec n'importe quel niveau de complexité. De plus, vous pouvez la sauvegarder dans un fichier et la charger à partir de ce fichier (à voir sur Boutons de constructeur de filtres), ce qui permet d'utiliser un filtre plusieurs fois.

Lancement du constructeur de filtres

Ajouter une nouvelle condition

Ajouter un nouveau groupe

Appliquer le filtre

Voir aussi

Visualisateur de données

Éditeur de tables

Éditeur de requêtes

Constructeur visuel de requêtes

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Lancement du constructeur de filtres

Pour ouvrir le constructeur de filtres :

  • cliquez sur le bouton 'Filtrer les données' (Filter data) [image] sur la barre de travail avec les enregistrements
  • ou cliquez sur le bouton 'Personnaliser...' (Customize...) sur la barre dans la partie inférieure de la table.

Si le filtre est installé pour une table, la barre spéciale apparaît dans la partie inférieure. La condition du filtre sera affichée sur cette barre. En utilisant cette barre, vous pouvez :

  • supprimer le filtre - cliquez sur le bouton [image],
  • activer le filtre - cochez la case,
  • modifier les conditions de filtrage en utilisant le bouton 'Personnaliser...' (Customize...). Ce bouton ouvre le constructeur de filtres.

En outre, les conditions du filtre s'affichent en résumé sur cette barre. L'historique des modifications peut être affiché aussi si vous cliquez sur le bouton [image] .


Ajouter une nouvelle condition

Pour ajouter une nouvelle condition, il vous faut :

  • cliquer sur 'Appuyer sur le bouton pour ajouter une condition' (press the button to add condition),
  • ou cliquer sur l'élément 'Filtre' (Filter), puis sélectionner l'élément 'Ajouter une condition' (Add Condition) à partir du menu qui s'ouvre.

Vous pouvez grouper les conditions. Les relations entre les groupes sont réglées par l'instruction que vous pouvez sélectionner à partir de la liste déroulante. Pour ouvrir la liste, cliquez sur l'élément 'AND' (AND).

L'élément qui se trouve après 'AND' (AND) indique le groupe qui contient les conditions. L'identificateur du groupe principal est <root> (<root>).

Puis il vous faut indiquer une ou plusieurs conditions de sélection des données. Chaque ligne représente une seule condition. Vous pouvez ajouter ou supprimer la condition en utilisant le menu,

Cliquez sur le bouton [image] pour ouvrir le menu.

  • ajouter une condition - 'Ajouter une condition' (Add Condition),
  • ajouter un groupe - 'Ajouter un groupe' (Add Group),
  • supprimer le groupe ou la condition - 'Supprimer la ligne' (Remove Row).

Puis cliquez sur l'enregistrement coloré en vert. Ainsi vous ouvrez la liste des champs de table, de requête ou de vue. Sélectionnez-y un champ pour lequel vous voulez spécifier la condition de sélection.

Cliquez sur l'enregistrement suivant, sélectionnez l'instruction dans la liste déroulante.

La liste contient les opérateurs suivants :

  • égal - equals,
  • différent de - does not equal,
  • est plus grand que - is greater than,
  • est plus grand ou égal à - is greater than or equal to,
  • est plus petit que - is less than,
  • est plus petit ou égal à - is less than or equal to,
  • comme (pour les champs texte) - like,
  • différent de (pour les champs texte) - not like,
  • est vide - is blank,
  • n'est pas vide - is not blank,
  • entre <valeur> et <valeur> - between,
  • pas entre - not between,
  • dans - in,
  • n'est pas dans - not in.

L'instruction equals est prévue par défaut pour les champs numériques et pour les champs de type datetime alors que l'instruction like est prévu pour les champs texte.

La liste contient certaines instructions pour les champs de type Data :

  • est hier - is yesterday,
  • est aujourd'hui - is today,
  • est demain - is tomorrow,
  • est la dernière semaine - is last week,
  • est le dernier mois - is last month,
  • est la dernière année - is last year,
  • est cette semaine - is this week,
  • est ce mois - is this month,
  • est cette année - is this year,
  • est la prochaine semaine - is next week,
  • est le prochain mois - is next month,
  • est l'année prochaine - is next year.

Après avoir sélectionné l'instruction, spécifiez le critère de sélection. Cliquez sur l'enregistrement <empty>, le champ de saisie apparaît au lieu de cet enregistrement. Le type de champ correspond au type de données. C'est un champ texte pour le texte, le compteur pour les numériques, le calendrier pour la date et l'heure. Utilisez le caractère "%" pour indiquer n'importe quel ensemble de caractères et le caractère "_" pour indiquer n'importe quel caractère.

Les deux champs de saisie apparaissent pour les instructions between et not between, parce qu'il faut indiquer l'espacement.

Indiquez la suite de caractères dans ce champ. Les valeurs qui répondent à la condition indiquée seulement seront sélectionnées lors de l'exécution de la condition.

Par exemple, vous avez sélectionné l'instruction is greater than (est plus de), et vous avez indiqué 100 dans le champ. Donc, les lignes dont la valeur est plus grande que 100 seront affichées dans la table.


Ajouter un nouveau groupe

Vous pouvez spécifier plusieurs conditions pour un filtre. Vous pouvez les grouper et spécifier les relations entre les groupes de conditions. Les groupes ont une structure hiérarchique. L'instruction de groupe peut être appliquée aux groupes qui font partie d'un groupe pour lequel l'instruction est spécifiée.

Vous pouvez spécifier les conditions pour un seul champ dans chaque groupe.

Pour ajouter un groupe, cliquez sur le bouton [image], ouvrez le menu contextuel, [image] et sélectionnez l'élément 'Ajouter un groupe' (Add Group).

Les relations entre les groupes doivent être configurées à l'aide de l'instruction de groupe. Cliquez sur l'enregistrement 'AND' (AND) et sélectionnez l'instruction à partir de la liste déroulante.

Il y a quatre instructions de groupe :

  • AND - tous les groupes de conditions doivent être exécutées simultanément,
  • OR - un groupe de conditions doit être exécuté au minimum,
  • NOT AND - une des conditions énumérées ne doit pas être exécutée au minimum,
  • NOT OR - aucune des conditions énumérées ne doit pas être exécutée.


Appliquer le filtre

Le fichier de filtre porte l'extension .flt. Pour ouvrir ce fichier, cliquez sur le bouton 'Ouvrir' (Open) qui se trouve en bas de la fenêtre. Pour sauvegarder le filtre créé dans un fichier, cliquez sur le bouton 'Sauvegarder' (Save As).

Pour appliquer le filtre créé, utilisez les bouton 'Ok' (Ok) ou 'Appliquer' (Apply). Le constructeur se ferme quand vous cliquez sur le bouton 'Ok' (Ok). Si vous cliquez sur le bouton 'Appliquer' (Apply), le constructeur reste ouvert et vous pouvez corriger le filtre créé en dépendance des résultats.

Cliquez sur le bouton 'Annuler' (Cancel) pour fermer le constructeur sans sauvegarder les modifications.


Outils d'import/export

SQL Manager 2007 for MySQL offre aux utilisateurs un ensemble d'outils pour importer et exporter rapidement les données.

Export de données

Cet outil permet d'exporter les données vers des fichiers de différents formats, y compris : MS Excel, MS Access, RTF, HTML, PDF. etc.

Import de données

Cet outil permet d'importer les données à partir des fichiers de différents formats : MS Excel, MS Access, DBF, TXT et CSV, HTML, XML Document, MS Excel 2007, Word 2007, ODF Spreadcheets, ODF Text.

Exporter en tant que script SQL

Export de données vers le script SQL en tant qu'ensemble d'instructions INSERT.

Chargement de données

Permet de charger les données dans une table ou dans une vue.

Sauvegarde de données

Permet de sauvegarder les données

Utilisation des modèles.


Assistant d'export de données

L'assistant d'export de données (Export Data Wizard) permet d'exporter les données à partir des tables, des vues, des résultats des requêtes vers des fichiers en différents formats.

Vous pouvez exécuter l'export de données à partir des éditeurs contenant les onglets 'Données' (Data) ou 'Résultats' (Results). Ce sont l'éditeur de tables, l'éditeur de vues, l'éditeur de requêtes et le constructeur graphique de requêtes.

Vous pouvez ouvrir cet outil en utilisant le bouton 'Exporter les données' (Export Data) qui se trouve sur la barre de navigation 'Gestion des données' (Data Management) et sur la barre d'outils.

Le bouton est disponible si le visualisateur de données est ouvert dans l'éditeur, c'est-à-dire sur l'onglet 'Données' (Data) ou sur l'onglet 'Résultats' (Results).

Cette commande se trouve dans le menu contextuel des objets de table et de vue, dans l'explorateur de bases et dans le sous-menu de l'élément 'Manipulation des données' (Data Manipulation).

Configuration du nom et du format du fichier de destination

Sélection des champs à exporter

Configuration des formats de données

Paramétrage de l'en-tête et du bas de page

Configuration des options de formats

Configuration des options communes d'export

Résultats

Utilisation des modèles.

Exporter les données en tant que script SQL

Importation de données

Chargement de données

Sauvegarde de données

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Non


Configuration de nom et de format du fichier de destination

Lors de cette étape de l'assistant d'export de données, il vous faut :

  • sélectionner le format du fichier de destination en cochant le format nécessaire dans la section 'Format de destination' (Destination format),
  • indiquer le nom du fichier de destination et le chemin vers celui-ci dans le champ 'Fichier de destination' (Destination file name) en utilisant le bouton [image].

Étape suivante

Si vous ne voulez pas configurer ces paramètres chaque export, vous pouvez utiliser l'outil de création des modèles.


Sélection des champs à exporter

Lors de cette étape de l'assistant, il vous faut sélectionner les champs à exporter à partir de la liste des champs de la table ou de la vue.

Sélectionnez les champs disponibles dans la liste 'Champs disponibles' (Available Fields), déplacez ces champs dans la liste des champs exportés 'Champs sélectionnés' (Selected fields) en utilisant les boutons correspondants.

Si vous cochez la case 'Autoriser les libellés' (Allow Caption), les en-têtes des colonnes seront affichés dans la première ligne.

Étape suivante

Si vous ne voulez pas configurer ces paramètres chaque export, vous pouvez utiliser l'outil de création des modèles.


Configuration des formats de données

Lors de la troisième étape de l'assistant, il vous faut spécifier le format d'affichage des données.

Vous pouvez spécifier les formats d'affichage pour les formats de données suivants :

  • 'Format entier' (Integer format),
  • 'Format flottant' (Float format),
  • 'Format date' (Date format),
  • 'Format heure' (Time format),
  • 'Format date/heure' (DateTime format),
  • 'Format de monnaie' (Currency format),
  • 'Booléen True' (Boolean True),
  • 'Booléen False' (Boolean False),
  • 'Chaîne NULL' (Null string).

Vous pouvez indiquer en supplément pour certains types de données les séparateurs des catégories :

'Séparateur pour décimales' (Decimal Separator) - séparateur pour les nombres à décimales,

'Séparateur pour dates' (Date Separator),

'Séparateur pour milliers' (Thousand Separator) - séparateur pour les catégories de nombre,

'Séparateur pour heures' (Time Separator) - séparateur pour le format heure.

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque export, vous pouvez utiliser l'outil de création des modèles.


Paramétrage de l'en-tête et du bas de page

Lors de cette étape, vous pouvez spécifier le texte qui sera affiché dans l'en-tête et dans le bas de page du fichier de destination.

Cette étape sera absente si vous avez sélectionné un format de fichier qui ne supporte pas les en-têtes et les bas de pages.

Indiquez le texte d'en-tête dans le champ 'Texte d'en-tête' (Header text).

Indiquez le texte de bas de page dans le champ 'Texte de bas de page' (Footer text).

Ce texte sera affiché sur chaque page du fichier de destination.

Vous pouvez ajouter le texte de la requête dans l'en-tête du fichier résultat (lors de l'export du résultat d'exécution d'une requête créée dans l'éditeur de requêtes et dans le constructeur graphique de requêtes). Pour cela, le bouton 'Ajouter le texte de la requête dans l'en-tête' (Add query text to Header) apparaît lors de cette étape.

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque export, vous pouvez utiliser l'outil de création des modèles.


Configuration des options de formats

L'ensemble d'options que vous pouvez configurer lors de la cinquième étape de l'assistant dépend du format sélectionné de fichier de destination.

Vous pouvez configurer les différentes propriétés lors de la cinquième étape pour les formats suivants :

Excel

Access

Word / RTF

HTML

PDF

TXT

CSV

XML

Excel 2007/ODS

Word 2007/ODT

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque export, vous pouvez utiliser l'outil de création des modèles.


Export vers Excel

Si les données seront exportées vers un fichier Excel, vous pouvez indiquer les propriétés suivantes lors de la cinquième étape de l'assistant :

  • le format de données sur l'onglet Format des données (Data format),
  • les extensions - sur l'onglet Extensions (Extensions),
  • les styles - sur l'onglet Avancé (Advanced).

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque export, vous pouvez utiliser l'outil de création des modèles.


Format de données

L'onglet 'Formats des données' (Data format) contient les outils nécessaires pour le formatage des cellules du fichier de destination.

Vous pouvez spécifier la police, l'alignement, les bordures pour tous les types de cellules (cellules avec des données, en-têtes, liens etc). Vous pouvez créer les styles que vous pouvez appliquer à tous les types de cellules.

Champs

Options

Styles

Si vous ne voulez pas configurer ces paramètres à chaque export, vous pouvez utiliser l'outil de création des modèles.


Champs

Vous pouvez spécifier un ensemble d'options visuelles pour chaque champ sur l'onglet 'Champs' (Fields).

Les outils permettant de configurer la police se trouvent sur l'onglet 'Police' (Font). Sélectionnez la police souhaitée à partir de la liste déroulante 'Police' (Font). Indiquez la taille ou sélectionnez une des tailles présentes dans la liste 'Taille' (Size). En utilisant les boutons ci-dessous, vous pouvez spécifier la couleur de la police, le dessin (gras, italique ou barré), le soulignement (mot à mot simple, pointillé simple, mot à mot double, pointillé double), l'alignement horizontal et l'alignement vertical.

Vous pouvez spécifier l'épaisseur et l'aspect des bordures sur l'onglet 'Bordures' (Borders).

Si vous cliquez sur le bouton [image], la bordure sera visible. Il y a des boutons séparés pour la bordure supérieure, inférieure, droite et gauche. Sélectionnez le type de la bordure à partir de la liste déroulante (simple, double, pointillé etc.). Vous pouvez spécifier la couleur de la bordure en cliquant sur le bouton [image].

Vous pouvez spécifier la coloration et la texture de la cellule sur l'onglet 'Motifs' (Fill).

Sélectionnez la couleur en cliquant sur le bouton [image] .

Sélectionnez la texture à partir de la liste déroulante.

Sélectionnez la couleur de la texture en utilisant le bouton

Vous pouvez spécifier une fonction de destination pour la colonne sur l'onglet 'Agrégat' (Aggregate). Donc vous pouvez rechercher les fonctions suivantes pour les données dans la colonne :

  • total - SUM,
  • moyenne arithmétique - AVG,
  • valeur minimale - MIN,
  • valeur maximale - MAX.

Vous pouvez voir toutes les modifications exécutées avec le champ, elles seront affichées sous la forme de modèle de texte dans la fenêtre qui se trouve en bas.

Afin d'annuler les modifications pour un seul champ ou pour tous les champs, utilisez les boutons 'Réinitialiser les éléments' (Reset Item) et 'Tout réinitialiser' (Reset All).


Options

Vous pouvez spécifier les options du texte supplémentaire sur l'onglet 'Options' (Options) :

  • EN-TÊTE - HEADER,
  • LIBELLÉ - CAPTION,
  • AGRÉGAT - AGGREGATE,
  • BAS DE PAGE - FOOTER,
  • LIEN HYPERTEXTE - HYPERLINK.

Les outils permettant de configurer la police se trouvent sur l'onglet 'Police' (Font). Sélectionnez la police souhaitée à partir de la liste déroulante 'Police' (Font). Indiquez la taille ou sélectionnez une des tailles présentes dans la liste 'Taille' (Size). En utilisant les boutons ci-dessous, vous pouvez spécifier la couleur de la police, le dessin (gras, italique ou barré), le soulignement (mot à mot simple, pointillé simple, mot à mot double, pointillé double), l'alignement horizontal et l'alignement vertical.

Vous pouvez spécifier l'épaisseur et l'aspect des bordures sur l'onglet 'Bordures' (Borders).

Si vous cliquez sur le bouton [image], la bordure sera visible. Il y a des boutons séparés pour les bordures supérieure, inférieure, droite et gauche.

Sélectionnez le type de la bordure à partir de la liste déroulante (simple, double, pointillé etc.). Vous pouvez spécifier la couleur de la bordure en cliquant sur le bouton [image] .

Vous pouvez spécifier la coloration et la texture de la cellule sur l'onglet 'Motifs' (Fill).

Sélectionnez la couleur en cliquant sur le bouton [image] .

Sélectionnez la texture à partir de la liste déroulante.

Sélectionnez la couleur de la texture en utilisant le bouton [image] .

Vous pouvez voir toutes les modifications exécutées avec le champ, elles seront affichées sous la forme de modèle de texte dans la fenêtre qui se trouve en bas.

Afin d'annuler les modifications pour un seul champ ou pour tous les champs, utilisez les boutons 'Réinitialiser les éléments' (Reset Item) et 'Tout réinitialiser' (Reset All).


Styles

Vous pouvez créer l'ensemble des styles et l'utiliser pour personnaliser l'aspect des champs et des colonnes.

Vous pouvez créer les styles sur l'onglet 'Styles' ( Styles ).

En utilisant les styles, vous pouvez personnaliser l'aspect de la table et initialiser les différentes couleurs pour les colonnes et pour les lignes.

Afin de créer un style, cliquez sur le bouton "+". Pour supprimer un style, cliquez sur le bouton "-".

Pour modifier l'ordre des styles, utilisez les boutons [image].

Pour charger les styles à partir du fichier et sauvegarder les styles dans un fichier, utilisez respectivement les boutons suivants 'Charger les styles' (Load Styles) et 'Sauvegarder les styles' (Save styles).

Le commutateur 'Appliquer les styles' (Strip style) permet d'initialiser les styles créés :

  • 'Aucune' (None) - ne pas appliquer,
  • 'Col' (Col) - appliquer aux colonnes,
  • 'Lig' (Row) - appliquer aux lignes.

Si vous créez un style et cochez 'Col' (Col) ou 'Lig' (Row) en utilisant le commutateur 'Appliquer les styles' (Strip style), le style sera appliqué à toute la table.

Si vous créez deux styles et cochez la case 'Col' (Col), le premier style sera appliqué aux colonnes impaires, le deuxième style sera appliqué aux colonnes paires.

Les outils de configuration de la police se trouvent sur l'onglet 'Police' (Font). Sélectionnez la police à partir de la liste déroulante 'Police' (Font). Indiquez la taille ou sélectionnez une des tailles présentes dans la liste 'Taille' (Size). En utilisant les boutons ci-dessous, vous pouvez spécifier la couleur de la police, le dessin (gras, italique ou barré), le soulignement (mot à mot simple, pointillé simple, mot à mot double, pointillé double), l'alignement horizontal et l'alignement vertical.

Vous pouvez spécifier l'épaisseur et l'aspect des bordures sur l'onglet 'Bordures' (Borders).

Si vous cliquez sur le bouton [image], la bordure sera visible. Il y a des boutons séparés pour les bordures supérieure, inférieure, droite et gauche.

Sélectionnez le type de la bordure à partir de la liste déroulante (simple, double, pointillé etc.). Vous pouvez spécifier la couleur de la bordure en cliquant sur le bouton [image].

Vous pouvez spécifier la coloration et la texture de la cellule sur l'onglet 'Motifs' (Fill).

Sélectionnez la couleur en cliquant sur le bouton [image] .

Sélectionnez la texture à partir de la liste déroulante.

Sélectionnez la couleur de la texture en utilisant le bouton [image] .

Vous pouvez voir toutes les modifications exécutées avec le champ, elles seront affichées sous la forme de modèle de texte dans la fenêtre qui se trouve en bas.

Afin d'annuler les modifications pour un seul champ ou pour tous les champs, utilisez les boutons 'Réinitialiser les éléments' (Reset Item) et 'Tout réinitialiser' (Reset All).


Extensions

L'onglet 'Extensions' (Extensions) permet de :

créer les liens dans les cellules - Liens hypertextes (Hyperlinks),

créer les notes pour n'importe quelle cellule du fichier de destination - Notes (Notes),

spécifier les propriétés des diagrammes - Diagrammes (Charts),

spécifier la valeur et le type d'une cellule - Cellules (Cells),

indiquer les cellules à fusionner - Cellules fusionnées (Merged Cells)

Tous ces objets sont représentés sous la forme de liste hiérarchique.

Afin de créer un objet, cliquez sur le bouton "+". Pour supprimer un objet, cliquez sur le bouton "-".

Si vous ne voulez pas configurer ces paramètres à chaque export, vous pouvez utiliser l'outil de création des modèles.


Liens hypertextes

Vous pouvez spécifier sur cet onglet les paramètres de création d'un lien hypertexte.

Note : si vous avez créé un lien hypertexte, son nom (que vous avez indiqué dans le champ Titre/Title) remplacera le contenu de la cellule pour laquelle vous avez créé le lien.

Propriétés du lien hypertexte :

Créez une cellule pour le lien hypertexte en utilisant les compteurs 'Col' (Col) et 'Lig' (Row). 'Col' (Col) est le numéro de la colonne, 'Lig' (Row) le numéro de la ligne.

Sélectionnez le type du lien dans la section 'Style' (Style) : URL - l'adresse internet, 'Fichier local' (Local file) - le fichier qui se trouve sur votre ordinateur où SQL Manager 2007 for MySQL est exécuté ou sur le réseau local.

Indiquez le nom du lien hypertexte dans le champ 'Titre' (Title).

Indiquez le chemin vers le fichier ou vers la page web dans le champ 'Cible' (Target).

Le bouton [image] permet de sélectionner un fichier qui se trouve sur l'ordinateur ou dans le réseau local.


Notes

Les notes sont les remarques sur les cellules stockées indépendamment du contenu de cette cellule. Les cellules avec les notes sont marquées par un triangle qui se trouve dans le coin supérieur droit. La note s'affiche si vous déplacez le pointeur sur la cellule marquée.

Afin de créer les notes pour les cellules du fichier de destination, utilisez l'onglet 'Notes' (Notes) qui se trouve sur l'onglet 'Extension' (Extension).

Créez une cellule pour le lien hypertexte en utilisant les compteurs 'Col' (Col) et 'Lig' (Row). 'Col' (Col) est le numéro de la colonne, 'Lig' (Row) le numéro de la ligne.

Saisissez le texte de la note dans le champ 'Texte' (Text).

Les outils de configuration de la police se trouvent sur l'onglet 'Police' (Font) :

Sélectionnez la police à partir de la liste déroulante 'Police' (Font). Indiquez la taille ou sélectionnez une des tailles présentes dans la liste 'Taille' (Size). En utilisant les boutons ci-dessous, vous pouvez spécifier la couleur de la police, le dessin (gras, italique ou barré), le soulignement (mot à mot simple, pointillé simple, mot à mot double, pointillé double), l'alignement horizontal et l'alignement vertical.

Sélectionnez l'orientation de texte pour la fenêtre de notes dans la section 'Orientation' (Orientation).

Vous pouvez spécifier l'aspect de l'arrière-plan de la fenêtre de note sur l'onglet 'Motifs' (Fill).

  • 'Solide' (Solid) - l'arrière-plan similaire,
  • 'Gradient' (Gradient) - le gradient de couleur d'arrière-plan sera utilisé,
  • 'Horizontal' (Horizontal) - horizontal,
  • 'Vertical' (Vertical) - vertical,
  • 'Diagonale vers le haut' (Diagonal Up) - diagonal_1,
  • 'Diagonal vers le bas' (Diagonal Down) - diagonal_2,
  • 'À partir du coin' (From Corner) - à partir du coin,
  • 'À partir du centre' (From Center) - à partir du centre.

Le bouton [image] permet de spécifier la couleur d'arrière-plan.

Le bouton [image] permet de spécifier la couleur de la texture.

En déplaçant le curseur 'Transparence' (Transparency) de 0% à 100%, vous pouvez régler la transparence de la fenêtre. 100% est le taux maximal de transparence.


Diagrammes

Vous pouvez créer un diagramme dans le fichier en sortie Microsoft Excel.

Pour cela, créez l'objet 'Diagramme' (Chart) sur l'onglet 'Extension' (Extensions).

Indiquez les propriétés générales du diagramme sur l'onglet 'Base' (Base).

Indiquez le nom du diagramme dans le champ 'Titre' (Title).

Sélectionnez le type de diagramme dans la liste déroulante 'Style' (Style). La liste contient les types standard des diagrammes tels que secteurs, histogrammes, nuages de points.

Indiquez l'emplacement de la légende dans la section 'Emplacement de la légende' (Legend position) :

  • 'Bas' (Bottom) - au-dessous du diagramme,
  • 'Coin' (Corner) - dans le coin,
  • 'Haut' (Top) - au-dessus du diagramme,
  • 'Droite' (Right) - à droite du diagramme,
  • 'Gauche' (Left) - à gauche du diagramme.

Si la case 'Afficher la légende' (Show legend) est cochée, la légende sera affichée.

Si la case 'Couleur automatique' (Auto color) est cochée, chaque section du diagramme sera marquée par sa propre couleur. Si la case n'est pas cochée, les sections seront de la même couleur.

Spécifiez l'emplacement du diagramme sur la feuille en utilisant l'onglet 'Position' (Position).

'Automatique' (Auto) :

Indiquez l'emplacement du diagramme par rapport aux données dans la section 'Emplacement' (Placement).

  • 'Bas' (Bottom) - au-dessous des données,
  • 'Droite' (Right) - à droite des données.

En utilisant les compteurs qui se trouvent au-dessous, indiquez la taille du diagramme en centimètres, la taille des marges gauche et supérieur en centimètres.

'Gauche' (Left) - le retrait gauche,

'Haut' (Top) - la marge supérieure,

'Hauteur' (Height) - la hauteur du diagramme

'Largeur' (Width) - la largeur du diagramme

Réglez la position absolue du diagramme dans la section 'Personnalisation' (Custom).

Sur l'onglet 'Labels de catégorie' (Category Labels), indiquez les lignes et les colonnes sur lesquelles il faut construire le diagramme.

Ouvrez la liste déroulante 'Colonne' (Column) et sélectionnez une colonne de la table qui sera l'axe des abscisses (X) dans le diagramme.

Indiquez le diapason des cellules à l'aide des compteurs dans la section 'Personnalisation' (Custom).

Afin de créer un diagramme, il vous faut créer l'objet 'Séries' (Series). Sans créer l'objet, il est impossible de construire le diagramme. Cet objet indique les valeurs qui seront marquées sur l'axe des ordonnées (Y) dans le diagramme. Vous pouvez créer plusieurs séries pour un diagramme.

Vous pouvez spécifier les propriétés des séries sur l'onglet spécial :

'Titre' (Title) - le nom de la série,

'Colonne' (Column) - la colonne de table, dont les valeurs constitueront une série.

Indiquez le diapason des cellules en utilisant les compteurs dans la section 'Personnalisation' (Custom).

Spécifiez la couleur de la série en cliquant sur le bouton [image] .


Cellules

Utilisez cet onglet pour spécifier le format de la cellule et la valeur se trouvant dans cette cellule.

Indiquez le numéro de la colonne dans le compteur 'Col' (Col), et le numéro de la ligne dans 'Lig' (Row). La cellule à modifier se trouve à l'intersection de ces champs.

Sélectionnez le type de la cellule dans la liste déroulante 'Type de cellule' (Cell type). Spécifiez la valeur de cette cellule dans le champ 'Valeur' (Value).

Indiquez sous quelle forme il faut afficher les données (si ce sont des données numériques ou au format date) dans la section 'Formats' (Formats).

Indiquez la forme sous laquelle il faut afficher les données de type date et de type heure dans le champs 'Données' (Data), indiquez le format des valeurs numériques dans le champ 'Numeric' (Numeric).

Les outils de configuration de la police se trouvent sur l'onglet 'Police' (Font) :

Sélectionnez la police nécessaire à partir de la liste déroulante 'Police' (Font). Indiquez la taille ou sélectionnez une des tailles présentes dans la liste 'Taille' (Size). En utilisant les boutons ci-dessous, vous pouvez spécifier la couleur de la police, le dessin (gras, italique ou barré), le soulignement (mot à mot simple, pointillé simple, mot à mot double, pointillé double), l'alignement horizontal et l'alignement vertical.

Vous pouvez spécifier l'épaisseur et l'aspect des bordures sur l'onglet 'Bordures' (Borders).

Si vous cliquez sur le bouton [image], la bordure sera visible. Il y a des boutons séparés pour la bordure supérieure, inférieure, droite et gauche.

Sélectionnez le type de la bordure à partir de la liste déroulante (simple, double, pointillé etc.). Vous pouvez spécifier la couleur de la bordure en cliquant sur le bouton [image].

Vous pouvez spécifier la coloration et la texture de la cellule sur l'onglet 'Motifs' (Fill).

Sélectionnez la couleur en cliquant sur le bouton [image] .

Sélectionnez la texture à partir de la liste déroulante.

Sélectionnez la couleur de la texture en utilisant le bouton


Cellules fusionnées

En utilisant l'ensemble d'outils de la section 'Cellules fusionnées' (Merged Cells), vous pouvez fusionner les cellules dans le document en sortie.

Vous pouvez créer plusieurs cellules fusionnées si nécessaire. Pour cela, il vous faut créer plusieurs objets 'Cellules fusionnées' (Merged Cells) sur l'onglet Extensions (Extensions).

Spécifiez les cellules qu'il faut fusionner en utilisant les compteurs :

  • 'Première colonne' (First col) - la première colonne,
  • 'Première ligne' (First row) - la première ligne,
  • 'Dernière colonne' (Last col)- la dernière colonne,
  • 'Dernière ligne' (Last row) - la dernière ligne.


Avancé

Vous pouvez spécifier les propriétés générales de la page sur l'onglet 'Avancé' (Advanced) :

  • l'en-tête de page - dans le champ 'En-tête de page' (Page header),
  • la bas de page - dans le champ 'Bas de page' (Page footer),
  • le titre de la cellule - dans le champ 'Titre de la cellule' (Sheet title),
  • le fond de la page - dans la liste déroulante 'Fond de la page' (Page background).

Si la case 'Calculer automatiquement la taille des colonnes' (Calculate column width automatically) est cochée, la largeur des colonnes se calcule automatiquement conformément aux dimensions du champ.

Si vous ne voulez pas configurer ces paramètres à chaque export, vous pouvez utiliser l'outil de création des modèles.


Exporter vers Access

Si vous exportez les données vers Access, il vous faut indiquer les options de la table lors de la cinquième étape de l'assistant. Indiquez le nom de la table dans le champ 'Nom de la table' (Table name). Si la table indiquée n'existe pas, vous pouvez la créer en cochant la case 'Créer une nouvelle table si non existante' (Create new table if it does not exist).

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque export, vous pouvez utiliser l'outil de création des modèles.


Exporter vers Word / RTF

Si vous exportez les données vers Microsoft Word, vous pouvez indiquer les propriétés suivantes du fichier en sortie :

  • Styles de base
  • Styles

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque export, vous pouvez utiliser l'outil de création des modèles.


Styles de base

Vous pouvez indiquer les propriétés générales du fichier en sortie sur l'onglet 'Styles de base' (Base Styles).

Sélectionnez l'objet pour lequel vous voulez spécifier les propriétés à partir de la liste :

EN-TÊTE - HEADER,

INTITULÉ - CAPTION,

BAS DE PAGE - FOOTER,

LIEN HYPERTEXTE - HYPERLINK.

Spécifiez l'orientation de page dans la section 'Orientation de la page' (Page orientation) :

Portrait - Portrait,

Landscape - Paysage.

Sélectionnez la police à partir de la liste déroulante 'Police' (Font). Indiquez la taille ou sélectionnez une des tailles présentes dans la liste 'Taille' (Size). En utilisant les boutons ci-dessous, vous pouvez spécifier la couleur de la police, le dessin (gras, italique ou barré), le soulignement (mot à mot simple, pointillé simple, mot à mot double, pointillé double), l'alignement horizontal et l'alignement vertical.

Sélectionnez la couleur d'arrière-plan en cliquant sur le bouton [image] .

Si la case 'Arrière-plan' (Background) est cochée, la couleur d'arrière-plan sera affichée dans le fichier en sortie.

Le bouton [image] permet de sélectionner la couleur pour surligner le texte. Si vous avez coché la case 'Surligné' (Highlight), le texte sera surligné avec la couleur sélectionnée dans le fichier en sortie.

Vous pouvez voir toutes les modifications exécutées avec le champ dans la fenêtre ci-dessous. Les modifications sont affichées sous la forme de modèle de texte.

Afin d'annuler les modifications pour un seul champ ou pour tous les champs, utilisez les boutons 'Réinitialiser les éléments' (Reset Item) et 'Tout réinitialiser' (Reset All).


Styles

Vous pouvez créer l'ensemble des styles et l'utiliser pour personnaliser l'aspect des colonnes et des lignes.

Vous pouvez créer les styles sur l'onglet 'Styles' ( Styles ).

En utilisant les styles, vous pouvez personnaliser l'aspect de la table et initialiser les différentes couleurs pour les colonnes et les lignes.

Afin de créer un style, cliquez sur le bouton "+". Pour supprimer le style, cliquez sur le bouton "-". Pour modifier l'ordre des styles utilisez les boutons [image].

Pour charger les styles à partir du fichier et sauvegarder les styles dans un fichier, utilisez les boutons suivants : 'Charger les styles' (Load Styles) et 'Sauvegarder les styles' (Save styles).

Le commutateur 'Appliquer les styles' (Strip style) permet d'initialiser les styles créés :

  • 'Aucune' (None) - ne pas appliquer,
  • 'Col' (Col) - appliquer aux colonnes,
  • 'Lig' (Row) - appliquer aux lignes.

Si vous créez un style et cochez 'Col' (Col) ou 'Lig' (Row) en utilisant le commutateur 'Appliquer les styles' (Strip style), le style sera appliqué à toute la table.

Si vous créez deux styles et cochez la case 'Col' (Col), le premier style sera appliqué aux colonnes impaires, le deuxième style sera appliqué aux colonnes paires.

Sélectionnez la police à partir de la liste déroulante 'Police' (Font). Indiquez la taille ou sélectionnez une des tailles présentes dans la liste 'Taille' (Size). En utilisant les boutons ci-dessous, vous pouvez spécifier la couleur de la police, le dessin (gras, italique ou barré), le soulignement (mot à mot simple, pointillé simple, mot à mot double, pointillé double), l'alignement horizontal et l'alignement vertical.

Sélectionnez la couleur d'arrière-plan en cliquant sur le bouton [image] .

Si la case 'Arrière-plan' (Background) est cochée, la couleur d'arrière-plan sera affichée dans le fichier en sortie.

Le bouton [image] permet de sélectionner la couleur pour surligner le texte. Si vous avez coché la case 'Surligné' (Highlight), le texte de fichier en sortie sera surligné avec la couleur que vous avez sélectionnée.

Vous pouvez voir toutes les modifications exécutées avec le champ dans la fenêtre ci-dessous. Les modifications sont affichées sous la forme de modèle du texte.

Afin d'annuler les modifications pour un seul champ ou pour tous les champs, utilisez les boutons 'Réinitialiser les éléments' (Reset Item) et 'Tout réinitialiser' (Reset All).


Exporter vers HTML

Si vous exportez les données vers HTML, vous pouvez spécifier les propriétés suivantes du fichier en sortie :

  • l'aspect de la table du fichier en sortie à partir des formats présentés sur l'onglet Prévisualiser (Preview),
  • les propriétés générales du fichier en sortie sur l'onglet Basic (Basic),
  • les propriétés du document multi-page sur l'onglet Multi-fichiers (Multi-file),
  • la police et le format des cellules de la table sur l'onglet Avancé (Advanced).

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque export, vous pouvez utiliser l'outil de création des modèles.


Aperçu

Vous pouvez spécifier l'aspect de la table de données sur l'onglet 'Prévisualisation' (Preview).

Vous pouvez sélectionner un modèle déjà present dans la liste déroulante 'Modèle' (Template). Dans la fenêtre de prévisualisation, vous pouvez voir l'aperçu de la table de résultat avec le modèle de présentation appliquée.

Afin de modifier le modèle, il vous fait cliquer sur n'importe quel élément dans la fenêtre de prévisualisation. Quand vous cliquez sur l'élément, la palette standard apparaît. Vous pouvez y sélectionner la couleur nécessaire pour cet élément.

Vous pouvez modifier la couleur du texte, du fond d'écran et des différents types des liens hypertexte.

Vous pouvez enregistrer les modifications apportées en tant que modèle en utilisant le bouton 'Sauvegarder le modèle'

(Save template). Dans ce cas, vous pourrez utiliser le modèle déjà prêt lors de l'export postérieure. Il vous faut seulement le charger en cliquant sur le bouton 'Charger le modèle' (Load template).


Basic

Spécifiez les propriétés du fichier en sortie sur l'onglet 'Basic' (Basic).

Indiquez le nom du fichier HTML en sortie dans le champ 'Titre' (Title). Il correspond par défaut au nom de l'objet exporté.

Sélectionner l'emplacement de stockage de la tables des styles dans la section 'Options CSS' (Cascade style sheet options). Si vous cochez 'Interne' (Internal), les styles seront stockées dans le fichier HTML en sortie. Si vous cochez 'Externe' (External), un fichier à part au format *.css sera créé pour la table des styles. Dans le champ 'Fichier CSS' (CSS file name), indiquez le nom du fichier CSS, puis choisissez l’emplacement pour enregistrer le fichier. Pour cela utilisez le bouton [image] . Si la case 'Surcharger le fichier CSS s'il existe' (Overwrite CSS file if it exist) est cochée, le fichier actuel sera remplacé par un nouveau fichier CSS lors de la création de celui-ci.

En cochant la case 'Exporter les champs booléens en tant que case à cocher HTML' (Export boolean fields as HTML check boxes), vous indiquez que tous les champs de la table qui ont le format booléen/boolean seront affichés sous la forme de cases à cocher dans le fichier en sortie.


Multi-fichiers

SQL Manager 2007 for MySQL permet d'exporter des tables contenant un très grand nombre d'enregistrements. Pour parcourir facilement les tables avec ce grand nombre d'enregistrements dans le fichier HTML en sortie, indiquez lors d'exportation que le fichier en sortie sera multipage, puis indiquez le nombre de lignes sur chaque page.

Spécifiez les paramètres du document multipage en sortie dans la section 'Export multi-fichiers' (Multi-file export) :

  • cochez la case 'Utiliser l'export multi-fichier' (Use Multi-file export) pour indiquer que le document HTML créé sera multipage,
  • dans le compteur 'Enregistrement(s) dans un seul fichier' (Record(s) in a single file), indiquez le nombre d'enregistrements à afficher sur chaque page,
  • si la case 'Générer un index' (Generate index) est cochée, la page de contenu sera créée. Tous les liens vers les pages avec les données y seront stockés.
  • indiquez dans le champ le nom de la page qui sera affiché dans le contenu à côté du numéro de la page.

Le document HTML multipage permet de passer d'une page à l'autre, et permet aussi de passer au contenu.

Spécifiez les propriétés des éléments de navigation de gestion dans la section 'Navigation' (Navigation). Ce sont les éléments qui permettent de passer d'une page de document vers une autre. La navigation dans le document multipage est assurée à l'aide des liens qui sont rangés en une seule ligne. Vous pouvez mettre cette ligne :

  • en haut de page - pour cela, cochez la case 'Au-dessus' (On top),
  • en bas de page - pour cela, cochez la case 'En dessous' (On bottom).

Indiquez le texte des liens dans les champs texte :

  • 'Lien de l'index' (Index link) - le texte du lien sur la page de contenu,
  • 'Premier lien' (First link) - le texte du lien sur la première page avec les données,
  • 'Lien précédent' (Prior link) - le texte du lien sur la page précédente avec les données,
  • 'Lien suivant' (Next link) - le texte du lien sur la page suivante avec les données,
  • 'Dernier lien' (Last link) - le texte du lien sur la dernière page avec les données.


Avancé

Vous pouvez spécifier l'aspect du fichier en sortie grâce à l'onglet 'Avancé' (Advanced).

Spécifiez les options pour toute la page dans la section 'Options du BODY' (Body options) :

  • 'Police par défaut' (Default font) - la police de toutes les pages du fichier en sortie,
  • 'Fond' (Background) - le fond du document (vous pouvez choisir n'importe quelle image en tant que fond en utilisant le bouton [image]),
  • 'Attributs avancés' (Advanced attributes) - les attributs de l'aspect de la page

Spécifiez certaines propriétés de la table de données dans la section 'Options de la table' (Table Options) :

  • le compteur 'Remplissage des cellules' (Cell padding) - l'alinéa de la cellule,
  • 'Espacement des cellules' (Cell spacing),
  • 'Bordure' (Border) - la bordure extérieure de la table
  • 'Fond' (Background) - le fond de la table (vous pouvez choisir n'importe quelle image en tant que fond en utilisant le bouton [image]),
  • 'Attributs avancés' (Advanced attributes) - les attributs de l'aspect de la table.


Exporter vers PDF

Si vous exportez les données vers PDF, il vous faut indiquer les propriétés suivantes lors de la cinquième étape de l'assistant :

Dans la liste, sélectionnez l'objet pour lequel il faut spécifier le type de police :

l'en-tête - 'Police d'en-tête' (Header font),

l'intitulé - 'Police de l'intitulé' (Caption font),

les liens hypertextes - 'Lien hypertexte' (Hyperlink).

le bas de page - 'Police de bas de page' (Footer font).

Sélectionnez la police à partir de la liste déroulante 'Nom de la police de base' (Base font name). Sélectionnez l'encodage à partir de la liste 'Codage de la police' (Font encoding). Spécifiez la taille de la police dans le compteur 'Taille de la police' (Font size). Spécifiez la couleur de la police en utilisant le bouton [image].

Vous pouvez voir toutes les modifications exécutées avec l'objet dans le champ "EXEMPLE" ("SAMPLE"). Les modifications sont affichées sous la forme de modèle de texte.

Spécifiez les propriétés de la page dans la section 'Options de la page' (Page options) :

  • sélectionnez la taille de la page dans la liste déroulante 'Taille de la page' (Page size). La taille par défaut est A4,
  • indiquez la largeur de la page en utilisant le compteur 'Largeur' (Width),
  • indiquez la hauteur en utilisant le compteur 'Hauteur' (Height),
  • la liste déroulante 'Unités' (Units) contient les unités de mesure pour indiquer la taille de la page,
  • sélectionnez l'orientation de la page dans la liste déroulante 'Orientation' (Orientation) : Portrait/Portrait - Paysage/Landscape.

Vous pouvez spécifier la taille des champs de la page sur l'onglet 'Marges' (Margins).

  • 'Gauche' (Left) - la marge gauche du champ,
  • 'Droit' (Right) - la marge droite du champ,
  • 'Haut' (Top) - la marge haute du champ,
  • 'Bas' (Bottom) - la marge basse du champ.

Vous pouvez spécifier certaines propriétés de la table dans la section 'Options de la grille' (Grid options) :

'Espacement colonne' (Col spacing) - le nombre d'espaces pour l'alignement de la colonne,

'Espacement ligne' (Row spacing) - le nombre d'espaces pour l'alignement de la ligne,

'Largeur de la ligne' (Line width) - la largeur des lignes de la table.

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque export, vous pouvez utiliser l'outil de création des modèles.


Exporter vers TXT

Si vous exportez les données vers le format texte, il vous faut indiquer les propriétés suivantes lors de la cinquième étape de l'assistant :

  • la largeur des colonnes sera calculée automatiquement dans le fichier en sortie si vous cochez la case 'Calculer la largeur de la colonne' (Calculate column width),
  • spécifiez l'espacement entre les cellules en utilisant le compteur 'Espacement' (Spacing).

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque export, vous pouvez utiliser l'outil de création des modèles.


Exporter vers CSV

Si vous exportez les données vers le fichier au format CSV, il vous faut indiquer les propriétés suivantes lors de la cinquième étape de l'assistant :

  • chaque valeur qui se trouve dans la cellule sera mise entre les guillemets si vous cochez la case 'Mettre les chaînes entre guillemets' (Quote strings) ; sélectionnez le type des guillemets (simples ou doubles) à partir de la liste déroulante 'Guillemet' (Quote) ;
  • sélectionnez le séparateur des colonnes dans la liste déroulante 'Virgule' (Comma).

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque export, vous pouvez utiliser l'outil de création des modèles.


Exporter vers XML

Si vous exportez les données vers le fichier au format XML, il vous faut indiquer les propriétés suivantes lors de la cinquième étape de l'assistant :

  • sélectionnez le codage dans la liste déroulante 'Codage' (Encoding),
  • cochez la case 'Autonome' (Standalone), si vous voulez utiliser le codage autonome.

Sélectionnez dans la liste déroulante 'Type XML' (XML type) le type XML utilisé. Si le type 'Access' (Access) est choisi, vous pouvez cocher la case 'Exporter le schéma XSD' (Export XSD Schema) pour exporter le schéma XSD.

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque export, vous pouvez utiliser l'outil de création des modèles.


Exporter vers Excel 2007/ODS

Si vous exportez les données vers un fichier au format Excel 2007 ou ODS, vous pouvez spécifier les paramètres d'affichage lors de la cinquième étape de l'assistant.

Spécifiez les paramètres de la présentation des sections standard du fichier sur l'onglet 'Styles de base' (Base Style). Vous pouvez modifier les sections suivantes :

  • 'EN-TÊTE' (HEADER),
  • 'INTITULÉ' (CAPTION),
  • 'DONNÉS' (DATA),
  • 'BAS DE PAGE' (FOOTER).

Vous pouvez spécifier une couleur différente pour les colonnes et les lignes sur l'onglet 'Styles' (Strip Styles).

Afin de créer un style, cliquez sur le bouton "+". Pour supprimer le style, cliquez sur le bouton "-". Pour modifier l'ordre des styles, utilisez les boutons [image].

Pour charger les styles à partir du fichier et sauvegarder les styles dans un fichier, utilisez respectivement les boutons suivants 'Charger les styles' (Load Styles) et 'Sauvegarder les styles' (Save styles).

Le commutateur 'Appliquer les styles' (Strip style) permet d'initialiser les styles créés :

  • 'Aucune' (None) - ne pas appliquer,
  • 'Col' (Col) - appliquer aux colonnes,
  • 'Lig' (Row) - appliquer aux lignes.

Si vous créez un style et cochez 'Col' (Col) ou 'Lig' (Row) en utilisant le commutateur 'Appliquer les styles' (Strip style), le style sera appliqué à toute la table.

Si vous créez deux styles et cochez la case 'Col' (Col), le premier style sera appliqué aux colonnes impaires, le deuxième style sera appliqué aux colonnes paires.

Pour chaque style standard ou créé, vous pouvez spécifier les propriétés suivantes :

  • Spécifiez les propriétés de la police du style modifié sur l'onglet 'Police' (Font).

Sélectionnez une police à partir de la liste déroulante 'Police' (Font). Indiquez la taille ou sélectionnez une des tailles présentes dans la liste 'Taille' (Size). En utilisant les boutons ci-dessous, vous pouvez spécifier la couleur de la police, le dessin (gras, italique ou barré), l'alignement horizontal et l'alignement vertical.

Pour que le bouton spécial [image] permettant d'afficher la fenêtre de choix de la couleur apparaisse, cochez la case 'Fond'

(Background). Si vous voulez que le texte dans les cellules soit coupé mot par mot, cliquez sur le bouton 'Retour à la ligne' (Wrap text).

  • Spécifiez les paramètres des bordures sur l'onglet 'Bordures' (Border) :

Si vous voulez spécifier les paramètres spéciales pour les bordures des cellules, cochez la case 'Utiliser la bordure' (Use Border).

Spécifiez la couleur de la bordure en cliquant sur le bouton [image] - 'Couleur bordure' (Border Color). Sélectionnez le type de la bordure (simple, double, pointillé, etc.) dans la liste déroulante 'Style de la bordure' (Border Style).


Exporter vers Word 2007/ODT

Si vous exportez les données vers le fichier au format Word 2007 ou ODT, vous pouvez spécifier les paramètres d'affichage du texte lors de la cinquième étape de l'assistant.

Spécifiez les paramètres de la présentation des sections standard du fichier sur l'onglet 'Styles de base' (Base Style). Vous pouvez modifier les sections suivantes :

  • 'EN-TÊTE' (HEADER),
  • 'INTITULÉ' (CAPTION),
  • 'DONNÉS' (DATA),
  • 'BAS DE PAGE' (FOOTER).

Sélectionnez les propriétés de la police du champ modifié sur l'onglet 'Police' (Font). Sélectionnez la police à partir de la liste déroulante 'Police' (Font). Indiquez la taille ou sélectionnez une des tailles présentes dans la liste 'Taille' (Size). En utilisant les boutons ci-dessous, vous pouvez spécifier la couleur de la police, le dessin (gras, italique ou barré), l'alignement horizontal et l'alignement vertical.

Pour que le bouton spécial [image] permettant d'afficher la fenêtre de choix de la couleur apparaisse, cochez la case 'Fond' (Background). Si vous avez coché la case 'Surligné' (Highlight), vous pouvez sélectionner la couleur à partir de la liste déroulante pour surligner le texte.

Vous pouvez spécifier une couleur différente pour les colonnes et les lignes sur l'onglet 'Styles' (Strip Styles).

Afin de créer un style, cliquez sur le bouton "+". Pour supprimer le style, cliquez sur le bouton "-". Pour modifier l'ordre des styles, utilisez les boutons [image].

Pour charger les styles à partir du fichier et pour sauvegarder les styles dans un fichier, utilisez les boutons suivants : 'Charger les styles' (Load Styles) et 'Sauvegarder les styles' (Save styles).

Le commutateur 'Appliquer les styles' (Strip style) permet d'initialiser les styles créés :

  • 'Aucune' (None) - ne pas appliquer,
  • 'Col' (Col) - appliquer aux colonnes,
  • 'Lig' (Row) - appliquer aux lignes.

Si vous créez un style et cochez 'Col' (Col) ou 'Lig' (Row) en utilisant le commutateur 'Appliquer les styles' (Strip style), le style sera appliqué à toute la table.

Si vous créez deux styles et cochez la case 'Col' (Col), le premier style sera appliqué aux colonnes impaires, le deuxième style sera appliqué aux colonnes paires.

Pour chaque style standard ou créé, vous pouvez spécifier les propriétés suivantes.

Spécifiez les paramètres des bordures sur l'onglet 'Bordures' (Border) :

Si vous voulez spécifier les paramètres spéciaux pour les bordures des cellules, cochez la case 'Utiliser la bordure' (Use Border).

Spécifiez la couleur de la bordure en cliquant sur le bouton [image] - 'Couleur bordure' (Border Color). Sélectionnez le type de la bordure (simple, double, pointillé etc.) dans la liste déroulante 'Style de la bordure' (Border Style).


Configuration des options générales d'export

Lors de la dernière étape de l'assistant, vous pouvez spécifier les propriétés générales d'export de données.

Si vous cochez la case 'Exporter les tables vides' (Export empty tables), la table vide peut être exportée dans le fichier.

'Passer n enregistrements' (Skip n records) - passer n enregistrements. Si vous indiquez 0 dans le compteur, tous les enregistrements seront exportés. Si la valeur indiquée est plus grande que zéro, les n premiers enregistrements seront passés.

Pour exporter tous les enregistrements, cochez la case 'Exporter tous les enregistrements' (Export all records).

Pour exporter le nombre d'enregistrements indiqué seulement, utilisez le compteur 'Exporter seulement n enregistrements' (Export only n records).

Afin d'ouvrir le fichier après l'export, cochez la case 'Ouvrir le fichier après l'export' (Open file after export).

Afin d'imprimer le fichier après l'export, cochez la case 'Imprimer le fichier après l'export' (Print file after export).

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque export, vous pouvez utiliser l'outil de création des modèles.


Résultats

Après avoir spécifié toutes les options nécessaires lors des étapes précédentes de l'assistant, cliquez sur le bouton 'Terminer' (Finish) afin d'exécuter l'opération.

Cette fenêtre affiche les informations suivantes sur l'opération :

  • 'Exporté' (Exported) - le nombre d'enregistrements exportés,
  • 'Temps' (Time) - le temps d'export des données,
  • 'Vitesse' (Speed) - la vitesse d'export des données.

Si la case 'Fermer l'assistant en cas de succès' (Close the Wizard after successful completion) est cochée, l'assistant sera fermé automatiquement après l'exécution réussie de l'opération. Si la case n'est pas cochée, après l'exécution, vous pouvez retourner et spécifier de nouveau les paramètres d'opération.

Si vous ne voulez pas configurer ces paramètres à chaque export, vous pouvez utiliser l'outil de création des modèles.


Assistant d'import de données

L'assistant d'import de données (Import Data Wizard) permet d'importer des données vers une table, une vue ou un résultat de la requête à partir des fichiers des formats les plus populaires.

Vous pouvez exécuter l'import de données en utilisant les éditeurs contenant les onglets 'Données' (Data) ou 'Résultats' (Results). Ce sont l'éditeur de tables, l'éditeur de vues, l'éditeur de requêtes et le constructeur graphique de requêtes.

Vous pouvez ouvrir cet outil en utilisant le bouton 'Importer les données' (Import Data) qui se trouve sur la barre de navigation 'Gestion des données' (Data Management) et sur la barre d'outils.

Le bouton est disponible si le visualisateur de données est ouvert dans l'éditeur, c'est-à-dire sur l'onglet 'Données' (Data) ou 'Résultats' (Results).

Cette commande se trouve dans le menu contextuel des objets de table et de vue, dans l'explorateur de bases et dans le sous-menu de l'élément 'Manipulation des données' (Data Manipulation).

Configuration du nom et du format du fichier de destination

Sélection de la source de données

Configuration de la correspondance des champs

Configuration des formats de données

Définition des formats avancés de données

Réglage du mode d'importation

Personnalisation des options générales

Résultats

Utilisation des modèles

Exportation de données

Export de données en tant qu'instruction INSERT

Importation en bloc

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Non


Configuration de nom et de format du fichier

Lors de la première étape de l'assistant d'import de données, il vous faut indiquer le type du fichier à partir duquel vous voulez importer les informations et le chemin vers ce fichier.

'Type d'import' (Import type)

Sélectionnez le type du fichier parmi les types disponibles en utilisant le compteur :

  • MS Excel,
  • MS Access,
  • DBF,
  • XML,
  • TXT,
  • CSV,
  • HTML,
  • XML Document
  • MS Excel 2007
  • MS Word 2007
  • ODF Spreadsheets
  • ODF Text

Vous pouvez indiquer les propriétés supplémentaires pour le fichier au format CSV :

  • sélectionner le type des guillemets (simples ou doubles) à partir de la liste déroulante 'Guillemet' (Quote)
  • sélectionner le délimiteur des colonnes à partir de la liste déroulante 'Délimiteur' (Delimiter).

Indiquez le chemin vers le fichier source dans la ligne 'Nom du fichier source' (Source file name). Cliquez sur le bouton [image] . La fenêtre de dialogue standard s'ouvre, vous pouvez y sélectionner le fichier.

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


Sélection de la source de données

Cette étape est disponible si vous importez les données à partir de la base de données MS Access.

Lors de cette étape, il vous faut sélectionner la table ou la requête de la base de données Access, ou créer une nouvelle requête vers une base de données dans l'éditeur de requêtes. Le texte de la requête peut être téléchargé à partir du fichier. Pour cela, utilisez le bouton 'Charger à partir du fichier' (Load from file). Pour sauvegarder le fichier, cliquez sur le bouton 'Sauvegarder dans le fichier' (Save to File).

Pour avoir la possibilité de sélectionner la table ou la requête de la base de données pour l'import, cochez le bouton radio 'Je voudrais importer les données à partir d'une table' (I would like to import data from a table).

Si vous cochez la case 'Je voudrais importer les données à partir d'une requête SQL' (I would like to import data from a SQL query), dans l'éditeur de requêtes, vous pouvez créer le texte de la requête vers la base de données.

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


Configuration de la correspondance des champs

Lors de l'import de données dans la table, il vous faut configurer la correspondance des champs entre la table dans laquelle il faut importer les données et la table à partir de laquelle les données seront exportées.

Toutes les opérations permettant de configurer la correspondance s'exécutent lors de la deuxième étape de l'assistant et lors de la troisième étape si vous importez les données à partir de MS Access (à cause de l'étape supplémentaire).

Chaque format de fichiers a ses propres particularités de réglage des correspondances :

Excel

Access, DBF, XML

TXT

CSV

HTML

XML Document

MS Excel 2007/ODF Spreadcheets

Word 2007/ODF Text

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


Excel

Lors de cette étape de l'assistant, il vous faut régler la correspondance entre les colonnes avec les données dans le classeur MS Excel et les champs dans la table.

La liste des champs de la table dans laquelle les données sont importées s'affiche à gauche dans la liste 'Champs' (Fields). Le fragment du document MS Excel importé s'affiche dans la partie droite.

La correspondance configurée entre les champs de la table de la base de données et les colonnes de la table Excel s'affiche dans la liste 'Plages' (Ranges). Vous pouvez régler automatiquement la correspondance et la supprimer en utilisant les boutons suivants.

Le bouton [image] permet de régler automatiquement la correspondance entre les champs et les colonnes,

Le bouton [image] permet de régler automatiquement la correspondance entre le champ et la ligne,

Le bouton [image] permet de supprimer une correspondance,

Le bouton [image] permet de supprimer toutes les correspondances.

Indiquez les lignes et/ou les colonnes qui ne seront pas importées dans la section 'Passer' (Skip). Cette fonction est utilisée pour exclure les en-têtes à partir des données exportées.

Dans le compteur Colonne(s) / Col(s), indiquez le nombre de colonnes à exclure en commençant par la première colonne. Indiquez le nombre de lignes à exclure dans le compteur Ligne(s) / Row(s).

Pour ouvrir l'objet à modifier dans la liste 'Plages' (Ranges), double cliquez sur cet objet avec la souris.

Spécifiez le type de plage dans la section 'Type de plage' (Range Type).

Dans la liste déroulante, vous pouvez sélectionner le type nécessaire - les lignes Ligne/Row ou les colonnes Col/Col. Sélectionnez le début de la plage à partir de la liste qui se trouve à côté.

Spécifiez les paramètres du début et de la fin de plage dans les sections 'Début' (Start) et 'Fin' (Finish).

Vous pouvez le faire automatiquement en cochant la case 'Commencer à partir de' (Where data started) pour le début et 'Terminer après' (Where data Finished) pour la fin de la plage. Vous pouvez indiquer manuellement le numéro de la ligne ou le numéro de la colonne dans les compteurs 'Ligne de début' (Start Row) et 'Ligne de fin' (Finish Row).

Indiquez la direction de la lecture des données en utilisant le commutateur 'Direction' (Direction).

  • En haut (Down),
  • En bas (Up).

Vous pouvez indiquer la feuille dans le classeur Microsoft Excel, où se trouvent les données nécessaires. Si vous sélectionnez 'Feuille par défaut' (Default Sheet) dans la section 'Feuille' (Sheet), les données de la première feuille seront utilisées. Si vous cochez le bouton radio 'Feuille personnalisée' (Custom Sheet), vous pouvez indiquer le numéro de feuille 'Numéro de feuille' (Sheet number) ou indiquer le nom de feuille 'Nom de feuille' (Sheet name).

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


Access, DBF, XML

Cette étape est identique pour les formats Access, DBF et XML.

Tous les champs de la table dans laquelle les données sont importées s'affichent dans la liste 'Champs de destination' (Destination Fields). Tous les champs de la table à partir de laquelle les données sont importées s'affichent dans la liste 'Champs de source' (Source Fields).

Spécifiez les correspondances entre les champs en utilisant les boutons qui se trouvent entre les listes. Ils s'affichent dans la liste des correspondances qui se trouve dans la partie inférieure de la fenêtre.

Le bouton 'Ajouter' (Add) permet d'ajouter une nouvelle correspondance entre les champs sélectionnés dans la liste des correspondances.

Le bouton 'Remplissage automatique' (Auto Fill) permet de trouver automatiquement les champs correspondants de table source pour les champs de la table dans lesquels les données sont importées.

Afin de supprimer la correspondance sélectionnée, cliquez sur le bouton 'Supprimer' (Remove). Pour vider complètement la liste des correspondances, cliquez sur le bouton 'Effacer' (Clear).

La case supplémentaire 'Passer les enregistrements supprimés' (Skip deleted records) apparaît lors d'import de données à partir du fichier au format DBF. Lors d'import, vous pouvez ignorer les enregistrements à supprimer que vous avez marqué. Pour cela, cochez la case 'Passer les enregistrements supprimés' (Skip deleted records).

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


TXT

Lors de cette étape, il vous faut spécifier la correspondance entre les colonnes avec les données de document texte et les champs de la table.

La liste des champs de table dans laquelle les données seront exportées se trouve dans la partie gauche de la fenêtre. La correspondance des champs de la table et des colonnes du document texte s'affiche dans la même liste.

Le fragment du document texte source de données se trouve dans la partie droite de la fenêtre.

Dans le document texte, il n'y a pas de champs ou de colonnes, c'est pourquoi il vous faut spécifier manuellement les séparateurs des colonnes pour les fichiers texte dans SQL Manager 2007 for MySQL lors de l'import. Les séparateurs sont les lignes noires verticales qui séparent une colonne d'une autre. Par défaut, il n'y a pas de séparateurs dans le document. Pour ajouter un séparateur, double-cliquez avec la souris sur la maquette du document. Les séparateurs se trouvent entre les colonnes, avant la première colonne et après la dernière colonne. La taille de la colonne est déterminée par le nombre de caractères dans celle-ci. Pour cela, des règles spéciales sont prévues en haut et en bas de la maquette du document, chaque division de la règle correspond à un caractère.

Afin de configurer la correspondance entre les colonnes, il vous faut :

Sélectionner le champ dans la liste des champs. Sélectionner la colonne dans la maquette du document. Si la correspondance est déjà configurée, vous verrez deux chiffres à côté du nom du champ. La première chiffre est le numéro du caractère au commencement de la colonne, la deuxième chiffre indique le nombre de caractères dans la colonne.

Vous pouvez sélectionnez automatiquement les colonnes de données dans le document texte et établir les correspondances à l'aide du bouton 'Rempli' (Fill). Si vous voulez supprimer toutes les correspondances configurées, cliquez sur le bouton 'Effacer' (Clear).

En utilisant le compteur 'Passer les lignes' (Skip Lines), indiquez le nombre de premières lignes à ignorer lors de l'import. Ainsi vous pouvez exclure les en-têtes à partir des données importées.

Sélectionnez le jeu de caractères dans la liste déroulante 'Jeu de caractères' (Charset).

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


CSV

Pour que toutes les colonnes de données s'affichent correctement lors de la deuxième étape de l'assistant pendant l'import de données à partir du fichier au format CSV, il vous faut indiquer le séparateur des colonnes lors de la première étape de l'assistant.

La liste des champs de table dans laquelle les données seront importées se trouve dans la partie gauche de la fenêtre. La correspondance des champs de la table et des colonnes du document s'affiche dans la même liste.

Le fragment du document CSV s'affiche dans la partie droite. Toutes les colonnes y sont numérotées. La correspondance des colonnes est établie d'après le numéro de la colonne du document CSV.

Afin d'établir la correspondance d'un champ de table dans laquelle les données seront importées avec la colonne dans le document de source de données, il vous faut sélectionner un champ dans la liste des champs et sélectionner la colonne dans la maquette du document CSV ou sélectionner le numéro nécessaire de la colonne dans la liste 'Col' (Col). Si la correspondance est déjà établie, le numéro de colonne s'affiche en face de la colonne qui est mis en correspondance avec ce champ.

Le bouton [image] permet d'établir automatiquement la correspondance entre les champs et les colonnes.

Le bouton [image] permet d'effacer toutes les correspondances.

Afin d'exclure les en-têtes des colonnes à partir des données importées, indiquez le nombre de premières lignes à passer lors des imports. Vous pouvez le faire en utilisant le compteur 'Passer' (Skip).

Spécifiez le nombre de colonnes passées dans le champ Col(s).

Sélectionnez le codage à partir de la liste déroulante.

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


HTML

Lors de cette étape, il vous faut établir la correspondance entre les colonnes avec les données dans la table du fichier HTML et les champs dans la table de la base de données.

La liste des champs de table dans laquelle les données seront importées se trouve dans la partie gauche de la fenêtre dans la liste 'Champs' (Fields). Le fragment du document importé s'affiche dans la partie droite.

La liste 'Plages' (Ranges) affiche la correspondance établie entre les champs de table de la base de données et les colonnes du document importé.

Vous pouvez établir automatiquement cette correspondance ou la supprimer en utilisant des boutons spéciaux. Le bouton [image] permet d'établir automatiquement la correspondance entre les champs et les colonnes. Le bouton [image] permet d'effacer une correspondance. Le bouton [image] permet d'effacer toutes les correspondances.

Sélectionnez le numéro de la table à partir de laquelle vous voulez importer les données dans la liste déroulante 'Table' (Table). Vous pouvez utiliser cette option si le document HTML contient plusieurs tables, et non pas une seule table.

Indiquez le numéro de la colonne qui correspond au champ sélectionné de la table de la base de données à l'aide du compteur 'Col' (Col).

Indiquez les lignes et/ou les colonnes à sauter lors d'import dans la section 'Passer' (Skip). Ainsi vous pouvez exclure les en-têtes à partir des données importées.

La table avec les données du document (à partir duquel les données sont importées) est affichée dans la partie inférieure de la fenêtre.

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


XML Document

Lors de cette étape, il vous faut établir la correspondance entre les colonnes avec les données dans le document XML et les champs dans la table.

La liste des champs de la table dans laquelle les données seront importées se trouve dans la partie gauche de la fenêtre dans la liste 'Champs' (Fields). Le fragment du document importé XML Document s'affiche dans la partie droite.

Vous pouvez établir automatiquement cette correspondance ou la supprimer en utilisant des boutons spéciaux. Le bouton [image] permet d'établir automatiquement la correspondance entre les champs et les colonnes. Le bouton [image] efface une correspondance. Le bouton [image] efface toutes les correspondances.

En utilisant le compteur Col(s), indiquez le numéro d'ordre de la colonne qui correspond au champ de la table sélectionné dans 'Champ' (Fields).

Indiquez le nombre des lignes à exclure (à partir de la première ligne) dans le compteur 'Passer' (Skip).

Afin de remplir la table dans cette fenêtre par le texte des sous-noeuds, il vous faut indiquer le chemin dans le champ XPath conformément à la spécification XPath (http://www.w3.org/TR/xpath) et cliquer sur le bouton [image].

La table avec les données du document (à partir duquel les données sont importées) est affichée dans la partie inférieure de la fenêtre.

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


MS Excel 2007/ODF Spreadcheets

Lors de cette étape, il vous faut établir la correspondance entre les colonnes avec les données du document et les champs dans la table des bases de données.

La liste des champs de la table dans laquelle les données seront importées se trouve dans la partie gauche de la fenêtre dans la liste 'Champs' (Fields). Le fragment du document importé s'affiche dans la partie droite.

La correspondance établie entre les champs de la table de la base de données et les colonnes de la table Excel est affichée dans la liste 'Plages' (Ranges). Vous pouvez établir automatiquement cette correspondance ou la supprimer en utilisant les boutons spéciaux. Le bouton [image] permet d'établir automatiquement la correspondance entre les champs et les colonnes. Le bouton [image] efface une correspondance. Le bouton [image] efface toutes les correspondances.

Dans le champ Col, indiquez le nom de la colonne qui correspond au champ sélectionné de la table de la base de données. Indiquez les lignes qui ne seront pas importées en utilisant le compteur 'Passer' (Skip). Ainsi vous pouvez exclure les en-têtes à partir des données importées.

La table avec les données du document (à partir duquel les données sont importées) est affichée dans la partie inférieure de la fenêtre.

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


Word 2007/ODF Text

Lors de cette étape, il vous faut établir la correspondance entre les colonnes avec les données du document Word et les champs dans la table.

La liste des champs de la table dans laquelle les données seront importées se trouve dans la partie gauche dans la liste 'Champs' (Fields). Le fragment du document importé s'affiche dans la partie droite. Vous pouvez établir automatiquement cette correspondance ou la supprimer en utilisant les boutons spéciaux. Le bouton [image] permet d'établir automatiquement la correspondance entre les champs et les colonnes. Le bouton [image] efface une correspondance. Le bouton [image] efface toutes les correspondances.

Indiquez dans le champ 'Col' (Col) le numéro de la colonne qui correspond au champ sélectionné de la table de la base de données. Dans la section 'Passer' (Skip), indiquez les lignes et/ou les colonnes à ne pas importer. Ainsi vous pouvez exclure les en-têtes à partir des données importées.

La table avec les données du document (à partir duquel les données sont importées) est affichée dans la partie inférieure de la fenêtre.

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


Configuration des formats de données

Lors de cette étape, il vous faut indiquer le type d'affichage des données pour le fichier importé. L'aspect des données doit correspondre à l'affichage des données dans le fichier vers lequel les données sont exportées.

Spécifiez les formats d'affichage de la date et de l'heure dans la section 'Formats date && heure' (Date & Time formats).

  • Date courte (Short date),
  • Date longue (Long date),
  • Heure courte (Short time),
  • Heure longue (Long time).

Dans la section 'Séparateurs' (Separators), indiquez les symboles qui seront les délimiteurs des décades.

  • Décimal (Decimal),
  • Millier (Thousand),
  • Date (Date),
  • Temps (Time).

'Booléen True' (Boolean True) - saisissez dans ce champ le texte qui est affiché quand la valeur de la cellule est "vraie" (la valeur est "vraie" si les données de document coïncident avec les données dans ce champ),

'Booléen False' (Boolean False) - saisissez dans ce champ le texte qui sera affiché, si la valeur de la cellule est "fausse",

'Valeurs NULL' (Null Values) - saisissez dans ce champ le texte qui sera affiché, si la valeur de la cellule sera NULL

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


Configuration des formats avancés des champs

Sélectionnez le champ à partir de la liste 'Nom du champ' (Field name) et indiquez l'ensemble des propriétés du format de ce champ dans la section 'Formats' (Formats).

'Générateur des valeurs' (Generator value). Si le champ dans lequel les données sont importées a le type Identity, le générateur ne fonctionne pas.

'Valeur constante' (Constant value) - cette valeur que vous saisissez dans ce champ remplace toutes les valeurs dans la colonne.

'Valeur NULL' (Null value) - cette valeur est affichée dans la cellule si la valeur de cette cellule est Null après l'import,

Indiquez la valeur par défaut dans le champ 'Valeur par défaut' (Default Value).

Saisissez le guillemet gauche dans le champ 'Guillemet gauche' (Left quotation) et le guillemet droit dans le champ 'Guillemet droit' (Right quotation).

Indiquez dans le champ 'Action avec les guillemets' (Quotation action) l'action que vous pouvez appliquer aux guillemets entre lesquelles les données sont mises.

  • 'Tel quel' (As Is) - laisser les guillemets sans modifications,
  • 'Ajouter' (Add) - ajouter les guillemets,
  • 'Supprimer' (Remove) - supprimer les guillemets utilisés dans le fichier source.

Sélectionnez la casse des données texte à partir de la liste déroulante 'Casse des caractères' (Character case).

Sélectionnez le jeu de caractères à partir de la liste déroulante 'Jeu de caractères' (Charset).

Lors de cette étape de l'assistant, vous pouvez remplacer certaines valeurs dans un champ par d'autres valeurs en cours d'importation.

Vous pouvez spécifier les modifications dans la section 'Remplacement' (Replacement).

Vous pouvez remplacer le texte de la colonne plusieurs fois. Pour ajouter un nouveau paramètre de remplacement, cliquez sur le bouton [image] 'Ajouter un remplacement' (Add Replacement). Tous les paramètres s'affichent dans la liste. Celle-ci contient une colonne 'Texte à rechercher' (Text to find) avec les valeurs du texte qu'il faut remplacer, et la colonne 'Remplacer avec' (Replace With) avec le texte par lequel il vous faut remplacer les fragments indiqués. Si la case 'Ignorer la casse' (Ignore case) est cochée, le remplacement sera effectué sans tenir compte de la casse. Vous pouvez modifier les conditions du remplacement en utilisant le bouton [image] 'Modifier un remplacement' (Edit Replacement). Pour supprimer la condition du remplacement, cliquez sur le bouton [image] 'Supprimer un remplacement' (Delete Replacement).

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


Configuration du mode d'import

Le commutateur 'Mode import' (Import mode) permet de spécifier les enregistrements à importer dans la table.

'Insérer tout' (Insert all) - insérer tous les enregistrements,

'Insérer les nouveaux' (Insert new) - insérer seulement les nouveaux enregistrements,

'Mettre à jour' (Update) - mettre à jour les enregistrements,

'Mettre à jour et insérer' (Update or insert) - mettre à jour les enregistrements existants et insérer les nouveaux enregistrements,

'Supprimer' (Delete) - supprimer les enregistrements dont les valeurs de champ clé coïncident.

'Supprimer et insérer' (Delete or insert) - supprimer les enregistrements qui coïncident et coller les nouveaux enregistrements,

Indiquer le type d'import en utilisant le commutateur 'Type d'import' (Import type) :

'Commandes simples' (Single commands) - insérer à la ligne,

'Mode universel' (Universal mode),

'Insertion du batch' (Batch insert).

Ouvrez la section 'Colonnes clés' (Key columns) et sélectionnez le champ clé d'après lequel les champs de table et les champs de fichier source seront comparés.

Sélectionnez les champs disponibles à partir de la liste 'Colonnes disponibles' (Available columns). Déplacez les champs dans la liste des champs-clés 'Colonnes sélectionnées' (Selected columns) en utilisant les boutons.

Exemple :

Table dans une base de données

Données du fichier externe

Le champ ID est sélectionné en tant que champ clé.

Mode d'import | Résultat
Insérer tout |
Insérer les nouveaux |
Mettre à jour |
Mettre à jour et insérer |
Supprimer |
Supprimer et insérer |

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


Personnalisation des options générales

Spécifiez les paramètres de fixation de la transaction dans la section 'Valider' (Commit) :

  • 'Valider quand terminé' (Commit when done) - fixer la transaction après l'exécution d'import,
  • 'Insérer un COMMIT après chaque bloc' (Commit after each block) - fixer la transaction après chaque n enregistrement. Cette option doit être appliquée aux grandes tables. Indiquez le nombre d'enregistrements dans un bloc en utilisant le compteur 'Taille du bloc' (Block size),
  • 'Valider manuellement les modifications' (Commit changes manually) - exécuter manuellement la fixation de la transaction qui n'est pas automatique.

Spécifiez le nombre de données importées dans la section 'Nombre d'enregistrements' (Record count). Afin d'importer simultanément tous les enregistrements, sélectionnez l'élément 'Importer tous les enregistrements' (Import all records) ou spécifiez le nombre d'enregistrements dans le compteur 'Importer seulement n enregistrements' (Import only n records).

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


Résultats

Après avoir spécifié toutes les options nécessaires lors des étapes précédentes, cliquez sur le bouton 'Terminer' (Finish) pour commencer l'exécution de l'opération.

Cette fenêtre affiche les informations suivantes :

  • 'Inséré' (Inserted) - nombre d'enregistrements importés,
  • 'Mis à jour' (Updated) - nombre d'enregistrements mis à jour,
  • 'Supprimé' (Deleted) - nombre d'enregistrements supprimés,
  • 'Erreurs' (Errors) - nombre d'erreurs qui ont surgis lors d'import,
  • 'Validé' (Commited) - nombre d'enregistrements fixés,
  • 'Temps' (Time) - temps d'import des enregistrements.

Si la case 'Fermer l'assistant en cas de succès' (Close the Wizard after successful completion) est cochée, l'assistant sera fermé automatiquement après l'exécution réussie de l'opération. Si la case n'est pas cochée, vous pouvez retourner et spécifier les paramètres d'opération de nouveau après l'exécution.

Si vous ne voulez pas configurer ces paramètres, vous pouvez utiliser l'outil de création des modèles.


Assistant d'export en tant que script SQL

Vous pouvez exécuter l'export de données en tant que script SQL en utilisant les outils contenant les onglets 'Données'

(Data) ou 'Résultats' (Results). Ce sont l'éditeur de tables, l'éditeur de vues, l'éditeur de requêtes et le constructeur graphique de requêtes.

Vous pouvez ouvrir cet outil en utilisant le bouton 'Exporter en tant que script SQL' (Export as SQL script) qui se trouve sur la barre de navigation 'Gestion des données' (Data Management) et sur la barre d'outils.

Le bouton est disponible si le visualisateur de données est ouvert dans l'éditeur, c'est-à-dire sur l'onglet 'Données' (Data) ou 'Résultats' (Results). Cette commande se trouve dans le menu contextuel des objets de table et de vue, dans l'explorateur de bases et dans le sous-menu de l'élément 'Manipulation des données' (Data Manipulation).

Spécification du type du serveur de destination

Configuration du fichier de destination

Configuration du type d'export des champs BLOB

Sélection des champs à exporter

Configuration des options d'export

Modification du script SQL de résultat

Visualisation des résultats

Export de données

Import de données

Chargement de données

Sauvegarde de données

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Non


Spécification du serveur de destination

Il vous faut sélectionner le serveur de destination lors de la première étape de l'assistant. Le script sera généré dans un format compatible avec le type de serveur sélectionné.

Types de serveurs permis :

  • DB2,
  • InterBase/Firebird,
  • MS SQL,
  • MySQL,
  • Oracle,
  • PostgreSQL.

Si la case 'Ajouter une instruction CREATE TABLE' (Add CREATE TABLE statement) est cochée, l'instruction CREATE TABLE sera ajoutée dans le script. Cette instruction est générée conformément à la syntaxe du type sélectionné de serveur.

Étape suivante


Configuration du nom de fichier de destination

Lors de la deuxième étape, il vous faut spécifier le nom du script généré en son emplacement.

Le fichier peut être ouvert dans l'éditeur de requêtes SQL ou peut être sauvegardé directement dans le fichier. Indiquez ces informations dans la section 'Script destination' (Script destination) :

  • 'Charger automatiquement dans l'éditeur de scripts' (Automatically load to Script Editor) - le script créé s'ouvre dans l'éditeur de requêtes SQL,
  • si vous sélectionnez 'Sauvegarder dans le fichier' (Save to file), le script créé sera sauvegardé dans un fichier. Indiquez le nom et l'adresse du fichier dans le champ 'Nom du champ' (File name). Vous pouvez sélectionner le fichier en utilisant la fenêtre de dialogue standard. Pour l'ouvrir, cliquez sur le bouton [image].

Le nom de la table qui sera créée à l'aide de ce script doit être indiqué dans le champ 'Nom de la table (comme elle sera représentée dans le script SQL)'/ Table name (as it will be represented in the script file). Le nom du schéma dans lequel cette table sera créée doit être indiqué dans le champ 'Nom du schema (comme il sera représenté dans le script SQL s'il est nécessaire) / Schema name (as it will be represented in the script file, if need). Le schéma doit être indiqué pour les serveurs qui contiennent ce type d'objets.

Étape suivante


Configuration des options des champs BLOB

Sélectionnez le mode d'export des champs de type BLOB lors de cette étape.

Les champs de type BLOB ne sont pas exportés si vous sélectionnez l'élément 'Ne pas extraire les champs BLOB' (Don't extract BLOB fields).

Les champs de type BLOB sont exportés en tant que chaînes si vous sélectionnez l'élément 'Extraire les champs BLOB en tant que chaînes' (Extract BLOB fields as strings).

Vous pouvez exporter les champs de ce type dans un fichier en sélectionnant l'élément 'Extraire les champs BLOB dans le fichier' (Extract BLOB fields into file).

Spécifiez les propriétés suivantes pour le fichier dans lequel ces champs seront exportés :

  • Indiquez le nom du fichier et le chemin vers fichier dans le champ 'Nom du fichier' (File name). Vous pouvez sélectionner le fichier en utilisant la fenêtre standard de dialogue. Pour l'ouvrir, cliquez sur le bouton [image],
  • Afin de compresser le fichier, cochez la case 'Compresser le fichier' (Compress file),
  • Sélectionnez le mode de compression de fichier à partir de la liste déroulante 'Compression' (Compression). Il y en a quatre : sans compression - 'Aucun' (None), la compression rapide - 'Le plus rapide' (Fastest), la compression par défaut - 'Par défaut' (Default), la meilleure compression - 'Le meilleur' (Best).

Si vous avez sélectionné le format MySQL ou PostgreSQL lors de la première étape de l'assistant, vous pouvez sélectionner ici :

  • 'Ne pas extraire les champs BLOB' (Don't extract BLOB fields) - les champs de type BLOB ne sont pas exportés
  • les champs de type BLOB sont exportés en tant que chaînes si vous sélectionnez l'élément 'Extraire les champs BLOB en tant que chaînes' (Extract BLOB fields as strings).

Étape suivante


Sélection des champs à exporter

Lors de cette étape, il vous faut sélectionner les champs à exporter à partir de la liste des champs de la table ou de la vue.

Sélectionnez les champs disponibles à partir de la liste 'Champs disponibles' (Available Fields) ; déplacez ces champs dans la liste des champs exportés 'Champs sélectionnés' (Selected fields) en utilisant les boutons correspondants. Si aucun champ n'est sélectionné, tous les champs seront exportés par défaut.

Étape suivante


Configuration des options d'export

Lors de cette étape, spécifiez les propriétés générales d'export.

Afin de remplacer les caractères non imprimables par des espaces dans le texte du script, cochez la case 'Remplacer les caractères non imprimables dans les chaînes par des espaces' (Replace non-print characters in strings with spaces).

Indiquez les paramètres de la fixation de la transaction dans la section 'Options des données' (Data options).

Si la case 'Insérer un COMMIT après chaque bloc' (Insert COMMIT after each block) est cochée, la transaction sera fixée après le nombre d'enregistrements indiqué dans le compteur 'Enregistrements dans un bloc' (Records in a block).

Étape suivante


Modification du script SQL de résultat

Lors de cette étape, vous pouvez visualiser et modifier le script SQL généré dans l'éditeur de requêtes.

Cette étape est disponible si vous cochez la case 'Ajouter une instruction CREATE TABLE' (Add CREATE TABLE statement) lors de la première étape.

Étape suivante


Visualisation des résultats

Après avoir spécifié toutes les options nécessaires lors des étapes précédentes, cliquez sur le bouton 'Terminer' (Finish) pour commencer l'exécution de l'opération.

Le déroulement de l'opération s'affiche en pourcentage dans la barre d'état qui se trouve dans la partie supérieure.

Onglet 'Opérations' (Operations).

Toutes les opérations effectuées et le résultat de l'exécution s'affichent sur l'onglet 'Opération' (Operation).

Si vous voulez ouvrir aussitôt le script de résultat dans l'éditeur de scripts SQL, cochez la case 'Charger le script généré dans l'éditeur de scripts' (Load generated script into Script Editor).

Si la case 'Fermer l'assistant en cas de succès' (Close the Wizard after successful completion) est cochée, l'assistant sera fermé automatiquement après l'exécution réussie de l'opération. Si la case n'est pas cochée, vous pouvez retourner après l'exécution et spécifier de nouveau les paramètres d'opération.


Assistant de chargement de données

L'assistant de chargement de données (Load Data Wizard) permet de charger les données à partir du fichier texte et de les coller dans la table à l'aide de la commande LOAD DATA INFILE.

Vous pouvez exécuter le chargement de données en utilisant les éditeurs contenant les onglets 'Données' (Data) ou 'Résultats' (Results). Ce sont l'éditeur de tables, l'éditeur de vues, l'éditeur de requêtes et le constructeur graphique de requêtes.

Vous pouvez ouvrir cet outil en utilisant le bouton 'Charger les données' (Load Data) qui se trouve sur la barre de navigation 'Gestion des données' (Data Management) et sur la barre d'outils.

Le bouton est disponible si le visualisateur de données est ouvert dans l'éditeur, c'est-à-dire sur l'onglet 'Données' (Data) ou 'Résultats' (Results). Cette commande se trouve dans le menu contextuel des objets de table et de vue, dans l'explorateur de bases et dans le sous-menu de l'élément 'Manipulation des données' (Data Manipulation).

  • Spécification du nom du fichier source
  • Spécification des options générales
  • Sélection des champs à charger
  • Spécification des options du fichier source
  • Visualisation des résultats
  • Utilisation des modèles

Export de données

Export des données en tant que script SQL

Import des données

Sauvegarde de données

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Non


Specification du nom du fichier source

Lors de la première étape de l'assistant, vous devez spécifier le type de fichier à partir duquel les informations seront chargées et le chemin vers ce fichier.

Indiquez le chemin vers le fichier source dans la ligne 'Nom du fichier de données' (Data file name). Cliquez sur le bouton [image] et ouvrez la fenêtre standard de dialogue où vous pouvez sélectionner un fichier.

Sélectionnez la source des données dans la section 'Emplacement du fichier de données' (Data file location) :

  • 'Sur le serveur' (On server),
  • 'Sur le client' (On client).

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


Spécification des options générales

Spécifiez la priorité de chargement dans la section 'Priorité de chargement' (Loading priority).

Si le bouton radio 'N'est pas indiqué' (Not specified) est coché, le programme spécifie automatiquement la priorité.

Si le bouton radio 'Priorité basse' (Low priority) est coché, le chargement de données n'est pas exécuté tant que les opérations avec la table n'ont pas été exécutées.

Si le bouton radio 'Concomitant' (Concurrent) est coché, vous pouvez travailler avec la table lors du chargement.

Puis il vous faut sélectionner l'opération à exécuter en cas de coïncidence des valeurs dans les champs clés.

Si vous cochez le bouton radio 'Traitement par défaut' (Default processing), le chargement de données dans la table s'arrête en cas de coïncidence des valeurs.

Si vous cochez le bouton radio 'Remplacer' (Replace), les valeurs dans la table sont remplacées par les nouvelles valeurs en cas de coïncidence des valeurs.

Si vous cochez le bouton radio 'Ignorer' (Ignore), les valeurs dans la table ne sont pas modifiées.

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


Sélection des champs à charger

Lors de cette étape, il vous faut sélectionner les champs dans lesquels vous voulez charger les données. Vous pouvez sélectionner les champs à partir de la liste des champs de la table ou de la vue.

Sélectionnez les champs de la table à partir de la liste 'Champs disponibles' (Available Fields) ; déplacez ces champs dans la liste des champs à partir desquels les données seront exportées 'Champs sélectionnés' (Selected fields) en utilisant les boutons correspondants. Si aucun champ n'est sélectionné, tous les champs sont sélectionnés par défaut.

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


Spécification des options du fichier source

Lors de cette étape, il vous faut spécifier les paramètres du fichier texte à partir duquel le chargement de données sera effectué.

Vous devez indiquer les paramètres suivants pour le fichier :

'Champs terminés par' (Fields terminated by) - indiquez le séparateur des champs,

'Champs mis entre' (Fields enclosed by) - indiquez les guillemets entre lesquels le champ sera mis.

Si vous cochez la case 'Facultativement' (Optionally), seuls les champs de type CHAR et VARCHAR seront mis entre guillemets.

Si le fichier source contient des caractères non imprimables, indiquez l'ensemble des caractères représentant les caractères non imprimables dans le champ 'Champs contenants' (Fields escaped by).

'Lignes terminées par' (Lines terminated by) - indiquez l'ensemble des caractères pour la séparation des lignes.

'Nombre de lignes à ignorer' (Ignore lines count) - indiquez le nombre de lignes qu'il ne faut pas remplacer dans la table.

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


Assistant de sauvegarde de données

L'assistant de sauvegarde des données permet de sauvegarder les données des tables dans un fichier qui se trouve sur le serveur ou sur l'ordinateur client.

Vous pouvez sauvegarder les données en utilisant les éditeurs contenant les onglets 'Données' (Data) ou 'Résultats' (Results). Ce sont l'éditeur de tables, l'éditeur de vues, l'éditeur de requêtes et le constructeur graphique de requêtes.

Vous pouvez ouvrir cet outil en utilisant le bouton 'Sauvegarder les données' (Save Data) qui se trouve sur la barre de navigation 'Gestion des données' (Data Management) et sur la barre d'outils.

Le bouton est disponible si le visualisateur de données est ouvert dans l'éditeur, c'est-à-dire sur l'onglet 'Données' (Data) ou 'Résultats' (Results). Cette commande se trouve dans le menu contextuel des objets de table et de vue, dans l'explorateur de bases et dans le sous-menu de l'élément 'Manipulation des données' (Data Manipulation).

L'assistant contient les étapes suivantes :

  • Configuration du nom du fichier de destination
  • Sélection des champs à sauvegarder
  • Spécification des options du fichier de destination
  • Visualisation des résultats
  • Utilisation des modèles

Exportation de données

Exportation de données en tant que script SQL

Importation de données

Chargement de données

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Non


Configuration du nom du fichier de destination

Lors de la première étape de l'assistant, vous devez spécifier le type de fichier à partir duquel les informations seront sauvegardées. Puis spécifiez le chemin vers ce fichier.

Indiquez le chemin vers le fichier de données dans le ligne 'Nom du fichier de données' (Data file name).

Le fichier se sauvegarde sur le serveur.

Étape suivante


Sélection des champs à sauvegarder

Lors de cette étape, il vous faut sélectionner les champs dont vous voulez charger les données dans le fichier. Vous pouvez sélectionner les champs à partir de la liste de tous champs de la table ou de la vue.

Sélectionnez les champs disponibles à partir de la liste 'Champs disponibles' (Available Fields) ; déplacez ces champs dans la liste des champs à sauvegarder 'Champs inclus' (Included fields) en utilisant les boutons correspondants. Si aucun champ n'est sélectionné, les données de tous les champs sont sauvegardées par défaut.

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


Spécification des options du fichier de destination

Lors de cette étape, spécifiez les paramètres du fichier texte dans lequel les données seront sauvegardées.

Vous devez indiquer les paramètres suivants pour le fichier :

'Champs terminés par' (Fields terminated by) - indiquez le séparateur des champs,

'Champs mis entre' (Fields enclosed by) - indiquez les guillemets entre lesquels le champ est mis.

Si vous cochez la case 'Facultativement' (Optionally), seuls les champs de type CHAR et VARCHAR sont mis entre les guillemets.

'Champs contenants' (Fields escaped by) - spécifiez l'ensemble des caractères représentant les caractères non imprimables.

'Lignes commençant par' (Lines starting by) - indiquez les caractères qui se trouvent au début des lignes.

'Lignes terminées par' (Lines terminated by) - indiquez l'ensemble des caractères pour la séparation des lignes.

Étape suivante

Si vous ne voulez pas configurer ces paramètres à chaque import, vous pouvez utiliser l'outil de création des modèles.


Outils des bases de données

SQL Manager 2007 for MySQL fournit un ensemble d'outils nécessaires pour travailler avec les bases de données.

Outils :

Concepteur graphique de bases de données

Permet de créer graphiquement des bases de données.

Moniteur SQL

Affiche toutes les opérations SQL exécutées pendant une session de travail de SQL Manager 2007 for MySQL.

Éditeur de scripts SQL

Permet de générer et d'exécuter des scripts SQL.

Assistant de copie de bases de données

En utilisant cet outil, vous pouvez transporter les données et les objets d'une bases de données vers une autre.

Assistant d'extraction de bases de données

Permet d'extraire les métadonnées des tables vers un script SQL. Ce script peut être exécuté plus tard sur un autre ordinateur pour restaurer la structure de la base de données.

Impression des métadonnées

Permet de créer le rapport sur les métadonnées des bases de données.

Assistant de création des rapports HTML

Permet de créer le rapport sur les métadonnées de la base de données au format HTML.

Travail avec les rapports

Ensemble d'outils qui permet de créer et d'imprimer les rapports.

Arbre de dépendances

Permet de visualiser les dépendances des objets sous la forme de diagramme.

Utilisation des modèles


Concepteur graphiquede bases de données

Le constructeur visuel de bases de données permet de visualiser, de créer et de modifier les tables et les liens des bases de données.

Afin d'ouvrir le concepteur, sélectionnez l'élément Outils | Concepteur graphique de bases de données (Tools | Visual Database Designer) du menu principal du programme.

Utilisation de la barre de navigation

Navigation dans le diagramme

Ajouter des objets dans le diagramme

Création des liens

Travail avec plusieurs pages

Ingénierie inverse

Impression du diagramme

Sauvegarder/charger le diagramme

Configuration des options du diagramme

Voir aussi :

Constructeur graphique de requêtes

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Non


Utilisation de la barre de navigation

Barre de navigation

sur la barre 'Base de données' (Database) :

  • sélectionner une base de données.

sur la barre 'Général' (General) :

  • spécifier les propriétés du diagramme - 'Options de diagramme' (Diagram options),
  • configurer l'impression - 'Configuration de l'impression' (Print setup),
  • prévisualiser avant impression - 'Prévisualiser avant impression' (Print Preview),
  • imprimer les métadonnées de l'objet - 'Imprimer' (Print),
  • actualiser le diagramme - 'Rafraîchir' (Refresh).

sur la barre 'Navigateur' (Navigator) :

La fenêtre de navigateur affiche la maquette réduite du diagramme pour naviguer facilement dans celui-ci.

sur la barre 'Objet' (Object) :

La liste des éléments qui peuvent être placés dans le diagramme.

Barre d'outils

  • sélectionner une base de données - 'Bases de données' (Databases),
  • créer un nouveau diagramme - 'Nouveau diagramme' (New Diagram),
  • ouvrir un diagramme - 'Ouvrir un diagramme' (Open Diagram),
  • sauvegarder le diagramme - 'Sauvegarder un diagramme' (Save Diagram),
  • sauvegarder le diagramme en tant qu'image - 'Sauvegarder en tant qu'image' (Save as Image),
  • rechercher d'après le nom du champ-clé - 'Recherche incrémentale' (Incremental Search),
  • agrandir - 'Agrandir' (Zoom In),
  • diminuer - 'Diminuer' (Zoom Out),
  • sélectionner le rectangle à déployer en plein écran - 'Sélectionner le rectangle à déployer' (Select rectangle to fit),
  • ajuster le diagramme pour qu'il tienne sur l'écran - 'Taille de l'écran' (Fit model),
  • imprimer les métadonnées de l'objet - 'Imprimer' (Print),
  • configurer l'impression - 'Configuration de l'impression' (Print setup),
  • prévisualiser avant impression - 'Prévisualiser avant impression' (Print Preview),
  • disposer les objets - 'Disposer les objets' (Arrange objects),
  • transformer le diagramme vers le script SQL - 'Extraire les méta-données' (Extract metadata),
  • ingénierie inverse de la base de données (génération du modèle de données sur la base de l'analyse de la base de données existante) - 'Ingénierie inverse' (Reverse Engineer),
  • spécifier les options du diagramme - 'Options du concepteur' (Designer options) avec cela, les réglages du concepteur graphique des bases de données s'ouvrent.
  • spécifier l'échelle,
  • restaurer la taille par défaut de la fenêtre - 'Restaurer la taille par défaut' (Restore default size),
  • créer une nouvelle table dans le diagramme - 'Nouvelle page' (New Page),
  • supprimer la page actuelle du diagramme - 'Supprimer une page' (Delete Page),
  • supprimer toutes les pages du diagramme - 'Tout supprimer' (Delete all).

Barre d'outils du diagramme permet :

  • aligner les côtés gauches des objets sélectionnés - 'Aligner les côtés gauches' (Align left edges),
  • aligner les côtés droits des objets - 'Aligner les côtés droits' (Align right edges),
  • 'Aligner par le haut' (Align tops),
  • 'Aligner par le bas' (Align bottom),
  • 'Aligner centré horizontalement' (Align horizontal centers),
  • 'Aligner centré verticalement' (Align vertical centers),
  • 'Espacé identiquement, horizontal' (Space equally, horizontal),
  • 'Espacé identiquement, vertical' (Space equally, vertical).

En utilisant les boutons, spécifiez le mode de fonctionnement du pointeur :

  • 'Sélectionner' (Select) - mode de sélection des objets,
  • 'Créer une table' (Create table) - après avoir cliqué sur ce bouton, vous pouvez cliquer sur la zone disponible du diagramme pour créer une nouvelle table,
  • créer une vue - 'Créer une vue' (Create view),
  • créer une procédure - 'Créer une procédure' (Create procedure),
  • créer une fonction - 'Créer une fonction' (Create function),
  • 'Créer une relation' (Create relation), après avoir cliqué sur ce bouton, vous pouvez créer les liens entre les tables,
  • créer une relation virtuelle - 'Créer une relation virtuelle' (Create virtual relation),
  • créer un commentaire - 'Créer le commentaire' (Create comment).

Menu contextuel

Le menu contextuel de la zone du diagramme :

  • 'Tout sélectionner' (Select All) - sélectionner tous les objets du diagramme,
  • 'Zoom' (Zoom) -sélectionner l'échelle du diagramme dans le sous-menu,
  • 'Créer' (Create) - sélectionner le type d'objet créé,
  • 'Grille' (Grid) - sélectionner l'aspect de la grille,
  • 'Style' (Style) - personnaliser le diagramme,
  • 'Ingénierie inverse' (Reverse Engineer) - ingénierie inverse (génération du modèle de données sur la base de l'analyse de la base de données existante)
  • 'Extraire les méta-données' (Extract Metadata) - extraire les métadonnées de tous les objets du diagramme,
  • 'Options du concepteur' (Designer options) - spécifier les propriétés du diagramme. Si vous cliquez sur ce bouton, les options du concepteur graphique de bases de données s'ouvrent.

Menu contextuel de l'en-tête de la table permet de travailler avec la table :

  • Modifier la table "Nom_de l'objet" (Edit Table) - ouvrir la table dans l'éditeur,
  • Nouvelle table... (New Table...) - créer une table,
  • Supprimer la table "Nom_de l'objet" (Drop Table) - supprimer la table à partir de la base de données,
  • Supprimer la table "Nom_de l'objet" (Remove Table) - supprimer la table à partir du diagramme.

Le menu contextuel du champ permet de modifier, d'ajouter et de supprimer les champs de la table.


Navigation dans le diagramme

Le programme dispose d'un outil appelé le Navigateur qui permet de naviguer rapidement dans le diagramme. Le navigateur se trouve sur la barre de navigation.

Le navigateur est une maquette de la fenêtre du diagramme. La zone visible du diagramme est marquée par un rectangle rouge. Le navigateur permet de visualiser tout le diagramme en réduction. En utilisant le navigateur, vous pouvez travailler avec les objets comme dans la fenêtre du diagramme, donc vous pouvez sélectionner, déplacer, créer et modifier les objets.

Quand vous cliquez avec le bouton gauche de la souris dans la fenêtre de navigateur, le centre de la zone visible du diagramme se déplace vers ce point. Vous pouvez ainsi naviguer dans le diagramme sans utiliser la barre de déroulement.


Ajouter des objets dans le diagramme

Les objets du diagramme sont les tables et les champs de la table.

Les champs obligatoires à remplir sont sélectionnés en gras dans les tables. Les champs clés sont séparés de la table et sont marqués par une icône correspondante. Vous pouvez personnaliser l'aspect de la table et des liens.

Ajouter un objet dans le diagramme

Il y a deux façons d'ajouter la table dans le diagramme :

  • déplacer la table à partir de la fenêtre de l'explorateur de bases,
  • déplacer la table à partir de la liste des objets disponibles qui se trouve sur la barre de navigation.

Supprimer un objet à partir du diagramme

Afin de supprimer la table à partir du diagramme (non pas à partir de la base de données), utilisez l'élément Supprimer la table "Nom_de l'objet" (Remove Table) du menu contextuel de l'en-tête de la table.

Créer un nouvel objet

Vous pouvez créer des nouvelles tables dans la fenêtre du diagramme. Pour cela, utilisez l'élément 'Nouvelle table' (New Table...) du menu contextuel de l'en-tête de la table. Spécifiez tous les champs et les propriétés de la nouvelle table dans l'éditeur de tables et cliquez sur le bouton OK. La table créée s'affiche dans le diagramme.

Modification de l'objet

Vous pouvez modifier les tables ainsi que les champs de table dans la fenêtre du diagramme.

Afin d'ouvrir la table dans l'éditeur de tables, il vous faut sélectionner l'élément Modifier la table "Nom_de l'objet" (Edit Table) du menu contextuel de l'en-tête de la table.

Pour travailler avec les champs, utilisez le menu contextuel du champ.


Création des liens

SQL Manager 2007 for MySQL permet de créer des liens entre les tables (par des clés étrangères) dans la fenêtre du diagramme. Pour cela, cliquez sur le bouton 'Créer une relation' (Create relation) sur la barre d'outils de la fenêtre du diagramme.

Maintenant, afin de configurer le lien entre les deux tables, il vous faut cliquer avec la souris sur chaque table. Après cela, l'éditeur de clés étrangères s'ouvre, vous pouvez y spécifier toutes les propriétés du lien créé.

Le lien entre les tables s'affiche sous la forme de la ligne de raccordement.

Vous pouvez gérer la ligne à l'aide du menu contextuel. Afin d'ouvrir le menu, cliquez avec le bouton droit de la souris sur le lien.

En utilisant ce menu, vous pouvez :

  • ouvrir le lien dans l'éditeur de clés étrangères - Modifier la clé étrangère "nom_de l'objet" (Edit Foreign Key),
  • supprimer le lien Supprimer la clé étrangère "nom_de l'objet" (Drop Foreign Key).

Les champs sélectionnés sont insérés automatiquement dans l'éditeur des clés étrangères lors de la création d'un lien à l'aide du bouton 'Créer une relation' (Create relation) sur la barre d'outils du diagramme.

Si un diagramme contient des clés virtuelles, vous pouvez les transformer en clés simples en utilisant l'élément 'Matérialiser la relation virtuelle' (Materialize Virtual Relation) du menu contextuel de la clé virtuelle.


Travail avec plusieurs pages

Pour votre commodité, vous pouvez créer plusieurs onglets dans un seul diagramme des bases de données, ce qui vous permet de diviser les objets en groupes.

Travail avec les onglets :

  • créer un nouvel onglet - 'Nouvelle page' (New Page),
  • supprimer l'onglet - 'Supprimer une page' (Delete Page),
  • supprimer tous les onglets - 'Supprimer toutes les pages' (Delete All Pages),
  • renommer l'onglet - 'Renommer une page' (Rename Page).

Toutes ces commandes se trouvent dans le menu contextuel de la page et sur la barre d'outils.


Ingénierie inverse

Afin de représenter toutes les tables des bases de données avec les liens entre eux en tant que diagramme, utilisez le bouton 'Ingénierie inverse' (Reverse Engineer) [image] (reconstruire la base de données) sur la barre d'outils.

Toutes les tables de la base de données avec tous les liens existant s'affichent sur le diagramme.

Dans la fenêtre qui apparaît, sélectionnez les types d'objets que vous voulez afficher sur le diagramme :

  • Tables - Tables,
  • Vues, - Views,
  • Procédures - Procedures,
  • Fonctions - Functions.


Impression du diagramme

Le concepteur graphique de bases de données permet d'ouvrir le diagramme dans la fenêtre de prévisualisation et d'imprimer le diagramme.

Afin d'ouvrir l'outil de prévisualisation du diagramme, cliquez sur le bouton 'Prévisualiser avant impression' (Print Preview) sur la barre d'outils.

Pour configurer le document à imprimer, utilisez la fenêtre de configuration de l'impression (Print Setup Dialog). Afin de l'ouvrir, cliquez sur le bouton 'Configuration de l'impression' (Print setup) sur la barre d'outils. Pour imprimer le document, utilisez le même outil.


Prévisualisation avant impression

La prévisualisation avant impression est un mode d'affichage du document montrant le document tel qu'il sera imprimé.

Vous pouvez prévisualiser le diagramme avant impression en utilisant outil 'Prévisualiser avant impression' (Print Preview).

Vous pouvez exécuter les opérations suivantes en utilisant la barre d'outils :

  • indiquer le numéro de la page affichée. Vous pouvez ouvrir la page suivante ou la page précédente en utilisant les boutons. Indiquez le numéro de la page requise dans le compteur.
  • le bouton 'Tout imprimer' (Print all) permet d'imprimer toutes les pages ou une page actuelle seulement (la liste déroulante du bouton),
  • le bouton 'Options d'impression' (Print options) permet de configurer les options d'impression,
  • le bouton 'Prévisualiser zoom' (Preview zoom) permet de configurer l'échelle d'affichage.


Configuration des options d'impression

Cette fenêtre permet de configurer les options d'impression :

  • les paramètres de l'imprimante sur l'onglet 'Imprimante' (Printer),
  • les paramètres de page sur l'onglet 'Options de la page' (Page options).

Outils qui se trouvent sur l'onglet ''Imprimante' (Printer).

  • 'Nom' (Name) - le nom de l'imprimante,
  • pour sélectionner l'imprimante, cliquez sur le bouton 'Choisissez l'imprimante' (Choose printer),
  • 'Pilote' (Driver) - les informations sur le pilote d'impression,
  • 'Port' (Port) - le port de connexion de l'imprimante dans le champ,
  • 'Réduire/agrandir à : ... % de la taille normale' (Use scale factor),
  • 'Ajuster : n page(s) en largeur sur n en hauteur' (Arrange diagram at n pages horizontally and n pages vertically),
  • si la case 'Ignorer les pages vides' (Skip empty pages) est cochée, les pages vides sont ignorées lors de l'impression,
  • si vous cochez la case 'Imprimer seulement les objets sélectionnés' (Print only selected objects), seuls les objets sélectionnés sont imprimés,
  • si vous cochez la case 'Imprimer les bordures de page' (Print page borders), les bordures de page sont imprimés,
  • pour imprimer toutes les pages, cochez le bouton radio 'Toutes les pages' (All pages),
  • pour indiquer les pages à imprimez utilisez le compteur 'Pages à partir de ... jusqu'à ...' (Pages from... to...).

Outils qui se trouvent sur l'onglet 'Options de la page' (Page options).

Marges (Margins)

  • Haut (mm) /Top margin (mm) - dimension de la marge haute en mm.,
  • Bas (mm) /Bottom margin (mm) - dimension de la marge basse en mm.,
  • Gauche (mm) /Left margin (mm) - dimension de la marge gauche en mm.,
  • Droite (mm) /Right margin (mm) - dimension de la marge droite en mm.,
  • 'En-tête de page' (Page Header) - spécifiez le texte de l'en-tête de page dans ce champ,
  • 'Alignement gauche' (Left align) - alignement gauche du texte de l'en-tête de page,
  • 'Alignement centré' (Centrer Center align) - alignement centré du texte de l'en-tête de page,
  • 'Alignement droite' (Right align) - alignement droite du texte de l'en-tête de page,
  • 'Bas de page' (Page Footer) - texte du bas de page,
  • 'Alignement gauche' (Left align) - alignement gauche du texte de bas de page,
  • 'Alignement centré' (Centrer Center align) - alignement centré du texte de bas de page,
  • 'Alignement droite' (Right align) - alignement droit du texte de bas de page.


Sauvegarder/charger le diagramme

SQL Manager 2007 for MySQL permet de sauvegarder le diagramme et de charger le diagramme sauvegardé.

Les fichiers du diagramme se sauvegardent au format .myd.

Les boutons de sauvegarde/chargement se trouvent sur la barre d'outils :

  • 'Ouvrir un diagramme' (Open Diagram),
  • 'Sauvegarder un diagramme' (Save Diagram),
  • 'Sauvegarder en tant qu'image' (Save as Image).

Si vous essayez d'ouvrir un diagramme pour une autre base de données, le message d'erreur surgit parce que le programme n'arrive à rechercher les tables correspondantes.


Configuration des options du diagramme

Afin de configurer l'aspect du diagramme, utilisez le menu contextuel du diagramme ou 'Options | Options de l'environnement | Outils | Concepteur graphique de bases de données' (Options | Environment Options | Tools | Visual Database Designer).

Pour ouvrir la fenêtre de configuration, cliquez sur le bouton 'Options du concepteur' (Designer Options). La fenêtre contient deux onglets. Les réglages d'affichage se trouvent sur le premier onglet, les réglages des couleurs du diagramme se trouvent sur le deuxième onglet.

L'onglet 'Options' (Options) contient les outils suivants :

  • Sélectionnez le type d'affichage des informations dans le diagramme (IDEF1x ou IE) à partir de la liste déroulante 'Notation' (Model notation),
  • Cochez la case 'Dessiner les clés primaires séparément' (Draw PRIMARY KEY fields separately), pour indiquer que le champ clé doit être séparé du reste de la table,
  • Si vous cochez la case 'Dessiner les icônes des entités' (Draw entities icons), les icônes seront affichées à côté des noms des tables,
  • Si vous cochez la case 'Dessiner des icônes d'attributs' (Draw attributes icon), une icône sera affichée à côte du nom de chaque champ,
  • Si vous cochez la case 'Dessiner les noms des entités seulement' (Draw only names of entities), tous les objets seront affichés sur le diagramme sous la forme des en-têtes,
  • Si vous cochez la case 'Dessiner le nom de la clé étrangère' (Draw FOREIGN KEY name), le nom de la clé étrangère sera affiché sur le diagramme,
  • Si vous cochez la case 'Afficher la grille' (Show grid), la grille de la fenêtre du diagramme sera affichée,
  • Pour régler l'accrochage à la grille, cochez la case 'Se positionner par rapport à la grille' (Snap to grid),
  • Configurez les paramètres de la grille du diagramme en utilisant les compteurs 'Taille de la grille' (Grid size). Largeur- X, hauteur - Y,

Spécifiez les paramètres de la police des en-têtes des tables dans la section 'Police d'en-tête de l'entité' (Entity header font) :

  • 'Nom' (Name) - type de police,
  • 'Taille' (Size) - taille de police.

Spécifiez les paramètres de la police des champs des tables dans la section 'Police des attributs'

(Attributes font) :

  • 'Nom' (Name) -type de police,
  • 'Taille' (Size) - taille de police.

Vous pouvez spécifier la couleur pour chaque élément du diagramme sur l'onglet 'Palette' (Palette).

  • 'Aire de travail' (Work area),
  • 'Texte de l'aire de travail' (Work area text),
  • 'Entité' (Entity) - la couleur de l'objet,
  • 'Texte de l'entité' (Entity caption text),
  • 'Texte de l'attribut' (Attribute text),
  • 'Sélection' (Selection),
  • 'Texte de l'entité sélectionnée' (Selected entity caption text),
  • 'Texte de l'attribut sélectionné' (Selected attribute text).

Après avoir apporté les modifications, vous pouvez cocher la case 'Par défaut' (Default). Ainsi, toutes les modifications apportées seront fixées en tant que propriétés par défaut. Tous les diagrammes postérieurs seront créés compte tenu de ces propriétés.


Moniteur SQL

Le moniteur SQL permet de visualiser toutes les requêtes SQL envoyées par SQL Manager 2007 for MySQL au serveur, ainsi que le résultat de l'exécution des requêtes. Il est impossible de modifier le contenu de la fenêtre, mais vous pouvez le copier dans le presse-papiers, le sauvegarder dans un fichier et l'imprimer.

Tous les outils nécessaires pour le travail avec le moniteur SQL se trouvent sur la barre d'outils et dans le menu contextuel.

Afin d'ouvrir le moniteur SQL, sélectionnez l'élément Outils | Moniteur SQL (Tools | SQL Monitor) dans le menu principal du programme.

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Utilisation de la barre de navigation

La barre de navigation contient les outils suivants :

  • 'Effacer le contenu' (Clear contents) - effacer le contenu de la fenêtre,
  • 'Sauvegarder dans un fichier' (Save to file) - sauvegarder le texte dans un fichier,
  • 'Chercher' (Find) - rechercher dans le texte,
  • 'Options du moniteur SQL' (SQL Monitor option) - configurer le moniteur SQL (vous pouvez aussi trouver ces réglages dans Options | Options de l'environnement | Outils | Moniteur SQL / Options | Environment Options | Tools | SQL Monitor),
  • 'Restaurer la taille par défaut' (Restore default size) - restaurer la taille par défaut de la fenêtre.

La barre d'outils contient les boutons suivants :

  • 'Effacer le contenu' (Clear contents) - effacer le contenu de la fenêtre,
  • 'Sauvegarder dans un fichier' (Save to file) - sauvegarder le texte dans un fichier,
  • 'Rechercher' (Find) - rechercher du texte,
  • 'Rechercher de nouveau' (Search again) - rechercher de nouveau,
  • 'Options du moniteur' SQL (SQL Monitor option) - configurer du moniteur SQL (vous pouvez aussi trouver ces réglages dans Options | Options de l'environnement | Outils | Moniteur SQL / Options | Environment Options | Tools | SQL Monitor),
  • 'Restaurer la taille par défaut' (Restore default size) - restaurer la taille par défaut de la fenêtre.


Utilisation du menu contextuel

En utilisant le menu contextuel, vous pouvez exécuter les opérations suivantes :

  • 'Basculer le marque-page' (Toggle Bookmarks),
  • 'Aller aux marques-pages' (Goto Bookmarks). Cette option est active si les onglets sont créés,
  • 'Annuler' (Undo),
  • 'Refaire' (Redo) - refaire une action annulée,
  • 'Copier' (Copy) - copier la sélection,
  • 'Tout sélectionner' (Select All),
  • 'Rechercher' (Find),
  • 'Rechercher de nouveau' (Search Again),
  • 'Recherche incrémentale' (Incremental Search) - la recherche d'après le nom du champ clé,
  • 'Aller à la ligne numéro...' (Go To Line By Number...),
  • 'Modifier la casse' (Change Case),
  • 'Sauvegarder' (Save) - sauvegarder le texte dans le fichier,
  • 'Prévisualiser' (Preview),
  • 'Imprimer' (Print),
  • 'Sauvegarder en tant que requête favorite' (Save as Favorite Query) - sauvegarder en tant que requête favorite,
  • 'Propriétés' (Properties) - visualiser les propriétés.


Éditeur des scripts SQL

Vous pouvez créer, visualiser et exécuter des scripts SQL en utilisant 'Éditeur des scripts' (SQL Script Editor). Pour ouvrir l'éditeur des scripts, sélectionnez 'Outils | Script SQL' (Tools | SQL Script) du menu principal du programme. La structure de la base de données du script est présentée dans l'explorateur de l'éditeur des scripts.

Aire de modification.

Vous pouvez travailler avec les scripts SQL à l'aide des outils de l'éditeur, qui se trouvent sur les barres d'outils :

  • la barre de navigation,
  • la barre de connexion
  • la barre d'outils,
  • le menu contextuel.

Notez : les résultats des requêtes ne s'affichent pas dans l'éditeur des scripts. Pour cela, utilisez l'éditeur des requêtes.

Si des erreurs surgissent lors de l'exécution du script, elles s'affichent dans une fenêtre spéciale, qui se trouve au-dessous de l'aire de modification. Afin de configurer l'affichage des erreurs, utilisez Options | Options de l'environnement | Outils | Script SQL /Options | Environment Options | Tools | SQL Script, ou utilisez le bouton 'Options du script SQL' (SQL Script Options) sur la barre d'outils et la barre de navigation.

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Utilisation de la barre de navigation

Des outils pour travailler avec les scripts SQL.

Barre de navigation

SQL Script Editor - Using Navigation bar

Sur la barre 'Destination' (Destination) :

  • sélectionner un hôte,
  • sélectionner une base de données.

Sur la barre 'Général' (General) :

  • 'Exécuter le script' (Execute script),
  • 'Exécuter le script à partir d'un fichier' (Execute script from file),
  • 'Nouveau script' (New script),
  • 'Ouvrir un script' (Open script). Les scripts se sauvegardent sous la forme de fichiers d'extension .sql,
  • 'Sauvegarder le script' (Save script),
  • 'Sauvegarder sous' (Save as),
  • 'Désactiver l'analyse' (Disable Parsing) - désactiver l'analyse syntaxique,
  • 'Activer le journal des résultats' (Enable result log),
  • 'Options du script SQL' (SQL Script options) - configurer les options des scripts SQL,
  • 'Restaurer la taille par défaut' (Restore default size) - restaurer la taille par défaut de la fenêtre.

L'explorateur de l'éditeur des scripts SQL se trouve sur la barre 'Explorateur' (Explorer).

Barre d'outils

  • 'Nouveau script' (New script) - créer un nouveau script,
  • 'Ouvrir un script' (Open script) - les scripts se sauvegardent sous la forme de fichiers d'extension .sql,
  • 'Sauvegarder le script' (Save script),
  • 'Exécuter le script à partir d'un fichier' (Execute script from file),
  • 'Exécuter le script' (Execute script),
  • sélectionner une base de données à partir de la liste déroulante,
  • 'Désactiver l'analyse' (Disable Parsing) - désactiver l'analyse syntaxique,
  • 'Activer le journal des résultats' (Enable result log),
  • 'Options du script SQL' (SQL Script options) - configurer les options des scripts SQL,
  • 'Restaurer la taille par défaut' (Restore default size) - restaurer la taille par défaut de la fenêtre.


Configuration de la connexion à l'hôte

Si aucune base de données n'est connectée, SQL Manager 2007 for MySQL propose de se connecter à une base de données lors de l'exécution du script SQL.

Vous pouvez spécifier les paramètres de connexion au serveur et à la base de données dans la fenêtre qui apparaît.


Utilisation du menu contextuel

Pour ouvrir le menu contextuel, cliquez avec le bouton droit de la souris sur l'aire de modification.

  • 'Exécuter le script' (Execute Script),
  • 'Exécuter seulement la sélection' (Execute Selected Only),
  • 'Exécuter sous le curseur' (Execute under Cursor) - exécuter la partie de texte qui se trouve sous le curseur,
  • 'Désactiver l'analyse' (Disable Parsing) - désactiver l'analyse syntaxique,
  • 'Basculer le marque-page' (Toggle Bookmarks),
  • 'Aller aux marques-pages' (Goto Bookmarks) - cette option est active si des marques-pages ont été créés,
  • 'Annuler' (Undo) - annuler l'opération,
  • 'Refaire' (Redo) - refaire une opération annulée,
  • 'Couper' (Cut) - couper la sélection,
  • 'Copier' (Copy) - copier la sélection,
  • 'Coller' (Paste) - coller la sélection,
  • 'Tout sélectionner' (Select All),
  • 'Rechercher' (Find),
  • 'Remplacer' (Replace) - rechercher et remplacer,
  • 'Rechercher de nouveau' (Search Again),
  • 'Recherche incrémentale' (Incremental Search) - la recherche d'après la succession incrémentale des caractères,
  • 'Aller à la ligne numéro...' (Go To Line By Number...),
  • 'Modifier la casse' (Change Case),
  • 'Charger' (Load) - charger le texte du script,
  • 'Sauvegarder' (Save) - sauvegarder le texte du script dans le fichier,
  • 'Prévisualiser' (Preview) - aperçu préalable,
  • 'Imprimer' (Print),
  • 'Formatage SQL' (Format SQL) - formater le script SQL,
  • 'Basculer le commentaire' (Toggle Comment) - transformer le texte sélectionné en commentaires,
  • 'Sauvegarder en tant que requête favorite' (Save as Favorite Query),
  • 'Propriétés' (Properties) - visualiser les propriétés.


Utilisation de l'explorateur des scripts

L'outil Explorateur se trouve sur la barre de navigation. Cet outil permet d'afficher tous les objets de script SQL sous la forme de l'arbre. En utilisant l'explorateur, vous pouvez passer rapidement à un objet précis dans le texte de script.


Assistant de copie des bases de données

Vous pouvez copier des informations à partir d'une base de données vers une autre en utilisant l'assistant de copie des bases de données. Vous pouvez copier les données ainsi que la structure des bases de données.

Afin de commencer à copier, sélectionnez l'élément 'Outils | Copier la base de données' (Tools | Copy Database) du menu principal du programme.

L'assistant est composé des étapes suivantes :

  • Sélection de la base source
  • Spécification de la base de destination
  • Sélection des objets à copier
  • Sélection des objets dont seule la structure sera copiée
  • Sélection des objets dont seules les données seront copiées
  • Configuration des options supplémentaires
  • Affichage des résultats

Voir aussi :

Assistant d'extraction des bases de données

Éditeur des scripts SQL

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Non


Sélection de la base source

Sélectionnez une base de données à copier lors de la première étape de l'assistant.

Sélectionnez la base de données à partir de la liste déroulante 'Base source' (Source database).

Sélectionnez le type de base de données dans laquelle vous voulez copier des informations dans la section 'Base de destination' (Destination database).

  • Base de données enregistrée (Registered database)
  • 'Base de données non enregistrée' (Non-registered database).

Si vous indiquez que la base à copier est déjà enregistrée, il vous faut sélectionner cette base à partir de la liste présentée lors de la deuxième étape.

Si la base à copier n'est pas enregistrée, vous pouvez indiquer les paramètres de connexion à celle-là lors de la deuxième étape.

Étape suivante


Spécification de la base de destination

Si vous avez indiqué lors de la première étape que la base à copier a été déjà enregistrée, il vous faut sélectionner une des bases de données enregistrées à partir de la liste 'Base de données' (Database) lors de la deuxième étape.

Sélectionnez un hôte enregistré à partir de la liste déroulante 'Hôte' (Host).

Si la base dans laquelle vous voulez copier les informations n'est pas enregistrée, il vous faut indiquer les paramètres d'enregistrement de l'hôte et de la base de données lors de la deuxième étape.

Sélectionnez le serveur (hôte) auquel vous voulez vous connecter dans la liste déroulante 'Nom d'hôte' (Host name). Cette liste contient les noms des serveurs déjà enregistrés.

Spécifiez le port de connexion dans le champ 'Port' (Port).

Spécifiez le nom d'utilisateur et le mot de passe dans les champs 'Nom utilisateur' (User name) et 'Mot de passe' (Password).

Sélectionnez dans la liste 'Base de données' (Database) une base de données qui se trouve sur le serveur indiqué. Vous pouvez créer une nouvelle base en cochant la case 'Créer une nouvelle base de données' (Create new database).

Étape suivante


Sélection des objets à copier

Troisième étape de l'assistant.

Sélectionner le type d'informations que vous voulez copier à partir de la base de données.

  • Pour copier les données et la structure de la base de données avec toutes les tables, les requêtes, les vues, les fonctions et les procédures, cochez la case 'Copier la structure et les données' (Copy both of structure and data)
  • Pour copier la structure de la base seulement, cochez la case 'Copier la structure seulement' (Copy structure only)
  • Pour copier les données seulement, cochez la case 'Copier les données seulement' (Copy data only).

Étape suivante


Sélection des objets dont seule la structure sera copiée

Cette étape est active si vous copiez la structure de la base de données.

Sélectionnez les objets dont vous voulez copier la structure.

Si vous cochez la case 'Copier tous les objets' (Copy all objects), la structure de tous les objets sera copiée.

Sélectionnez le type d'objet (table, vue, etc.) à partir de la liste déroulante 'Objets à copier' (Objects to copy). Après cela, les objets correspondants au type sélectionné apparaissent dans la liste 'Disponible' (Available). Déplacez les objets à partir de la liste des objets disponibles (Disponible / Available) dans la liste des objets sélectionnés (Sélectionnés /Selected) à l'aide des boutons.

Étape suivante


Sélection des objets dont seule les données seront copiées

Lors de cette étape de l'assistant, sélectionnez les tables à partir desquelles vous voulez copier les données.

Pour que les données soient copiées à partir des tables qui étaient sélectionnées lors de l'étape précédente seulement, cochez la case 'Copier les données des tables sélectionnées' (Copy data of selected tables).

Si vous cochez la case 'Copier les données de toutes les tables' (Copy data of all tables), les données seront copiées à partir de toutes les tables de la base.

Si vous cochez la case 'Copier les tables sélectionnées' (Copy selected Tables), vous pouvez sélectionner les tables à partir de la liste des tables disponibles 'Disponible' (Available) et les déplacer dans la liste des tables sélectionnées 'Sélectionné' (Selected) en utilisant les boutons.

Étape suivante


Configuration des options supplémentaires

Iindiquez les options supplémentaires lors de cette étape :

Pour que le protocole de compression soit utilisé lors du transfert de données, cochez la case 'Utilisez la protocole de compression' (Use compression protocol).

Si la base de données contient déjà des objets identiques aux objets copiés, vous pouvez les supprimer automatiquement. Pour cela, cochez la case 'Supprimer un objet s'il existe' (Drop object if exists).

Si vous voulez désactiver la vérification des clés étrangères, cochez la case 'Désactiver les vérifications des clés étrangères' (Disable foreign key checks).

Si la case 'Extraire les objets dépendants' (Extract dependent objects) est cochée, les objets liés avec les objets à copier seront copiés aussi.

Ouvrez la liste déroulante 'Extraire la structure pour la version' (Extract structure for version). Sélectionnez la version du serveur MySQL sur lequel se trouve la base de données de destination.

Vous pouvez copier les données des tables en blocs. Indiquez le nombre dans le champ 'Nombre d'enregistrements pour chaque bloc de données' (Record count per each data block). Afin de confirmer la transaction après la copie de chaque bloc de données, cochez la case 'Valider chaque bloc de données' (Commit each data block).

Étape suivante


Affichage des résultats

Après avoir spécifié les options nécessaires lors des étapes précédentes de l'assistant, cliquez sur le bouton 'Terminer'

(Finish) pour lancer l'exécution de l'opération.

Le déroulement de l'opération s'affiche en pourcentage dans la barre d'état qui se trouve dans la partie supérieure.

Onglet 'Opérations' (Operations).

Toutes les opérations effectuées et le résultat de l'exécution s'affichent sur l'onglet 'Opération' (Operation).

Si vous voulez que l'exécution de l'opération soit annulée en cas d'erreur, cochez la case 'Annulation de la copie en cas d'erreur' (Abort copying on error).

Si la case 'Fermer l'assistant en cas de succès' (Close the Wizard after successful completion) est cochée, l'assistant sera fermé automatiquement après l'exécution réussie de l'opération. Si la case n'est pas cochée, vous pouvez retourner après l'exécution et spécifier de nouveau les paramètres d'opération.


Assistant d'extraction des bases de données

Afin d'extraire la structure des objets de la base de données et les données vers le script SQL, utilisez l'assistant d'extraction des bases de données. Vous pouvez utilisez ce script pour copier et restaurer la base de données. Pour ouvrir l'assistant, sélectionnez l'élément 'Outils | Extraire une base de données' (Tools | Extract Database) du menu principal du programme.

Sélection de la base source

Spécification du nom du fichier de destination

Sélection des composants à extraire

Sélection des objets pour extraire leurs structure

Sélection des tables pour extraire leurs données

Personnalisation des options du script

Visualisation des résultats

Voir aussi Exporter en tant que script SQL.

Si vous ne voulez pas configurer à chaque fois ces paramètres, cliquez sur le bouton 'Modèles' (Templates) et utilisez l'outil de création des modèles.

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Sélection de la base source

Première étape de l'assistant.

Sélectionnez une base de données à extraire. Sélectionnez une base de données dans la liste déroulante 'Base source' (Source database).

Si vous voulez extraire tous les objets de la base de données et les données stockées dans la base, cochez la case 'Extraire tous les métadonnées et les données de la base' (Extract all metadata and data of the database).

Étape suivante

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles.


Spécification du nom du fichier de destination

Indiquez s'il faut sauvegarder le script créé dans un fichier ou s'il faut l'ouvrir dans l'éditeur des scripts.

Pour ouvrir automatiquement le script dans l'éditeur des scripts SQL, cochez l'élément 'Charger automatiquement dans l'éditeur des scripts' (Automatically load to Script Editor).

Si vous voulez sauvegarder le script dans un fichier, sélectionnez l'élément 'Sauvegarder dans un fichier' (Save to file). Dans ce cas, il vous faut indiquer le nom du fichier et le chemin vers celui-ci dans le champ 'Nom du fichier' (File name). Vous pouvez aussi sélectionner le fichier à l'aide de la fenêtre de dialogue. Pour l'ouvrir, cliquez sur le bouton [image].

Étape suivante

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles.


Sélection des composants à extraire

Cette étape n'est pas disponible si vous avez coché la case 'Extraire tous les métadonnées et les données de la base' (Extract all metadata and data of database) lors de la première étape. De cette façon, vous avez indiqué qu'il faut extraire toute la structure et les données de la base de données.

Vous pouvez choisir une de ces variantes d'export :

  • Extraire la structure et les données - Extract both of structure and data,
  • Extraire seulement la structure - Extract structure only,
  • Extraire seulement les données - Extract data only,

Étape suivante

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles.


Sélection des objets pour extraire leurs structure

Cette étape est disponible si vous voulez extraire la structure de la base de données.

Vous pouvez sélectionner les objets dont vous voulez extraire la structure.

Afin d'extraire la structure de tous les objets, cochez la case 'Extraire tous les objets' (Extract all objects).

Choisissez le type d'objet (table, vue etc) dans la liste déroulante 'Objets à copier' (Objects to copy).

Après cela, les objets correspondants au type sélectionné apparaissent dans la liste 'Disponible' (Available). Déplacez les objets à partir de la liste des objets disponibles (Disponible / Available) dans la liste des objets sélectionnés (Sélectionnés /Selected) à l'aide des boutons.

Étape suivante

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles.


Sélection des tables pour extraire leurs données

Sélectionnez les tables à partir desquelles vous voulez extraire les données lors de cette étape de l'assistant.

Si vous cochez la case 'Extraire les données des tables sélectionnées' (Extract data of the selected tables), vous pouvez sélectionner les tables à partir de la liste des tables disponibles 'Disponible' (Available) et les déplacer dans la liste des tables sélectionnées 'Sélectionné' (Selected) en utilisant les boutons.

Pour que les données soient extraites à partir de toutes les tables de la base, cochez la case 'Extraire les données de toutes les tables' (Extract data of all tables).

La case 'Extraire les données des tables sélectionnées à l'étape précédente' (Extract data of tables selected on previous step) indique que les données seront extraites à partir des tables qui ont été sélectionnées lors de l'étape précédente.

Étape suivante

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles.


Personnalisation des options du script

Spécifiez les options générales du script SQL généré lors de la dernière étape de l'assistant.

Pour créer dans le script l'instruction CREATE DATABASE, cochez la case 'Générer l'instruction "CREATE DATABASE" ' (Generate "CREATE DATABASE" statement).

Si vous cochez la case 'Générer l'instruction "DROP DATABASE IF EXIST" ' (Generate "DROP DATABASE IF EXIST" statement), les instructions DROP seront créées lors de l'extraction. Ces instructions suppriment les bases de données correspondants aux bases de données créées par le script avant la création de celles-là.

Si vous cochez la case 'Générer l'instruction "USE db_name" ' (Generate "USE db_name" statement), l'instruction USE db_name sera créée dans le script. Cette instruction demande à MySQL d'utiliser par défaut la base de données avec le nom db_name lors des requêtes postérieures. La base de données indiquée demeure dans cet état jusqu'à la fin de la séance ou jusqu'à ce qu'une nouvelle commande USE soit lancée.

Si vous cochez la case 'Générer l'instruction "DROP IF EXIST" ' (Generate "DROP IF EXIST" statement), les instructions DROP seront créés lors de l'extraction. Ces instructions suppriment les objets correspondant aux objets créés par le script avant la création de ceux-là.

Cochez la case 'Désactivez les vérifications des clés étrangères' (Disable foreign key checks) si vous voulez désactiver la vérification des clés étrangères. L'option 'Générer l'instruction "SET NAMES" ' (Generate "SET NAMES" statement) crée l'instruction SET NAMES, qui spécifie le codage.

Si la case 'Extraire les objets dépendants' (Extract dependent objects) est cochée, les objets liés avec les objets à copier seront copiés aussi.

'Ajouter la variable SQL_MODE' (Add SQL_MODE variable) - ajouter l'instruction pour spécifier la variable SQL_MODE.

'Ajouter l'instruction DELIMITER pour les routines stockées et les triggers' (Add DELIMITER statement for stored routines and triggers) - ajouter les directives 'delimiter' lors de l'extraction des procédures et des triggers.

'Insérer les commentaires' (Insert comments) - si la case est cochée, des commentaires texte seront créés pour les procédures dans le texte du script.

Ouvrez la liste déroulante 'Extraire la structure pour la version' (Extract structure for version). Sélectionnez la version du serveur MySQL pour lequel il faut générer le script.

Spécifiez les paramètres de données sur l'onglet 'Options de données' (Data Options).

Spécifiez le nombre d'enregistrements dans un bloc en utilisant le compteur 'Enregistrements dans un bloc' (Records in a block).

Si vous cochez la case 'Insérer l'instruction "COMMIT" après chaque block' (Insert "COMMIT" statement after each block), l'instruction COMMIT sera ajoutée après chaque bloc.

Si vous cochez la case 'Extraire les données des tables après sa définition' (Extract table data just after its definition), les instructions INSERTdu script généré seront insérées après le script de création de la table à laquelle elles appartiennent, mais si cette table a été sélectionnée. Si la table n'a pas été sélectionnée, les instructions seront insérés dans la fin du script.

Pour extraire les données des tables fusionnées, cochez la case 'Extraire les données à partir des tables fusionnées' (Extract data from Merge tables).

Si vous voulez que l'exécution de l'opération soit annulée en cas d'erreur, cochez la case 'Annulation de l'extraction en cas d'erreur' (Abort extraction on error). Sinon le script sera exécuté sans interruption, toutes les erreurs qui surgissent seront affichées dans la fenêtre spéciale.

Étape suivante

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles.


Visualisation des résultats

Après avoir spécifié les options nécessaires lors des étapes précédentes de l'assistant, cliquez sur le bouton 'Terminer'

(Finish) pour lancer l'exécution de l'opération.

Le déroulement de l'opération s'affiche en pourcentage dans la barre d'état qui se trouve dans la partie supérieure.

Onglet 'Opérations' (Operations).

Toutes les opérations effectuées et le résultat de l'exécution s'affichent sur l'onglet 'Opération' (Operation).

Si vous voulez ouvrir aussitôt le script de résultat dans l'éditeur de scripts SQL, cochez la case 'Charger le script généré dans l'éditeur de scripts' (Load generated script into Script Editor).

Si la case 'Fermer l'assistant en cas de succès' (Close the Wizard after successful completion) est cochée, l'assistant sera fermé automatiquement après l'exécution réussie de l'opération. Si la case n'est pas cochée, vous pouvez retourner après l'exécution et spécifier de nouveau les paramètres d'opération.


Impression des métadonnées

L'outil 'Imprimer les méta-données' (Print Metadata) permet d'imprimer les métadonnées de tous les objets de la base de données. Pour ouvrir l'outil, il vous faut sélectionner 'Outils | Imprimer les méta-données' (Tools | Print Metadata).

Afin de configurer l'impression, utilisez les outils qui se trouvent sur les barres d'outils.

Voir aussi l'assistant des rapports HTML.

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Utilisation de la barre de navigation

Les outils principaux se trouvent sur les barres d'outils.

Barre de navigation

Sur la barre 'Base de données' (Database) :

  • sélectionner une base de données.

Sur la barre 'Général' (General) :

  • 'Imprimer' (Print),
  • 'Prévisualiser' (Preview) - aperçu préalable,
  • 'Restaurer la taille par défaut' (Restore default size) - restaurer la taille par défaut de la fenêtre.

La liste des types d'objets se trouve sur la barre 'Afficher' (Show) :

  • 'Afficher tout' (Show All) - afficher tous les objets,
  • 'Tables' (Tables) - tables,
  • 'Vues' (Views) - vues,
  • 'Procédures' (Procedures) - procédures,
  • 'UDF' (UDF) - fonctions définies par l'utilisateur,
  • 'Afficher les événements programmés' (Show scheduled events) - événements programmés.

Barre d'outils

  • sélectionner une base de données,
  • 'Afficher tout' (Show All) - afficher tous les objets,
  • 'Tables' (Tables) - tables,
  • 'Vues' (Views) - vues,
  • 'Procédures stockées' (Stored procedures) - procédures,
  • 'Fonctions stockées' (Stored functions) - fonctions stockées
  • 'Fonctions définies par l'utilisateur' (User-Defined functions) - fonctions définies par l'utilisateur,
  • 'Événements programmés' (Scheduled Events) - événements programmés,
  • 'Prévisualiser' (Preview) - aperçu préalable,
  • 'Imprimer' (Print),
  • 'Restaurer la taille par défaut' (Restore default size) - restaurer la taille par défaut de la fenêtre.


Options d'impression

Sélectionnez les objets de la base de données dont vous voulez imprimer les métadonnées lors du processus de configuration de l'impression.

Sélectionnez le type d'objet sur une des barres de gestion. Tous les objets de ce type que la base de données contient apparaissent dans la liste 'Disponible<type_d'objet>' (Available). Déplacez ces objets dans la liste des objets sélectionnés - '<type_d'objet> pour l'impression' (for Printing) en utilisant les boutons ou en double cliquant avec la souris. Vous pouvez sélectionnez certains objets en utilisant les boutons Ctrl et Shift.

Indiquez les informations sur l'objet à imprimer dans la partie inférieure de la liste des objets sélectionnés :

  • 'Champs/Paramètres' (Fields/Params),
  • 'Index' (Indices)
  • 'DDL' (DDL),
  • 'Description' (Description).

Pour supprimer l'objet à partir de la liste des objets sélectionnés, utilisez les boutons ou double cliquez avec la souris.


Assistant de création de rapports HTML

L'assistant de création de rapports HTML permet de créer des rapports détaillés sur les métadonnés de la base de données sélectionnée. Cliquez sur l'élément 'Outils | Générer un rapport HTML' (Tools | HTML Report) du menu pour ouvrir l'assistant.

Sélection de la base de données et du répertoire

Sélection du type d'objet de la base de données

Spécification du style de rapport

Configuration des paramètres supplémentaires

Visualisation des résultats

Voir aussi :

Impression des métadonnées

Assistant d'export de données

Si vous ne voulez pas configurer chaque fois ces paramètres, cliquez sur le bouton 'Modèles' (Templates) et utilisez l'outil de création des modèles.

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Non


Sélection de la base de données et du répertoire

La première étape de l'assistant. Sélectionnez une base de données pour générer le rapport sur ses métadonnées.

Sélectionnez une base de données source à partir de la liste déroulante 'Base source' (Source database). Cette liste contient toutes les bases de données enregistrées et les bases de données connectées.

Indiquez le chemin vers le répertoire dans lequel le rapport HTML sera créé. Pour cela, utilisez le bouton [image] dans le champ 'Répertoire en sortie' (Output directory).

Étape suivante

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles.


Sélection du type d'objet de la base de données

La deuxième étape de l'assistant. Sélectionnez le type des objets qui seront mis dans le rapport. Tous les types d'objets sont sélectionnés par défaut.

  • tables - 'Tables' (Tables),
  • triggers - 'Triggers' (Triggers),
  • vues - 'Vues' (Views),
  • procédures - 'Procédures' (Procedures),
  • fonctions stockées - 'Fonctions' (Functions),
  • fonctions définies par l'utilisateur - 'UDF' (UDF),

Étape suivante

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles.


Spécification du style de rapport

La troisième étape de l'assistant. Spécifiez le style du fichier HTML en sortie. Vous pouvez modifier manuellement le texte de la description du style, ou vous pouvez copier le texte à partir d'un fichier au format *.css.

Étape suivante

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles.


Configuration des paramètres supplémentaires

Spécifiez les paramètres généraux du rapport lors de la dernière étape de l'assistant. Vous pouvez spécifier les paramètres suivants :

  • codage - sélectionnez le codage à partir de la liste 'Jeu de caractères' (Charset),
  • en-tête du rapport - 'En-tête' (Report header),
  • Bas de page du rapport - 'Bas de page' (Report footer).

Étape suivante

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles.


Visualisation des résultats

Après avoir spécifié les options nécessaires lors des étapes précédentes de l'assistant, cliquez sur le bouton 'Terminer' (Finish) pour lancer l'exécution de l'opération.

Le déroulement de l'opération s'affiche en pourcentage dans la barre d'état qui se trouve dans la partie supérieure.

Onglet 'Opérations' (Operations).

Toutes les opérations effectuées et le résultat de l'exécution s'affichent sur l'onglet 'Opération' (Operation).

Si vous voulez ouvrir aussitôt le rapport généré, cochez la case 'Afficher le rapport après sa génération' (Show report after generating).

Si la case 'Fermer l'assistant en cas de succès' (Close the Wizard after successful completion) est cochée, l'assistant sera fermé automatiquement après l'exécution réussie de l'opération. Si la case n'est pas cochée, vous pouvez retourner et spécifier les paramètres de l'opération de nouveau après l'exécution.


Gestion des rapports

Créez les rapports avec SQL Manager 2007 for MySQL en utilisant les outils suivants :

L'assistant de création de rapports et le constructeur de rapport sont les méthodes les plus simples pour créer un rapport.

Le constructeur de rapports est un outil essentiel de création des rapports. Le visualisateur de rapports est un outil qui permet de visualiser les résultats.

Vous pouvez stocker les rapports dans les répertoires définis dans la base de données lors de la modification de l'information d'enregistrement de la base sur l'onglet Répertoires (Directories).

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Non


Assistant de création de rapports

L'assistant de création de rapports est conçu pour créer rapidement le formulaire de rapport pas à pas. Pour cela, la source de données, les bandes affichées et les paramètres de la page sont définis. Afin de lancer l'assistant, il vous faut :

  • créer un objet 'Rapport' (Report) dans l'explorateur de bases,
  • sélectionner l'élément 'Base de données | Nouvel objet' (Database | New Object) du menu principal du programme,
  • sélectionner l'élément 'Rapport' (Report) à partir de la liste. Ouvrez celui-ci en cliquant sur le bouton 'Créer' (Create) sur la barre d'outils de l'explorateur de bases.

Spécification des options générales du rapport

Sélection des bandes du rapport

Sélection du style du rapport

Spécification des réglages de la page

Voir aussi :

Constructeur de rapports

Visualisateur de rapports

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Non


Spécification des options générales du rapport

La première étape de l'assistant. Sélectionnez une base de données pour laquelle il faut générer le rapport. Pour cela, ouvrez la liste 'Base de données' (Database). Cette liste contient les bases de données enregistrées et les bases de données connectées.

Sélectionnez une méthode de création du rapport dans la section 'Méthode de création du rapport' (Report creation method) :

  • 'Nouveau rapport' (New report) - un nouveau rapport sera créé,
  • 'Importer à partir du fichier' (Import from file) - le rapport sera importé à partir d'un fichier.

Spécifiez les paramètres de sauvegarde du fichier de rapport dans la section 'Options de sauvegarde' (Save options) :

  • spécifiez le nom du fichier dans le champ 'Nom du rapport' (Report name),
  • cochez la case 'Sauvegarder dans la base de données' (Save to database) pour que le rapport soit sauvegardé dans un dossier de la base de données, dans la table avec le nom myreports.
  • si vous voulez sauvegarder le rapport dans le fichier de rapport avec l'extension *.fr3, cochez la case 'Sauvegarder dans le fichier' (Save to file),

Étape suivante


Sélection des bandes du rapport

La deuxième étape de l'assistant. Sélectionnez les bandes sur lesquelles les données supplémentaires s'affichent (en-têtes, bas de pages, sommes, groupements des champs, etc).

Sélectionnez les bandes nécessaires à partir de la liste des bandes disponibles - 'Bandes disponibles' (Available Bands). Déplacez-les dans la liste des bandes affichées 'Bandes du rapport' (Report Bands) en utilisant les boutons.

Spécifiez les valeurs pour les bandes 'Données maître' (Master data), 'Données détail' (Detail data) et 'Données sous-detail' (Subdetail data) en utilisant le bouton [image] . Cliquez sur le bouton, le constructeur de requêtes s'ouvre. Spécifiez les données qui seront affichées dans le rapport en utilisant le constructeur de requêtes.

Les bandes pour lesquelles vous indiquez les données seront cochées.

Notez : vous pouvez spécifier les données pour la bande détail (Detail data) après avoir spécifié les données pour la bande maître (Master data). Les données pour la bande sous-détail (Subdetail data) doivent être spécifiées après avoir indiqué les données pour la bande détail (Detail data).

Étape suivante


Spécification de style de rapport

La troisième étape de l'assistant. Spécifiez le style du rapport. La fenêtre contient les maquettes d'aspect des pages. Pour sélectionner la maquette, il vous faut cliquer avec le bouton gauche de la souris sur la maquette nécessaire.

Étape suivante


Spécification des réglages de la page

Spécifiez les paramètres de la page d'impression du rapport lors de cette étape de l'assistant. Pour spécifier les propriétés, utilisez les trois onglets :

Onglet 'Papier' (Paper)

Indiquez la taille de la page dans la section 'Taille' (Size).

Sélectionnez une des tailles standard dans la liste déroulante. Si les tailles standard ne conviennent pas, sélectionnez l'élément 'Papier spécial' (Special paper). Vous pouvez ainsi modifier les champs 'Largeur, mm' (Width, mm) et 'Hauteur, mm' (Height, mm). Indiquez la largeur et la hauteur du papier en mm.

Choisissez l'orientation de la page en utilisant le compteur dans la section 'Orientation' (Orientation).

  • Portrait (Portrait),
  • Paysage (Landscape).

Onglet 'Marges' (Margins)

Indiquez la taille des champs de la page dans la section 'Marges' (Margins).

Pour configurer automatiquement la correspondance des tailles des champs et de la zone d'impression, cochez la case 'Agrandir à la zone d'impression' (Stretch to print area).

Spécifiez manuellement les tailles des champs de la page dans les champs suivants :

  • Gauche, mm (Left, mm),
  • Haut, mm (Top, mm),
  • Droit, mm (Right, mm),
  • Bas, mm (Bottom, mm).

Onglet 'Autre' (Others)

Spécifiez les propriétés supplémentaires de la maquette du rapport sur l'onglet 'Autre' (Others).

'Imprimer sur les pages précédentes' (Print to previous page). Cette option vous permet d'utiliser l'espace vide de la page précédente lors de l'impression. Cette fonction est utilisée si le rapport contient plusieurs pages.

Pour que l'exécution du rapport s'exécute en deux étapes, cochez la case 'Rapport sur deux passes' (Two-pass report). La formation du rapport et la répartition des pages s'exécutent lors de la première étape, mais le résultat n'est pas sauvegardé. La formation du rapport et la sauvegarde de celui-ci dans le fil s'exécute lors de la deuxième étape.

Afin de numéroter les pages du rapport, cochez la case 'Numérotation des pages' (Page numbering).

'Colonnes' (Columns)

Indiquez le nombre de colonnes du rapport dans le compteur 'Nombre' (Number).

Indiquez l'espacement entre les colonnes dans le champ 'Espace en mm' (Gap, mm).

Si vous cochez la case 'Ouvrir le rapport après la fin de l'assistant' (Open the report after the wizard has finished), le rapport créé sera ouvert automatiquement dans le constructeur de requêtes après la génération.

Afin de lancer l'exécution du rapport, cliquez sur le bouton 'Terminer' (Finish).


Constructeur de rapports

Le constructeur de rapports permet de créer et de modifier les rapports. Ouvrez l'outil en sélectionnant l'élément 'Outils | Constructeur de rapport' (Tools | Report Designer) ou cliquez sur le bouton 'Modifier un rapport' (Edit report) sur une des barres d'outils du visualisateur de rapports.

Le module 'Constructeur de rapport' (Report Designer) est un composant du programme FastReport (http://www.fast-report.com). Il dispose d'un fichier d'aide à part. Pour ouvrir ce fichier, cliquez sur le bouton F1 dans la fenêtre du constructeur.

Ajouter la fenêtre de dialogue

Ajouter le composant de la base de données

Ajouter le composant de la requête

Spécification des champs

Visualisation du rapport

Voir aussi :

Assistant de création de rapports

Visualisateur de rapports

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Non


Ajouter la fenêtre de dialogue

Afin d'ajouter la fenêtre de dialogue, cliquez sur le bouton 'Add dialog form' (Ajouter la fenêtre de dialogue) sur la barre d'outils.


Ajouter le composant de la base de données

Afin d'ajouter les objets de la base dans le rapport, il vous faut :

  • sélectionner l'objet ZeosMyDatabase sur la barre d'outils qui se trouve à gauche de la fenêtre principale ; déplacer l'objet sur la fenêtre créée,
  • spécifier le serveur (Hôte/Host) et la base de données (Nom de la base/ DatabaseName) pour l'objet, dans la fenêtre 'Inspecteur d'objet' (Object Inspector), sur l'onglet 'Propriétés' (Properties) ,
  • indiquer True pour la propriété LoginPrompt,
  • indiquer True pour la propriété Connected,
  • saisir le login et le mot de passe,
  • indiquer False pour la propriété LoginPrompt.

Note : afin d'ouvrir 'Inspecteur d'objet' (Object Inspector), cliquez sur le bouton F11.


Ajouter le composant de la requête

Afin d'ajouter les éléments de la requête sur la fenêtre, il vous faut :

  • sélectionner l'élément Zeos MySQL Query sur la barre d'outils, qui se trouve à gauche de la fenêtre principale, déplacer l'objet sur la fenêtre créée,
  • sélectionner une base de données à partir de la liste 'Base de données' (Database),
  • spécifier le texte de la requête dans la fenêtre qui s'ouvre. Sélectionner élément SQL dans la fenêtre 'Inspecteur d'objet' (Object Inspector),
  • indiquez la propriété 'Active' (Active) en tant que True.

Note : afin d'ouvrir 'Inspecteur d'objet' (Object Inspector), cliquez sur le bouton F11.


Spécification des champs

Indiquez sur la page Page1 les champs de la base de données qui constituent le rapport. Pour cela, sélectionnez les champs de la base de données à partir de la liste, qui se trouve dans la fenêtre 'Insérer les champs' (Insert fields).


Visualisation du rapport

Afin de visualiser et d'imprimer la réponse obtenue, cliquez sur le bouton 'Prévisualiser' (Preview) sur la barre d'outils.


Visualisateur de rapports

Vous pouvez visualiser, modifier, sauvegarder et imprimer les rapports en utilisant le visualisateur de rapports. Afin d'ouvrir un rapport dans le visualisateur, il vous faut double cliquer avec la souris sur le rapport. Les rapports se trouvent dans le groupe d'objets 'Rapports' (Reports) dans l'explorateur des bases de données.

Les outils principaux se trouvent sur les barres d'outils.

Voir aussi :

Assistant de création de rapports

Constructeur de rapports

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Non


Utilisation de la barre de navigation

Barre de navigation

sur la barre 'Objets' (Object) :

  • sélectionner une base de données,
  • sélectionner le rapport.

sur la barre 'Général' (General) :

  • 'Rafraîchir' (Refresh),
  • modifier la requête dans le constructeur de requêtes - 'Modifier un rapport' (Edit report),
  • sauvegarder le rapport dans un fichier - 'Sauvegarder un rapport sous' (Save report as),
  • imprimer le rapport - 'Imprimer' (Print),
  • restaurer la taille par défaut de la fenêtre - 'Restaurer la taille par défaut' (Restore default size).

Barre d'outils

  • sélectionner une base de données,
  • sélectionner un rapport,
  • 'Rafraîchir' (Refresh),
  • 'Sauvegarder' (Save),
  • sauvegarder le rapport dans un fichier - 'Sauvegarder un rapport sous' (Save report as),
  • modifier le rapport dans le constructeur de requêtes - 'Modifier un rapport' (Edit report),
  • imprimer le rapport - 'Imprimer' (Print),
  • restaurer la taille par défaut de la fenêtre - 'Restaurer la taille par défaut' (Restore default size).


Arbre des dépendances

Cet outil permet de visualiser les dépendances sous la forme de diagramme.

La dépendance des objets est affichée sous la forme d'arbre dans la fenêtre principale de l'outil.

Pour ouvrir l'arbre des dépendances, sélectionnez l'élément 'Outils | Arbre des dépendances' (Tools | Dependency Tree).

Tous les outils principaux pour le travail avec les objets et avec le diagramme de dépendances se trouvent sur les barres d'outils :

  • barre de navigation,
  • barre d'outils,

et dans le menu contextuel.

Afin d'afficher une dépendance d'objet il vous faut sélectionner cet objet. Utilisez une de ces méthodes :

  • cliquez sur le bouton 'Sélectionner un objet' (Select object) sur la barre de navigation,
  • déplacez l'objet à partir de la fenêtre de l'explorateur de bases dans la fenêtre principale de l'arbre des dépendances.

L'objet sélectionné vaut l'objet principal, il se diffère de tous les autres objets par la couleur du cadre. La couleur du cadre de l'objet principal est bleu. Les cadres de tous les autres objets sont noirs. Les dépendances entre les objets sont affichées sous la forme de flèches. Si vous cliquez avec la souris sur l'objet dans le diagramme des dépendances, il devient l'objet principal. Toutes les dépendances s'affichent pour cet objet. Pour afficher les informations sur l'objet précédent sélectionnez l'élément 'Objet précédent' (Previous object) sur la barre de navigation, sur la barre d'outils ou dans le menu contextuel.

Vous pouvez afficher et cacher les sous-objets dépendants dans le diagramme des dépendances.

Pour cela utilisez le bouton 'Cacher les sous-objets' (Hide subobjects) sur les barres d'outils.

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Non


Barres d'outils

Les barres d'outils se trouvent à gauche de l'éditeur et au-dessus de l'éditeur.

La barre de navigation permet :

Sur la barre 'Base de données' (Database) :

  • sélectionner une base de données.

Sur la barre 'Général' (General) :

  • actualiser le contenu de l'objet modifié - 'Rafraîchir' (Refresh),
  • imprimer les métadonnées de l'objet - 'Imprimer' (Print),
  • configurer l'impression - 'Configuration de l'impression' (Print setup),
  • sauvegarder le diagramme en tant qu'image - 'Sauvegarder en tant qu'image' (Save as image),
  • afficher l'aide MySQL - 'Afficher l'aide SQL' (Show SQL help).

Sur la barre 'Objets' (Object) :

  • afficher les dépendances de l'objet précédent - 'Objet précédent' (Previous object),
  • afficher les dépendances de l'objet suivant - 'Objet suivant' (Next object),
  • 'Afficher des sous-objets' (Show subobjects),
  • 'Sélectionner un objet' (Select object).

Barre d'outils

  • sélectionner une base de données - 'Bases de données' (Databases),
  • imprimer les métadonnées de l'objet - 'Imprimer' (Print),
  • configurer l'impression - 'Configuration de l'impression' (Print setup),
  • sauvegarder le diagramme en tant qu'image - 'Sauvegarder en tant qu'image' (Save as image),
  • actualiser le contenu de l'objet modifié - 'Rafraîchir' (Refresh),
  • afficher les dépendances de l'objet précédent - 'Objet précédent' (Previous object),
  • afficher les dépendances de l'objet suivant - 'Objet suivant' (Next object),
  • sélectionner un objet - 'Sélectionner un objet' (Select object),
  • afficher des sous-objets - 'Afficher des sous-objets' (Show subobjects),
  • restaurer la taille par défaut de la fenêtre - 'Restaurer la taille par défaut' (Restore default size).

Menu contextuel

Pour ouvrir le menu, cliquez avec le bouton droit de la souris sur n'importe quel point du diagramme des dépendances.

  • actualiser le contenu de l'objet modifié - 'Rafraîchir' (Refresh),
  • afficher les dépendances de l'objet précédent - 'Objet précédent' (Previous object),
  • afficher les dépendances de l'objet suivant - 'Objet suivant' (Next object),
  • sélectionner un objet -'Sélectionner un objet' (Select object),
  • afficher des sous-objets - 'Afficher des sous-objets' (Show subobjects) (les index, les triggers et les clés étrangères).


Recherche dans les métadonnées

Cette fonctionnalité est utile si vous avez besoin de rechercher une certaine combinaison de caractères dans le texte de métadonnées de la base de données.

Afin d’ouvrir la fenêtre de recherche des métadonnées, il faut sélectionner l’élément ‘Outils | Recherche dans les métadonnées’ (Tools | Search in Metadata) dans le menu principal du programme, ou utiliser le raccourci Ctrl+Alt+F.

Search in Metadata

Saisissez le mot à rechercher dans le champ ‘Texte à rechercher’ (Text to find). Dans la liste déroulante ‘Base de données’ (Database) qui s’ouvre, sélectionnez la base de données, dans laquelle la recherche va s’exécuter.

Respecter la casse (Case Sensitive) – respecter la casse lors de la recherche.

Mots entiers (Whole words only) – tenir compte du mot entier.

Expressions régulières (Regular Expressions) – chercher une expression régulière dans le texte.

Indiquez la direction de la recherche dans la section ‘Direction’ (Direction) :

  • Forward - Suivant,
  • Backward - Précédent.

Les résultats de la recherche apparaissent dans une fenêtre spéciale.

Search in Metadata_1

Tous les objets dont les métadonnées contiennent un mot ou un groupe de mots cherchés, s’affichent sur la barre de navigation dans la section ‘Explorateur’ (Explorer).

Les métadonnée de l’objet s’affichent dans l’éditeur SQL si vous appuiez sur le nom de l’objet dans la section ‘Explorateur’ (Explorer).


Gestion de la sécurité

La gestion de la sécurité dans SQL Manager 2007 for MySQL est assurée grâce à deux outils. Vous pouvez gérer les droits d'accès des utilisateurs aux données et aux métadonnées des bases de données.

Le gestionnaire des utilisateurs (User manager) est un outil pour ajouter, supprimer des utilisateurs du serveur, pour créer et modifier les droits des utilisateurs.

Le gestionnaire des droits (Grant manager) est un outil pour la gestion des droits des utilisateurs sur les objets de la base de données.

Les droits globaux des utilisateurs déterminent les droits d'accès des utilisateurs à tous les objets de la base de données. Les droits sont accordés aux utilisateurs pour qu'ils puissent accéder aux bases de données, aux tables des bases de données et aux champs des tables. Les droits d'accès aux objets de bases de données permettent aux utilisateurs d'exécuter les différentes opérations (création, modification, suppression) avec une base de données, des tables ou des champs.


Gestionnaire d'utilisateurs

L'utilisateur d'une base de données est un élément principal qui assure le contrôle d'accès aux éléments de la base de données.

Indiquez dans l'éditeur le nom, le mot de passe et les droits d'accès aux objets de la base de données pour les utilisateurs.

Créer un utilisateur

Afin d'ajouter un nouvel utilisateur, il vous faut exécuter les opérations suivantes :

  • sélectionner l'élément 'Outils | Gestionnaire d'utilisateurs' (Tools | User Manager) du menu principal du programme,
  • cliquer 'Ajouter un utilisateur' (Add User) sur une des barres d'outils.

L'objet créé s'ouvre automatiquement dans l'éditeur correspondant.

Modifier l'utilisateur

Toutes les modifications de cet objet s'exécutent dans l'éditeur des connexions.

Afin d'ouvrir l'objet dans l'éditeur il vous faut :

  • cliquer sur 'Modifier l'utilisateur' (Edit User) sur une des barres d'outils du gestionnaire d'utilisateurs/User Manager (un utilisateur sélectionné sera ouvert dans l'éditeur),
  • double cliquer avec la souris sur l'objet dans la liste générale.

Supprimer l'utilisateur

Afin de supprimer un utilisateur, il vous faut :

  • sélectionner la commande 'Supprimer un utilisateur' (Delete User) sur une des barres d'outils du gestionnaire d'utilisateurs/User Manager,
  • ou sélectionner l'élément 'Supprimer un utilisateur' (Delete User) dans le menu contextuel de l'objet sélectionné.

Utilisation des barres d'outils

Utilisation de l'éditeur des utilisateurs

Voir aussi :

Gestionnaire des droits

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Non


Utilisation des barres d'outils

Les outils principaux pour le travail avec les droits se trouvent sur les barres d'outils.

Barre de navigation :

Sur la barre 'Serveurs' (Servers) :

  • sélectionnez le serveur à partir de la liste déroulante. Si vous n'êtes pas connectés au serveur, sélectionnez le serveur à partir de cette liste déroulante et saisissez le nom et le mot de passe dans la fenêtre qui apparaît. Si l'hôte n'est pas enregistré, vous pouvez l'enregistrer en utilisant l'assistant d'enregistrement des hôtes.

Sur la barre 'Général' (General) :

  • 'Rafraîchir' (Refresh) - actualiser le contenu de la liste,
  • 'Ajouter l'utilisateur' (Add user) - créer un nouvel utilisateur,
  • 'Modifier l'utilisateur' (Edit user) - modifier un utilisateur sélectionné dans l'éditeur des utilisateurs,
  • 'Supprimer l'utilisateur' (Delete user),
  • 'Restaurer la taille par défaut' (Restore default size) - restaurer la taille par défaut de la fenêtre.

Barre d'outils :

  • Sélectionnez le serveur à partir de la liste déroulante,
  • 'Rafraîchir' (Refresh) - actualiser le contenu de la liste,
  • 'Ajouter l'utilisateur' (Add user) - créer un nouvel utilisateur,
  • 'Modifier l'utilisateur' (Edit user) - modifier un objet sélectionné dans l'éditeur des utilisateurs,
  • 'Supprimer l'utilisateur' (Delete user),
  • 'Restaurer la taille par défaut' (Restore default size) - restaurer la taille par défaut de la fenêtre.


Utilisation de l'éditeur des utilisateurs

Cet éditeur s'ouvre lors de la création d'un nouvel utilisateur ou lors de la modification d'un utilisateur existant. Vous pouvez y spécifier toutes les propriétés de l'utilisateur.

Indiquez le nom de l'utilisateur dans le champ 'Nom' (Name). Indiquez le serveur pour lequel les droit sont accordés dans le champ 'Hôte' (Host). Spécifiez le mot de passe puis confirmez-le dans les champs 'Mot de passe' (Password) et 'Confirmer le mot de passe' (Confirm password).

Spécifiez les droits globaux dans la section 'Droits globaux' (Global privileges). Cochez les opérations que l'utilisateur a le droit d'exécuter.

Si vous voulez donner à un utilisateur les droits pour l'exécution de toutes les opérations, cochez la case 'Tous les droits' (All privileges). Si la case 'Avec option Donner' (With grant option) est cochée pour un utilisateur, celui-ci a la possibilité de donner les droits à un autre utilisateur sur toutes les actions énumérées.

Vous pouvez aussi spécifier les propriétés suivantes pour l'utilisateur :

  • 'Max de requêtes pour heure' (Max. queries per hour) - le nombre maximum de requêtes par heure,
  • 'Max de mises à jour pour heure' (Max. updates per hour) - le nombre maximum de mises à jour par heure,
  • 'Max de connexion pour heure' (Max. connections per hour) - le nombre maximum de connexions aux bases de données par heure.

Spécifiez les droits des utilisateurs sur l'exécution des opérations avec les objets séparés de la base de données. Pour cela, utilisez l'éditeur de droits.


Gestionnaire des droits

L'outil Gestionnaire des droits (Grant Manager) permet d'accorder aux utilisateurs les droits d'accès aux objets protégés : bases de données, tables, fonctions, schémas etc.

Sélectionnez 'Outils | Gestionnaire des droits' (Tools | Grant Manager) dans le menu principal du programme pour ouvrir le gestionnaire des droits.

  • Utilisation des barres d'outils et du menu contextuel
  • Gestion de droits globaux
  • Gestion de droits aux objets de la base de données
  • Visualisation des objets

Voir aussi :

Gestionnaire d'utilisateurs

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Utilisation des barres d'outils et du menu contextuel

Les outils principaux pour le travail avec les droits se trouvent sur les barres d'outils et dans le menu contextuel.

Barre de navigation

Sur la barre 'Hôte ou base de données' (Host or Database) :

  • sélectionnez le serveur à partir de la liste déroulante. Si vous n'êtes pas connectés au serveur, sélectionnez le serveur à partir de cette liste déroulante et saisissez le nom et le mot de passe dans la fenêtre qui apparaît. Si l'hôte n'est pas enregistré, vous pouvez l'enregistrer en utilisant l'assistant d'enregistrement des hôtes.

Sur la barre 'Général' (General) :

  • 'Rafraîchir' (Refresh) - actualiser le contenu de la liste,
  • 'Ajouter un nouvel utilisateur' (Add new user) - créer un nouvel utilisateur,
  • 'Modifier l'utilisateur sélectionné' (Edit selected user) - modifier un objet sélectionné dans l'éditeur des utilisateurs,
  • 'Supprimer l'utilisateur sélectionné' (Delete selected user),
  • 'Extraire les droits de l'utilisateur' (Extract user's grants) - générer le script SQL, qui contient les commandes d'attribution des droits aux utilisateurs actifs,
  • 'Extraire tous les droits de l'utilisateur' (Extract all user's grants) - générer le script SQL, qui contient les commandes d'attribution des droits à tous les utilisateurs,
  • 'Restaurer la taille par défaut' (Restore default size) - restaurer la taille par défaut de la fenêtre.

Sur la barre Droits pour (Privileges for) :

Sélectionnez l'utilisateur pour lequel il faut spécifier les droits à partir de la liste 'Utilisateur' (User).

Barre d'outils

  • sélectionnez le serveur à partir de la liste déroulante 'Hôte ou base de données' (Host or Database). Si vous n'êtes pas connectés au serveur, sélectionnez le serveur à partir de cette liste déroulante et saisissez le nom et le mot de passe dans la fenêtre qui apparaît. Si l'hôte n'est pas enregistré, vous pouvez l'enregistrer en utilisant l'assistant d'enregistrement des hôtes,
  • sélectionnez l'utilisateur pour lequel il faut spécifier les droits à partir de la liste 'Utilisateur' (User),
  • 'Rafraîchir' (Refresh),
  • 'Modifier l'utilisateur sélectionné' (Edit selected user) - modifier un objet sélectionné dans l'éditeur des utilisateurs,
  • 'Ajouter un nouvel utilisateur' (Add new user) - créer un nouvel utilisateur,
  • 'Supprimer l'utilisateur sélectionné' (Delete selected user),
  • 'Extraire les droits de l'utilisateur' (Extract user's grants) - générer le script SQL, qui contient les commandes d'attribution des droits aux utilisateurs actifs,
  • 'Extraire tous les droits de l'utilisateur' (Extract all user's grants) - générer le script SQL, qui contient les commandes d'attribution des droits aux tous les utilisateurs,
  • 'Restaurer la taille par défaut' (Restore default size) - restaurer la taille par défaut de la fenêtre.

Menu contextuel

Pour ouvrir le menu contextuel, cliquez sur la cellule de la plage de gestionnaire des droits (Grant Manager). Ce menu permet d'attribuer les droits sur les opérations avec les objets.

  • 'Donner' (Grant) - donner les droits,
  • 'Révoquer' (Revoke) - révoquer les droits,
  • 'Donner avec l'option GRANT' (Grant GRANT OPTION),
  • 'Révoquer l'option GRANT' (Revoke GRANT OPTION) - les droits ne sont pas attribués,
  • 'Tout donner' (Grant All) - les droits permettant toutes les opérations avec un objet sélectionné,
  • 'Tout donner avec l'option GRANT' (Grant All with GRANT OPTION) - donner les droits 'GRANT' sur toutes les opérations avec l'objet sélectionné,
  • 'Révoquer pour tout' (Revoke on All) - les droits ne sont pas attribués pour toutes les actions de cet objet,
  • 'Donner pour tout' (Grant on All) - donner les droits sur cette opération pour tous les objets,
  • 'Donner pour tout avec l'option GRANT' (Grant All with GRANT OPTION) - donner les droits 'GRANT' sur cette opération pour tous les objets,
  • 'Révoquer pour tout' (Revoke on All) - les droits ne sont pas attribués sur cette opération pour tous les objets,
  • 'Tout révoquer pour tout' (Grant All on All) - donner les droits sur toutes les opérations pour tous les objets,
  • 'Tout révoquer pour tout avec l'option GRANT' (Grant All on All with GRANT OPTION) - donner les droits 'GRANT' sur toutes les opérations pour tous les objets,
  • 'Tout révoquer pour tout' (Revoke All on All) - les droits ne sont pas attribués sur toutes les opérations pour tous les objets.


Gestion de droits globaux

Specifiez les droits globaux dans la partie supérieure de l'éditeur de droits - 'Droits globaux' (Global privileges). Sélectionnez l'utilisateur dont vous voulez modifier les droits à partir de la liste sur la barre de navigation ou à partir de la liste déroulante sur la barre d'outils.

Spécifiez les droits globaux dans la section 'Droits globaux' (Global privileges). Cochez les opérations que l'utilisateur a le droit d'exécuter.

Si vous voulez donner à un utilisateur les droits pour l'exécution de toutes les opérations, cochez la case 'Tous les droits' (All privileges). Si la case 'Avec option Donner' (With grant option) est cochée pour un utilisateur, celui-ci a la possibilité de donner les droits à un autre utilisateur sur toutes les actions énumérées.

Vous pouvez aussi spécifier les propriétés suivantes pour l'utilisateur :

  • 'Max de requêtes pour heure' (Max. queries per hour) - le nombre maximum de requêtes exécutées par heure,
  • 'Max de mises à jour pour heure' (Max. updates per hour) - le nombre maximum de mises à jour par heure,
  • 'Max de connexion pour heure' (Max. connections per hour) - le nombre maximum de connexions aux bases de données par heure.


Gestion de droits aux objets de la base de données

Ouvrez la fenêtre 'Base de données - Droits spéciaux' (Database-specific privileges). Vous pouvez y voir la table, les lignes de cette table présentent les lignes de la base de données, les colonnes présentent les opérations exécutées avec les objets.

Pour spécifier les droits de la base de données, sélectionnez le serveur et la base de données à l'aide des outils sur les barres d'outils.

Il y a deux méthodes pour modifier les droits d'exécution de telle ou telle opération :

  • utilisez le menu contextuel. Pour l'ouvrir, cliquez avec le bouton droit de la souris sur la cellule.
  • double cliquez avec la souris (en utilisant cette méthode, n'oubliez pas que la modification des droits s'exécute en ordre suivant - Révoquer->Donner (Revoke->Grant)
  • cliquer une fois sur une cellule active (cellule sélectionnée). La liste déroulante apparaît, vous pouvez y sélectionner un des types de droits.

  • 'Donner' (Grant) - attribuer les droits d'exécution de l'opération en question [image] ,
  • 'Révoquer' (Revoke) - annuler les droits,
  • 'Donner avec l'option GRANT' (Grant with GRANT OPTION) - attribuer avec les droits 'GRANT' [image] .


Visualisation des objets

Il est difficile parfois de rechercher un objet dans les grandes bases de données contenant un grand nombre d'objets. C'est pour ça que le gestionnaire de droits (Grant Manager) dispose d'outils spécifiques qui se trouvent sur la barre au-dessus de la table principale.

  • La liste déroulante 'Tous les objets' (All Objects) vous permet de sélectionner un des types d'objets de la base de données à partir de la liste. A l'aide de cette liste, vous pouvez laisser les tables seulement ou les vues seulement dans la table, etc.
  • Le filtre spécial vous permet de cacher les objets pour lesquels les droits ne sont pas spécifiés. Si la case 'Seulement les filtrés' (Granted only) est cochée, seulement les objets de la base de données pour lesquels les droits sont attribués restent visibles.
  • Le champ 'Filtre' (Filter) est un filtre qui permet de rechercher un objet d'après les initiales.


Services de MySQL

SQL Manager 2007 for MySQL fournit des services spéciaux pour le travail avec le serveur et les bases de données qui se trouvent sur le serveur. SQL Manager 2007 for MySQL dispose d'un ensemble d'outils permettant de simplifier le travail sur certaines opérations avec les bases de données.

Services de MySQL

Sauvegarde des tables

Restauration des tables

Analyse des tables

Vérification des tables

Réparation des tables

Optimisation des tables

Tronquage de la table

Propriétés du serveur

Visualisation des résultats

Tester/arrêter le serveur

Nettoyer le cache


Sauvegarde des tables

L'assistant de sauvegarde des tables permet de sauvegarder toutes les tables de la base de données dans un répertoire indiqué.

L'assistant copie le nombre minimal de fichiers de table nécessaires pour la restaurer. Cela ne fonctionne actuellement que pour les tables au format MyISAM. Pour les tables MyISAM, elle ne copie que les fichiers .frm (définition) et .MYD (données). Les tables existantes ne seront pas écrasées, vous serez prévenu par une erreur.

Pendant la sauvegarde, un verrou de lecture est posé sur chaque table, une par une, lors de leur copie.

Note : vous pouvez stocker la base de données sur l'ordinateur local seulement. Afin de créer la copie de sauvegarde des tables qui se trouvent sur l'ordinateur distant, utilisez l'outil d'extraction de bases de données (Extract Database), puis restaurez l'objet en utilisant l'éditeur des scripts SQL (SQL Script Editor).

Pour ouvrir l'assistant de sauvegarde, il vous faut sélectionner l'élément 'Services | Sauvegarder les tables' (Services | Backup Tables) dans le menu principal du programme.

Sélection des bases de données

Sélection des tables

Visualisation des résultats

Voir aussi :

Assistant d'extraction des bases de données

Restauration des tables

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Sélection des bases de données

Sélectionnez la base de données à partir de la liste déroulante 'Base de données' (Database), qui contient toutes les bases de données enregistrées et connectées.

Indiquez le chemin vers le dossier dans lequel la copie de sauvegarde sera créée. Pour cela, utilisez le bouton [image] dans le champ 'Répertoire de sauvegarde' (Backup directory).

Note : vous pouvez stocker la base de données sur l'ordinateur local seulement. Afin de créer la copie de sauvegarde des tables qui se trouvent sur l'ordinateur distant, utilisez l'outil d'extraction de bases de données (Extract Database), puis restaurez l'objet en utilisant l'éditeur des scripts SQL (SQL Script Editor).

Backup Tables - Selecting database

Étape suivante

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).


Sélection des tables

Cette étape de l'assistant vous permet de sélectionner les tables pour lesquelles vous voulez créer les copies de sauvegarde. Pour cela, ouvrez la liste de toutes les tables de la base de données, puis sélectionnez les tables.

Sélectionnez les tables à partir de la liste des tables disponibles 'Tables disponibles' (Available Tables) et déplacez-les dans la liste des tables à sauvegarder 'Tables sélectionnées' (Selected Tables) en utilisant les boutons.

Si vous voulez créer une copie de sauvegarde pour toutes les tables, cochez la case 'Tout sauvegarder' (Backup All).

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles. Pour ouvrir cet outil, cliquez sur le bouton 'Modèles' (Templates).


Restauration des tables

L'assistant de restauration des tables (Restore Tables Wizard) restaure les tables à partir d'une sauvegarde effectuée à l'aide de l'assistant de sauvegarde des tables (Backup Tables Wizard). Les tables existantes ne sont pas écrasées et, dans ce cas là, vous obtiendrez une erreur. La restauration prendra plus de temps que la sauvegarde à cause de la reconstruction du fichier d'index. Plus vous avez de clefs, plus la restauration sera longue. La reconstruction, ainsi que la sauvegarde, fonctionne seulement avec les tables MyISAM.

Pour ouvrir l'assistant de restauration des tables, il vous faut sélectionner l'élément 'Services| Restaurer les tables' (Services | Restore Tables) du menu principal du programme.

Sélection du répertoire

Sélection de la base de données cible

Sélection des tables

Visualisation des résultats

Voir aussi :

Sauvegarde des tables

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Sélection du répertoire

Première étape de l'assistant. Sélectionnez la base de données à restaurer.

Ouvrez la liste déroulante 'Répertoire source' (Source directory). Sélectionnez le répertoire dans lequel les copies de sauvegarde se trouvent. Les tables seront restaurées à partir de ces copies.

La section 'Base de données de destination' (Destination database) permet de sélectionner le type de la base de données dans laquelle vous voulez copier des informations.

  • 'Profil de la base de données enregistrée' (Registered database profile) - la base de données enregistrée.
  • 'Base de données non enregistrée' (Non-registered database).

Si vous indiquez que la base de données est déjà enregistrée, il vous faut seulement sélectionner cette base lors de la deuxième étape à partir de la liste présentée.

Si la base de données nécessaire n'est pas enregistrée, indiquez les paramètres de connexion à cette base lors de la deuxième étape de l'assistant.

Étape suivante

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).


Sélection de la base de données cible

Dans la liste déroulante 'Hôte' (Host), sélectionnez le serveur sur lequel se trouve la base de données. Si le serveur n'est pas enregistré, enregistrez-le à l'aide de l'assistant d'enregistrement des hôtes.

Sélectionnez la base de données à partir de la liste déroulante 'Base de données' (Database) qui contient toutes les bases de données enregistrées et connectées.

Étape suivante

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).


Sélection des tables

Sélectionnez les tables à restaurer lors de cette étape de l'assistant.

La liste des tables à restaurer s'affiche dans le champ 'Tables à restaurer' (Tables to restore).

Spécifiez un nom pour une nouvelle table dans le champ 'Ajouter un nouveau nom de table' (Add new table name). Puis, ajoutez le nom de table dans la liste des tables à restaurer à l'aide du bouton qui se trouve dans le champ.

Pour supprimer la table à partir de la liste à restaurer cliquez sur le bouton [image] 'Supprimer la table' (Delete table).

Cliquez sur le bouton [image] 'Remplir les noms des tables à partir de la base' (Fill table names from database). La fenêtre de sélection s'ouvre, vous pouvez y sélectionner les tables dans les bases de données.

Sélectionnez les tables disponibles à partir de la liste 'Disponible' (Available) et déplacez-les dans la liste des tables à restaurer 'Sélectionné' (Selected) en utilisant les boutons.

Vous pouvez charger les noms des tables nécessaires à partir d'un fichier ou les enregistrer dans un fichier en utilisant les boutons [image] 'Charger les noms des tables à partir du fichier' (Load table names from file) et 'Sauvegarder les noms des tables dans un fichier' (Save table names to file).

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).

Étape suivante


Analyse des tables

La fonction d'analyse permet d'analyser et de stocker la clé de distribution de la table.

Durant l'analyse, la table est verrouillée en lecture. Ce service fonctionne uniquement avec les tables MyISAM et BDB.

MySQL utilise les clés de distribution pour décider dans quel ordre les tables doivent être rassemblées lors des jointures qui ne s'effectuent pas sur une constante.

Pour exécuter l'analyse des tables, sélectionnez l'élément 'Services | Analyser les tables' (Services | Analyze Tables) dans le menu principal du programme.

Sélection de la base de données

Sélection des tables

Visualisation des résultats

Voir aussi :

Vérification des tables

Réparation des tables

Optimisation des tables

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Sélection de la base de données

Sélectionnez le serveur sur lequel la base de données se trouve à partir de la liste déroulante 'Hôte' (Host). Si le serveur n'est pas enregistré, enregistrez-le à l'aide de l'assistant d'enregistrement de hôtes.

Sélectionnez la base de données à partir de la liste déroulante 'Base de données' (Database), qui contient toutes les bases de données enregistrées et connectées.

Étape suivante

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).


Sélection des tables

Cette étape vous permet de sélectionner les tables auxquelles vous voulez appliquer la commande 'Analyser les tables' (Analyze Tables).

Sélectionnez la table à partir de la liste de toutes les tables de la base de données.

Sélectionnez les tables à partir de la liste des tables disponibles 'Tables disponibles' (Available Tables) et les déplacez dans la liste des tables requises 'Tables sélectionnées' (Selected Tables) en utilisant les boutons.

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).


Vérification des tables

L'assistant de vérification des tables (Check Tables Wizard) vérifie l'intégrité des tables. Pour les tables MyISAM, des statistiques importantes sont mises à jour. La vérification des tables fonctionne uniquement avec les tables MyISAM et InnoDB.

Les vérifications sont de différents types, ce qui garantie la vérification complète des index et permet de découvrir plusieurs erreurs.

Pour ouvrir l'assistant de vérification des tables, cliquez sur l'élément 'Services| Vérifier les tables' (Services | Check Tables) dans le menu principal du programme.

Sélection de la base de données

Sélection des tables

Visualisation des résultats

Voir aussi :

Analyse des tables

Réparation des tables

Optimisation des tables

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Sélection des bases de données

Sélectionnez le serveur sur lequel se trouve la base de données à partir de la liste déroulante 'Hôte' (Host). Si le serveur n'est pas enregistré, enregistrez-le à l'aide de l'assistant d'enregistrement de hôtes.

Sélectionnez la base de données à partir de la liste déroulante 'Base de données' (Database), qui contient toutes les bases de données enregistrées et connectées.

Étape suivante

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).


Sélection des tables

Sélectionnez les tables à vérifier à partir de la liste de toutes les tables de la base de données. Spécifiez le type de vérification.

Vous pouvez utiliser les différents types de vérifications :

Quick - n'analyse pas les lignes pour vérifier les liens erronés.

Fast - ne vérifie que les tables qui n'ont pas été correctement fermées.

Medium - analyse les lignes pour s'assurer que les liens effacés sont corrects. Cette option calcule aussi la somme de contrôle des lignes, et la vérifie avec la somme de contrôle des clés.

Changed - ne vérifie que les tables qui ont changées depuis la dernière vérification, ou bien qui n'ont pas été correctement fermées.

Extended - fait une vérification complète des liens pour chaque ligne. Cela permet de vérifie que la table est totalement cohérente, mais cela peut prendre beaucoup de temps !

Sélectionnez les tables à partir de la liste des tables disponibles 'Tables disponibles' (Available Tables) et les déplacez dans la liste des tables vérifiées 'Tables sélectionnées' (Selected Tables) en utilisant les boutons.

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).


Réparation des tables

La réparation des tables fonctionne uniquement avec les tables avec les tables MyISAM.

Normalement, vous n'avez pas à exécuter cette commande, mais si une catastrophe vous frappe, vous êtes presque assurés de retrouver vos données dans les tables MyISAM en utilisant l'assistant de réparation des tables (Repair Tables Wizard).

L'assistant de réparation des tables (Repair Tables Wizard) répare autant que possible les tables corrompues.

Pour ouvrir l'assistant de réparation des tables, cliquez sur l'élément 'Services | Réparation des tables' (Services | Repair Tables) dans le menu principal du programme.

Sélection de la base de données

Sélection des tables

Visualisation des résultats

Voir aussi :

Analyse des tables

Vérification des tables

Optimisation des tables

Pour ne pas configurer à chaque fois ces paramètres, utilisez l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Sélection des bases de données

Dans la liste déroulante 'Hôte' (Host), sélectionnez le serveur sur lequel se trouve la base de données. Si le serveur n'est pas enregistré, enregistrez-le à l'aide de l'assistant d'enregistrement des hôtes.

Sélectionnez la base de données à partir de la liste déroulante 'Base de données' (Database), qui contient toutes les bases de données enregistrées et connectées.

Étape suivante

Pour ne pas configurer à chaque fois ces paramètres, utilisez l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).


Sélection des tables

Sélectionnez les tables à réparer à partir de la liste de toutes les tables de la base de données. Spécifiez certaines options de cette procédure.

  • Si l'option Quick est fournie, alors SQL Manager 2007 for MySQL va essayer de ne réparer que le fichier d'index.
  • Si vous utilisez l'option Extended, alors MySQL va essayer de créer l'index ligne par ligne, au lieu de créer un index à la fois, par tri. C'est une méthode qui peut s'avérer plus efficace que de trier sur des clés de taille fixe si vous avez des clés CHAR longues qui se compressent bien. Ce type de réparation est l'équivalent de myisamchk --safe-recover.
  • Utilisez le mode Use .FRM si le fichier .MYI manque, ou si son entête est corrompu. Avec ce mode, MySQL va recréer la table en utilisant les informations du fichier .frm.

Sélectionnez les tables à partir de la liste des tables disponibles 'Tables disponibles' (Available Tables) et déplacez-les dans la liste des tables 'Tables sélectionnées' (Selected Tables) en utilisant les boutons.

Pour ne pas configurer à chaque fois ces paramètres, utilisez l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).


Optimisation des tables

SQL Manager 2007 for MySQL permet d'optimiser les tables à l'aide de l'assistant d'optimisation des tables (Optimize Tables Wizard).

L'optimisation doit être utilisée :

  • si une grande partie de la table a été effacée,
  • s'il faut mettre à jour les statistiques,
  • ou si vous avez fait de nombreuses modifications dans une table à format de ligne dynamique (des tables qui ont des colonnes de type VARCHAR, BLOB et TEXT).
  • si les pages d'index ne sont pas triées.

Les lignes effacées sont conservées dans une liste, et les prochaines opérations d'INSERT réutilisent les vieilles positions de lignes. L'optimisation fonctionne uniquement avec les tables MyISAM et BDB.

Pour ouvrir l'assistant d'optimisation des tables, cliquez sur l'élément 'Services | Optimiser les tables' (Services | Optimize Tables) dans le menu principal du programme.

Sélection des bases de données

Sélection des tables

Visualisation des résultats

Voir aussi :

Analyse des tables

Vérification des tables

Réparation des tables

Pour ne pas configurer à chaque fois ces paramètres, utilisez l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Sélection des bases de données

Dans la liste déroulante 'Hôte' (Host), sélectionnez le serveur sur lequel la base de données se trouve. Si le serveur n'est pas enregistré, enregistrez-le à l'aide de l'assistant d'enregistrement de hôtes.

Sélectionnez la base de données à partir de la liste déroulante 'Base de données' (Database), qui contient toutes les bases de données enregistrées et connectées.

Étape suivante

Pour ne pas configurer à chaque fois ces paramètres, utilisez l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).


Sélection des tables

Sélectionnez les tables à optimiser à partir de la liste de toutes les tables de la base de données.

Sélectionnez les tables à partir de la liste des tables disponibles 'Tables disponibles' (Available Tables) et déplacez-les dans la liste des tables sauvegardées 'Tables sélectionnées' (Selected Tables) en utilisant les boutons.

Pour ne pas configurer à chaque fois ces paramètres, utilisez l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).


Tronquage des tables

L'opération Truncate efface les enregistrements de la table.

Pour ouvrir l'assistant de tronquage des tables, sélectionnez l'élément (Services | Tronquer les tables) Services | Truncate Tables dans le menu principal du programme.

  • Implémentée comme une destruction/création de table, ce qui accélère la suppression des enregistrements.
  • Ne respecte pas les transactions. Vous aurez des erreurs si vous avez une transaction active ou une table protégée en écriture.
  • Ne retourne pas le nombre de lignes effacées.
  • Tant que le fichier de définition nom_de_table.frm est valide, la table peut être recréée, même si les données ou un index a été corrompu.

Sélection des bases de données

Sélection des tables

Visualisation des résultats

Si vous ne voulez pas configurer à chaque fois ces paramètres, vous pouvez utiliser l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Sélection des bases de données

Dans la liste déroulante 'Hôte' (Host), sélectionnez le serveur sur lequel la base de données se trouve. Si le serveur n'est pas enregistré, enregistrez-le à l'aide de l'assistant d'enregistrement des hôtes.

Sélectionnez la base de données à partir de la liste déroulante 'Base de données' (Database), qui contient toutes les bases de données enregistrées et connectées.

Étape suivante

Pour ne pas configurer à chaque fois ces paramètres, utilisez l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).


Sélection des tables

Sélectionnez les tables à tronquer à partir de la liste de toutes les tables de la base de données.

Sélectionnez les tables à partir de la liste des tables disponibles 'Tables disponibles' (Available Tables) et déplacez-les dans la liste des tables 'Tables sélectionnées' (Selected Tables) en utilisant les boutons.

Pour ne pas configurer à chaque fois ces paramètres, utilisez l'outil de création des modèles. Pour ouvrir l'outil, cliquez sur le bouton 'Modèles' (Templates).


Propriétés du serveur

Pour visualiser les informations sur l'état du serveur actif, ouvrez la fenêtre 'Propriétés du serveur' (Server Properties) en utilisant l'élément 'Services | Propriétés du serveur' (Services | Server Properties) dans le menu principal du programme. Après avoir cliqué sur cette option, vous verrez la fenêtre avec les propriétés de connexion au serveur.

Barres d'outils

Visualisation des variables

Visualisation de la liste des processus

Visualisation du statut InnoDB

Visualisation du journal de requêtes général

Voir aussi :

Tester/arrêter le serveur

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Barres d'outils

Barre de navigation

Sur la barre 'Serveurs' (Servers) :

  • sélectionnez le serveur dans la liste déroulante. Si vous n'êtes pas connectés au serveur, sélectionnez le serveur à partir de la liste déroulante et saisissez le nom et le mot de passe dans la fenêtre qui apparaît. Si l'hôte n'est pas enregistré, enregistrez-le à l'aide de l'assistant d'enregistrement des hôtes.

sur la barre 'Général' (General) :

  • 'Rafraîchir' (Refresh) - actualiser le contenu de la liste,
  • 'Afficher l'aide SQL' (Show SQL Help),
  • 'Restaurer la taille par défaut' (Restore default size) - restaurer la taille par défaut de la fenêtre,
  • 'Options' (Options) - spécifiez les propriétés du serveur (Options de l'environnement | Propriétés du serveur / Options de l'environnement | Propriétés du serveur),

Si vous passez aux autres onglets, les barres de navigation s'ouvrent pour le travail avec les objets se trouvant sur ces onglets.

Sur la barre 'Variables' (Variables) :

  • 'Modifier les variables' (Edit variable) (pour les variables système) - modifier une variable,
  • 'Exporter les variables' (Export variables) - exporter la liste des variables dans le fichier,
  • 'Copier les variables dans le presse-papiers' (Copy variables to Clipboard) - copier la liste des variables dans le presse-papiers.

Sur la barre 'Liste de processus' (Process list) :

  • 'Exporter la liste de processus' (Export process list) - exporter la liste des processus dans le fichier,
  • 'Copier la liste des processus dans la presse-papiers' (Copy process list to Clipboard) - copier la liste des processus dans le presse-papiers.

Barre d'outils :

  • sélectionnez le serveur dans la liste déroulante. Si vous n'êtes pas connectés au serveur, sélectionnez le serveur à partir de cette liste déroulante et saisissez le nom et le mot de passe dans la fenêtre qui apparaît. Si l'hôte n'est pas enregistré, enregistrez-le à l'aide de l'assistant d'enregistrement des hôtes.

  • 'Rafraîchir' (Refresh) - actualiser le contenu de la liste,
  • 'Exporter' (Export) - exporter la liste des objets dans le fichier,
  • 'Modifier' (Edit) (pour les variables système) - modifier une variable,
  • 'Copier la liste dans le presse-papier' (Copy list to Clipboard) - copier la liste des objets dans le presse-papier.
  • 'Options' (Options) - spécifier les propriétés du serveur en utilisant Options de l'environnement | Propriétés du serveur (Environment Options | Server Properties),
  • 'Afficher l'aide SQL' (Show SQL Help),
  • 'Restaurer la taille par défaut' (Restore default size) - restaurer la taille par défaut de la fenêtre.


Visualisation des variables

Toutes les variables de statut et les variables système sont affichées sur les onglets correspondants 'Variables de statut' (Status variables) et 'Variables système' (System variables).

Vous pouvez copier la liste des variables dans le presse-papiers en utilisant la commande 'Copier les variables dans le presse-papiers' (Copy variables to Clipboard). Vous pouvez aussi exporter la liste des variables dans le fichier du format nécessaire en utilisant la commande 'Exporter les variables' (Export variables). Ces commandes se trouvent sur les barres d'outils.

Il est impossible de modifier manuellement les variables de statut.

Vous pouvez modifier les variables système en utilisant l'élément du menu contextuel de la variable 'Modifier une variable' (Edit variable), ou double cliquer avec la souris sur une ligne.

Dans la fenêtre qui apparaît, indiquez les propriétés de la variable suivantes :

  • indiquez une nouvelle valeur de la variable dans le champ texte,
  • cochez la case 'Global' (Global) pour qu'une variable soit globale,
  • cochez la case 'Session' (Session) pour que la variable fonctionne durant une seule session.


Visualisation de la liste des processus

Sur l'onglet 'Liste des processus' (Process List), vous pouvez voir la liste des processus exécutés en ce moment sur le serveur ainsi que des informations supplémentaires sur chaque processus.

Les informations supplémentaires :

Id (Id) - l'identifiant du processus

User (Utilisateur) - l'utilisateur qui a lancé le processus,

Host (Hôte) - le nom de l'ordinateur client, sur lequel le processus a été lancé,

DB (BDD) - la base de données dans laquelle le processus s'exécute,

Command (Commande) - l'opération exécutée,

Time (Temps) - le temps en secondes (depuis le commencement du processus),

State (État) - l'état du processus,

Info (Info) - des informations supplémentaires sur le processus.

Vous pouvez exécuter les opérations suivantes :

  • Arrêter le processus (Kill Process) - arrêter l'exécution du processus,
  • Rafraîchir (Refresh) - rafraîchir le contenu de la liste,
  • Exporter la liste (Export List) - exporter la liste des processus dans le fichier,
  • Copier la liste dans le presse-papiers (Copy List to Clipboard) - copier la liste des processus dans le presse-papiers.

Pour cela, utilisez le menu contextuel. Cliquez avec le bouton droit de la souris sur le processus pour ouvrir le menu.


Visualisation du statut InnoDB

Vous pouvez voir l'historique des états des objets InnoDB sur l'onglet ci-dessous.


Visualisation du journal de requêtes général

Les informations sur cet onglet sont disponibles si vous visualisez les propriétés du serveur MySQL version 5.1.6. ou ultérieure.

La liste des opérations qui étaient exécutées sur le serveur s'affichent sur cet onglet aussi que les informations supplémentaires sur ces opérations.

Voir aussi :

Journaux des traces


Visualisation des résultats

Après avoir spécifié toutes les opérations nécessaires lors des étapes précédentes de l'assistant, cliquez sur le bouton 'Terminer' (Finish) pour exécuter l'opération.

La barre de statut se trouvant en haut affiche le processus d'exécution de l'opération en pourcentage.

Les informations détaillées sur le déroulement de l'opération et sur les résultats s'affichent sur les onglets ci-dessous.

Onglet 'Opérations' (Operations).

Vous pouvez voir toutes les opérations exécutées et le résultat de l'exécution sur l'onglet 'Opération' (Operation).

Onglet Résultats (Results).

Sur cet onglet, les informations suivantes sont affichées :

  • le nom de l'objet,
  • l'opération exécutée,
  • les résultats de l'exécution.

Si la case 'Fermer l'assistant en cas de succès' (Close the Wizard after successful completion) est cochée, l'assistant sera fermé automatiquement après l'exécution réussie de l'opération. Si la case n'est pas cochée, vous pouvez retourner après l'exécution et spécifier de nouveau les paramètres d'opération.


Tester/arrêter le serveur

SQL Manager 2007 for MySQL vérifie si la connexion au serveur est encore assurée. Utilisez la commande Tester le serveur (par ping) /Ping Server, pour cela, sélectionnez l'élément Services | Tester le serveur (par ping) / Services | Ping Server dans le menu principal du programme.

La connexion au serveur est assurée.

La connexion au serveur a été perdue au cours la requête.

L'erreur MySQL server has gone away renvoyé lorsque le serveur a clos la connexion.

Si vous voulez couper la connexion au serveur, cliquez sur l'élément 'Services | Arrêter le serveur' (Services | Shutdown Server) dans le menu principal du programme, puis cliquez sur Yes dans la fenêtre qui apparaît.

Voir aussi :

Propriétés du serveur

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Flush

Vous devez utiliser la commande 'Services | Flush' (Services | Flush) du menu principal si vous voulez effacer certains caches internes de MySQL.

Pour exécuter cette commande vous devez avoir le droit RELOAD.

  • Hosts -vide le cache des hôtes. Vous devez vider ce cache si certaines des adresses IP des ordinateurs distants changent, ou si vous obtenez des erreurs du type Host ... is blocked.

  • Logs - ferme et ré-ouvre tous les fichiers de log. Si vous avez spécifié un fichier de log de mise à jour ou un fichier de log binaire sans extension, le numéro d'extension du fichier de log sera incrémenté d'une unité. Si vous avez utilisé une extension dans le nom du fichier, MySQL va fermer et réouvrir le même fichier

  • Privileges - recharge les privilèges des tables de droits dans la base mysql.

  • Tables - ferme toutes les tables ouvertes, et force les tables utilisées à se refermer. Cela vide aussi le cache de requêtes.

  • Tables With Read Lock - ferme toutes les tables ouvertes, et verrouille en lecture toute les tables et bases, jusqu'à ce que vous exécutiez une commande UNLOCK TABLES. C'est très pratique pour générer des sauvegardes, si vous avez un système de fichiers comme Veritas, qui peut prendre des photos du système.

  • Status - remet la plupart des variables de statut à zéro. A n'utiliser que pour corriger une requête

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Options du programme

SQL Manager 2007 for MySQL offre un ensemble d'outils qui permet de modifier les options de l'environnement, des paramètres des éditeurs et de l'interface.

Options de l'environnement

un outil principal pour gérer les propriétés et l'aspect des objets de la base de données.

Options de l'éditeur

un outil permettant de spécifier les paramètres de l'éditeur.

Options d'affichage

un outil permettant de spécifier l'aspect des éléments du programme.

Modèles du clavier

un outil permettant de créer les modèles pour la saisie rapide de texte.

Sauvegarde des paramétrages

l'assistant qui permet de sauvegarder les réglages de la base de données dans un seul fichier.


Options de l'environnement

Spécifiez les paramètres généraux du programme SQL Manager 2007 for MySQL à l'aide de cet outil.

Afin d'ouvrir les options de l'environnement, sélectionnez l'élément 'Options | Options de l'environnement' (Options | Environment Options) dans le menu principal du programme.

Préférences

Activation du mode complet

Confirmations

Fenêtres

Outils :

  • Explorateur de bases
  • Règles de dénomination
  • Éditeurs de tables
  • Éditeur SQL
  • Moniteur SQL
  • Script SQL
  • Constructeur de requête
  • Palette de style et de couleur
  • Concepteur graphique de bases de données
  • Palette de couleur
  • Impression des méta-données
  • Export de données
  • Propriétés du serveur

Polices

Grille :

  • Options des données
  • Impression des données
  • Couleurs et formats
  • Avancé
  • Options des colonnes

Localisations

Recherche des options

Le bouton 'Par défaut' (By default) est commun pour tous les onglets. Celui-là permet d'annuler toutes les modifications apportées par l'utilisateur dans les paramétrages et d'initialiser les réglages par défaut.

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Préférences

Sur l'onglet 'Préférences' (Preferences), spécifiez les propriétés suivantes du programme :

  • 'Afficher l'écran de démarrage au lancement' (Show splash screen on startup).
  • 'Restaurer le bureau en cas de connexion' (Restore desktop on connect) - restaurer le bureau en cas de déconnexion. Tous les éditeurs qui étaient ouverts avant l'arrêt du programme seront ouverts de nouveau lors du prochain lancement du programme.
  • 'Désactiver les instances multiples' (Disable multiple instances) - désactiver la possibilité d'ouvrir plusieurs copies du programme.
  • 'Mots de passe chiffrés' (Encrypted passwords) - chiffrer les mots de passe pour le stockage.
  • 'Afficher le panneau du bureau' (Show desktop panel) - afficher le panneau du bureau (activé pour MDI seulement, réglée lors du premier lancement du programme).

Cliquez sur le bouton 'Réinitialiser toutes les barres d'outils et les menus' (Reset all toolbars and menus) pour réinitialiser tous les réglages par défaut pour toutes les barres d'outils et les barres de navigation de l'explorateur de bases.


Activation du mode complet

Vous pouvez voir les possibilités de la version complète du programme en cochant la case Afficher les fonctionnalités de la version complète / Show Full Version Features (si vous avez la version Lite du programme).

Vous pouvez voir les différences entre la version Lite et la version complète dans la table des fonctions.


Confirmations

Sur l'onglet 'Confirmations' (Confirmations), vous pouvez spécifier les propriétés suivantes du programme :

  • 'Confirmer la sauvegarde d'un objet' (Confirm saving of object) - confirmer la sauvegarde d'un objet (ou d'une documentation) lors de la fermeture ou après avoir apporté des modifications,
  • 'Confirmer la suppression d'un objet' (Confirm dropping object) - confirmer la suppression d'un objet,
  • 'Confirmer la sortie de SQL Manager' (Confirm exit from SQL Manager) - confirmer la sortie de l'éditeur (si l'objet a été modifié),
  • 'Confirmer la validation d'une transaction' (Confirm transaction commit) - confirmer la validation d'une transaction (pour le visualisateur de données, il faut fixer la transaction lors de la modification des données),
  • 'Confirmer l'annulation d'une transaction' (Confirm transaction rollback) - confirmer l'annulation d'une transaction,
  • 'Confirmer la suppression d'enregistrements' (Confirm deleting records) - confirmer la suppression des enregistrements,
  • 'Confirmer la réorganisation des champs' (Confirm reorder fields) - confirmer la réorganisation de l'ordre des champs,
  • 'Confirmer la complitation des procédures' (Confirm compiling procedures) - confirmer la compilation des procédures.
  • 'Confirmer le vidage' (Confirm flush operation) - confirmer le vidage du cache.


Fenêtres

Vous pouvez spécifier les paramètres et le nombre de fenêtres affichées, ainsi que l'aspect général du programme sur cet onglet.

Environment Options - Windows

Spécifiez l'aspect général du programme dans la section 'Style de l'environnement' (Environment style) :

  • 'Environnement MDI' (MDI environment) - le programme a la forme MDI (comme les applications MS Office).
  • 'Environnement de fenêtres volantes' (Floating windows environment) - le programme s'affiche sous la forme de fenêtres volantes (comme les applications Borland).

Vous pouvez restreindre le nombre d'éditeurs ouverts en cochant la case 'Nombre restreint d'éditeurs ouverts' (Number of open editors is restricted). Indiquez le nombre d'éditeurs dans le champ 'Nombre' (Number).

Spécifiez les options des fenêtres volantes dans la section 'Options de zoom' (Zoom option) :

  • 'Écran complet' (Full screen),
  • 'Restreint par la fenêtre principale' (Restricted by Main form),
  • 'Restreint par la fenêtre principale et l'explorateur de bases' (Restricted by Main form and DB Explorer)
  • 'Justifié par la fenêtre principale et l'explorateur de bases' (Justified by Main form and DB Explorer).

Dans la section 'Style des barres pour les fenêtres enfants' (Bar style for child forms), vous pouvez indiquer les barres d'outils à afficher dans les éditeurs :

  • 'Barre de navigation' (Navigation bar) - la barre de navigation (se trouve à gauche de la fenêtre de l'éditeur),
  • 'Barre d'outils' (Toolbar) - la barre d'outils (se trouve au-dessus de la fenêtre de l'éditeur),
  • 'Les deux' (Both) - les deux barres seront affichées.

Si vous cochez la case 'Activer les barres d'outils flottantes' (Enable floating toolbars), les barres d'outils seront activées, c'est-à-dire que vous pouvez modifier à votre gré les positions de tous les barres d'outils.


Outils

Vous pouvez spécifier les propriétés de l'environnement du programme sur cet onglet :

  • 'Afficher seulement les bases de données connectées dans le menu glisser-déposer' (Show only connected databases in drop-down menu) - afficher seulement les bases de données connectées dans le menu déroulant,
  • 'Autoriser l'utilisation de paramètres dans le texte de la requête' (Allow using parameters in query text) - autoriser l'utilisation de paramètres dans le texte des procédures et des requêtes,
  • 'Exécution asynchrone de la requête' (Asynchronous query execution) - exécution asynchrone de la requête. La requête sera exécutée dans un thread à part. Tous les éléments de gestion restent actifs lors de l'exécution, donc vous avez la possibilité d'interrompre l'exécution.


Explorateur de bases

Pour personnaliser l'explorateur de bases, utilisez les outils qui se trouvent sur l'onglet 'Explorateur de base' (DB Explorer).

'Afficher l'hôte dans l'explorateur de bases' (Show hosts in DB Explorer). Si cette case est cochée, les bases seront divisées en groupes d'après l'appartenance au serveur. Si la case n'est pas cochée, les bases seront affichées dans une seule liste.

'Afficher les sous-objets des tables' (Show Table Subobjects) - afficher les sous-objets de la table.

'Trier par alias' (Sort by aliases) - trier les hôtes et les bases de données par alias dans l'explorateur de bases.

'Renommer les objets en les éditant sur place' (Rename objects by editing in place). Si cette case est cochée, il est possible de renommer les objets dans l'explorateur de bases en cliquant avec la souris sur l'objet sélectionné.

'Rafraîchir l'objet lors de l'affichage dans SQL Assistant' (Refresh object on showing in SQL Assistant). Les informations peuvent être actualisées, quand les objets s'affichent dans SQL Assistant.

'Recherche par catégorie' (Search by categories). Si cette case est cochée, il est possible d'exécuter la recherche dans l'explorateur de bases à l'intérieur d'un même groupe d'objets de données.

'Respecter la casse lors de la recherche' (Use case-sensitive search). Si cette case est cochée, la casse sera respectée lors de la recherche.

Utilisez le compteur 'Nombre d'objets récents' (Recent objects count) pour spécifier le nombre d'objets affichés sur l'onglet des objets récents.

Dans la section 'Détails des tables dans l'assistant SQL' (Tables Details in SQL Assistant), sélectionnez les sous-objets de table à afficher dans la fenêtre SQL Assistant :

Champs (Fields) - Champs,

Index (Indices) - Index,

Clés étrangères (Foreign keys) - Clés étrangères,

Triggers (Triggers) - triggers,

Statut de la table (Table status),

Description (Description),

Définition (Definition) - Description DDL.


Règles de dénomination

Sur cet onglet, vous pouvez spécifier les paramètres des noms qui sont attribués automatiquement aux sous-objets créés de la table.

L'onglet Clés étrangères (Foreign keys) permet de spécifier les noms attribués lors de la création des clés étrangères.

Spécifiez le modèle du nom de l'objet créé dans le champ 'Modèle de dénomination des clés étrangères' (Foreign key naming template).

Vous pouvez insérer le nom dans une balise en utilisant la liste 'Insérer la balise' (Insert Tag). Ainsi vous pouvez ajouter automatiquement le texte suivant dans le nom créé :

  • nom de la table - {table_name},
  • numéro d'ordre pour les copies - {num_for_dup},
  • nom de la table distante - {ref_table_name},

Spécifiez les modèles des noms des triggers sur l'onglet 'Triggers' (Triggers)

Spécifiez le modèle du nom de trigger dans le champ 'Modèle du nom de trigger' (Trigger naming template).

Vous pouvez saisir les balises suivantes pour le trigger :

  • nom de la table - {table_name},
  • numéro d'ordre pour les copies - {num_for_dup},
  • type de trigger - {trig_type},
  • événement du trigger - {trig_events}

Vous pouvez indiquer les préfixes suivants pour les différents types de triggers :

  • Après (After),
  • Au lieu de (Instead of),
  • Insérer (Insert),
  • Mettre à jour (Update),
  • Supprimer (Delete).

Exemple :

pour une clé créée de nouveau, spécifiez :

  • préfixe "fk_"
  • identificateur de première table "T1"
  • balise - nom de la table - {table_name}
  • identificateur de table liée "T2"
  • balise - nom de la table liée - {ref_table_name}

Dans ce cas, le modèle de dénomination a la forme suivante "fk_T1{table_name}_T2{num_for_dup}"

Le nom de la clé étrangère généré d'après ce modèle a l'aspect suivant :

"fk_T1Lotti_MateriePrime_T2Commesse_Lotti", où Lotti_MateriePrime et Commesse_Lotti - les noms des tables


Éditeur de table

Spécifiez les paramètres de l'éditeur de table sur l'onglet 'Éditeur de table' (Table Editor).

  • 'Toujours ouvrir l'onglet Champs' (Always open the Fields tab) - toujours ouvrir l'éditeur de tables sur l'onglet Champs/Fields,
  • 'Afficher l'explorateur d'objet' (Show Object Explorer) - afficher l'explorateur d'objet sur la barre de navigation,
  • 'Afficher la barre de statut de la table' (Show table status panel) - afficher la barre de statut,
  • 'Ne pas récupérer le nombre d'objets d'une table' (Do not retrieve record count for a table) - ne pas afficher le nombre d'enregistrements dans une table. Dans ce cas le nombre d'enregistrements s'affiche sur la barre d'information inférieure,
  • 'Autoriser de modifier les tables sans la clé primaire' (Allow to edit tables with no keys) - modifier les tables sans la clé primaire (la modification des tables sans la clé unique ou sans la clé primaire peut être source d'erreurs et provoquer la perte de données).

Dans la section 'Moteur de stockage par défaut pour les nouvelles tables' (Default storage engine for new tables), spécifiez le mode de stockage, appliqué par défaut à toutes les nouvelles tables :

  • 'Utiliser le moteur de stockage par défaut défini sur ce serveur' (Use default engine defined on this server)
  • 'Utiliser le moteur de stockage suivant pour tous les bases de données' (Use the following engine for all databases). Dans ce cas, sélectionnez un des moteurs de stockage disponibles dans la liste déroulante 'Moteur de stockage par défaut' (Default storage engine).


Éditeur SQL

Spécifiez les paramètres d'affichage des éditeurs SQL sur l'onglet Éditeur SQL (SQL Editor).

Si la case 'Récupérer tous les données' (Fetch all data) est cochée, tous les résultats de la requête SQL seront chargés (vous pouvez aussi spécifier le nombre maximum d'enregistrements à charger en utilisant l'élément Mode grille/Grid mode du menu contextuel du visualisateur de données).

'EXPLAIN sur une requête' (Explain query) - afficher le plan de la requête dans l'éditeur de requête.

Si la case 'Afficher les résultats pour chaque requête' (Show result for each query) est cochée lors de l'exécution des deux requêtes ou plus, les résultats de celles-ci seront affichés pour chaque requête. Si la case n'est pas cochée, seuls les résultats pour la dernière requête exécutée seront affichés.

'Exécuter le texte sélectionné séparément' (Execute selected text separately).

'Écrire seulement les requêtes exécutées avec succès dans le journal des traces SQL' (Write only successful executed queries to database SQL log file) - écrire seulement les requêtes exécutées avec succès dans le journal des traces.

'Afficher le résultat sur l'onglet de modification' (Show results on Edit tab) - afficher les résultats sur l'onglet de modification, sinon les résultats seront affichés sur un onglet à part.

'Ne pas sauvegarder automatiquement les requêtes SQL pour la prochaine session' (Don't save queries automatically for the next session).

'Sauvegarder toujours les modifications dans les requêtes favorites avant de fermer' (Always save changes in Favorite Queries before closing) - sauvegarder toujours les modifications dans les requêtes favorites avant de fermer.

'Rafraîchir l'explorateur de bases après l'exécution réussite de l'instruction DDL' (Refresh DB Explorer upon successful DDL statement execution).

'Désactiver la confirmation de transaction' (Disable transaction confirmation). Si cette case est cochée, les transactions seront fermées automatiquement lors de la sortie de l'éditeur de requête et du constructeur graphique de requêtes.

Sélectionnez l'opération de transaction exécutée par défaut dans la liste 'Opération par défaut en fermant l'éditeur' (Default action on closing the editor) :

  • Valider (Commit) - valider la transaction,
  • Annuler (Rollback) - annuler la transaction.


Moniteur SQL

Vous pouvez spécifier certains paramètres du moniteur SQL sur l'onglet 'Moniteur SQL' (SQL Monitor)

Dans la section Opérations (Operations), cochez les opérations à afficher dans le moniteur SQL :

  • Connexion (Connect),
  • Déconnexion (Disconnect),
  • Début de la transaction (Start of transaction),
  • Valider (Commit) - validation de la transaction,
  • Annuler (Rollback) - annulation de la transaction,
  • Afficher les objets (Show objects),
  • Exécuter une requête (Execute query).

Si la case 'Tracer les événements du moniteur SQL dans un fichier' (Log SQL Monitor events to file) est cochée, toutes les informations sur l'exécution de la requête affichées sur le moniteur SQL seront sauvegardées dans un fichier. Indiquez le nom du fichier et le chemin vers le fichier dans le champ à l'aide du bouton [image]. Pour spécifier la taille maximum du journal, cochez la case Effacer le journal s'il fait plus de (en Ko) /Clear log file when it is greater than), puis spécifiez la taille maximum en Ko en utilisant le compteur.

Si vous avez besoin non seulement d'enregistrer l'opération, mais aussi d'enregistrer le temps d'exécution de l'opération, cochez la case 'Afficher l'heure de l'opération' (Show time of operation).

Pour afficher le moniteur SQL au dessus des autres fenêtres, cochez la case 'Toujours visible' (Show always on top).


Script SQL

Vous pouvez spécifier certaines propriétés d'exécution du script SQL sur l'onglet Script SQL (SQL Script).

Annuler l'exécution du script en cas d'erreur (Abort script on error) - cochez cette case pour annuler l'exécution du script en cas d'erreur.

ROLLBACK en cas d'annulation (Rollback on abort) - si cette case est cochée, le script sera exécuté dans la transaction, celle-ci sera annulée en cas d'arrêt.

Activer l'analyse (Enable parsing) - cochez cette case pour activer l'analyse syntaxique.

Afficher le message à la fin (Show message when done) - cochez cette case pour afficher les messages sur la fin de l'exécution.

Exécuter le texte sélectionné séparément (Execute selected text separately) - cochez cette case pour exécuter le texte sélectionné séparément

Afficher les messages d'information dans la liste d'erreurs (Show information messages in error list) - cochez cette case pour afficher les messages d'information dans la liste d'erreurs.


Constructeur de requête

Vous pouvez spécifier certaines propriétés du constructeur de requêtes sur l'onglet 'Constructeur de requêtes' (Query Builder).

'Autoriser seulement les requêtes SELECT' (Allow SELECT queries only) - cochez cette case pour autoriser seulement l'exécution de l'instruction SELECT.

'Sélectionner la ligne condition' (Select condition row) - cochez cette case pour sélectionner la ligne condition par couleur.

'Drag le nom du champ' (Drag field name) - cochez cette case pour afficher le nom du champ lors du déplacement.

'Cacher la sélection si inactif' (Hide selection when inactive) - cochez cette case pour cacher la sélection des champs des objets inactif.

'Afficher le type des champs' (Show field types) - cochez cette case pour afficher le type des champs.

'Union all par défaut' (Union all by default) - cochez cette case pour le lien "UNION ALL" pour plusieurs requêtes par défaut.

Dans la section 'Onglets visibles' (Visible Tabs) - cochez les onglets à afficher :

Critère (Criteria),

Sélection (Selection),

Critère de groupe (Group criteria),

Tri (Sorting),

Vous pouvez spécifier certaines propriétés du format du script dans la section 'Format du script' (Script Format) :

Sélectionnez le format des mots-clés dans la liste déroulante 'Format des mots-clés' (Keywords format).

Sélectionnez le format d'affichage des fonctions dans la liste déroulante 'Format des fonctions' (Function format).

Il y a quatre formats pour les mots clés et pour les fonctions clés :

  • Tel quel (As is),
  • Majuscule (Uppercase),
  • Minuscule (Lowercase),
  • Majuscule sur la première lettre (First upper).


Palette de style et de couleur

Vous pouvez spécifier les couleurs et les styles du constructeur de requêtes sur cet onglet.

Spécifiez le style d'affichage pour les éléments de gestion dans la section Style (Style) :

Sélectionnez le style d'affichage des boutons et l'aspect des bordures des objets dans les listes déroulantes 'Style de bouton condition' (Condition button style) et 'Type de bordure d'objet' (Object border kind).

Boutons plats pour les objets (Flat object's buttons)

Objets plats (Flat objects)

Tables style XP (XP tables style)

Afficher des icônes sur les onglets (Show icons on tabs).

Vous pouvez modifier les couleurs des objets et les couleurs des éléments de gestion du constructeur de requêtes dans la section 'Palette de couleur' (Color palette). Pour appeler la palette de couleur, cliquez sur le carré coloré à coté du nom de l'élément de gestion.

Vous pouvez spécifier les couleurs pour les éléments suivants :

  • Ligne condition active (Active condition row) - la ligne active dans la fenêtre de spécification des conditions de sélection

  • Texte conditionnel (Condition text) - le texte de l'en-tête des conditions.

  • Texte élément de condition (Condition item text) - le texte des boutons qui se trouvent à coté des conditions

  • Aire client de la table (Table client area) - le fond des objets placés dans la fenêtre du diagramme

  • Intitulé table actif (Active table caption) - l'intitulé de la table active

  • Texte champ (Field text) - le texte du champ
  • Champ texte sélectionné (Selected field text) - le texte du champ sélectionné
  • Espace de travail (Work space) - la couleur principale de la fenêtre du diagramme
  • Champ (Field) - le texte dans la fenêtre de spécification des conditions

  • Opération (Operation) - l'icône de l'opération dans la fenêtre de spécification des conditions

  • Groupe (Group) - l'icône du groupe dans la fenêtre de spécification des conditions, sur l'onglet Critères de groupe (Grouping criteria)

  • Prédicat (Predicate) - le prédicat si la sous-requête a été créée

  • Sous-requête (Subquery) - le texte de la sous-requête dans la ligne de condition


Concepteur graphique de bases de données

Spécifiez sur cet onglet les paramètres du concepteur graphique de données.

Les outils de la section 'Paramétrage graphique' (Visual settings) :

  • dans la liste déroulante 'Notation' (Model notation), sélectionnez le format d'affichage des informations pour le diagramme - IDEF1x ou IE
  • en cochant la case 'Dessiner les clés primaires séparément' (Draw PRIMARY KEY fields separately), vous indiquez que le champ clé sera séparé de la reste de la table par une ligne horizontale,

  • si la case 'Dessiner des icônes d'entités' (Draw entities icons) est cochée, les icônes seront affichées à côté des noms des tables,
  • si la case 'Dessiner des icônes d'attributs' (Draw attributes icon) est cochée, une icône sera affichée à côté du nom de chaque champ,
  • si la case 'Dessiner des icônes d'attributs' (Draw only names of entities) est cochée, les noms des objets seulement seront affichés sur le diagramme,

  • si la case 'Dessiner le nom de la clé étrangère' (Draw FOREIGN KEY name) est cochée, les noms des clés étrangères seront affichés

Dans la section 'Options de la grille' (Grid options), spécifiez les paramètres de la grille de visualisateur de données

  • si la case 'Afficher la grille' (Show grid) est cochée, la grille de diagramme sera affichée
  • pour régler l'accrochage à la grille, cochez la case 'Se positionner par rapport à la grille' (Snap to grid), dans ce cas les objets qui se trouvent sur le diagramme seront alignés d'après les lignes de la grille,
  • spécifiez les paramètres de la grille du diagramme en utilisant les compteurs 'Taille de la grille' (Grid size). La largeur - X, l'hauteur - Y.

Dans la section 'Police d'en-tête de l'entité' (Entity header font), spécifiez les paramètres de la police des en-têtes des tables :

  • Nom (Name) - le type de la police,
  • Taille (Size) - la taille de la police.

Dans la section 'Police des attributs' (Attributes font), spécifiez les paramètres de la police des champs des tables :

  • Nom (Name) - le type de la police,
  • Taille (Size) - la taille de la police.

Les couleurs des objets du diagramme doivent être spécifiées à l'aide de la palette de couleur (Color Palette).


Palette de couleur

Vous pouvez spécifier les couleurs pour les différents éléments du diagramme dans cette section. Pour appeler la palette de couleur, cliquez sur le carré coloré à coté du nom de l'élément de gestion.

  • Aire de travail (Work area),

  • Texte de l'aire de travail (Work area text),

  • Entité (Entity) - la couleur de l'objet inactif,

  • Texte de l'entité (Entity caption text) - le texte d'intitulé de l'objet inactif,

  • Texte de l'attribut (Attribute text) - la police des champs des tables,

  • Sélection (Selection) - l'objet sélectionné,

  • Texte d'entité sélectionné (Selected entity caption text) - le texte sélectionné d'intitulé de l'objet,

  • Texte d'attribut sélectionné (Selected attribute text) - le texte sélectionné d'attribut.


IImpression des métadonnées

Sur cet onglet, vous pouvez seulement spécifier la taille du papier utilisé par défaut lors de la création des rapports dans l'outil Impression des métadonnées.


Export de données

Dans cette fenêtre, spécifiez le format d'affichage par défaut pour les données de différents types

Vous pouvez spécifier les formats d'affichage pour les formats de données suivants :

  • Format Integer (Integer format) - le format entier,
  • Format Float (Float format) - le nombre à virgule flottante,
  • Format Date (Date format) - la date,
  • Format Time (Time format) - l'heure,
  • Format DateTime (DateTime format) - le format date/heure,
  • Format currency (Currency format) - le format de monnaie,
  • Booléen True (Boolean True) - vrai,
  • Booléen False (Boolean False) - faux,
  • Chaîne NULL (Null string) - la chaîne nulle.

Cochez la case 'Sauvegarder automatiquement les chaînes formatées' (Auto save format string) pour sauvegarder toutes les modifications apportées. Vous pouvez restaurer les valeurs par défaut dans les champs en cliquant sur le bouton 'Réinitialiser' (Set defaults).

Vous pouvez spécifier ces formats lors de la troisième étape de l'assistant d'export des données.

Pour en savoir plus sur les formats de données, visitez la section Spécification des formats de données.


Propriétés du serveur

Spécifiez les paramètres supplémentaires du serveur sur cet onglet.

Intervalle de rafraîchissement de la liste des processus (sec) / (Process list refresh interval (sec.) - la fréquence de rafraîchissement de la liste des processus (en secondes).

Intervalle de rafraîchissement des journaux (sec.) / Logs refresh interval (sec.) - la fréquence de rafraîchissement du journal des traces (en secondes).

Trier les éléments du journal dans l'ordre de date descendant (List log items in descending date order) - trier le journal des traces dans l'ordre descendant des dates.

Dans la section 'Limites dans le journal général de requêtes' (Limit options in General Query Log), spécifiez les limitations suivantes pour le journal de requêtes :

  • de tous les enregistrements du journal (Select all records from log) - sélectionner simultanément tous les enregistrements du journal,
  • de seulement* (Select only Records) - sélectionner seulement les n enregistrements. Le nombre de lignes à afficher est indiqué dans un champ spécial.


Polices

Spécifiez le type et la taille de la police pour tout le programme SQL Manager 2007 for MySQL sur l'onglet Polices (Fonts).

Dans le champ 'Nom de la police système' (System font name), spécifiez la police qui est utilisée dans tous les éléments de gestion du programme SQL Manager 2007 for MySQL.

Spécifiez la taille de la police dans le champ 'Nom de la police système' (System font size).

Le modèle de texte avec les modifications apportées s'affiche dans la fenêtre inférieure.


Grille

Vous pouvez spécifier les paramètres d'affichage du visualisateur de données sur cet onglet.

Spécifiez les options générales dans la section 'Options générales' (General options) :

  • Grilles rayées (Stripped grids) - si cette case est cochée, les lignes paires sont marquées d'une autre couleur,
  • Afficher l'éditeur immédiatement (Show editor immediately) - si cette option est activée, vous pouvez modifier la cellule lorsqu'elle obtient le focus,
  • Éditeur toujours visible (Always show editor) - pour toujours utiliser le mode de modification des cellules, cochez cette case.
  • Activer la recherche auto dans la grille (Enable auto-search in grid) - pour activer la recherche autoincrémentale d'après les enregistrements dans la table, cochez cette case.
  • Sélection de plusieurs lignes (Row multi-selection) - pour autoriser la sélection de plusieurs enregistrements, cochez cette case

  • Largeur automatique des colonnes (Column auto-width) - cochez cette case pour le réglage automatique de la largeur de la table d'après le largeur de la fenêtre,
  • Hauteur automatique des cellules (Cell auto-height) - cochez cette case pour le réglage automatique de la hauteur de la fenêtre. Dans le champ 'Nombre de lignes max d'une cellule' (Cell max line count), vous pouvez aussi indiquer le nombre maximum de lignes sur la page,
  • Utilisez la vue compact pour les champs TEXT (Use compact view for TEXT fields) - cochez cette case pour diminuer la largeur de la colonne du champ texte lors de la visualisation.

Dans la section 'Préférence de disposition de la grille' (Grid layout preference), spécifiez certains paramètres de l'emplacement de la grille du visualisateur de données :

  • Remplissage automatique des largeurs de colonnes (Autofit column widths) - la sélection automatique de la largeur des colonnes,
  • Sauvegarder et restaurer la disposition (Save and restore layout) - la sauvegarde de l'emplacement et de la largeur,
  • Restaurer le tri (excepté le tri SQL) / Restore sorting (except SQL sort) - la sauvegarde du tri des colonnes.

Dans la section 'Options de niveau root' (Root level options), spécifiez les réglages du niveau principal :

  • Afficher la boîte "Grouper par" (Show "Group by" box) - afficher le champ de groupement,
  • Afficher l'indicateur (Show indicator) - afficher l'indicateur (la barre qui se trouve à gauche de la table),
  • Afficher le navigateur (Show navigator) - afficher le navigateur (la barre supplémentaire en bas de page pour passer d'un enregistrement à l'autre),
  • Afficher "Nouvelle ligne" (Show "New item row") - afficher une ligne vide pour ajouter un nouvel enregistrement.

Dans la section 'Options du niveau de détails' (Detail level options), spécifiez les paramètres d'affichage pour le niveau enfant de la table.

  • Afficher la boîte "Grouper par" (Show "Group by" box) - afficher le champ du groupement,
  • Afficher l'indicateur (Show indicator) - afficher l'indicateur (la barre à gauche de la table),

  • Afficher le navigateur (Show navigator) - afficher le navigateur (la barre supplémentaire en bas de page pour passer d'un enregistrement à l'autre),

  • Afficher "Nouvelle ligne" (Show "New item row") - afficher une ligne vide pour ajouter un nouvel enregistrement,
  • Cacher les onglets pour un seul détail (Hide tabs for single detail) - cacher les onglets pour un seul détail


Options de données

Spécifiez les paramètres d'affichage de visualisateur de données sur l'onglet Data options (Options des données).

  • de tous les enregistrements d'une table* (Select all records from a table) - charger tous les enregistrements dans l'outil de visualisation. Dans ce cas, toutes les données de l'ensemble renvoyé par le serveur seront chargées dans la table.
  • de N enregistrements seulement* (Select only N rows) - vous pouvez charger dans la table le nombre d'enregistrements indiqué seulement à partir de l'ensemble renvoyé par le serveur.

Dans la section Avancé (Advanced), spécifiez les propriétés avancées de la table.

  • Utiliser une connexion partagée pour chaque visualisation de données d'une même base * (Use shared connection for each data view within database) - utiliser la connexion générale pour tous les visualisateurs de données
  • Exécuter le tri de données sur le client dans la visualisation de données (Perform data sorting on client in Data View) - le tri de données s'exécute par les moyens de SQL Manager 2007 for MySQL. Si cette option n'est pas activée, les données seront triées sur le serveur MySQL à l'aide de l'instruction ORDER BY dans une requête.
  • Exécuter le filtre des données sur le client dans la visualisation de données (Perform data filtration on client in Data View) - le filtre des données s'exécute par les moyens de SQL Manager 2007 for MySQL. Si cette option n'est pas activée, le filtre SQL sera utilisé lors de la visualisation des données des tables et des vues. Dans ce cas, le filtre sera effectué à l'aide de l'instruction WHERE dans une requête SQL sur le serveur MySQL.

Charger le mode des lignes visibles si plus de X enregistrements (Load visible rows mode if records more than) - passer en mode "seulement les enregistrements visibles" si le nombre d'enregistrements dépasse le nombre spécifié dans le champ.

Dans le champ 'Largeur des champs de type chaîne (caractères)' / 'String fields width (chars)', spécifiez la largeur fixe des lignes des champs.

Mode grille par défaut (Default Grid Mode)

  • Charger toutes les lignes (Load all rows) - charger tous les enregistrements dans l'outil de visualisation. Dans ce cas, toutes les données de l'ensemble renvoyé par le serveur seront chargées dans la table.
  • Charger les lignes visibles (Load visible rows) - charger les enregistrements visibles dans la table à partir de l'ensemble renvoyé par le serveur. Dans ce cas, le nombre précis d'enregistrements sera chargé.

Note : Afin d'appliquer les modifications des paramètres marqués par «*», ouvrez de nouveau la fenêtre, cliquez sur «Rafraîchir» dans l'éditeur de tables ou exécutez de nouveau la requête dans l'éditeur SQL ou dans le constructeur de requêtes.


Impression de données

Sur cet onglet, spécifiez les réglages de l'impression qui seront sauvegardés et appliquées lors de l'ouverture postérieure de la fenêtre :

  • Représentation de la visualisation en carte (Card view representation)
  • Représentation de la visualisation en détails (Detail view representation)
  • Étendue (Expanding)
  • Formatage (Formatting)
  • Options du niveau (Level options)
  • Options "sur chaque page" ("on every page" options)
  • Pagination (Pagination)
  • Options de prévisualisation (Preview options)
  • Options des images (refinements) / Image options (refinements)
  • Options de sélection (Selection options)
  • Options sur la taille des rapports (Report size options)
  • Afficher les éléments de la grille (Showing grid elements)
  • Format du numéro de page (Page number format)
  • Paramétrages de la page (Page settings)
  • Titre du rapport (Report title)


Couleurs et formats

Dans la section 'Formats d'affichage' (Display formats), spécifiez ou sélectionnez le format d'affichage pour les types de données suivants :

Champs integer (Integer fields) - le format entier,

Champs float (Float fields) - les nombres à virgule flottante,

Champs datetime (Datetime fields) - date/heure,

Champs date (Date fields) - date,

Champs time (Time fields) - heure.

Dans la section Couleurs (Colors), spécifiez les couleurs pour les objets suivants :

  • Grille (Grid) - la table du visualisateur de données,
  • Ligne (Row),
  • Avec rayures (Stripy) - sélectionner les lignes paires.

Vous pouvez spécifier les couleurs personnels pour les valeurs NULL dans la section Valeurs NULL (Null Values).

  • Texte (Text),
  • Couleur de la police (Font Color).


Avancé

Spécifiez les paramètres suivants du visualisateur de données sur l'onglet Avancé (Advanced) :

  • Astuces de texte coupé (Cell hints for clipped text) - afficher les astuces pour le texte coupé,
  • Focus sur la cellule après un cycle (Focus cell on cycle),
  • Focus sur la première cellule d'une nouvelle ligne (Focus first cell on new record),
  • Cellule suivante en appuyant sur ENTER (Next cell on pressing Enter) - passer à une cellule suivante en appuyant sur ENTER,
  • Afficher les indications du navigateur (Show navigation hints),
  • Liste MRU dans le fitre de colonnes (MRU list in column filter) - la liste des filtres récents,
  • Déployer des détails vides (Expand buttons for empty details) - afficher les boutons pour déployer les détails vides,
  • Largeur de la carte (Card width) - indiquez la largeur de la carte dans le champ du compteur,
  • Éditeur de gros mémos (Large Memo Editor) - utiliser l'éditeur pour les grands enregistrements, si le nombre d'enregistrements dépasse le nombre spécifié dans le champ 'Nombre de lignes' (Number of lines),
  • Retour à la ligne dans l'éditeur de chaînes (Word wrap in string editor),
  • Retour à la ligne dans les éditeurs memo (Word wrap in memo editor),
  • Lignes de la grille (Grid lines) - indiquer les lignes de la table à afficher (Horizontal, Vertical)
  • Afficher les boutons de modification (Show edit buttons) - afficher les boutons de modification suivants :

Jamais (Never) - ne pas afficher, Pour l'enregistrement sélectionné (For focused record) - pour un enregistrement actif, Toujours (Always) - afficher toujours,

  • Position des étiquettes de détail (Detail tabs position) - la position des étiquettes de détail : Haut (Top), Gauche (Left),
  • Direction de la disposition des cartes (Card layout direction) - la disposition des cartes : Horizontal (Horizontal), Vertical (Vertical).


Options des colonnes

Options générales

Texte sélectionné automatiquement (Auto-select text) - cochez la case pour activer la sélection automatique du texte lors du basculement en mode de modification.

Cacher la sélection à la perte du focus (Hide selection on losing focus) - cochez la case pour cacher la sélection à la perte du focus.

Options de l'éditeur d'enregistrements

Insérer les retours chariots (Inserting Return characters) - cochez la case pour insérer les retours chariots pour passer à une nouvelle ligne.

Insérer les caractères de tabulations (Inserting Tab characters) - cochez la case pour insérer les caractères de tabulations.

Retour à la ligne dans la grille (Word wrap in grid) - cochez la case pour le retour à la ligne dans l'éditeur mémo.

Éditeurs contextuels de mémos (Popup memo editors) - cochez la case pour utiliser les éditeurs contextuels de champs memo.

Options de l'éditeur "rapide"

Utiliser Ctrl+Up au lieu de Up pour augmenter la valeur de cellule (Use Ctrl+Up instead of Up to increase spin values).

Afficher les grands boutons d'incrément (Show large increment buttons).

Spécifiez l'incrément dans le champ 'Incrément' (Increment), spécifiez le gros incrément dans le champ 'Gros incrément' (Large increment).

Position des boutons de l'éditeur "rapide"

Vertical (Vertical)

Horizontal / left and right (Horizontal gauche et droite)

Horizontal / right (Horizontal /Droite)


Localisation

Vous pouvez spécifier la langue du programme en utilisant les outils qui se trouvent sur cet onglet.

Vous pouvez choisir une des langues disponibles ou ajouter une langue nécessaire. Tous les fichiers de localisation avec l'extension *.lng se trouvent par défaut dans un seul répertoire. Le chemin vers celui-ci est indiqué dans la champ 'Répertoire par défaut' (Default directory).

Sélectionnez la langue du programme à partir de la liste déroulante 'Langue du programme' (Choose program language).

Si la case 'Parcourir automatiquement les langues au lancement' (Auto scan languages on startup) est cochée, le dossier 'Répertoire par défaut' (Default directory) sera vérifié chaque fois lors du lancement de SQL Manager 2007 for MySQL. Le programme vérifie s'il y a de nouveaux fichiers *.lng dans ce répertoire. Ceux-là seront automatiquement ajoutés dans la liste des langues disponibles du programme.

Vous pouvez trouver la liste des traductions disponibles du programme dans la liste 'Langues disponibles' (Available languages). Vous pouvez initialiser une langue nécessaire en tant que langue du programme par défaut.

Pour vérifier la disponibilité de nouveaux fichiers *.lng dans le dossier par défaut (ceux qui seront automatiquement ajoutés dans la liste des langues disponibles du programme), cliquez sur le bouton 'Ajouter les défauts' (Add defaults).

Cliquez sur le bouton 'Ajouter' (Add), pour ajouter un fichier de langue dans la liste 'Langues disponibles' (Available languages). Indiquez le nom de la langue et le chemin vers le fichier dans une fenêtre qui apparaît.

Le bouton 'Modifier' (Edit) permet de modifier une traduction sélectionnée.

Cliquez sur le bouton 'Supprimer' (Delete) pour supprimer une traduction sélectionnée à partir de la liste des traductions disponibles.


Options de l'éditeur

Vous pouvez spécifier les réglages de l'éditeur de requête SQL en utilisant cet outil.

Pour ouvrir la fenêtre de l'éditeur, sélectionnez l'élément 'Options | Options de l'éditeur' (Options | Editor Options) dans le menu principal du programme.

Les onglets :

  • Options générales
  • Affichage
  • Couleur
  • Code rapide
  • Formateur SQL
  • Correspondance de touches
  • Vérification de l'orthographe
  • Recherche des options

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Options générales

Sur cet onglet, spécifiez les options générales de l'éditeur.

'Retrait automatique' (Auto indent) - si vous cochez cette case, chaque nouveau retrait sera égal au retrait de la ligne précédente.

'Mode d'insertion' (Insert mode) - cochez cette case pour activer le mode d'insertion automatique des caractères.

'Chercher le texte du curseur' (Find text at cursor) - cochez cette case pour que le mot marqué par curseur apparaisse automatiquement dans la fenêtre de recherche après un Ctrl+F.

'Toujours afficher les liens' (Always show hyperlinks) - cette case permet d'afficher toujours les noms des objets en tant que liens hypertexte.

'Double cliquer la ligne' (Double click line) - cochez cette case pour que le double clic à n'importe quel endroit de la chaîne permette de sélectionner toute la ligne.

'Supprimer les espaces à la fin' (Trim trailing spaces) - si cette case est cochée, tous les espaces après le dernier caractère de la chaîne seront supprimés

'Fixer la hauteur de la ligne' (Fixed line height) - cette case permet de fixer la hauteur de la ligne

'Blocs persistants' (Persistent blocks) - cochez cette case pour ne pas supprimer la sélection lors du déplacement du curseur à l'aide des boutons.

'Fixer le déplacement par colonne' (Fixed column move) - si cette case est cochée, le curseur sauvegarde sa position horizontale au commencement de la colonne lors du déplacement en haut et en bas dans l'éditeur.

'Remplissage optimal' (Optimal fill) - cochez cette case pour activer le formatage automatique de texte de la requête dans l'éditeur.

'Conserver l'alignement sans retrait' (Unindent keep align) - cochez cette case pour conserver l'alignement pour les lignes sans retrait.

'Point d'insertion intelligent' (Smart caret) - cochez cette case pour que le curseur soit déplacé sur le caractère de texte le plus proche (lors du déplacement du curseur entre les lignes à l'aide des boutons).

'Résoudre les alias' (Resolve aliases) - cochez cette case pour permettre d'utiliser les alias.

'Surcharger les blocs' (Overwrite blocks) - cochez cette case pour remplacer le texte sélectionné par le texte tapé avec le clavier. Si cette case n'est pas cochée, le nouveau texte sera inséré tout de suite après le texte sélectionné. Il est impossible de supprimer tout de suite le texte sélectionné en cliquant sur les touches Delete, Enter et la touche Espace.

'Afficher le curseur en lecture seule' (Show caret in read only mode) - cochez cette case pour afficher le curseur en mode "lecture seule".

'Copier dans le presse-papier en tant que RTF' (Copy to clipboard as RTF) - cochez cette case pour copier le texte de la requête dans le presse-papiers en tant que texte au format RTF.

'Utiliser le drag and drop' (Drag and drop text) - cochez cette case pour pouvoir déplacer le texte.

'Annulation groupée' (Group undo) - cochez cette case pour pouvoir annuler plusieurs opérations du même type.

'Rétablir pour groupe' (Group redo) - cette case permet de rétablir plusieurs opérations du même type.

'Conserver la position horizontale du curseur' (Keep caret horizontal position) - si cette case est cochée, vous pouvez cliquer avec la souris sur l'espace vide après le texte dans la ligne pour que le curseur soit déplacé automatiquement vers la fin du texte. Cette option est utilisée pour le déplacement du curseur avec les boutons Up/Down.

'Activer la sélection de colonne' (Enable column selection) - cochez cette case pour activer la possibilité de sélectionner une colonne.

'Cacher le curseur quand tapez' (Hide cursor on type) - cochez cette case pour cacher le curseur de la souris quand l'utilisateur tape le texte.

Cacher la surbrillance (pas de focus) /Hide dynamic (no focus) - cochez cette case pour cacher la surbrillance si la fenêtre est inactive.

'Réduire les lignes vides' (Collapse empty lines) - cochez cette case pour supprimer automatiquement les lignes vides.

'Scroller à la dernière ligne' (Scroll to last line) - cochez cette case pour passer à la dernière ligne lors du défilement.

'Retour à la ligne' (Word wrap) - cochez cette case pour activer le retour à la ligne.

'Barre de défilement changeante' (Variable horizontal scrollbar) - cochez cette case pour cacher la barre de défilement, s'il n'y a pas de texte qui dépasse les frontières de la zone visible.

'Marqueurs flottants' (Float markers) - si la case est cochée, les onglets ne se déplacent pas avec le texte, ceux-là indiquent la ligne avec le numéro défini.

'Annuler après la sauvegarde' (Undo after save) - cette option permet de ne pas vider la liste des opérations exécutées après la sauvegarde, pour avoir la possibilité d'annuler une opération après la sauvegarde.

'Désactiver la sélection' (Disable selection) - cochez cette case pour désactiver la possibilité de sélection lors de la modification.

'Dessiner le focus de la ligne courante' (Draw current line focus) - cochez cette case pour sélectionner une ligne modifiée par la couleur aussi que par le trait pointillé.

Cacher la sélection (pas de focus) /Hide selection (no focus) - cochez cette case pour cacher la sélection, quand la fenêtre de l'éditeur devient inactive.

'Engloutir la sélection' (Greedy selection) - si cette case est cochée, lors de la sélection de plusieurs lignes/colonnes, une ligne/colonne sera prise en supplément.

'Conserver le mode de sélection' (Keep selection mode) - cochez cette case pour avoir la possibilité de sélection lors du déplacement du curseur dans le texte.

'Sélectionner le résultat de la recherche' (Select search result) - cochez cette case pour pour sélectionner les résultats de la recherche.

'Collage intelligent' (Smart paste) - cochez cette case pour avoir la possibilité de coller le texte des codages Unicode et ANSI dans l'éditeur. Le texte sera mis en correspondance avec le codage actuel.

'Désactiver toutes les fonctionnalités de code' (Disable all code features) - cochez cette case pour désactiver toutes les options de code.

'Diminuer le niveau' (Collapse level) - cochez cette case pour diminuer les sous-niveaux. Indiquez dans le compteur le niveau jusqu'à quel il faut diminuer les sous-niveaux.

Dans le champ 'Limite de l'annulation' (Undo limit) spécifiez le nombre des opérations sauvegardées pour annuler celles-ci.

Ouvrez la liste déroulante 'Mode de tabulations' (Tab mode). Sélectionnez l'opération à exécuter à l'aide du bouton 'Tabulations' (Tab) :

  • Utiliser les les caractères de tabulations (Use tab character),
  • Insérer les espaces (Insert spaces),
  • Commutation entre les fenêtres (Dialog behaviour),
  • Tabulations intelligentes (Smart tab) - cette option permet de transformer les symboles de tabulation en espaces et de spécifier le retrait égal au retrait de la ligne précédente.

Spécifiez la taille du retrait de tabulation dans le champ 'Tabulation' (Tab Stops).

Dans la liste déroulante 'Symboles des commentaires' (Comment symbols), sélectionnez la combinaison de symboles pour marquer les commentaires.

Spécifiez la taille du retrait pour les blocs avec les onglets prédéfinis en utilisant le compteur 'Retrait pour bloc' (Block indent).

Vous pouvez annuler les modifications apportées et réinitialiser les paramétrages par défaut en utilisant le bouton 'Réinitialiser les paramétrages par défaut' (Reset to defaults).


Affichage

Dans la section Reliure (Gutter), spécifiez les paramètres suivants du champ gauche de l'éditeur SQL :

  • cochez la case 'Afficher les numéros de ligne' (Show line numbers) pour afficher les numéros de lignes dans le champ gauche,
  • cochez la case 'Largeur automatique pour reliure' (Gutter auto width) pour aligner automatiquement les reliures,
  • cochez la case 'Afficher la ligne d'état' (Display line state) pour afficher la ligne d'état dans le champ gauche. Cette ligne verticale de couleur montre l'état des enregistrements. Il y a trois états pour les enregistrements : une ligne modifiée est marquée par la couleur jaune, une nouvelle ligne est marquée par la couleur verte, une ligne sauvegardée dans un fichier est marquée par la couleur bleue.
  • cochez la case 'Utiliser le repli de code' (Use code folding) pour spécifier la structure hiérarchique du texte avec la possibilité de cacher les sous-objets.

Spécifiez la largeur du champ gauche dans le compteur 'Largeur' (Width). Sélectionnez la couleur de fond à partir de la liste déroulante 'Couleur' (Color).

Dans la section 'Marge droite' (Right margin), spécifiez les propriétés de la frontière gauche utilisée pendant le formatage automatique du texte de la requête. (Vous pouvez spécifier les paramètres de formatage automatique sur l'onglet Formateur SQL/ SQL Formatter). Pour afficher cette frontière, cochez la case 'Visible' (Visible).

L'option 'Coupure de mot' (Word break) permet de déplacer les mots dans les limites du champ droit.

Spécifiez le retrait du bord gauche pour cette frontière en utilisant le compteur 'Position' (Position).

Spécifiez la couleur de la frontière à partir de la liste déroulante 'Couleur' (Color).

Spécifiez les paramètres d'affichage des agrafes de texte dans la section 'Agrafes de code' (Code staples) :

Cochez la case 'Visible' (Visible) pour que les agrafes soient visibles.

Cochez la case 'Seule couleur' (Single color) pour initialiser la couleur unique pour tous les agrafes de texte.

Cochez la case 'Décalage' (Offset) pour spécifier la valeur de déplacement pour les agrafes.

Cochez la case 'Couleur' (Color) pour spécifier la couleur des agrafes de texte (cette option est disponible si la case Seule couleur/ Single color est cochée). Sélectionnez la couleur à partir de la liste déroulante.

Spécifiez les paramètres des polices de l'éditeur de requêtes dans la section 'Polices' (Fonts).

Cochez la case 'Afficher seulement les polices à chasse fixe' (Show only fixed-width fonts) pour que les polices avec la largeur fixe des caractères s'affichent dans la liste de sélection des polices.

Pour initialiser les paramètres de la police utilisée par défaut dans l'éditeur SQL, ouvrez la fenêtre standard de spécification des polices. Pour ouvrir la fenêtre, cliquez sur le bouton 'Initialiser la police de l'éditeur' (Set editor font). Si les paramètres de la police ne sont pas spécifiés pour les différents types des éléments sur l'onglet Color/Couleur, cette police sera utilisée par défaut. Cette police est aussi utilisée pour l'affichage des erreurs et des avertissements.

Pour modifier l'aspect des numéros de pages, cliquez sur le bouton 'Initialiser la police des numéros de ligne' (Set line numbers font).

Sélectionnez la couleur de fond de l'éditeur à partir de la liste déroulante 'Couleur du fond' (Background color).

Sélectionnez la style de la numérotation des lignes à partir de la liste déroulante 'Style de la numérotation' (Numbering style).

Toutes les modifications s'affichent sur le modèle qui se trouve dans la partie inférieure de la fenêtre.

Vous pouvez annuler les modifications apportées et initialiser les valeurs par défaut en cliquant sur le bouton 'Réinitialiser aux valeurs par défaut' (Reset to defaults).


Couleur

Sur l'onglet 'Couleur' (Color), vous pouvez spécifier la couleur et la police des différents éléments de texte tels que les mots clés, les signes de ponctuation, les commentaires, les liens etc.

Tous les éléments sont présentés dans la partie supérieure de la fenêtre dans la liste 'Élément' (Element). Toutes les modifications s'affichent à droite sur le modèle de texte.

Cliquez sur le bouton 'Désactiver l'élément' (Disable element) pour appliquer la police standard à un élément de texte sans la possibilité de la modifier. Après cela l'enregistrement sur le bouton se modifie vers 'Activer l'élément' (Enable element). Vous pouvez cliquer sur ce bouton pour activer la possibilité de modifier le type et la couleur de la police pour l'élément sélectionné.

Dans la partie inférieure de la forme vous pouvez voir les éléments de gestion qui permettent de modifier l'aspect de l'objet sélectionné dans la liste 'Élément' (Element).

Sélectionnez les paramètres disponibles pour la modification à partir de la liste déroulante Style (Style).

Vous pouvez spécifier le type, la taille et le dessin de la police de l'élément sélectionné dans la fenêtre standard qui s'ouvre à l'aide du bouton 'Personnaliser la police' (Set custom font).

Vous pouvez spécifier à part le dessin dans la section 'Style de la police' (Font style) :

  • Gras (Bold),
  • Italique (Italic),
  • Souligné (Underline),
  • Barré (Strike out).

Sélectionnez le type d'alignement vertical de texte dans la liste déroulante 'Alignement vertical' (Vertical alignment).

Sélectionnez la couleur de texte à partir de la liste 'Couleur d'avant-plan' (Foreground color). Si vous cochez la case 'Par défaut' (Default), la couleur par défaut sera utilisée sans la possibilité de sélectionner la couleur.

Pour mettre le texte en couleur sélectionnez cette couleur à partir de la liste 'Couleur d'arrière-plan' (Background color). Si vous cochez la case 'Par défaut' (Default), la couleur par défaut sera utilisée sans la possibilité de sélectionner une autre couleur.

Si la case 'Lecture seule' (Read only) est cochée, on ne peut pas modifier les éléments de ce type. Si la case 'Masqué' (Hidden) est cochée, les éléments seront cachés. Pour afficher ceux-ci utilisez le curseur.

Vous pouvez choisir la case pour un élément sélectionné à partir de la liste déroulante 'Casse' (Capitalization) :

  • Non modifié (Unchanged),
  • En majuscule (Upper case),
  • En minuscule (Lower case),
  • Inverser la casse (Toggle case) - toutes les lettres en majuscule sauf la première.
  • Majuscules initiales (Initial caps).

Dans la section 'Bordures' (Borders) spécifiez les bordures pour l'élément de texte à modifier :

  • Gauche (Left),
  • Haut (Top),
  • Droit (Right),
  • Bas (Bottom).

Sélectionnez le type de la bordure à partir de la première liste déroulante, puis sélectionnez la couleur à partir de la deuxième.

Cochez la case 'Bordures multilignes' (Multiline border) pour afficher la ligne au commencement de l'enregistrement ainsi qu'à la fin de l'enregistrement. Cette option ne peut être appliquée qu'au type d'objets Default.

Afin d'enregistrer les modifications appliquées cliquez sur le bouton Ok.

Vous pouvez annuler les modifications apportées et initialiser les valeurs par défaut en cliquant sur le bouton 'Réinitialiser aux valeurs par défaut' (Reset to defaults).


Code rapide

Sur cet onglet, spécifiez les paramètres de saisie rapide de texte pour la génération de la requête.

Liste de completion (Completion list) est une liste de complétion automatique utilisée pour la saisie rapide de texte, cette liste contient les objets disponibles et les mots-clés. Tous les types d'objets qui se trouvent dans la 'Liste de complétion' (Completion list) sont indiqués dans la 'Liste des objets de completion' (Completion list objects). Afin d'éliminer les objets de ce type à partir de la liste, cliquez sur le bouton 'Désactiver l'élément' (Disable element). Après cela, l'enregistrement sur le bouton se modifie vers 'Activer l'élément' (Enable element). Vous pouvez cliquer sur ce bouton pour ajouter les objets de ce type dans la liste de complétion automatique.

Spécifiez les propriétés de la complétion automatique dans la section 'Fonctionnalités automatiques' (Automatic features).

Si la case 'Code de complétion' (Code Completion) est cochée, lors de la saisie des premiers caractères du mot, le programme vous propose automatiquement la liste des mots commençant par ces caractères. Les conseils pour les fonctions sont activés. Les mots-outil sont mis en surbrillance.

Dans le compteur Sensibilité (caractère)/Sensitivity (char), spécifiez le nombre de caractères après la saisie desquels la liste de complétion doit s'ouvrir.

Si la case 'Trier les noms des champs' (Sort field names) est cochée, les mots contenants dans la liste proposée seront triés :

  • Trier par type (Sort By type),
  • Trier par nom (Sort By Name).

'Afficher les conseils informatiques' (Show information hints) - afficher les indications.

Si la case 'Paramètres de code' (Code Parameters) est cochée, un conseil sera affiché lors de la saisie d'un mot-clé. Spécifiez le temps d'attente du conseil dans le champ 'Délai' (Delay).

Les modèles clavier seront appliqués automatiquement si vous cochez la case 'Lancer automatiquement les modèles du clavier' (Auto launch keyboard templates).

Dans la liste déroulante Style (Style), sélectionnez les paramètres disponibles pour la modification.

Vous pouvez spécifier le type, la taille et le dessin de la police de l'élément sélectionné dans la fenêtre standard qui s'ouvre à l'aide du bouton 'Personnaliser la police' (Set custom font).

Vous pouvez spécifier à part le dessin dans la section 'Style de la police' (Font style) :

  • Gras (Bold),
  • Italique (Italic),
  • Souligné (Underline),
  • Barré (Strike out).

Sélectionnez le type d'alignement vertical de texte à partir de la liste déroulante 'Alignement vertical' (Vertical alignment).

Sélectionnez la couleur de texte à partir de la liste 'Couleur d'avant-plan' (Foreground color). Si vous cochez la case 'Par défaut' (Default), la couleur par défaut sera utilisée sans la possibilité de sélectionner la couleur.

Pour mettre le texte en couleur, sélectionnez cette couleur à partir de la liste 'Couleur d'arrière-plan' (Background color). Si vous cochez la case 'Par défaut' (Default), la couleur par défaut sera utilisée sans la possibilité de sélectionner une autre couleur.

Si la case 'Lecture seule' (Read only) est cochée, on ne peut pas modifier les éléments de ce type. Si la case 'Masqué' (Hidden) est cochée, les éléments seront cachés. Pour afficher ceux-ci, utilisez le curseur.

Vous pouvez choisir la case pour un type d'élément sélectionné dans la liste 'Liste de complétion' (Completion list). Afin de choisir la case, utilisez la liste déroulante 'Casse' (Capitalization) :

  • Non modifié (Unchanged),
  • En majuscule (Upper case)
  • En minuscule (Lower case)
  • Inverser la casse (Toggle case).
  • Majuscule en début de mot (Initial caps).

Dans la section 'Bordures' (Borders), spécifiez les bordures pour l'élément de texte à modifier :

  • Gauche (Left),
  • Haut (Top),
  • Droit (Right),
  • Bas (Bottom).

Sélectionnez le type de la bordure à partir de la première liste déroulante, puis sélectionnez la couleur à partir de la deuxième.

Cochez la case 'Bordures multilignes' (Multiline border) pour afficher la ligne au commencement de l'enregistrement ainsi qu'à la fin de l'enregistrement. Toutes les modifications de la liste et de chaque objet s'affichent sur un modèle.

Afin d'enregistrer les modifications appliquées, cliquez sur le bouton Ok.

Vous pouvez annuler les modifications apportées et initialiser les valeurs par défaut en cliquant sur le bouton 'Réinitialiser aux valeurs par défaut' (Reset to defaults).


Formateur SQL

L'onglet Formateur SQL (SQL Formatter) contient les options nécessaires pour spécifier des réglages pour le formatage automatique des requêtes SQL.

Sur l'onglet Paramétrages (Settings), indiquez les parties de la requête à formater automatiquement.

Cochez les cases 'Formatage d'une requête SQL' (Format SQL query) et 'Formatage sous-requête' (Format subquery) pour activer le formatage automatique des requêtes et des sous-requêtes.

Spécifiez les paramètres de formatage de texte de la requête sur l'onglet 'Mots SQL' (SQL Words).

Utilisez la liste 'Emballage du premier élément' (Wrap first element) pour cocher les instructions après lesquelles il faut exécuter le déplacement de la ligne.

Utilisez la liste Paramétrage en ligne/liste (Params in line/list) pour cocher les instructions pour lesquelles il faut modifier l'affichage des paramètres. Si vous cochez cette case, les paramètres affichés sous la forme de la colonne s'affichent sous la forme d'une seule ligne (et réciproquement).

Spécifiez la position des instructions OR et AND par rapport au texte dans la section OR - AND :

  • Gauche (Left) - à gauche du texte,
  • Separate (Separate) - chaque instruction se trouve sur une ligne séparée,
  • Right (Right) - à droite du texte.

Dans les sections 'Casse des mots clés' (Keyword case) et 'Casse des identifiants' (Identifiers case), sélectionnez la casse pour afficher les mots clés et les identificateurs dans le texte de la requête :

  • Par défaut (Default),
  • Majuscule (Upper),
  • Minuscule (Lower),
  • Majuscule sur le premier caractère (Capitalize).

Cochez la case 'Espace avant parenthèses' (Space before bracket) pour insérer des espaces avant les parenthèses.

Cochez la case 'Espace dans les parenthèses' (Space into brackets) pour insérer automatiquement des espaces entre les parenthèses et le texte dans les parenthèses.

Spécifiez le retrait pour les éléments de la liste en utilisant le compteur 'Indentage liste' (Indents in list)

Afin de formater le texte de la requête avec les nouvelles modifications, il vous faut sélectionner l'élément 'Formatage SQL' (Format SQL) dans le menu contextuel de l'éditeur de requête.


Correspondance de touches

Utilisez l'onglet 'Correspondance de touches' (Key Mapping) et spécifiez la correspondance des touches pour l'exécution rapide des opérations dans l'éditeur de requêtes SQL.

Vous pouvez sauvegarder le jeu de correspondances des touches pour les différentes opérations sous la forme du schéma de correspondances de touches. Après avoir apporté des modifications dans les combinaisons existantes ou après avoir ajouté les nouvelles combinaisons, cliquez sur le bouton 'Enregistrer sous' (Save As) afin de sauvegarder ces modifications. Pour appliquer le schéma, il vous faut sélectionner un schéma nécessaire à partir de la listé déroulante 'Nom du modèle' (Scheme name) et cliquer sur le bouton OK. Afin de supprimer le schéma sélectionné, cliquez sur le bouton 'Supprimer' (Delete).

Puis vous pouvez spécifier la correspondance des touches pour les opérations exécutées dans l'éditeur.

Sélectionnez une opération pour laquelle il faut initialiser la correspondance des touches à partir de la liste Commandes (Commands).

Les combinaisons ajoutées s'affichent dans la fenêtre 'Combinaisons de touches' (Key combinations). Vous pouvez supprimer la combinaison, pour cela sélectionnez celle-ci et cliquez sur le bouton 'Supprimer' (Delete). Afin de supprimer toutes les combinaisons pour une opération sélectionnée, cliquez sur le bouton 'Effacer' (Clear).

Afin d'ajouter une nouvelle combinaison cliquez sur le bouton 'Nouveau' (New) et indiquez une combinaison nécessaire dans le champ 'Clé' (Key). Si cette combinaison existe déjà pour une autre opération, un avertissement apparaît. Ce dernier contient le nom de l'opération pour laquelle cette combinaison est déjà utilisée. Vous pouvez spécifier plusieurs combinaisons pour une seule opération ainsi qu'une succession de combinaisons des touches. Si vous avez spécifié une succession de combinaisons, cliquez sur toutes les touches selon la succession indiquée pour que l'opération soit effectuée. Chaque ligne de la liste 'Combinaisons de touches' (Key combinations) est une combinaison nécessaire pour exécuter une opération. Pour ajouter une nouvelle combinaison de touches, utilisez le bouton 'Ajouter' (Add).

Pour exporter le schéma dans un fichier, cliquez sur le bouton 'Exporter' (Export). La fenêtre de dialogue s'ouvre, vous pouvez y sélectionner un fichier existant ou créer un nouveau fichier.


Vérification de l'orthographe

Spécifiez les paramètres de vérification de l'orthographe sur l'onglet 'Vérifier l'orthographe' (Spell Checking).

Sélectionnez le type de vérification dans la section 'Mode de vérification orthographique' (Spell checker mode) :

  • Surbrillance (Highlighting) - les mots avec des fautes seront mis en surbrillance,
  • Correction automatique (Autocorrection) - les fautes seront corrigées automatiquement,
  • Aucun (None) - aucune opération ne sera effectuée.

Vous pouvez spécifier les paramètres de casse pour la vérification dans la section 'Respecter la casse' (Case sensitivity) :

'Supporter la cohérence de case lors de la substitution' (Support case consistency with substitution) - si cette option est activée, le mot avec une faute sera remplacé par un mot correct si la casse de la substitution coïncide avec la casse du mot qui contient la faute

'Ignorer la casse lors de la vérification' (Ignore case while spell checking) - ignorer la casse lors de la vérification de l'orthographe.

'Conserver la casse de la coquille lors du remplacement' (Keep the misprint case when replacing) - conserver la casse du mot lors du remplacement de la coquille.

La liste 'Substitution' (Substitutions) contient les mots-clés du dictionnaire de vérification de l'orthographe. Si le remplacement automatique est activé, ces mots remplacent les mots écrits avec des fautes. Afin d'ajouter un mot dans cette liste, cliquez sur le bouton 'Ajouter' (Add). Pour modifier le mot sélectionné, cliquez sur le bouton 'Modifier' (Edit). Afin de supprimer le mot sélectionné, cliquez sur le bouton 'Supprimer' (Delete).

Spécifiez les paramètres de vérification des coquilles dans la section 'Coquilles' (Misprints).

Vous pouvez définir plusieurs mots avec des erreurs pour les mots de la liste 'Substitution' (Substitutions). Ceux-là seront automatiquement remplacés par des mots corrects.

Le menu déroulant 'Vérification' (Check) affiche les différentes erreurs que l'utilisateur peut commettre dans un mot.

Afin d'ajouter une possibilité dans la liste, cliquez sur le bouton 'Ajouter' (Add). Vous pouvez modifier la possibilité de faute sélectionnée en utilisant le bouton 'Modifier' (Edit).

A l’aide du bouton 'Automatique' (Auto), il est possible de créer automatiquement toutes les possibilités d’erreurs pouvant être commises dans ce mot. Afin de supprimer une possibilité d'erreur sélectionnée, cliquez sur le bouton 'Supprimer' (Delete). Afin de vider la liste des coquilles, cliquez sur le bouton 'Vider' (Clear) .

La liste 'Ignorer' (Ignore) contient les possibilités de coquilles qui seront ignorées lors du remplacement automatique.

Afin de réinitialiser les paramétrages par défaut, cliquez sur le bouton 'Par défaut' (Reset to defaults).


Options visuelles

Spécifiez le style de tous les éléments de l'interface du programme SQL Manager 2007 for MySQL à l'aide de cet outil. Afin d'ouvrir la fenêtre de personnalisation de l'interface du programme, sélectionnez l'élément 'Options | Options visuelles' (Options | Visual Options) dans le menu principal du programme.

Tous les outils se trouvent sur les onglets suivants :

  • Barres et menus
  • Arbres et listes
  • Contrôles d'édition
  • Cases à cocher
  • Boutons
  • Contrôles de page
  • Cases groupées
  • Séparations
  • Barre de navigation
  • Recherche des options

Les modifications apportées peuvent être sauvegardées sous la forme de schéma. Pour cela, utilisez le bouton 'Sauvegarder sous' (Save as) dans la partie supérieure de chaque onglet. Cliquez sur ce bouton et indiquez le nom du schéma à sauvegarder dans la fenêtre qui apparaît. Vous pouvez sélectionner le schéma dans la liste 'Nom du modèle' (Scheme Name), celui-ci contient les schémas par défaut ainsi que les schémas créés par l'utilisateur. Pour supprimer le schéma, cliquez sur le bouton 'Supprimer'(Delete).

Toutes les modifications apportées sont présentées sur le modèle dans la partie inférieure de chaque onglet.

Vous pouvez exporter les paramétrages dans un fichier. Pour cela, ouvrez l'assistant d'export en cliquant sur le bouton 'Exporter les paramétrages' (Export settings). L'assistant d'export de données vous permet d'exécuter cette opération pas à pas.

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Barres et menus

Pour spécifier l'aspect des barres d'outils et du menu du programme SQL Manager 2007 for MySQL, utilisez l'onglet 'Barres et menus' (Bars and menus)

Sélectionnez un des styles standards de la barre d'outils dans la liste déroulante 'Style de barres' (Bar style).

Ouvrez la liste 'Animation du menu' (Menu Animation) et sélectionnez une des variantes de l'animation pour l'ouverture du menu.

Bordure enfoncée (Sunken border).

Utiliser F10 pour le menu (Use F10 for menu).

Afficher d'abord les commandes récentes dans le menu (Menu shows recent command first).

Afficher le menu complet après le délai (Show full menus after delay).

Boutons de fermeture plats (Flat close buttons).

Images désactivées en niveau de gris (Gray-scale disabled images).


Arbres et listes

Spécifiez l'aspect des listes sur l'onglet 'Arbres et listes' (Trees and Lists).

Ouvrez la liste 'Interface' (Look & Feel) et sélectionnez un des styles standards des listes.

Standard (Standard),

Plat (Flat),

Ultraplat (Ultraflat).

Cacher la sélection (Hide selection).

Cacher le rectangle du focus (Hide focus rectangle).

Style natif (Native style).


Contrôles d'édition

Spécifiez l'aspect des éléments de gestion et de modification sur l'onglet 'Contrôles d'édition' (Edit controls).

Sélectionnez le style de la bordure dans la liste déroulante 'Style de la bordure' (Border style) :

Aucune (None) - sans bordure,

Simple (Single) - une ligne simple mince,

Large (Thick) - une ligne simple large,

Plat (Flat) - plat avec l'ombre,

3D (3D) - 3D,

Ultraplat (Ultraflat) - ultraplat.

Spécifiez le style des boutons dans la liste 'Style de bouton' (Button style) :

3D (3D) - 3D,

Plat (Flat) - les boutons plats avec l'ombre,

Simple (Simple) - les boutons simples,

Hotplat (Hotflat) - les boutons plats encadrés,

Ultraplat (Ultraflat) - les boutons plats.

Pour spécifier le style des boutons se trouvant sur le champ, utilisez la liste déroulante 'Transparence du bouton' (Button transparency) :

Aucune (None) - les boutons non transparents,

Inactif (Inactive) - les boutons transparents si inactifs,

Toujours (Always) - les boutons transparents,

Cacher l'inactif (Hide inactive) - afficher lors de la modification,

Cacher le non sélectionné (Hide unselected) - afficher sous le curseur.

Hot track (Hot track) - la surbrillance des éléments de gestion.

Ombre (Shadow) - l'ombre.

Style natif (Native style) - le style natif.

Coins (Edges) :

  • Gauche (Left) ;
  • Droite (Right) ;
  • Haut (Top) ;
  • Bas (Bottom).


Cases à cocher

Spécifiez l'aspect des cases à cocher sur l'onglet 'Cases à cocher' (Check boxes).

Sélectionnez le style de la bordure à partir de la liste déroulante 'Style de bordure' (Border style) :

Aucune (None) - sans bordure,

Simple (Single) - une ligne simple mince,

Large (Thick) - une ligne simple large,

Plat (Flat) - plat avec l'ombre,

3D (3D) - 3D,

Ultraplat (Ultraflat) - ultraplat.

Hot track (Hot track) - la surbrillance des éléments de gestion.

Ombre (Shadow) - l'ombre.

Style natif (Native style) - le style natif.


Boutons

Spécifiez l'aspect des boutons sur cet onglet.

Sélectionnez l'aspect des boutons dans la liste 'Style de bouton' (Button kind) :

Standard (Standard) - les boutons standards,

Plat (Flat) - les boutons plats avec l'ombre,

Ultraplat (Ultraflat) - les boutons ultraplats.

Style natif (Native style).


Onglets

Dans cette fenêtre vous pouvez spécifier l'aspect des onglets.

Sélectionnez le style des onglets nécessaire dans la liste 'Style d'onglets' (Tab Style).

Onglets (Tabs) - les onglets sous la forme d'onglets,

Boutons (Buttons) - les onglets sous la forme de boutons,

Plat (Flat) - les onglets plats.

Hot track (Hot track) - la surbrillance des éléments de gestion.

Ombre (Shadow) - l'ombre.

Style natif (Native style) - le style natif.


Cases groupées

Spécifiez le style d'affichage des cases groupées sur l'onglet 'Cases groupées' (Group boxes).

Sélectionnez le style de la bordure dans la liste déroulante 'Style de bordure' (Border style) :

Aucune (None) - sans bordure,

Simple (Single) - une ligne simple mince,

Large (Thick) - une ligne simple large,

Plat (Flat) - plat avec l'ombre,

3D (3D) - 3D,

Ultraplat (Ultraflat) - ultraplat.

Ombre (Shadow) - ombre.

Style natif (Native style) - style natif.


Séparations

Spécifiez le style des séparations sur l'onglet 'Séparateurs' (Splitters).

Sélectionnez le style d'affichage des séparateurs dans la liste déroulante 'Style des zones actives' (Hot zone style).

Barre des tâches Windows XP (Windows XP task bar),

Media Player 8 (Media Player 8),

Media Player 9 (Media Player 9),

Simple (Simple),

Aucune (None).

Si la case 'Utiliser la zone chaude pour déplacer' (Hot zone drags a splitter) est cochée, vous pouvez déplacer le séparateur en tirant la zone de travail [image] avec la souris. Si cette case n'est pas cochée, vous pouvez cliquer sur cette zone pour diminuer ou déployer la fenêtre restreinte par le séparateur.


Barre de navigation

Spécifiez l'aspect de la barre de navigation sur cet onglet.

Dans la liste déroulante 'Style de l'affichage' (View style), sélectionnez le style d'affichage pour la barre de navigation :

Office 11 (Office 11) - le style Office 11,

XP (XP) - le style Windows XP,

Simplé (Simple) - le style simple,

Avancé (Advanced) - le style avancé.

Pour que la bordure de la barre de navigation soit affichée, cochez la case 'Bordure' (Border).


Modèles clavier

Spécifiez les modèles pour la saisie rapide de texte à l'aide de l'outil 'Modèles clavier' (Keyboard Templates).

Ouvrez l'éditeur de modèles clavier en sélectionnant l'élément 'Options | Modèles clavier' (Options | Keyboard Templates) dans le menu principal.

Afin de créer un modèle, cliquez sur le bouton 'Ajouter un modèle' (Add Template). Indiquez dans la fenêtre qui apparaît la succession de caractères qui sera remplacée par un texte lors de la saisie.

Afin de modifier le modèle créé, sélectionnez celui-ci dans la liste des modèles et cliquez sur le bouton 'Modifier le modèle' (Edit Template). Pour supprimer le modèle sélectionné, cliquez sur le bouton 'Supprimer le modèle' (Delete Template).

Si la case 'Ancien style' (Old Style) est cochée, les caractères utilisés dans les anciennes versions de SQL Manager 2007 for MySQL seront utilisés dans le texte du modèle.

Dans la section 'Étendue' (Expansion), indiquez le texte par lequel il faut remplacer la succession de caractères du modèle.

Vous pouvez coller un texte automatique en utilisant les boutons suivants :

  • Curseur (Cursor) - la position du curseur, le curseur sera déplacé dans la position indiquée lors de l'application du modèle,
  • Auteur (Author) - le nom du compte utilisateur,
  • Heure (Time) - l'heure de la modification,
  • Date (Date) - la date de la modification,
  • Presse-papier (Clipboard) - le contenu du presse-papiers,
  • Marqueur (Marker) - le marqueur.

Dans la section 'Casse de modèles' (Case of Templates), vous pouvez spécifier la casse pour la succession de caractères qui vaut le modèle :

  • Tel quel (As is),
  • Majuscule (Uppercase),
  • Minuscule (Lowercase),
  • Premier caractère en majuscule (First upper).

Afin d'appliquer le modèle, il faut saisir la succession de caractères de modèle dans l'éditeur, et puis cliquer sur la touche Espace ou les touches Ctrl+J.

Afin de restaurer les valeurs de modèles par défaut, cliquez sur le bouton 'Par défaut' (By Default).

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Enregistrement des paramètres

L'assistant d'enregistrement des paramètres permet d'exporter tous les paramètres du programme SQL Manager 2007 for MySQL dans un fichier externe. Le fichier des paramètres a l'extension *.reg (le fichier du registre système Windows). Vous pouvez appliquer les paramètres sauvegardés à ce programme ainsi qu'au programme SQL Manager 2007 for MySQL installé de nouveau. Afin d'ouvrir l'assistant de sauvegarde des paramètres, sélectionnez l'élément 'Options | Enregistrer les paramètres' (Options | Save Settings) dans le menu principal du programme.

Pour appliquer les paramètres sauvegardés dans le fichier *.reg, il faut ouvrir ce fichier en le double cliquant avec la souris. Puis cliquez sur OK dans la fenêtre qui apparaît. Tous les paramètres seront appliqués automatiquement (ajoutés dans le registre système Windows).

L'assistant inclut les étapes suivantes :

  • Spécification du fichier de destination
  • Sélection des paramètres
  • Sélection des bases de données
  • Sauvegarde des paramètres

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Spécification du fichier de destination

La première étape de l'assistant. Spécifiez le nom du fichier dans lequel les paramètres seront sauvegardés et le chemin vers le fichier.

Indiquez le nom et l'adresse du fichier créé dans le champ 'Nom de fichier' (Filename) en utilisant le bouton [image] dans la fenêtre de dialogue qui s'ouvre.

Étape suivante


Sélection des paramètres

Cochez les paramètres à sauvegarder :

  • Database Registration Info - Info sur la base de données enregistrée,
  • Database projects - Projets de bases de données,
  • Tabs - Onglets,
  • Environment Options - Options de l'environnement,
  • Visual Options - Options graphiques,
  • Keyboard Templates - Modèles clavier,
  • External Tools - Outils externes,
  • Form placement - Placement des fenêtres,
  • MRU lists - Listes MRU (Listes des objets récents)

Étape suivante


Sélection des bases de données

Sélectionnez les bases de données pour lesquelles il faut sauvegarder les informations d'enregistrement et les réglages.

Les bases de données disponibles se trouvent dans la liste 'Bases de données disponibles' (Available Databases).

Sélectionnez les bases pour lesquelles il faut sauvegarder les informations d'enregistrement et les réglages et déplacez-les dans la liste 'Bases de données sélectionnées' (Selected Databases) en utilisant les boutons spéciaux.

Étape suivante


Sauvegarde des paramètres

Cliquez sur le bouton 'Terminer' (Finish) pour lancer la création du fichier de réglage.

La barre d'état de processus s'affiche dans la fenêtre spéciale.

Vous pouvez suivre la sauvegarde en utilisant cette fenêtre. Dans la fenêtre 'Opérations' (Operations), vous pouvez ainsi voir le rapport sur chaque étape de l'opération exécutée. Pour ouvrir la fenêtre, cliquez sur le bouton 'Détails' (Details).

Si la case 'Fermer l'assistant' (Close the Wizard) est cochée, vous pouvez fermer l'assistant d'enregistrement des paramètres en cliquant sur le bouton 'Fermer' (Close) dans cette fenêtre. Si la case n'est pas cochée, vous pouvez modifier les paramètres de sauvegarde sans fermer l'assistant.


Plug-ins et outils externes

Vous pouvez ajouter dans le programme SQL Manager 2007 for MySQL un certain nombre d'applications externes ou des plugins pour un fonctionnement plus efficace du programme.

Les plugins - ce sont des programmes supplémentaires exécutant les fonctions complémentaires dans le programme principal. Le plugin peut être chargé simultanément avec application et s'affiche en tant qu'option dans le menu 'Plug-ins' (Plugins).

Les outils externes - ce sont les programmes qui ne font pas partie de SQL Manager 2007 for MySQL, ces programmes rendent votre travail plus efficace. Vous pouvez lancer le programme externe ajouté en le sélectionnant dans le menu 'Outils | Outils externes' (Tools | External Tools).


Plugins

SQL Manager 2007 for MySQL dispose d'un outil spécial qui permet d'installer les plugins pour le travail avec le programme. Afin d'ouvrir cet outil, cliquez sur l'élément 'Options | Options des plugins' (Options | Plugins Options) dans le menu principal du programme.

Installer le plugin

Afin d'ajouter le plugin, il vous faut :

  • sélectionner l'élément 'Options|Options des plugins' (Options | Plugins Options) dans le menu principal du programme,
  • dans l'éditeur de plugins qui apparaît, cliquez sur le bouton 'Ajouter le plugin' (Add plugin),
  • sélectionnez le fichier avec l'extension *.dll dans la fenêtre de dialogue standard,
  • cliquez sur le bouton OK afin d'ajouter le bouton sélectionné dans la liste des plugins.

Pour lancer le plugin installé, il vous faut sélectionner l'élément 'Plugins | Nom du plugin' dans le menu principal du programme.

Supprimer le plugin

Afin de supprimer le plugin, il vous faut :

  • sélectionner l'élément 'Options|Options des plugins' (Options | Plugins Options) dans le menu principal du programme,
  • dans l'éditeur de plugins qui apparaît, choisissez un programme nécessaire,
  • cliquer sur le bouton 'Supprimer le plugin' (Remove plugin).

Éditeur des plugins

Options des plugins

Générateur de données

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Éditeur des plugins

SQL Manager 2007 for MySQL vous permet de gérer les plugins ajoutés en utilisant la fenêtre ci-dessous. Les plugins destinés pour travailler avec toute la base de données s'affichent sur l'onglet 'Outils communs' (Common tools). Les plugins destinés pour travailler avec certains objets des bases de données se trouvent sur l'onglet 'Outils pour les objets' (Tools for objects).

Afin d'ajouter le plugin, cliquez sur le bouton 'Ajouter le plugin' (Add plugin) . Pour supprimer le plugin, cliquez sur le bouton 'Supprimer le plugin' (Remove plugin).

Tous les plugins sont affichés dans le programme sous la forme d'éléments du menu. Ainsi, le programme offre la possibilité de gérer l'emplacement des plugins, de les grouper, de créer de nouveaux sous-menus.

Vous pouvez créer un nouveau sous-menu en cliquant sur le bouton 'Nouveau sous-menu' (New submenu) et puis déplacer les objets pareils dans ce sous-menu.

Vous pouvez modifier le nom du sous-menu en cliquant sur le bouton 'Renommer' (Rename). Afin de supprimer le sous-menu, cliquez sur le bouton 'Supprimer' (Delete).

Afin de supprimer l'ordre des objets dans la liste, utilisez les boutons [image] ou la combinaison des touches Shift+Ctrl+Up / Shift+Ctrl+Down. Vous pouvez aussi déplacer les objets à l'aide de la souris.

La fenêtre des informations se trouve dans la partie inférieure, vous pouvez y voir la description et le chemin vers un plugin sélectionné.


Options des plugins

Les informations sur un plugin installé se trouvent sur cet onglet.

'Plugin est l'outil commun' (Plugin is a common tool) - si cette case est cochée, le plugin est destiné pour le travail avec toute la base de données.

'Le plugin est créé dans l'éditeur d'objet' (Plugin is built in object editor) - si cette case est cochée, le plugin est intégré dans les éditeurs d'objets.

'Le plugin dispose d'un dialogue d'options' (Plugin has options dialog) - si cette case est cochée, le plugin contient le dialogue de réglage des options.

'Décharger le plugin après l'exécution' (Unload plugin after executing) - si cette case est cochée, le plugin sera déchargé après l'exécution.

Dans la section 'Éditeurs d'objet' (Object Editors), vous pouvez voir les éditeurs dans lesquels le plugin est intégré.

Dans la section 'Options' (Options), vous pouvez spécifier les paramètres d'affichage du plugin dans le menu du programme.

'Libellé du menu' (Menu caption) - indiquez le libellé du plugin pour le menu principal du programme et la combinaison des touches pour l'appel rapide.

'Libellé pour les options du menu' (Options menu caption) - cet élément affiche les options du plugin. Ce champ est actif si le plugin a des options qui constituent le sous-menu.

Si la case 'Placer le bouton sur la barre d'outils' (Place button on toolbar) est cochée, le bouton d'appel du plugin sera placé sur la barre d'outils.


Générateur de données

'Plugin de générateur de données' (Data Generator Plugin) - est un outil puissant de génération rapide des données de test pour les différentes tables des bases de données MySQL.

Afin d'exécuter le générateur de données, sélectionnez l'élément 'Plugins | Générateur de données' (Plugins | Data Generator) dans le menu principal du programme.

Ouvrez la liste déroulante 'Base de données' (Database) et sélectionnez une base de données pour laquelle vous voulez générer les données.

Sélectionnez la table à partir de la liste 'Table' (Table).

Indiquez les champs de la table dans le champ 'Nom du champ' (Field Name). Il vous faut indiquer le type de données dans le champ 'Type' (Type) pour générer les données nécessaires pour chaque champ de table.

Indiquez le nombre de lignes à générer dans le champ 'Nombre d'enregistrements à générer' (Number of records to be generated).

Indiquez tous les paramètres et cliquez sur le bouton 'Générer' (Generate) afin de lancer la génération.

Voir aussi :

Options des plugins

Installer le plugin

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Non


Outils externes

Vous pouvez ajouter un certain nombre de programmes externes dans SQL Manager 2007 for MySQL pour le fonctionnement plus efficace de ce programme.

Ajouter un outil externe :

Afin d'ajouter un autre programme, il vous faut :

  • sélectionner l'élément 'Options| Outils externes' (Options | External Tools) dans le menu principal du programme,
  • cliquer sur le bouton 'Ajouter' (Add) dans la fenêtre des outils externes qui apparaît,
  • indiquer les paramètres de connexion dans la fenêtre de dialogue qui apparaît,
  • cliquer sur OK pour sauvegarder les modifications apportées.

Ces opérations permettent d'ajouter un programme indiqué dans la liste des outils externes.

Vous pouvez exécuter le programme (ajouté dans la liste) à l'aide de SQL Manager 2007 for MySQL. Pour cela, sélectionnez le programme à partir du menu 'Outils | Outils externes' (Tools | External Tools).

Supprimer l'outil externe

Afin de supprimer le programme à partir de la liste des outils externes, il vous faut :

  • choisir l'élément 'Options| Outils externes' (Options | External Tools) dans le menu principal du programme,
  • sélectionner un programme nécessaire dans la fenêtre des outils externes qui apparaît,
  • cliquer sur le bouton 'Supprimer' (Delete).

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Fenêtre des outils externes

Ouvrez la fenêtre en sélectionnant l'élément 'Options | Outils externes' (Options | External Tools) dans le menu principal du programme.

La liste des outils externes déjà ajoutés s'affiche dans la fenêtre 'Outils' (Tools).

Pour ajouter un programme dans la liste, cliquez sur le bouton 'Ajouter' (Add).

La fenêtre de modification des outils externes s'ouvre à l'aide du bouton 'Modifier' (Edit). Vous pouvez modifier les propriétés du programme ajouté en utilisant cette fenêtre.

Cliquez sur le bouton 'Supprimer' (Delete) pour supprimer le programme à partir de la liste.

Vous pouvez modifier l'ordre des programmes dans la liste en utilisant les boutons [image] ou la combinaison des touches Shift+Ctrl+Up / Shift+Ctrl+Down. Vous pouvez aussi déplacer les objets en utilisant la souris.


Modification des outils externes

Vous pouvez ajouter et modifier les outils externes du programme SQL Manager 2007 for MySQL à l'aide de la fenêtre 'Modifier l'information sur l'outil externe' (Edit External Tool Info).

Afin d'ouvrir cette fenêtre, cliquez sur les boutons 'Ajouter' (Add) et 'Modifier' (Edit) dans la fenêtre des outils externes.

Dans le champ 'Titre' (Title), indiquez le nom du programme qui sera affiché dans la liste des outils externes.

Dans le champ 'Touche de raccourci' (Hot Key), vous pouvez indiquer la combinaison des touches pour ouvrir le programme. Ce champ est impossible à modifier.

Indiquez le chemin complet au programme (au fichier avec l'extension *.exe) dans le champ 'Programme' (Program), ou sélectionnez un fichier nécessaire à l'aide de la fenêtre de dialogue standard (pour cela, cliquez sur le bouton [image] ).

Dans le champ 'Répertoire d'exécution' (Working Dir), indiquez le répertoire de travail pour ce programme.

Indiquez les paramètres d'exécution du programme dans le champ 'Paramètres' (Parameters).


Localisation du logiciel

Pour votre commodité, SQL Manager 2007 for MySQL permet de modifier la langue de l'interface du programme. Afin de modifier la langue, il vous faut :

Changer la langue du programme

  • sélectionnez 'Options | Sélectionner la langue du programme' (Options | Select Program Language) dans le menu principal du programme,
  • choisissez une langue de l'interface dans la fenêtre de sélection,
  • cliquez sur OK pour sauvegarder les modifications.

Modification de la localisation du programme

  • ouvrez une fenêtre du programme dans laquelle vous voulez modifier l'en-tête ou les titres des éléments de gestion,
  • cliquez sur Shift+Ctrl+L pour ouvrir la fenêtre de l'éditeur des localisations,
  • modifiez le texte,
  • cliquez sur le bouton 'Sauvegarder' (Save) dans la fenêtre de modification pour enregistrer vos modifications.

Note :

Vous pouvez apporter les modifications dans la localisation, si celle-ci est installée et si elle n'est pas la localisation par défaut. Vous pouvez installer la localisation en utilisant l'outil Options de l'environnement | Localisation (Environment Options | Localization).

Créer une nouvelle localisation

Afin de créer une nouvelle localisation, il vous faut :

  • créer un nouveau fichier de localisation avec l'extension *.lng et le placer dans le dossier 'Langages' (Languages) dans le répertoire où SQL Manager 2007 for MySQL est installé,
  • sélectionner 'Options | Options de l'environnement' (Options | Environment Options) dans le menu principal du programme,
  • ouvrir l'onglet Options de l'environnement | Localisation (Environment Options | Localization),
  • cliquer sur le bouton 'Ajouter' (Add) sur cet onglet,
  • indiquer le nom de la nouvelle localisation dans le champ 'Langue' (Language name) de la fenêtre qui apparaît, indiquer le chemin vers le fichier *.lng créé dans le champ 'Fichier de la langue' (Language File),
  • cliquer sur le bouton OK. La nouvelle langue apparaît dans la liste des localisations. Vous pouvez la modifier et installer en tant que langue du programme.

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


Éditeur des localisations

l'éditeur de localisations permet de modifier les titres, les inscriptions, les noms des éléments et les conseils dans le programme SQL Manager 2007 for MySQL, si la langue nécessaire n'est pas la langue par défaut.

Le fichier de localisation peut être ouvert et modifié dans n'importe quel éditeur de texte.

Les noms des éléments de gestion sont inscrits avant le caractère "=", les noms de ces éléments traduits en langue sélectionnée sont écrits après le caractère "=". Vous pouvez modifier le texte après le caractère "=" seulement.

Pour que le travail avec l'éditeur soit plus facile, le programme dispose de la fenêtre de recherche standard. Vous pouvez l'ouvrir en cliquant sur les touches Ctrl+F.

Cliquez sur le bouton 'Sauvegarder' (Save) sur la barre d'outils pour sauvegarder les modifications apportées.

Voir aussi Options de l'environnement | Localisation (Environment Options | Localization)


Sélection de la langue du programme

Cette fenêtre de dialogue vous permet de sélectionner la traduction du programme SQL Manager 2007 for MySQL.

Vous pouvez ouvrir cette fenêtre en sélectionnant 'Options | Sélectionner la langue du programme' (Options | Select Program Language) dans le menu principal du programme.

Toutes les langues disponibles du programme sont affichées dans la liste, ce sont les langues installées à l'aide des Options de l'environnement | Localisation (Environment Options | Localization).

Disponibilité de cette fonction

Windows Full (version complète) | Oui
Windows Lite (version Lite) | Oui


créer une base de données

Création de la base

Afin de faciliter le processus de création d'une base de données dans SQL Manager 2007 for MySQL, veuillez utiliser l'assistant de création de bases de données (Create Database Wizard). En utilisant l'assistant, vous pouvez créer une base de données pas à pas.

Pour créer la base de données il vous faut exécuter les opérations suivantes :

  • sélectionner l'élément 'Base de données | Créer la base de données' (Database | Create Database) du menu principal du programme,
  • spécifier le nom de la base, le nom du serveur, le type d'autorisation,
  • activer l'option "Enregistrer après la création" (Register After Creating) pour appeler l'assistant d'enregistrement des bases de données
  • afficher et modifier le script SQL de résultat,


supprimer une base de données

Suppression de la base de données

Après la suppression de la base, celle-ci sera supprimée complètement du serveur. Dans ce cas-là, vous pouvez la restaurer à partir des copies de sauvegarde que l'utilisateur a créé lors du processus de travail.

Pour supprimer la base de données, il vous faut :

  • sélectionner une base à supprimer (cliquez avec la souris sur la base dans l'explorateur de bases),
  • sélectionner l'option 'Base de données | Supprimer la base de données' (Database | Drop Database) dans le menu principal du programme (cette option n'est pas disponible dans le menu contextuel de la base de données),
  • dans la fenêtre qui apparaît, confirmer la suppression de la base de données.

Vous pouvez supprimer les bases de données connectées aussi bien que les bases de données déconnectées. Il est impossible de supprimer la base s'il n'y a pas de la connexion au serveur.


enregistrer la base de données

Enregistrement de bases de données

Pour commencer à travailler avec une base de données déjà existante dans SQL Manager 2007 for MySQL, il vous faut l'enregistrer. Pour cela, utilisez l'outil spécial appelé assistant d'enregistrement de bases de données. Pour lancer l'assistant, sélectionnez l'option 'Base de données | Enregistrer la base de données' (Database | Register Database) du menu principal du programme. A l'aide de cet outil, vous pouvez sélectionner un serveur, une base de données sur ce serveur, spécifier les paramètres de connexion pour cette base, les paramètres d'autorisation et les autres options de l'enregistrement.

Pour enregistrer plusieurs bases de données qui se trouvent sur un même serveur, il vous faut désactiver la fonction 'Enregistrer une seule base de données' (Register a single database) lors de l'étape de configuration des paramètres du serveur. Lors de l'étape suivante de l'assistant, vous pouvez sélectionner plusieurs bases à enregistrer et les enregistrer simultanément.


supprimer l'enregistrement de la base

Suppression de l'enregistrement de la base

Si vous n'utilisez plus la base de données, vous pouvez la supprimer ; utilisez la fonction 'Supprimer l'enregistrement de la base' (Unregister Database). Une base de données non enregistrée ne s'affiche pas dans SQL Manager 2007 for MySQL.

Pour supprimer l'enregistrement, il vous faut suivre les étapes suivantes :

  • sélectionner la base dont vous voulez supprimer l'enregistrement (cliquez avec la souris sur la base dans l'explorateur de bases),
  • sélectionnez l'option 'Base de données | Supprimer l'enregistrement de la base' (Database | Unregister Database) du menu principal du programme,
  • dans la fenêtre qui apparaît, confirmez la suppression de l'enregistrement.


se connecter à la base de données

Connexion à la base

La commande 'Se connecter à la base de données' (Connect to Database) est disponible via :

  • le menu principal du programme - 'Base de données | Se connecter à la base de données' (Database | Connect to Database),
  • le menu contextuel de l'explorateur,
  • le menu contextuel de la base.

Pour vous connecter à la base de données, vous pouvez utiliser le raccourci Ctrl+Shift+C ou double cliquer sur le nom de la base de données dans l'explorateur.


se déconnecter de la base

Déconnexion de la base

Si la séance de travail avec la base de données est terminée, vous pouvez vous déconnecter de la base. La commande 'Se déconnecter de la base de données' (Disconnect from Database) est disponible s'il y a la commande 'Se connecter à la base de données' (Connect to Database). Vous pouvez vous déconnecter de la base en utilisant le raccourci Ctrl+Shift+D.


créer une table

La table est un objet qui contient toutes les données dans les bases de données relationnelles. La table est un ensemble de colonnes. Les données dans les tables sont composées sous forme de lignes et de colonnes comme dans les tables électroniques. Chaque ligne est un enregistrement unique, chaque colonne est un champ pour les enregistrements. Par exemple, une table qui contient des informations sur les employés d'une société peut contenir une ligne pour chaque employé et des colonnes contenant des informations sur des employés (par exemple le numéro identifiant, le nom, l'adresse, le poste et le numéro de domicile). Chaque table peut contenir jusqu'à 1024 colonnes. Les noms des tables et des colonnes doivent correspondre aux règles des identificateurs ; les noms des colonnes d'une table doivent être uniques. Donc, vous pouvez utiliser des noms identiques pour des colonnes dans différentes tables de la même base de données.

Les tables MySQL ont les composantes suivantes :

  • Colonnes

Chaque colonne présente un attribut d'objet présenté dans la table, par exemple une table avec des informations sur les pièces contient les colonnes pour l'identificateur, la couleur et le poids.

  • Lignes

Chaque ligne présente une inclusion d'un objet de table. Par exemple, la table avec les informations sur les pièces doit contenir une ligne pour chaque pièce vendue par la société.

Créer la table

Pour créer une table, vous pouvez utiliser :

  • L'option 'Base de données| Créer un nouvel objet' (Database | New Object) du menu principal du programme ; puis sélectionnez la table dans la fenêtre de sélection du type d'objet.
  • l'élément 'Nouvelle table' ('New table') du menu contextuel de la table.
  • l'élément 'Créer |Table' (Create | Table) de la barre d'outils de l'explorateur de bases.
  • le raccourci <Ctrl + N>.

Renommer la table

Si vous voulez modifier le nom de la table, il vous faut :

  • sélectionner l'option 'Renommer la table' (Rename Table)<nom de l'objet> du menu contextuel de la table,
  • utiliser le raccourci <Ctrl + R>.

Copier la table

Le programme fournit l'assistant spécial pour copier les objets, vous pouvez copier un objet dans une autre base de données, vous pouvez la copier avec les données ou sans les données.

Si vous copiez les tables, il vous faut sélectionner l'élément 'Dupliquer la table' (Duplicate Table) <nom de l'objet> dans le menu contextuel de la table. Si vous copiez la table en utilisant cette méthode, l'assistant de copie d'objets s'ouvre sur la troisième étape (parce que c'est lors des deux premières étapes de l'assistant qu'il faut sélectionner la base de données et l'objet).


modifier la table

Modifier la table

Afin d'ouvrir la table dans l'éditeur de table, double cliquez avec la souris sur la table dans l'explorateur de bases. Vous pouvez aussi sélectionner l'élément du menu contextuel de la table 'Modifier la table' (Edit Table) <nom de l'objet>.


supprimer la table

Supprimer la table

Afin de supprimer la table, sélectionnez l'option 'Supprimer la table' (Drop Table)<nom de l'objet> du menu contextuel pour la table ou utilisez le raccourci <Ctrl + Del>.


ajouter un champ dans la table

Créer un champ

Afin d'ajouter un champ dans la table, il vous faut exécuter les opérations suivantes :

  • ouvrir la table dans l'éditeur de tables. Pour cela, veuillez double-cliquer avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet 'Champs' (Fields) (cet onglet s'ouvre par défaut lors de l'ouverture de table dans l'éditeur de tables),
  • sélectionner l'élément 'Nouveau champ...' (New Field...) dans le menu contextuel du champ,
  • indiquer les propriétés requises du champ dans l'éditeur de champs qui apparaît.

Copier le champ

Afin de copier un champ, veuillez sélectionner l'élément 'Champ dupliqué' (Duplicate Field) <nom de l'objet> dans le menu contextuel du champ. Veuillez saisir le nom du nouveau champ dans la première fenêtre qui apparaît, puis indiquez s'il faut copier l'objet avec les données ou sans celles-ci dans la deuxième fenêtre.


modifier le champ de la table

Modifier le champ

Afin de modifier le champ, il vous faut :

  • ouvrir la table dans l'éditeur de tables - pour cela, veuillez double-cliquer avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet 'Champs' (Fields) (cet onglet s'ouvre par défaut lors de l'ouverture de la table dans l'éditeur de tables),
  • sélectionner l'élément 'Modifier un champ' (Edit Field)<nom de l'objet> dans le menu contextuel du champ,
  • indiquer les propriétés requises du champ dans éditeur de champs qui apparaît.


supprimer le champ de la table

Supprimer le champ

Afin de supprimer un champ, il vous faut :

  • ouvrir la table dans l'éditeur de tables - pour cela, veuillez double-cliquer avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet 'Champs' (Fields) (cet onglet s'ouvre par défaut lors de l'ouverture d'une table dans l'éditeur de tables),
  • sélectionner l'élément 'Supprimer un champ'(Drop Field)<nom de l'objet> dans le menu contextuel du champ,
  • confirmer la suppression du champ dans la fenêtre qui apparaît.


créer un index

L'index est un objet de la base de données relationnelle, qui permet d'accéder rapidement aux données dans les lignes de la table en partant de valeurs de clé. Les index assurent que les lignes de table soient uniques. La clé primaire de la table s'indexe automatiquement. Les informations sur les mots-clés et leurs emplacement dans une certaine colonne sont stockées dans l'index fulltext (lors de la recherche Fulltext).

Créer un index

Afin d'ajouter l'index dans la table, il vous faut exécuter les opérations suivantes :

  • ouvrir la table dans l'éditeur de tables, pour cela double-cliquez avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet Index (Indices),
  • sélectionner l'élément 'Nouvel index...' (New Index...) dans le menu contextuel de l'index,
  • indiquez les propriétés requises de l'index dans l'éditeur d'index qui apparaît.


modifier l'index

Modifier l'index

Afin de modifier l'index, il vous faut :

  • ouvrir la table dans l'éditeur de tables. Pour cela, double-cliquez avec la souris sur la table nécessaire dans l'explorateur de bases,
  • ouvrir l'onglet Index (Indices),
  • sélectionner l'élément 'Modifier l'index' (Edit Index)<nom de l'objet> dans le menu contextuel de l'index,
  • indiquez les propriétés requises de l'index dans l'éditeur d'index qui apparaît.


supprimer l'index

Supprimer l'index

Afin de supprimer l'index, il vous faut :

  • ouvrir la table dans l'éditeur de tables, pour cela double-cliquez avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet Index (Indices),
  • sélectionner l'élément 'Supprimer l'index' (Drop Index)<nom de l'objet> dans le menu contextuel de l'index,
  • confirmez la suppression de l'index dans la fenêtre qui apparaît.


créer un trigger

Le trigger est une variété de la procédure stockée qui s'exécute automatiquement si un certain événement arrive sur le serveur. Les triggers DML s'exécutent lors d'un événement provoqué par la tentative de l'utilisateur de modifier les données à l'aide de la langue DML. Les événements DML sont les procédures INSERT, UPDATE ou DELETE, appliquées à une table ou à une vue. Les triggers DDL fonctionnent si des événements DDL ont lieu. Ces événements correspondent aux instructions CREATE, ALTER, DROP et à certaines procédures stockées système qui exécutent ces même opérations via des instructions DDL.

Créer un trigger

Afin d'ajouter le trigger dans une table, il vous faut exécuter les opérations suivantes :

  • ouvrir la table dans l'éditeur de tables, pour cela double-cliquez avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet Triggers (Triggers),
  • sélectionner l'élément 'Nouveau trigger...' (New Trigger...) dans le menu contextuel de trigger,
  • indiquez les propriétés requises du trigger dans l'éditeur de triggers qui apparaît.


modifier le trigger

Modifier le trigger

Afin de modifier le trigger, il vous faut :

  • ouvrir la table dans l'éditeur de tables, pour cela double-cliquez avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet Triggers (Triggers),
  • sélectionner l'élément 'Modifier le trigger' (Edit Trigger)<nom de l'objet> dans le menu contextuel de trigger,
  • indiquez les propriétés requises du trigger dans l'éditeur de triggers qui apparaît.


supprimer le trigger

Supprimer le trigger

Afin de supprimer le trigger, il vous faut :

  • ouvrir la table dans l'éditeur de tables, pour cela double-cliquez avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet Triggers (Triggers),
  • sélectionner l'élément 'Supprimer le trigger' (Drop Trigger)<nom de l'objet> dans le menu contextuel de trigger,
  • confirmez la suppression du trigger dans la fenêtre qui apparaît.


créer une clé étrangère

La clé étrangère (Foreign Key) est une colonne ou un ensemble de colonnes dont les valeurs correspondent à une clé primaire ou à une clé unique de la même table ou de l'autre table. Vous pouvez créer et modifier les clés étrangères en utilisant un outil spécial - l'éditeur de clés étrangères (Foreign Key Editor).

La clé étrangère est utilisée pour établir des liens entre les données des deux tables.

Créer la clé étrangère

Afin d'ajouter la clé étrangère dans la table, il vous faut exécuter les opérations suivantes :

  • ouvrir la table dans l'éditeur de tables, pour cela double-cliquez avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet Clés étrangères (Foreign Keys),
  • sélectionner l'élément 'Nouvelle clé étrangère...' (New Foreign Key...) dans le menu contextuel de la clé,
  • indiquez les propriétés requises de la clé dans l'éditeur de clés étrangères qui apparaît.


modifier la clé étrangère

Modifier la clé étrangère

Afin de modifier la clé étrangère, il vous faut :

  • ouvrir la table dans l'éditeur de tables, pour cela double-cliquez avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet Clés étrangères (Foreign Keys),
  • sélectionner l'élément 'Modifier la clé étrangère' (Edit Foreign Key)<nom de l'objet> dans le menu contextuel de la clé,
  • indiquez les propriétés requises de la clé dans l'éditeur de clés étrangères qui apparaît.

Note : vous pouvez spécifier certaines propriétés de la clé étrangère lors de la création seulement. Elles ne sont pas disponibles lors de la modification.


supprimer la clé étrangère

Supprimer la clé étrangère

Afin de supprimer la clé étrangère, il vous faut :

  • ouvrir la table dans l'éditeur de tables, pour cela double-cliquez avec la souris sur la table dans l'explorateur de bases,
  • ouvrir l'onglet Clés étrangères (Foreign Keys),
  • sélectionner l'élément 'Supprimer la clé étrangère' (Drop Foreign Key)<nom de l'objet> dans le menu contextuel de la clé,
  • confirmez la suppression la clé étrangère dans la fenêtre qui apparaît.


créer une vue

La vue est une table virtuelle représentant les données d'une ou de plusieurs tables d'une façon alternative. La vue peut être créée dans la base de données actuelle seulement. La vue accepte au maximum 1024 colonnes.

Créer une vue

Afin de créer une vue, veuillez utiliser :

  • l'élément 'Base de données | Nouvel objet' (Database | New Object) du menu principal du programme, puis sélectionnez 'Vue' (View) dans la fenêtre de sélection du type d'objet.
  • ou 'Views | l'élément New View' (Views | New View) du menu contextuel de l'objet de la base de données,
  • ou le raccourci <Ctrl + N>.

Copier la vue

Ce programme fournit un assistant spécial pour copier les objets, vous pouvez copier un objet dans une autre base de données, vous pouvez copier avec les données ou sans les données.

Afin de copier une vue, il vous faut sélectionner l'élément 'Dupliquer la vue' (Duplicate Table)<nom de l'objet> dans le menu contextuel de la vue. Si vous copiez l'objet en utilisant cette méthode, l'assistant de copie d'objets s'ouvre sur la troisième étape (parce que c'est lors des deux premières étapes de l'assistant qu'il faut sélectionner la base de données et l'objet).


renommer la vue

Modifier la vue

SQL Manager 2007 for MySQL fournit un outil spécial pour travailler avec les vues - l'éditeur de vues (View Editor).

Afin d'ouvrir la vue dans l'éditeur de vues, double-cliquez avec la souris sur l'objet dans l'explorateur de bases. Vous pouvez le faire aussi en sélectionnant l'élément du menu contextuel de la vue 'Modifier la vue' (Edit View) <nom de l'objet>.

Renommer la vue

Si vous voulez modifier le nom de la vue, il vous faut :

  • sélectionner l'élément 'Renommer la vue' (Rename View)<nom de l'objet> du menu contextuel de la vue
  • utiliser le raccourci <Ctrl + R>.


supprimer la vue

Supprimer la vue

Afin de supprimer la vue, sélectionnez l'élément 'Supprimer la vue' (Drop View)<nom de l'objet> du menu contextuel dans l'explorateur de bases de données ou utilisez le raccourci <Ctrl + Del>.


créer une fonction définie par l'utilisateur (UDF)

La fonction définie par l'utilisateur (UDF) est un moyen qui permet d'élargir les possibilités de MySQL grâce à une nouvelle fonction (comme les fonctions incorporées de MySQL).

Créer la fonction utilisateur

Pour créer la fonction, utilisez :

  • l'élément 'Base de données | Nouvel objet' (Database | New Object) du menu principal du programme. Sélectionnez 'Fonction définie par l'utilisateur' (User-Defined Function) dans la fenêtre de sélection du type d'objet,
  • ou l'élément 'Nouvelle fonction définie par l'utilisateur' (New User-Defined Function) dans le menu contextuel du groupe d'objets de la base de données UDF,
  • ou le raccourci <Ctrl + N>.

La fonction créée s'ouvre automatiquement dans l'éditeur de fonctions utilisateur.

Copier la fonction utilisateur

Le programme fournit l'assistant spécial pour copier les objets, vous pouvez copier un objet dans une autre base de données.

Afin de copier une fonction, il vous faut sélectionner l'élément 'Dupliquer l'UDF' (Duplicate User-Defined Function)<nom de l'objet> dans le menu contextuel du groupe d'objets UDF de la base de données. Si vous copiez l'objet en utilisant cette méthode, l'assistant de copie d'objets s'ouvre sur la troisième étape (parce que c'est lors des deux premières étapes de l'assistant qu'il faut sélectionner la base de données et l'objet).


modifier la fonction définie par l'utilisateur (UDF)

Modifier la fonction utilisateur

SQL Manager 2007 for MySQL fournit un outil spécial pour travailler avec les fonctions utilisateur - l'éditeur de fonctions utilisateur.

Afin d'ouvrir l'objet dans l'éditeur, double-cliquez avec la souris sur l'objet dans l'explorateur de bases. Vous pouvez le faire aussi en sélectionnant l'élément du menu contextuel de la fonction 'Modifier l'UDF' (Edit User-Defined Function) <nom de l'objet>.

Renommer la fonction utilisateur

Si vous voulez modifier le nom de la fonction, il vous faut :

  • sélectionner l'élément 'Renommer l'UDF' (Rename User-Defined Function)<nom de l'objet> du menu contextuel du groupe d'objets de la base de données UDF,
  • ou utiliser le raccourci <Ctrl + R>.


supprimer la fonction définie par l'utilisateur (UDF)

Supprimer la fonction utilisateur

Afin de supprimer l'objet, sélectionnez l'élément 'Supprimer l'UDF' (Drop User-Defined Function)<nom de l'objet> du menu contextuel dans l'explorateur de bases de données ou utilisez le raccourci <Ctrl + Del>.


créer une procédure

Les procédures stockées sont un ensemble de commandes SQL qui peuvent être compilées et stockées sur le serveur. La procédure peut renvoyer la table de données lors de l'exécution.

Créer la procédure

Afin de créer une procédure, veuillez utiliser :

  • l'élément 'Base de données| Nouvel objet' (Database | New Object) du menu principal du programme. Sélectionnez 'Procédure' (Procedure) dans la fenêtre de sélection du type d'objet,
  • ou 'Procédures | l'élément Nouvelle procédure...' (Procedures | New Procedure...) du menu contextuel de l'objet de la base de données,
  • ou le raccourci <Ctrl + N>.

La procédure créée s'ouvre automatiquement dans l'éditeur de procédures.

Copier la procédure

Le programme fournit un assistant spécial pour copier les objets, vous pouvez copier un objet dans une autre base de données, vous pouvez copier avec les données ou sans les données.

Afin de copier une procédure, il vous faut sélectionner l'élément 'Dupliquer la procédure' (Duplicate Procedure)<nom de l'objet> dans le menu contextuel de la procédure. Si vous copiez l'objet en utilisant cette méthode, l'assistant de copie d'objets s'ouvre sur la troisième étape (parce que c'est lors des deux premières étapes de l'assistant qu'il faut sélectionner la base de données et l'objet).


modifier la procédure

Modifier la procédure

SQL Manager 2007 for MySQL fournit un outil spécial pour travailler avec les procédures - l'éditeur de procédures.

Afin d'ouvrir la procédure dans l'éditeur de procédures, double-cliquez avec la souris sur l'objet dans l'explorateur de bases. Vous pouvez le faire aussi en sélectionnant l'élément du menu contextuel de la procédure 'Modifier la procédure' (Edit Procedure) <nom de l'objet>.

Renommer la procédure

Si vous voulez modifier le nom de la procédure, il vous faut :

  • sélectionner l'élément 'Renommer la procédure' (Rename Procedure)<nom de l'objet> du menu contextuel de la procédure
  • utiliser le raccourci <Ctrl + R>.


supprimer la procédure

Supprimer la procédure

Afin de supprimer la procédure, sélectionnez l'élément 'Supprimer la procédure' (Drop Procedure)<nom de l'objet> du menu contextuel dans l'explorateur de bases de données ou utilisez le raccourci <Ctrl + Del>.


créer une fonction

Les fonctions stockées sont un ensemble de commandes SQL qui peuvent être compilées et stockées sur le serveur. Les fonctions stockées se distinguent des procédures stockées parce qu'ils renvoient la valeur unitaire et non pas la table de données.

Créer la fonction

Pour créer la fonction, utilisez :

  • l'élément 'Base de données| Nouvel objet' (Database | New Object) du menu principal du programme. Sélectionnez 'Fonction' (Function) dans la fenêtre de sélection du type d'objet.
  • ou 'Fonctions | élément Nouvelle fonction...' (Functions | New Function...) du menu contextuel de l'objet de la base de données,
  • ou le raccourci <Ctrl + N>.

La fonction créée s'ouvre automatiquement dans l'éditeur de fonctions.

Copier la fonction

Le programme fournit un assistant spécial pour copier les objets, vous pouvez copier un objet dans une autre base de données, vous pouvez copier avec les données ou sans les données.

Afin de copier une fonction, il vous faut sélectionner l'élément 'Dupliquer la fonction' (Duplicate Function)<nom de l'objet> dans le menu contextuel de la fonction. Si vous copiez l'objet en utilisant cette méthode, l'assistant de copie d'objets s'ouvre sur la troisième étape (parce que c'est lors des deux premières étapes de l'assistant qu'il faut sélectionner la base de données et l'objet).


modifier la fonction

Modifier la fonction

SQL Manager 2007 for MySQL fournit un outil spécial pour travailler avec les fonctions - l'éditeur de fonctions.

Afin d'ouvrir la fonction dans l'éditeur de fonctions, double-cliquez avec la souris sur l'objet dans l'explorateur de bases. Vous pouvez le faire aussi en sélectionnant l'élément du menu contextuel de la fonction 'Modifier la fonction' (Edit Function) <nom de l'objet>.

Renommer la fonction

Si vous voulez modifier le nom de la fonction, il vous faut :

  • sélectionner l'élément du menu contextuel de la fonction 'Renommer la fonction' (Rename Function)<nom de l'objet>,
  • ou utiliser le raccourci <Ctrl + R>.


supprimer la fonction

Supprimer la fonction

Afin de supprimer la fonction, sélectionnez l'élément 'Supprimer la fonction' (Drop Function)<nom de l'objet> du menu contextuel dans l'explorateur de bases de données ou utilisez le raccourci <Ctrl + Del>.


créer un événement programmé

L'événement programmé est un ensemble de commandes SQL qui peuvent être compilées et stockées sur le serveur.

Créer un événement programmé

Pour créer cet objet, veuillez utiliser :

  • l'élément 'Base de données| Nouvel objet' (Database | New Object) du menu principal du programme. Sélectionnez 'Événement programmé' (Scheduled event) dans la fenêtre de sélection du type d'objet.
  • ou l'élément 'Nouvel événement programmé' (New Scheduled event) dans le menu contextuel du groupe d'objets 'Événements programmés' (Scheduled events) de la base de données,
  • ou le raccourci <Ctrl + N>.

L'objet créé s'ouvre automatiquement dans l'éditeur des événements programmés.

Copier l'événement programmé

Le programme fournit un assistant spécial pour copier les objets. Vous pouvez copier un objet dans une autre base de données.

Afin de copier l'événement programmé, sélectionnez l'élément 'Dupliquer l'événement programmé' <nom de l'objet> (Duplicate Scheduled event) dans le menu contextuel du groupe d'objets 'Événements programmés' (Scheduled events) de la base de données. Si vous copiez l'objet en utilisant cette méthode, l'assistant de copie d'objets s'ouvre sur la troisième étape (parce que c'est lors des deux premières étapes de l'assistant qu'il faut sélectionner la base de données et l'objet).


Modifier l'événement programmé

Modifier l'événement programmé

SQL Manager 2007 for MySQL fournit un outil spécial pour travailler avec les événements programmés - l'éditeur des événements programmés.

Afin d'ouvrir l'objet dans l'éditeur, double-cliquez avec la souris sur l'objet dans l'explorateur de bases. Vous pouvez le faire aussi en sélectionnant l'élément du menu contextuel de l'événement 'Modifier l'événement programmé <nom de l'objet>' (Edit Scheduled event).

Renommer l'événement programmé

Si vous voulez modifier le nom de l'événement programmé, il vous faut :

  • sélectionner l'élément 'Renommer l'événement programmé' <nom de l'objet> (Rename Scheduled event) du menu contextuel du groupe d'objets de la base de données 'Événements programmés' (Scheduled events),
  • ou utiliser le raccourci <Ctrl + R>.


Supprimer l'événement programmé

Supprimer l'événement programmé

Afin de supprimer l'objet, sélectionnez l'élément 'Supprimer l'événement programmé' <nom de l'objet> (Drop Scheduled event) du menu contextuel dans l'explorateur de bases de données ou utilisez le raccourci <Ctrl + Del>.


créer une requête

SQL Manager 2007 for MySQL fournit deux outils pour travailler avec les requêtes SQL :

  • l'éditeur SQL (SQL Editor) pour modifier les textes des requêtes,
  • le constructeur graphique de requêtes (Visual Query Builder) pour créer les requêtes graphiquement.

Créer la requête :

dans l'éditeur de requête,

Pour créer cet objet, utilisez :

  • l'élément 'Outils | Nouvel éditeur SQL' (Tools | New SQL Editor) du menu contextuel du programme,
  • ou cliquez sur le bouton 'Nouvel éditeur SQL' (New SQL Editor) [image] sur la barre d'outils standard du programme,
  • ou utilisez le raccourci <Shift+F12>.

L'éditeur de requêtes s'ouvre automatiquement après l'exécution d'une de ces opérations.

dans le constructeur graphique de requêtes.

Pour créer cet objet, veuillez utiliser :

  • l'élément 'Outils | Nouveau constructeur de requête' (Tools | New Query Builder) du menu principal du programme,
  • ou cliquez sur le bouton 'Nouveau constructeur de requête' (New Query Builder) [image] sur la barre d'outils standard du programme.

Le constructeur graphique de requêtes s'ouvre automatiquement après l'exécution d'une de ces opérations.


ouvrir la requête

Modifier la requête :

dans l'éditeur de requête,

afin d'ouvrir la requête créée à modifier, il vous faut :

  • sélectionner l'élément 'Outils | Éditeur SQL' (Tools | Show SQL Editor) du menu principal du programme,
  • ou cliquer sur le bouton 'Éditeur SQL' (Show SQL Editor) [image] sur la barre d'outils standard du programme,
  • ou utiliser le raccourci <F12>.

La requête s'ouvre automatiquement dans l'éditeur de requêtes après l'exécution d'une de ces opérations.

dans le constructeur graphique de requêtes,

afin d'ouvrir la requête créée à modifier, il vous faut :

  • sélectionner l'élément 'Outils | Éditeur SQL' (Tools | Show SQL Editor) du menu principal du programme,
  • ou cliquer sur le bouton 'Éditeur SQL' (Show Query Builder) [image] sur la barre d'outils standard du programme.

La requête s'ouvre automatiquement dans le constructeur graphique de requêtes après l'exécution d'une de ces opérations.


exécuter la requête

Exécuter la requête

Afin d'exécuter la requête dans n'importe quel éditeur, il vous faut :

  • créer une nouvelle requête ou ouvrir une requête existante.
  • cliquer sur le bouton 'Exécuter la requête' (Execute query) sur la barre de navigation ou la barre d'outils de l'éditeur, ou cliquer sur le bouton F9,
  • parcourir et modifier les données résultats sur l'onglet 'Résultats' (Results).


sauvegarder la requête

Sauvegarder la requête

Afin de sauvegarder la requête dans un fichier, il vous faut :

  • créer une nouvelle requête ou ouvrir une requête existante,
  • sélectionner l'élément 'Sauvegarder dans un fichier' (Save to file) sur la barre de navigation de l'éditeur de requêtes, ou l'élément 'Sauvegarder un diagramme' (Save diagram) sur la barre de navigation du constructeur graphique de requêtes.
  • sélectionner l'emplacement pour sauvegarder le fichier dans la fenêtre qui apparaît, puis sélectionnez le type du fichier sauvegardé.

Si vous voulez sauvegarder plusieurs requêtes dans un fichier, cliquez sur 'Sauvegarder tout' (Save All) sur la barre de navigation de l'éditeur de requêtes. Cette fonction n'est pas disponible pour le constructeur graphique.


ajouter un utilisateur

L'utilisateur d'une base de données est un élément principal qui assure le contrôle d'accès aux éléments de la base de données.

Indiquez dans l'éditeur le nom, le mot de passe et les droits d'accès aux objets de la base de données pour les utilisateurs.

Créer un utilisateur

Afin d'ajouter un nouvel utilisateur, il vous faut exécuter les opérations suivantes :

  • sélectionner l'élément 'Outils | Gestionnaire d'utilisateurs' (Tools | User Manager) du menu principal du programme,
  • cliquer 'Ajouter un utilisateur' (Add User) sur une des barres d'outils.

L'objet créé s'ouvre automatiquement dans l'éditeur correspondant.


modifier l'utilisateur

Modifier l'utilisateur

Toutes les modifications de cet objet s'exécutent dans l'éditeur des utilisateurs.

Afin d'ouvrir l'objet dans l'éditeur, il vous faut :

  • cliquer sur 'Modifier l'utilisateur' (Edit User) sur une des barres d'outils du gestionnaire d'utilisateurs/User Manager (un utilisateur sélectionné sera ouvert dans l'éditeur),
  • double cliquer avec la souris sur un objet nécessaire dans la liste générale.


supprimer l'utilisateur

Supprimer l'utilisateur

Afin de supprimer l'utilisateur, il vous faut :

  • sélectionner la commande 'Supprimer un utilisateur' (Delete User) sur une des barres d'outils du gestionnaire d'utilisateurs/User Manager,
  • ou sélectionner l'élément 'Supprimer un utilisateur' (Delete User) dans le menu contextuel de l'objet sélectionné.


installer le plugin

SQL Manager 2007 for MySQL dispose d'un outil spécial qui permet d'installer les plugins pour travailler avec le programme. Afin d'ouvrir cet outil, cliquez sur l'élément 'Options| Options des plugins' (Options | Plugins Options) dans le menu principal du programme.

Installer le plugin

Afin d'ajouter le plugin, il vous faut :

  • sélectionner l'élément 'Options|Options des plugins' (Options | Plugins Options) dans le menu principal du programme,
  • dans l'éditeur des plugins qui apparaît, cliquez sur le bouton 'Ajouter le plugin' (Add plugin),
  • sélectionnez le fichier avec l'extension *.dll dans la fenêtre de dialogue standard,
  • cliquez sur le bouton OK afin d'ajouter le bouton sélectionné dans la liste des plugins.

Pour lancer le plugin installé, il vous faut sélectionner l'élément 'Plugins | Nom du plugin' dans le menu principal du programme.


supprimer le plugin

Supprimer le plugin

Afin de supprimer le plugin, il vous faut :

  • sélectionner l'élément 'Options|Options des plugins' (Options | Plugins Options) dans le menu principal du programme,
  • dans l'éditeur des plugins qui apparaît, choisissez le programme nécessaire,
  • cliquer sur le bouton 'Supprimer' (Remove plugin).


ajouter l'outil externe

Vous pouvez ajouter un certain nombre de programmes externes dans SQL Manager 2007 for MySQL pour un fonctionnement plus efficace de ce programme.

Ajouter un outil externe :

Afin d'ajouter un autre programme, il vous faut :

  • sélectionner l'élément 'Options | Outils externes' (Options | External Tools) dans le menu principal du programme,
  • cliquer sur le bouton 'Ajouter' (Add) dans la fenêtre des outils externes qui apparaît,
  • indiquer les paramètres de connexion dans la fenêtre de dialogue qui apparaît,
  • cliquer sur OK pour sauvegarder les modifications apportées.

Ces opérations permettent d'ajouter un programme indiqué dans la liste des outils externes. Vous pouvez exécuter le programme (ajouté dans la liste) à l'aide de SQL Manager 2007 for MySQL.


supprimer l'outil externe

Supprimer l'outil externe

Afin de supprimer le programme à partir de la liste des outils externes, il vous faut :

  • choisir l'élément 'Options | Outils externes' (Options | External Tools) dans le menu principal du programme,
  • sélectionner un programme nécessaire dans la fenêtre des outils externes qui apparaît,
  • cliquer sur le bouton 'Supprimer' (Delete).


modifier la langue du programme

Pour votre commodité, SQL Manager 2007 for MySQL permet de modifier la langue de l'interface du programme. Afin de modifier la langue, il vous faut :

Changer la langue du programme

  • sélectionnez 'Options | Sélectionner la langue du programme' (Options | Select Program Language) dans le menu principal du programme,
  • choisissez la langue de l'interface dans la fenêtre de sélection,
  • cliquez sur OK pour sauvegarder les modifications.


créer une nouvelle traduction du programme

Créer une nouvelle localisation

Afin de créer une nouvelle localisation, il vous faut :

  • créer un nouveau fichier de localisation avec l'extension *.lng et le placer dans le dossier 'Langages' (Languages) dans le répertoire où SQL Manager 2007 for MySQL est installé,
  • sélectionner 'Options | Options de l'environnement' (Options | Environment Options) dans le menu principal du programme,
  • ouvrir l'onglet Options de l'environnement | Localisation (Environment Options | Localization),
  • cliquer sur le bouton 'Ajouter' (Add) sur cet onglet,
  • indiquer le nom de la nouvelle localisation dans le champ 'Langue' (Language name) de la fenêtre qui apparaît, indiquer le chemin vers le fichier *.lng créé dans le champ 'Fichier de la langue' (Language File),
  • cliquer sur le bouton OK. La nouvelle langue apparaît dans la liste des localisations. Vous pouvez la modifier et installer en tant que langue du programme.


Affichage des dépendances d'objets

L'onglet Dépendances (Dependencies) dans les éditeurs d'objet permet de visualiser les dépendances d'objets. Les objets sur lesquels l'objet modifié se réfère se trouvent dans la partie droite de la fenêtre. Les objets qui se référent sur l'objet ouvert dans l'éditeur se trouvent dans la partie gauche de la fenêtre.

Vous pouvez voir la DDL de l'objet sélectionné dans la fenêtre en bas.

Pour ouvrir un objet dans l'éditeur correspondant, double-cliquez sur cet objet avec la souris.


Interface du programme

Les propriétés générales de l'interface du programme SQL Manager 2007 for MySQL sont :

Les séparateurs

Les séparateurs sont des barres de fractionnement qui séparent les fenêtres et permettent de diminuer et de déployer rapidement les fenêtres.

Afin de diminuer la fenêtre, cliquez avec le bouton gauche de la souris sur le séparateur.

Vous pouvez modifier le réglage de l'aspect et des opérations sur l'onglet Séparateurs dans la fenêtre des options graphiques.

Les barres de navigation

Pour votre commodité, vous pouvez diminuer les barres de navigation.

Afin de diminuer une section de la barre de navigation, cliquez sur le bouton qui se trouve à côté du titre de la section.

Pour déployer la barre diminuée, cliquez sur le même bouton.

Le tri

Si la forme contient une table avec deux ou plusieurs colonnes, vous pouvez trier cette table par une seule colonne. Pour cela, cliquez sur le titre de cette colonne. Un triangle apparaît à côté du nom de la colonne

  • faites un seul clic pour trier les valeurs par ordre de grandeur croissant.
  • cliquez sur le titre de la colonne déjà triée par ordre croissant pour trier les données de la colonne par ordre de grandeur descendant.
  • le troisième clic permet d'annuler le tri.

Les boutons standard

Les boutons standard permettent d'ouvrir la fenêtre de sélection des fichiers :


Personnalisation des barres d'outils

Vous pouvez personnaliser toutes les barres d'outils.

La fonction 'Ajouter ou supprimer les boutons' (Add or Remove Buttons) est conçu pour personnaliser les barres d'outils. Cliquez sur le bouton 'Plus de boutons' (More Buttons) [image] dans le coté droit de la barre pour effectuer la personnalisation.

Choisissez les boutons nécessaires pour le travail dans la fenêtre qui apparaît.

Pour ouvrir la fenêtre de réglages, cliquez avec le bouton droit de la souris sur la barre d'outils et sélectionnez l'élément 'Personnaliser' (Customize).

Onglet 'Barres d'outils' (Toolbars) :

Vous pouvez créer, modifier et supprimer les barres d'outils sur cet onglet

Nouveau (New) - ajouter une barre d'outils,

Renommer (Rename) - renommer une barre d'outils,

Supprimer (Delete) - supprimer une barre d'outils.

Onglet 'Commandes' (Commands) :

Choisissez les boutons à afficher sur la barre d'outils.

Dans la liste 'Catégories' (Categories), choisissez une catégorie. Dans la liste 'Commandes'(Commands), sélectionnez une commande qui se rapporte à cette catégorie.

Pour placer un bouton nécessaire sur la barre, déplacez-le à partir de la liste 'Commandes' (Commands) sur la barre d'outils.

Onglet 'Options' (Options) :

  • 'Les menus affichent d'abord les commandes récentes' (Menus show recently used command first) -

si cette case est cochée, les commandes fréquemment utilisées seront affichées en premier lieu dans le menu ,

  • 'Afficher les menus complets après un petit retard' (Show full menus after a short delay),
  • 'Réinitialiser les données utilisées' (Reset my usage data),
  • 'Utiliser de grandes icônes' (Large icons),
  • 'Afficher les bulles d'aide pour les barres d'outils' (Show ToolTips on Toolbars),
  • 'Afficher les touches de raccourci dans les bulles d'aide' (Show shortcut keys in ToolTips),
  • 'Animations de menus' (Menu animations) - l'animation lors de la sélection du menu.


Modèles

SQL Manager 2007 for MySQL dispose de la possibilité de sauvegarder la suite des opérations et les paramètres dans les fichiers spéciaux qu'on appelle "modèles". Les modèles sont utilisés dans les assistants, par exemple dans l'assistant d'export de données ou dans l'assistant d'import de données.

S'il y a le bouton [image] dans le coin inférieur gauche de l'assistant, tous les paramètres indiqués à l'aide de l'assistant peuvent être sauvegardés dans un fichier de format correspondant. Le format spécial du modèle est prévu pour chaque assistant. Ceci permet d'éviter des erreurs lors de l'ouverture du modèle dans un autre assistant.

Cliquez sur le bouton [image] pour ouvrir la liste des opérations.

Vous pouvez exécuter les opérations suivantes en utilisant cette liste :

  • 'Charger le modèle' (Load Template),
  • 'Sauvegarder le modèle' (Save Template),
  • 'Sauvegarder le paramétrage actuel comme défaut' (Save Current Settings As Default),
  • 'Réinitialiser les paramètres sauvegardés' (Reset Saved settings).

Vous pouvez sauvegarder et charger le modèle lors de n'importe quel étape de l'assistant.


Paramètres du tunnel SSH

SSH (Secure Shell Host) est un protocole utilisé pour augmenter la sécurité de l’ordinateur lors de travaux avec des systèmes Unix sur l’Internet. SSH utilise plusieurs algorithmes de chiffrement avec une fiabilité différente. SSH est très répandu parce que plusieurs systèmes d’exploitation de type Linux (par exemple FreeBSD) incluent le serveur SSH dans la distribution standard. Pour plus d’information, visitez http://openssh.org. Le tunnel SSH est une fonctionnalité de SQL Manager qui permet de sécuriser la connexion aux serveurs MySQL lors du travail via les chaînes de connexion qui ne sont pas sécurisées. Vous pouvez aussi utiliser le tunnel SSH pour accéder aux serveurs MySQL distants si pour quelques raisons le port 3306 est bloqué pour des connexions externes. La connexion via le tunnel SSH fonctionne de la façon suivante. Tout d’abord, on établit la connexion et l’authentification entre un client SSH incorporé dans MySQL et un serveur SSH distant. Puis toute information sortante et entrante entre le programme et le serveur MySQL doit être transmise via le serveur SSH à l’aide du port de communication (habituellement le 22). Puis le serveur SSH transfère directement cette information vers le serveur MySQL. Pour enregistrer une base de données avec une connexion via le tunnel SSH, veuillez initialiser les paramètres suivants dans l'assistant d'enregistrement des base de données de SQL Manager for MySQL :

Nom du hôte SSH (SSH Host name) - est le nom de l'ordinateur (adresse IP) sur lequel le serveur SSH est installé.

Port SSH (SSH Port) - est un port du serveur SSH sur le hôte distant (port 22 par défaut).

Nom d’utilisateur SSH (SSH User Name) - est le nom de l’utilisateur du serveur (c’est un utilisateur du serveur SSH, et non pas un utilisateur du serveur MySQL).

Mot de passe SSH (SSH Password) - est le mot de passe de l’utilisateur du serveur SSH.

Notez que le nom de l'hôte MySQL doit être configuré par rapport au serveur SSH. Par exemple, si les serveurs MySQL et SSH sont installés sur le même ordinateur, vous devez spécifier localhost en tant que nom de l'hôte au lieu du nom de l'hôte externe ou de l’adresse IP.

Si la case 'Utiliser la clé privée pour l'authentification' (Use Private Key for authentication) est cochée, il vous faut indiquer le fichier clé pour l'authentification dans le champ 'Fichier clé SSH' (SSH key file).


Paramètres du tunnel HTTP

Le tunnel HTTP est une méthode qui permet de se connecter et de transmettre des données entre un programme et un serveur MySQL via les protocoles HTTP/HTTPS en utilisant le port 80, qui est utilisée par un navigateur Internet habituel. On utilise cette méthode pour se connecter au serveur MySQL distant d’une compagnie d’hébergement quand la connexion directe est impossible pour des raisons de sécurité. Le tunnel HTTP fonctionne de la façon suivante : toutes les requêtes sortantes et les commandes envoyées du logiciel client sont chiffrées et transmises via le protocole HTTP/HTTPS en utilisant le port 80, vers un script spécial. Ce script décode les données reçues et les transmet vers un serveur MySQL pour traitement, et enfin renvoie le résultat. Cette méthode exige qu’un serveur HTTP (Apache) et PHP avec MySQL soient installés sur un serveur distant. En règle générale, ce logiciel est fourni par tous les services d’hébergement qui offrent les solutions d’hébergement Linux. Vous devez aussi télécharger un script spécial emsproxy.php sur votre serveur web avec l’accès à distance (vous pouvez le placer dans un dossier dans lequel se trouvent tous vos scripts PHP). Après avoir ouvert la page http:///emsproxy.php dans votre navigateur, vous verrez un message "EmsProxy v 1.31" (le numéro de version peut être différent) si votre serveur web répond à ces exigences et si le script est installé correctement. Pour enregistrer une base de données distante avec l’accès via le tunnel HTTP, vous devez saisir les paramètres suivants dans l’assistant d’enregistrement des bases de données de SQL Manager for MySQL :

URL est une adresse où se trouve le script de emsproxy.php (par exemple, http://mywebserver /emsproxy.php).


Spécificateurs de format

Les formats de données déterminent l'affichage des données des différents types.

Formats Float/Integer

0 | Un chiffre de 0 à 9
# | Un symbole numérique, n'affiche que les chiffres significatifs
. | Le séparateur décimal
, | Le séparateur des groupes des ordres
E+ | La notation exponentielle

Formats Date/Time

Vous pouvez indiquer une partie de la date à afficher et le format d'affichage nécessaire en utilisant les commandes suivantes.

c | Identique au format prédéfini Date, général.
d | Jour du mois en un ou deux chiffres numériques, le cas échéant (1 à 31).
dd | Jour du mois en deux chiffres numériques (01 à 31).
ddd | Les trois premières lettres du jour de la semaine (DIM à SAM).
dddd | Nom complet du jour de la semaine (dimanche à samedi).
ddddd | Identique au format prédéfini Date courte.
dddddd | Identique au format prédéfini Date longue.
m | Mois de l'année en un ou deux chiffres numériques, le cas échéant (1 à 12).
mm | Mois de l'année en deux chiffres numériques (01 à 12).
mmm | Les trois premières lettres du mois (Jan à Déc).
mmmm | Nom complet du mois (janvier à décembre).
yy | L'année sous la forme 00–99.
yyyy | L'année sous la forme 1900–9999.
h | L'heure sous la forme 0–23.
hh | L'heure sous la forme 00–23.
n | Les minutes sous la forme 0–59.
nn | Les minutes sous la forme 00–59.
s | Les secondes sous la forme 0–59.
ss | Les secondes sous la forme 00–59.
z | Les millisecondes sous la forme 0-999.
zzz | Les millisecondes sous la forme 000-999.
t | Utiliser le format court pour le temps.
tt | Utiliser le format long pour le temps.
a/p | Horloge de douze heures avec des minuscules "a" ou "p", le cas échéant.
am/pm | Horloge de douze heures avec des minuscules "am" ou "pm", le cas échéant.
/ | Le séparateur de date (mm/dd/yy).
: | Le séparateur horaire (hh:mm).
'xx'/"xx" | Les caractères mis entre guillemets simples ou doubles à ne pas formater.


Moteur de stockage

Le moteur de stockage est réglé sur l'onglet Propriétés (Properties) de l'éditeur de tables lors de la création de la table.

MyISAM

En MySQL 3.23, le moteur MyISAM a été introduit par défaut pour les tables MyISAM. Le moteur de tables originale était ISAM. MyISAM est une version améliorée de ISAM.

InnoDB

InnoDB fournit à MySQL un gestionnaire de table transactionnelle (compatible ACID) avec validation (commit), annulations (rollback) et capacités de restauration après crash. InnoDB utilise un verrouillage de lignes, et fournit des lectures cohérentes sans verrous dans l'instruction SELECT. InnoDB a été conçu pour maximiser les performances lors du traitement de grandes quantités de données. Son efficacité processeur n'est égalée par aucun autre moteur de base de données.

Berkeley_db

En utilisant les tables BerkeleyDB, vos tables ont plus de chances de survivre aux crashs, et vous avez accès à COMMIT et ROLLBACK avec les transactions. La distribution des sources de MySQL fournit une distribution corrigée de BDB ce qui permet d'éliminer certains problèmes lors du travail avec MySQL. Vous ne pouvez pas utiliser les versions non corrigées de BDB avec MySQL.

ISAM

ISAM utilise les index B-tree. Le fichier d'index a l'extension .ISM, Le fichier de données a pour suffixe .ISD. Vous pouvez réparer ou vérifier une table ISAM avec l'utilitaire isamchk.

HEAP

Les tables HEAP utilisent un index de hachage, et sont stockées en mémoire. Elles sont très rapides, mais si MySQL plante, vous perdrez toutes vos données. Les tables HEAP sont très pratiques pour créer des tables temporaires !

Les données pour les tables HEAP sont alloués par petits blocs. Les tables sont 100% dynamiques (en insertion). Aucune zone de débordement ou d'espace de clé supplémentaire n'est nécessaire. Les lignes effacées sont placées dans une liste, prêtes à être réutilisées :

MRG_MyISAM

Une table MERGE (ou table MRG_MyISAM) est un groupe de tables MyISAM identiques qui sont utilisées comme une seule. Vous avez simplement besoin des droits de SELECT, DELETE et UPDATE sur les tables. Si vous appliquez l'instruction DROP à la table MERGE, l'instruction est applicable à la définition MERGE uniquement.

GEMINI

Le type de tables développé par NuSphere. N'est pas supporté par les dernières versions de MySQL.

FEDERATED

Le moteur de table FEDERATED a été ajouté en MySQL 5.0. C'est un moteur de table qui accède à des tables dans une base de données distante, plutôt que dans des fichiers locaux. Il n'y a pas de support pour les transactions.


Fusionner les tableaux

La fenêtre 'Liste des tables fédérées' (Union Tables List) permet de gérer la liste des tables fédérées. Vous pouvez ouvrir cette fenêtre lors de la modification des propriétés de la table dans l'éditeur de tables sur l'onglet Propriétés de la table.

Sélectionner une table à fusionner à partir de la liste déroulante 'Union des tables' (Union Table).

Vous pouvez ajouter une table dans la liste en utilisant le bouton 'Ajouter' (Add).

Pour remplacer une table se trouvant dans la liste générale par une table sélectionnée dans la liste déroulante, cliquez sur le bouton 'Remplacer' (Replace).

Afin de supprimer une table à partir de la liste, cliquez sur le bouton 'Supprimer' (Remove).

Vous pouvez modifier l'ordre des tables dans la liste. Pour cela, utilisez les boutons 'Monter/Descendre' (Up/Down) ou la combinaison de touches Shift+Ctrl+Up / Shift+Ctrl+Down. Vous pouvez aussi déplacer les objets à l'aide de la souris.


Tables fédérées

MySQL 5.0 permet d'utiliser les tables distantes comme si elles étaient locales. Il y a beaucoup de restrictions, par exemple il n'y a pas de support pour les transactions, mais le JOIN est disponible.

Cette possibilité a été ajoutée en MySQL 5. C'est un moteur de table qui accède à des tables dans une base de données distante, plutôt que dans des fichiers locaux.

Pour accéder à la table distante, spécifiez les paramètres suivants :

Nom d'hôte (Host name) - est un nom d'hôte sur lequel se trouve la table. La liste affiche tous les serveurs enregistrés. Afin d'enregistrer le serveur, utilisez l'assistant d'enregistrement des hôtes.

Port - est un port du serveur MySQL. MySQL utilise le port 3306 par défaut.

Indiquez le nom d'utilisateur et le mot de passe dans les champs 'Nom d'utilisateur' (User name) et 'Mot de passe' (Password).

Sélectionnez la base de données dans la liste 'Nom de la base' (Database name).

La liste 'Nom de la table' (Table name) contient les tables de la base de données indiquée. Sélectionnez la table souhaitée.